--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

语言差异处理类，定义语言差异相关操作方法及逻辑实现。

-   提供语言差异的公共方法。
-   示例：
]]

local M = {}



-- [包含文件]
-- ...




-- [公共参数]
-- 常量
-- ..

-- 枚举
-- ..

-- 操作变量
-- ..










-- [方法定义]

--[[--
    [战斗结果2模块]钻石处理
]]
function M.fightResult2Diamond(node, nodeTable)
    -- [操作对象]
    local iconDiamond = nodeTable["sptIconDiamond"]                 -- 钻石[图标]
    local lblDiamond  = nodeTable["lblDiamond"]                     -- 钻石[标签]
    local lang       = device.language                              -- 语言


    -- [语言差异判断]
    if lang == "kr" then 
        -- 隐藏按钮[钻石[图标]]
        iconDiamond:setVisible(false)
        -- 隐藏按钮[钻石[标签]]
        lblDiamond:setVisible(false)
    end
end





return M