
local M = {}
M.TAG = "[cardui.PasswordViewUtil]"

--[[ 

## 创建商店物品页

--]]
function M:createEditBox( params )
    local maxLength = params.maxLength
    local node = params.parentNode
    local hide = params.hide or ""
    local editbox = widget.newEditBox{
        contentSize = CCSizeAdd(node:getContentSize(), -6, -6),
        normalBgImage = {file = "hook_ac.png"},
        placeHolderText = hide,
        textMaxLength   = maxLength,
    }
    editbox:setFontSize(18)
    editbox:setPlaceholderFontSize(18)
    editbox:setInputMode(kEditBoxInputModeSingleLine)
    node:addChild(editbox)
    util.alignNode(editbox, node, display.CENTER_LEFT, {left = 4, top = 4})
    return editbox
end


return M