--ArmyDevelopmentLayer.lua

MSG_ID.MSG_ARMYDEVELOPMENTLAYER_MODEL 				= 31400

MSG_ID.MSG_ARMYDEVELOPMENTLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_ARMYDEVELOPMENTLAYER_MODEL + 10
MSG_ID.MSG_ARMYDEVELOPMENTLAYER_ONFETCHARMYNEWSLIST = MSG_ID.MSG_ARMYDEVELOPMENTLAYER_MODEL + 11

local TAG = "[ArmyDevelopmentLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--31400 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_ARMYDEVELOPMENTLAYER_ONBTNCLOSECLICK)
	closeLayer()
end

local function onFetchArmyNewsList( ... )
	local function onFetchCallback( properties )
		_ccbNode.reloadActivityGrid(properties.armynewslist)
	end
	
	NetHelper.createRequest(
        ACTID.MSG_GET_ARMYNEWSLIST,
        onFetchCallback,
		{},
		{}
    )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--31400
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ARMYDEVELOPMENTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ArmyDevelopmentLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mDevelopmentTitleLabel"] = _ccbNode:getNode("mDevelopmentTitleLabel", "CCLabelTTF")
	_nodeTable["mTabNode"] = _ccbNode:getNode("mTabNode", "CCNode")
	_nodeTable["mDevelopmentList"] = _ccbNode:getNode("mDevelopmentList", "CCNode")

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- 填充文字
	_nodeTable["mDevelopmentTitleLabel"]:setString(_s("ARMY_NEWS"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.army.ArmyDevelopmentLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
		CCBCenter.sendLuaMessage(MSG_ID.MSG_ARMYDEVELOPMENTLAYER_ONFETCHARMYNEWSLIST)
	end
end


MSG_HANDLER[MSG_ID.MSG_ARMYDEVELOPMENTLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ARMYDEVELOPMENTLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
MSG_HANDLER[MSG_ID.MSG_ARMYDEVELOPMENTLAYER_ONFETCHARMYNEWSLIST]	= onFetchArmyNewsList
