--ArmyElseLayer.lua

MSG_ID.MSG_ARMYELSELAYER_MODEL 				= 31500

MSG_ID.MSG_ARMYELSELAYER_ONBTNCLOSECLICK = MSG_ID.MSG_ARMYELSELAYER_MODEL + 10
MSG_ID.MSG_ARMYELSELAYER_ONFETCHOTHERARMY = MSG_ID.MSG_ARMYELSELAYER_MODEL + 11

local TAG = "[ArmyElseLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--31500 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_ARMYELSELAYER_ONBTNCLOSECLICK)
	closeLayer()
end

--请求其他军团
local function onFetchOtherArmy( ... )
	local function onFetchCallback( properties )
		_ccbNode.reloadArmyList(properties.armylist)
	end
	
	NetHelper.createRequest(
        ACTID.MSG_GET_OTHERARMYLIST,
        onFetchCallback,
		{ },
		{}
    )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--31500
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ARMYELSELAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ArmyElseLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mElseArmyTitleLabel"] = _ccbNode:getNode("mElseArmyTitleLabel", "CCLabelTTF")
	_nodeTable["mTabNode"] = _ccbNode:getNode("mTabNode", "CCNode")
	_nodeTable["mDevelopmentList"] = _ccbNode:getNode("mDevelopmentList", "CCNode")

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- 填充文字
	_nodeTable["mElseArmyTitleLabel"]:setString(_s("ARMY_OTHER"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.army.ArmyElseLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
		CCBCenter.sendLuaMessage(MSG_ID.MSG_ARMYELSELAYER_ONFETCHOTHERARMY)
	end
end


MSG_HANDLER[MSG_ID.MSG_ARMYELSELAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ARMYELSELAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
MSG_HANDLER[MSG_ID.MSG_ARMYELSELAYER_ONFETCHOTHERARMY]	= onFetchOtherArmy
