--ArmyOperateLayer.lua

MSG_ID.MSG_ARMYOPERATELAYER_MODEL 				= 31700

MSG_ID.MSG_ARMYOPERATELAYER_ONBTNCLOSECLICK = MSG_ID.MSG_ARMYOPERATELAYER_MODEL + 10
MSG_ID.MSG_ARMYOPERATELAYER_ONFETCHOPERATE = MSG_ID.MSG_ARMYOPERATELAYER_MODEL + 11

local TAG = "[ArmyOperateLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--31700 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_ARMYOPERATELAYER_ONBTNCLOSECLICK)
	closeLayer()
end

local function onFetchOperate( msg, luaValue )
	local function onFetchCallback( properties )
		CCBCenter.sendLuaMessage(MSG_ID.MSG_ARMYMENBERLAYER_ONFETCHMENBERLIST)
		closeLayer()
	end
	
	NetHelper.createRequest(
        ACTID.MSG_MAG_ARMYPLAYER,
        onFetchCallback,
		{ typ = msg.userdata.typ,id = _ccbNode._DATA.pid},
		{}
    )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--31700
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ARMYOPERATELAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ArmyOperateLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	_ccbNode._DATA = data

	-- Quick element
	_nodeTable["mButtons"] = _ccbNode:getNode("mButtons", "CCNode")

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.army.ArmyOperateLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_ARMYOPERATELAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ARMYOPERATELAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
MSG_HANDLER[MSG_ID.MSG_ARMYOPERATELAYER_ONFETCHOPERATE]	= onFetchOperate
