MSG_ID.MSG_CARDALBUMLAYER_MODEL 				= 3200

MSG_ID.MSG_CARDALBUMLAYER_ONBTNBACKCLICK = MSG_ID.MSG_CARDALBUMLAYER_MODEL + 10
MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE1CLICK = MSG_ID.MSG_CARDALBUMLAYER_MODEL + 11
MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE2CLICK = MSG_ID.MSG_CARDALBUMLAYER_MODEL + 12
MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE3CLICK = MSG_ID.MSG_CARDALBUMLAYER_MODEL + 13
MSG_ID.MSG_CARDALBUMLAYER_ACTION_ONFETCHCARDALBUM = MSG_ID.MSG_CARDALBUMLAYER_MODEL + 14

local TAG = "[CardAlbumLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popSecondCCBNode(anim.ANIMATION_TOP_OUT)
end

-- 播放按钮音乐
local function playBtnSound( )
	SOUND:playEffectButton1()
end

local function onBtnBackClick( msg, luaValue )
	--3200 + 10
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_CARDALBUMLAYER_ONBTNBACKCLICK)
	playBtnSound( )
	closeLayer()
end

local function onBtnRace1Click( msg, luaValue )
	--3200 + 11
	Log.d(TAG, "btnRace1: MSG_ID = %d", MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE1CLICK)
end

local function onBtnRace2Click( msg, luaValue )
	--3200 + 12
	Log.d(TAG, "btnRace2: MSG_ID = %d", MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE2CLICK)
end

local function onBtnRace3Click( msg, luaValue )
	--3200 + 13
	Log.d(TAG, "btnRace3: MSG_ID = %d", MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE1CLICK)
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--3200
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_CARDALBUMLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "CardAlbumLayer.ccbi")
	-- _ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_CARDGROUPLAYER
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mLayerTitleLabel"] = _ccbNode:getNode("mLayerTitleLabel", "CCLabelTTF")
	-- CCControlButton
	_ccbNode:bindButton("btnBack", onBtnBackClick)
	_ccbNode:bindButton("btnRace1", onBtnRace1Click)
	_ccbNode:bindButton("btnRace2", onBtnRace2Click)
	_ccbNode:bindButton("btnRace3", onBtnRace3Click)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	--填充文字
	_nodeTable["mLayerTitleLabel"]:setString(_s("CARD_ALBUM"))
	-- android上的位置调整
	util.modifyPositionInAndroid( _nodeTable.mLayerTitleLabel, 0, 2 ) 			-- 标题

	CCBCenter.bindView("ccb.v.cardgroup.CardAlbumLayerView", _ccbNode, _nodeTable)
	
	CCBCenter.pushSecondCCBNode(_ccbNode, anim.ANIMATION_POP_OUT, { onComplete = function ( )
		CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDALBUMLAYER_ACTION_ONFETCHCARDALBUM)
	end })
end


local function onActionfetchCardAlbum( msg, luaValue )
	-- 2000 + 14
	Log.d(TAG, "onActionfetchCardAlbum: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
            _ccbNode.fillCards(items)
            quickui.hideLoadingLayer()
        end
    ModelHelper.requireDataWithFun(
            "model.card.CardModel",
            "fetchCardAlbum",
            onFetchCallback,
            {}
            )
end

MSG_HANDLER[MSG_ID.MSG_CARDALBUMLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_CARDALBUMLAYER_ONBTNBACKCLICK]	= onBtnBackClick
MSG_HANDLER[MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE1CLICK]	= onBtnRace1Click
MSG_HANDLER[MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE2CLICK]	= onBtnRace2Click
MSG_HANDLER[MSG_ID.MSG_CARDALBUMLAYER_ONBTNRACE3CLICK]	= onBtnRace3Click
MSG_HANDLER[MSG_ID.MSG_CARDALBUMLAYER_ACTION_ONFETCHCARDALBUM]	= onActionfetchCardAlbum