MSG_ID.MSG_CARDDETAILLAYER_MODEL 				= 3400

local TAG = "[CardDetailLayer]"
local _ccbNode 
local _nodeTable = {}
local _ccbLevel

local function closeLayer()
	-- CCBCenter.replaceSecondCCBNode()
	-- CCBCenter.popFirstCCBNode()
	if _ccbNode._DATA._KEY then
		if _ccbNode._DATA._KEY == MSG_ID.MSG_CHATLAYER_MODEL then
			CCBCenter.sendLuaMessage(MSG_ID.MSG_CHATLAYER_ACTION_ONTOGGLESENDENABLE)
		end
	end
	CCBCenter.popLastLevelCCBNode()
	-- CCBCenter.popLevelCCBNode(_ccbLevel)
	-- CCBCenter.popThirdCCBNode()
	-- CCBCenter.popSecondCCBNode()
end
local function onCloseClick( )
	closeLayer()
	if _nodeTable._ONCONFIRM then
		_nodeTable._ONCONFIRM()
	end
end
local function animationCompletedCallback( animationManager, animName, luaEventHandler )
	Log.d(TAG, "animationCompletedCallback: %s", animName)
end

local function onCCBLoad(data, callback)
	--3400
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_CARDDETAILLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "CardDetailLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	_ccbNode._DATA = data
	_nodeTable._ONCONFIRM = data.onConfirm
	_ccbLevel = data.ccbLevel or 4
	-- Quick element
	_nodeTable["mNameLabel"] = _ccbNode:getNode("mNameLabel", "CCLabelTTF")
	_nodeTable["mPlayerNameLabel"] = _ccbNode:getNode("mPlayerNameLabel", "CCLabelTTF")
	_nodeTable["mLevelLabel"] = _ccbNode:getNode("mLevelLabel", "CCLabelTTF")
	_nodeTable["mRaceLabel"] = _ccbNode:getNode("mRaceLabel", "CCLabelTTF")
	_nodeTable["mHpLabel"] = _ccbNode:getNode("mHpLabel", "CCLabelTTF")
	_nodeTable["mAtkLabel"] = _ccbNode:getNode("mAtkLabel", "CCLabelTTF")
	_nodeTable["mRackTitleLabel"] = _ccbNode:getNode("mRackTitleLabel", "CCLabelTTF")
	_nodeTable["mAtkTitleLabel"] = _ccbNode:getNode("mAtkTitleLabel", "CCLabelTTF")
	_nodeTable["mHpTitleLabel"] = _ccbNode:getNode("mHpTitleLabel", "CCLabelTTF")
	
	-- CCControlButton
	-- MenuItem
	_ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)

	-- android上的位置调整
	util.modifyPositionInAndroid(_nodeTable.mRaceLabel, 4, 8) 	 		-- 阵营
	util.modifyPositionInAndroid(_nodeTable.mHpLabel, 0, -2) 	 		-- 血量

	-- 填充文字
	_nodeTable["mRackTitleLabel"]:setString(_s("CARD_RACE"))
	_nodeTable["mAtkTitleLabel"]:setString(_s("CARD_ATTACK"))
	_nodeTable["mHpTitleLabel"]:setString(_s("CARD_HP"))

	CCBCenter.bindView("ccb.v.cardgroup.CardDetailLayerView", _ccbNode, _nodeTable)
	-- CCBCenter.replaceSecondCCBNode()
	-- 增加点击关闭按钮
	widget.bindTouchEvent{
		layer =  util.toCCLayer(_ccbNode),
		clickListener = onCloseClick,
		swallowsTouches = true,
		-- priority = -999999,
	}
	-- _proxy:playCCBAnimation("Show")
	if callback then
		callback(_ccbNode)
	else
		-- CCBCenter.pushFirstCCBNode(_ccbNode)
		-- CCBCenter.pushThirdCCBNode(_ccbNode)
		-- CCBCenter.pushSecondCCBNode(_ccbNode)
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT, { playTime = 0.3 })
		-- CCBCenter.pushLevelCCBNode(_ccbLevel, _ccbNode, anim.ANIMATION_POP_OUT, { playTime = 0.3 })
	end
end


MSG_HANDLER[MSG_ID.MSG_CARDDETAILLAYER_MODEL]				= onCCBLoad

