MSG_ID.MSG_CARDFILTERLAYER_MODEL                         = 3100
MSG_ID.MSG_CARDFILTERLAYER_CCB_LOAD_BACK                 = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 1
MSG_ID.MSG_CARDFILTERLAYER_NODE_LOADED                   = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 2

MSG_ID.MSG_CARDFILTERLAYER_ONBTNBACKCLICK                = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 10
MSG_ID.MSG_CARDFILTERLAYER_ONBTNCONFIRMCLICK             = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 11
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHCONFIGCARD      = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 12
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHSELLCARD        = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 13
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHPROTECTCARD     = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 14
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSETCARD     = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 15
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSELLCARD    = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 16
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOPROTECTCARD = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 17
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOTEAMCARD    = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 18
MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHTEAMCARD        = MSG_ID.MSG_CARDFILTERLAYER_MODEL + 19

local TAG = "[CardFilterLayer]"
local _ccbNode
local _nodeTable = {}
local _isConfirmClick = false
local function closeLayer()
	CCBCenter.popLastLevelCCBNode(
        anim.ANIMATION_TOP_OUT, 
        {
    		onComplete = function ( ... )
    			_isConfirmClick = false
                if MSG_ID.MSG_CARDGROUPLAYER_ACTION_ONHELPJUDGE then
                    CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDGROUPLAYER_ACTION_ONHELPJUDGE, nil, nil)
                end
    		end
		}
    )
end

-- 播放按钮音乐
local function playBtnSound( )
	SOUND:playEffectButton1()
end

local function onBtnBackClick( msg, luaValue )
	--3100 + 10
	Log.d(TAG, "onBtnBackClick: MSG_ID = %d", MSG_ID.MSG_CARDFILTERLAYER_ONBTNBACKCLICK )
	playBtnSound( )
	if _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIGCLICK 
		or _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIGMAINCLICK then
		CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDGROUPLAYER_ACTION_ONPLAYCONFIGANIMATION)
	end
    if (_ccbNode._DATA._KEY == MSG_ID.MSG_TEAMMEMBERLAYER_MODEL 
            or _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMLISTLAYER_MODEL) and _ccbNode._DATA._ISNEED == true then
        -- CCBCenter.popLastLevelCCBNode()
        CCBCenter.popSecondCCBNode()
    else
        closeLayer()
    end
	
end

local function onBtnConfirmClick( msg, luaValue )
	--3100 + 11
	-- 网络数据配置
	Log.d(TAG, "onBtnConfirmClick: MSG_ID = %d", MSG_ID.MSG_CARDFILTERLAYER_ONBTNCONFIRMCLICK)
	playBtnSound( )
	local requestData = {}
	if _isConfirmClick then
		return
	else 
		_isConfirmClick = true
	end
	-- 配置副卡牌
	if _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIGCLICK then 
		-- cost溢出
		if _ccbNode.isCostOverflow() then
			AlertLayer.new4OK({
	    		content 	= _s("CARD_COST_OVERFLOW")
	    	})
	    	_isConfirmClick = false
			return 
		end
		-- 取出主卡牌
		requestData.cpid = {}
		for i = 1, #_ccbNode._DATA:getOnwarcards()  do
			if _ccbNode._DATA:getOnwarcards()[i]:getMain() == TRUE then
                requestData.cpid[#requestData.cpid + 1] = _ccbNode._DATA:getOnwarcards()[i]:getCpid()
				requestData.main = _ccbNode._DATA:getOnwarcards()[i]:getCpid()
			end
		end
		-- 取出选中卡牌
		local selectItems = _ccbNode.getSelectItems()
		if HelperView2.isNextIndex(520) then 
			if #selectItems == 0 then 
				-- 提示选择卡牌
				AlertLayer.new4OK({
		    		content 	= _s("CARD_NO_SELECT")
		    	})
		    	_isConfirmClick = false
				return 
			end
        elseif HelperView2.isNextIndex(900) then
            -- if #selectItems < 2 then 
            if #selectItems == 0 then 
                -- 提示选择卡牌
                AlertLayer.new4OK({
                    -- content     = _s("CARD_NO_SELECT_TWO")
                    content     = _s("CARD_NO_SELECT")
                })
                _isConfirmClick = false
                return 
            end
		end
		for i = 1, #selectItems do
            requestData.cpid[#requestData.cpid + 1] = selectItems[i]:getCpid()
		end
        HelperView2.showNext()
		-- 发送
		CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHCONFIGCARD, nil, requestData)
	-- 配置主卡牌
	elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIGMAINCLICK then
		-- cost溢出
		if _ccbNode.isCostOverflow() then
			AlertLayer.new4OK({
	    		content 	= _s("CARD_COST_OVERFLOW")
	    	})
	    	_isConfirmClick = false
			return 
		end
		-- 取出选中卡牌
		requestData.cpid = {}
		local selectItems = _ccbNode.getSelectItems()
        requestData.cpid[#requestData.cpid + 1] = selectItems[1]:getCpid()
		requestData.main = selectItems[1]:getCpid()
		-- 取出副卡牌
		-- for i = 1, #_ccbNode._DATA:getOnwarcards()  do
		-- 	if _ccbNode._DATA:getOnwarcards()[i]:getMain() ~= TRUE then
  --               requestData.cpid[#requestData.cpid + 1] = _ccbNode._DATA:getOnwarcards()[i]:getCpid()
		-- 	end
		-- end
        local selectItems2 = _ccbNode.getSelectItems2()
        for i, v in ipairs(selectItems2) do
            requestData.cpid[#requestData.cpid + 1] = v:getCpid()
        end
		-- 发送
		CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHCONFIGCARD, nil, requestData)
	-- 配置升级卡
	elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDENHANCEDLAYER_ONBTNMAINLAYERCLICK then
        if #_ccbNode.getSelectItems() < 1 then
            AlertLayer.new4OK({
                content     = _s("CARD_NO_SELECT")
            })
            _isConfirmClick = false
            return
        end
		CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDENHANCEDLAYER_ACTION_ONUPDATEUPGRADECARD, nil, _ccbNode.getSelectItems())
		if #_ccbNode._DATA._SELECTFEED then
			CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDENHANCEDLAYER_ACTION_ONUPDATEFEEDCARD, nil, _ccbNode._DATA._SELECTFEEDENTITYS)
		end
		closeLayer()
	-- 配置饲料卡
	elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDENHANCEDLAYER_ONBTNFEEDLAYERCLICK then
		local function onConfirmClick( )
			CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDENHANCEDLAYER_ACTION_ONUPDATEFEEDCARD, nil, _ccbNode.getSelectItems())
			closeLayer()
			-- return true
		end
        -- 取出选中卡牌
        local selectItems = _ccbNode.getSelectItems()
        if HelperView2.isNextIndex(10130) then 
            if #selectItems == 0 then 
                -- 提示选择卡牌
                AlertLayer.new4OK({
                    content     = _s("CARD_NO_SELECT")
                })
                _isConfirmClick = false
                return 
            end
        end
		-- 是否包含高级卡
		if _ccbNode.isContainHighLevelCard() then
			AlertLayer.new{
		        btnStr = {_s("COMMON_OK"), _s("COMMON_CANCEL")},
		        btnColor = {AlertLayer.BTN_COLOR_YELLOW, AlertLayer.BTN_COLOR_BLUE, },  
		        titleStr = _s("COMMON_OK"),  --标题
		        content = _s("CARD_CONTAIN_HIGHT_LEVEL") .. _s("CARD_TO_FEED"),  --内容
		        btnClickEvent = {onConfirmClick,},
		      }	
            _isConfirmClick = false
		else
			onConfirmClick()
		end
		
	-- 出售卡牌
	elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNSELLCLICK then
		-- 取出选中卡牌
		requestData.cards = {}
		local selectItems = _ccbNode.getSelectItems()
		if #selectItems > 0 then
			local tip = ""
			if _ccbNode.isContainHighLevelCard() then
				tip = _s("CARD_CONTAIN_HIGHT_LEVEL")
			end
			AlertLayer.new{
		        btnStr = {_s("COMMON_OK"), _s("COMMON_CANCEL")},
		        btnColor = {AlertLayer.BTN_COLOR_YELLOW, AlertLayer.BTN_COLOR_BLUE, },  
		        titleStr = _s("COMMON_NEWS_TIPS"),  --标题
		        content = tip .. _s("CARD_TO_SELL"),  --内容
		        btnClickEvent = {
		        	function (  )  --按钮1事件
    		        	for i = 1, #selectItems do
                            requestData.cards[#requestData.cards + 1] = selectItems[i]:getCpid()
    					end
    					CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHSELLCARD, nil, requestData)
    		        end,
		        },
		      }	
            _isConfirmClick = false
		else
			AlertLayer.new4OK{
	    		content 	= _s("CARD_NO_SELECT")
	    	}
	    	_isConfirmClick = false
		end
		
	-- 卡牌保护与取消
	elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNPROTECTIONCLICK then
		-- 取出选中卡牌
		requestData.cpid = {}
		local selectItems = _ccbNode.getSelectItems()
		for i = 1, #selectItems do
			table.insert(requestData.cpid, selectItems[i]:getCpid())
		end
		CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHPROTECTCARD, nil, requestData)
    -- 配置进化卡
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDEVOLUTIONLAYER_MODEL then
        if #_ccbNode.getSelectItems() < 1 then
            AlertLayer.new4OK({
                content     = _s("CARD_NO_SELECT")
            })
            _isConfirmClick = false
            return
        elseif _ccbNode.isCompliance() then
            local data = {}
            data.selectCard = _ccbNode.getSelectItems()
            data.materialList = _ccbNode._DATA._LIST
            for i, v in ipairs(_ccbNode._DATA:getCards()) do
                if data.selectCard[1]:getId() == v:getId() 
                and data.selectCard[1]:getCpid() ~= v:getCpid() 
                and data.selectCard[1]:getEvolv() == v:getEvolv() 
                and v:getOnwar() == FALSE then
                    data.selectCard[2] = v
                    break
                end
            end
            CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDEVOLUTIONLAYER_ACTION_ONUPDATEEVOLUTIONCARD, nil, data)
            closeLayer()
        else
            _isConfirmClick = false
        end
    -- 配置进阶卡素材卡
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDEVOLUTIONLAYER_ONACTIONEVOCARDGROUP then
        if #_ccbNode.getSelectItems() < 1 then
            AlertLayer.new4OK({
                content     = _s("CARD_NO_SELECT")
            })
            _isConfirmClick = false
            return
        elseif _ccbNode.isCompliance() then
            local data = {}
            data.selectCard = _ccbNode.getSelectItems()
            CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDEVOLUTIONLAYER_ACTION_ONUPDATEEVOLUTIONMATERIALCARD, nil, data)
            closeLayer()
        else
            _isConfirmClick = false
        end
    -- 配置战队卡
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMMEMBERLAYER_MODEL or _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMLISTLAYER_MODEL then
        -- 取出选中卡牌
        requestData.cpid = {}
        local selectItems = _ccbNode.getSelectItems()
        if #selectItems == 4 then
            for i, v in ipairs(selectItems) do
                requestData.cpid[#requestData.cpid + 1] = v:getCpid()
            end
            CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHTEAMCARD, nil, requestData)
            _isConfirmClick = false
        else
            AlertLayer.new4OK{
                content     = _s("TEAM_CARD_NEED_FOUR", GAMERATE:getTeamCardLimit())
            }
            _isConfirmClick = false
        end
	end
end

-- 配置卡牌
local function onActionFetchConfigCard( msg, luaValue )
	-- 3100 + 12
	Log.d(TAG, "onActionFetchConfigCard: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
        _ccbNode._DATA = items
        -- 更新卡组界面
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDGROUPLAYER_ACTION_ONUPDATEDATA, nil, items)
        -- 播放卡组动画
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDGROUPLAYER_ACTION_ONPLAYCONFIGANIMATION)
        -- CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIRMCLICK)
        -- _isConfirmClick = false
        -- 返回上级
    	closeLayer()
    end
    ModelHelper.requireDataWithFun(
            "model.card.CardModel",
            "fetchConfigCard",
            onFetchCallback,
            msg.userdata,
            {
            	failedCb = function ( )
            		_isConfirmClick = false
            	end,
	        }
            )
end

local function onActionfetchSellCard( msg, luaValue )
	-- 3100 + 13
	Log.d(TAG, "onActionfetchSellCard: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
        NetHelper.QuickToast(_s("CARD_SELL_SUCCESS"))
        SOUND:playGold()
        -- 返回上级
    	closeLayer()
    end
    ModelHelper.requireDataWithFun(
            "model.card.CardModel",
            "fetchSellCard",
            onFetchCallback,
            msg.userdata,
            {
            	failedCb = function ( )
            		_isConfirmClick = false
            	end,
	        }
            )
end

local function onActionFetchProtectCard( msg, luaValue )
	-- 3100 + 14
	Log.d(TAG, "onActionFetchProtectCard: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
        NetHelper.QuickToast(_s("CARD_PROTECTION_SUCCESS"))
		-- 返回上级
    	closeLayer()
    end
    ModelHelper.requireDataWithFun(
        "model.card.CardModel",
        "fetchProtectCard", 
        onFetchCallback,
        msg.userdata,
        {
        	failedCb = function ( )
        		_isConfirmClick = false
        	end,
        }
    )
end

local function onActionFetchIntoSetCard( msg, luaValue )
    -- 3100 + 16
    Log.d(TAG, "onActionFetchIntoSetCard: MSG_ID = %d", msg:getMsgId())
    local function onFetchCallback( items )
        if #items:getCards() >= CARDGROUP_LIMIT then
            -- 对话框提示
            AlertLayer.new4OK({
                content     = _s("CARDGROUP_OVERFLOW")
            })
        end
        -- 更新界面
        _ccbNode.updateCardFilter(items:getCards())
    end
    ModelHelper.requireDataWithFun(
        "model.card.CardModel",
        "fetchIntoSetCard", 
        onFetchCallback,
        msg.userdata
    )
end

local function onActionFetchIntoSellCard( msg, luaValue )
    -- 3100 + 17
    Log.d(TAG, "onActionFetchIntoSellCard: MSG_ID = %d", msg:getMsgId())
    local function onFetchCallback( items )
        -- 更新界面
        _ccbNode.updateCardFilter(items:getCards())
    end
    ModelHelper.requireDataWithFun(
        "model.card.CardModel",
        "fetchIntoSellCard", 
        onFetchCallback,
        msg.userdata
    )
end

local function onActionFetchIntoProtectCard( msg, luaValue )
    -- 3100 + 18
    Log.d(TAG, "onActionFetchIntoProtectCard: MSG_ID = %d", msg:getMsgId())
    local function onFetchCallback( items )
        if #items:getCards() >= CARDGROUP_LIMIT then
            -- 对话框提示
            AlertLayer.new4OK({
                content     = _s("CARDGROUP_OVERFLOW")
            })
        end
        -- 更新界面
        _ccbNode.updateCardFilter(items:getCards())
    end
    ModelHelper.requireDataWithFun(
        "model.card.CardModel",
        "fetchIntoProtectCard", 
        onFetchCallback,
        msg.userdata
    )
end
local function onActionFetchTeamCard( msg, luaValue )
    Log.d(TAG, "onActionFetchTeamCard: MSG_ID = %d", msg:getMsgId())
    local function onFetchCallback( items )
        if _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMMEMBERLAYER_MODEL then
            CCBCenter.sendLuaMessage(MSG_ID.MSG_TEAMMEMBERLAYER_ACTION_ONFETCHTEAMINFO, nil, {tid = 0, serid = 0})
        elseif _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMLISTLAYER_MODEL then
            CCBCenter.sendLuaMessage(MSG_ID.MSG_TEAMLISTLAYER_ACTION_ONFETCHREFRESHTEAMLIST)
        end
        -- 返回上级
        closeLayer()
    end
    ModelHelper.requireDataWithFun(
        "model.team.TeamModel",
        "fetchTeamCard", 
        onFetchCallback,
        msg.userdata
    )
end
local function onActionFetchIntoTeamCard( msg, luaValue )
    Log.d(TAG, "onActionFetchIntoTeamCard: MSG_ID = %d", msg:getMsgId())
    local function onFetchCallback( items )
        if #items:getCards() >= CARDGROUP_LIMIT then
            -- 对话框提示
            AlertLayer.new4OK({
                content     = _s("CARDGROUP_OVERFLOW")
            })
        end
        -- 更新界面
        _ccbNode.updateCardFilter(items:getCards())
    end
    ModelHelper.requireDataWithFun(
        "model.team.TeamModel",
        "fetchIntoTeamCard", 
        onFetchCallback,
        msg.userdata
    )
end
local function switchRequest( )
    if _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIGMAINCLICK then
        -- 配置主卡
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSETCARD, nil, {ismain = TRUE})
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNCONFIGCLICK then
        -- 配置副卡
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSETCARD, nil, {ismain = FALSE})
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNSELLCLICK then
        -- 出售卡牌
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSELLCARD)
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDGROUPLAYER_ONBTNPROTECTIONCLICK then
        -- 保护卡牌
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOPROTECTCARD)
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDENHANCEDLAYER_ONBTNMAINLAYERCLICK then
        -- 强化卡牌(升级牌)
        _ccbNode.updateCardFilter(_ccbNode._DATA:getCards())
        NetHelper.hideLoading(true)
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDENHANCEDLAYER_ONBTNFEEDLAYERCLICK then
        -- 强化卡牌(饲料牌)
        _ccbNode.updateCardFilter(_ccbNode._DATA:getCards())
        NetHelper.hideLoading(true)
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDEVOLUTIONLAYER_MODEL then
        -- 进阶卡牌(选择进阶卡)
        _ccbNode.updateCardFilter(_ccbNode._DATA:getCards())
        NetHelper.hideLoading(true)
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_CARDEVOLUTIONLAYER_ONACTIONEVOCARDGROUP then
        -- 进阶卡牌(选择素材卡)
        _ccbNode.updateCardFilter(_ccbNode._DATA:getCards())
        NetHelper.hideLoading(true)
    elseif _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMMEMBERLAYER_MODEL or _ccbNode._DATA._KEY == MSG_ID.MSG_TEAMLISTLAYER_MODEL then
        -- 配置战队卡
        CCBCenter.sendLuaMessage(MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOTEAMCARD)
    end
end
local function onCCBLoad(data, callback)
	--3100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_CARDFILTERLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "CardFilterLayer.ccbi")
	_ccbNode._DATA = data
	-- _ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_CARDGROUPLAYER
	_ccbNode.closeLayer = closeLayer
    _isConfirmClick = false
	-- Quick element
	_nodeTable["mCostLabel"] = _ccbNode:getNode("mCostLabel", "CCLabelTTF")
	_nodeTable["mLevelLabel"] = _ccbNode:getNode("mLevelLabel", "CCLabelTTF")
	_nodeTable["mNameLabel"] = _ccbNode:getNode("mNameLabel", "CCLabelTTF")
	_nodeTable["mRaceLabel"] = _ccbNode:getNode("mRaceLabel", "CCLabelTTF")
	_nodeTable["mSellMoneyLabel"] = _ccbNode:getNode("mSellMoneyLabel", "CCLabelTTF")
	_nodeTable["mMyMoneyLabel"] = _ccbNode:getNode("mMyMoneyLabel", "CCLabelTTF")
	_nodeTable["mSelectItemsLabel"] = _ccbNode:getNode("mSelectItemsLabel", "CCLabelTTF")
	_nodeTable["mRaceTitleLabel"] = _ccbNode:getNode("mRaceTitleLabel", "CCLabelTTF")
	_nodeTable["mSellMoneyTitleLabel"] = _ccbNode:getNode("mSellMoneyTitleLabel", "CCLabelTTF")
	_nodeTable["mMyMoneyTitleLabel"] = _ccbNode:getNode("mMyMoneyTitleLabel", "CCLabelTTF")
	_nodeTable["mLayerTitleLabel"] = _ccbNode:getNode("mLayerTitleLabel", "CCLabelTTF")
	_nodeTable["btnBack"] = _ccbNode:getNode("btnBack", "CCControlButton")
	
	-- CCControlButton
	_ccbNode:bindButton("btnBack", onBtnBackClick)
	_ccbNode:bindButton("btnConfirm", onBtnConfirmClick, _s("COMMON_OK"))

	-- android上的位置调整
	util.modifyPositionInAndroid(_nodeTable.mSelectItemsLabel, 0, 2) 	 		-- 已选中牌数
	util.modifyPositionInAndroid( _nodeTable.mLayerTitleLabel, 0, 2 ) 			-- 标题

	-- 填充文字
	_nodeTable["mRaceTitleLabel"]:setString(_s("CARD_RACE"))
	_nodeTable["mSellMoneyTitleLabel"]:setString(_s("CARD_SELL_MONEY"))
	_nodeTable["mMyMoneyTitleLabel"]:setString(_s("CARD_MY_MONEY"))

	CCBCenter.bindView("ccb.v.cardgroup.CardFilterLayerView", _ccbNode, _nodeTable)
    NetHelper.showLoading(true,true)
	CCBCenter.pushLastLevelCCBNode(
        _ccbNode, 
        anim.ANIMATION_POP_OUT, 
        {
            onComplete = function ( )
                switchRequest( )
            end
        }
    )
end


MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_MODEL]                         = onCCBLoad
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_CCB_LOAD_BACK]                 = onCCBLoadBack
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_NODE_LOADED]                   = onNodeLoaded

MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ONBTNBACKCLICK]                = onBtnBackClick
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ONBTNCONFIRMCLICK]             = onBtnConfirmClick
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHCONFIGCARD]      = onActionFetchConfigCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHSELLCARD]        = onActionfetchSellCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHPROTECTCARD]     = onActionFetchProtectCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSETCARD]     = onActionFetchIntoSetCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOSELLCARD]    = onActionFetchIntoSellCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOPROTECTCARD] = onActionFetchIntoProtectCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHINTOTEAMCARD]    = onActionFetchIntoTeamCard
MSG_HANDLER[MSG_ID.MSG_CARDFILTERLAYER_ACTION_ONFETCHTEAMCARD]        = onActionFetchTeamCard
