--StatusBarLayer.lua

MSG_ID.MSG_STATUSBARLAYER_MODEL 				= 13000
MSG_ID.MSG_STATUSBARLAYER_ONBTNADDSPCLICK 		= MSG_ID.MSG_STATUSBARLAYER_MODEL + 10
MSG_ID.MSG_STATUSBARLAYER_REFLESHDATA 			= MSG_ID.MSG_STATUSBARLAYER_MODEL + 11

local TAG = "[StatusBarLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
end










-- [操作变量]
-- [工具]
-- SP管理
local SpManager 					= require("cardui.SpManager")










-- [函数声明]
-- ..











-- [函数定义]
local function onBtnAddSpClick( msg, luaValue )
	--13000 + 10
	Log.d(TAG, "btnAddSp: MSG_ID = %d", MSG_ID.MSG_STATUSBARLAYER_ONBTNADDSPCLICK)

	-- 发起添加SP体力请求
	SpManager.netAdd(_ccbNode.refleshData)
end

local function refleshData( msg, luaValue )
	--13000 + 11
	Log.d(TAG, "refleshData: MSG_ID = %d", MSG_ID.MSG_STATUSBARLAYER_REFLESHDATA)
	try(
		function ( ... )
			_ccbNode.refleshData()
		end
	)
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end










-- [加载/卸载]
local function onCCBLoad(data, callback)
	--13000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_STATUSBARLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "StatusBarLayer.ccbi")
	-- Quick element
	_nodeTable["lblLevel"] = _ccbNode:getNode("lblLevel", "CCLabelTTF")
	_nodeTable["lblSummonCurrent"] = _ccbNode:getNode("lblSummonCurrent", "CCLabelTTF")
	_nodeTable["lblSummonTotal"] = _ccbNode:getNode("lblSummonTotal", "CCLabelTTF")
	_nodeTable["lblSpTimeLabel"] = _ccbNode:getNode("lblSpTimeLabel", "CCLabelTTF")
	_nodeTable["lblSpTimeFull"] = _ccbNode:getNode("lblSpTimeFull", "CCLabelTTF")
	_nodeTable["lyrTime"] = _ccbNode:getNode("lyrTime", "CCLayer")
	_nodeTable["lblGold"] = _ccbNode:getNode("lblGold", "CCLabelTTF")
	_nodeTable["lblDiamond"] = _ccbNode:getNode("lblDiamond", "CCLabelTTF")
	_nodeTable["lblStar"] = _ccbNode:getNode("lblStar", "CCLabelTTF")
	_nodeTable["lblFriendPoint"] = _ccbNode:getNode("lblFriendPoint", "CCLabelTTF")
	_nodeTable["mCostLabel"] = _ccbNode:getNode("mCostLabel", "CCLabelTTF")
	_nodeTable["mExpTitleLabel"] = _ccbNode:getNode("mExpTitleLabel", "CCLabelTTF")
	_nodeTable["mSpTitleLabel"] = _ccbNode:getNode("mSpTitleLabel", "CCLabelTTF")
	
	-- CCControlButton
	_ccbNode:bindButton("btnAddSp", onBtnAddSpClick)
	data = _ccbNode
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	-- android上的位置调整
	-- util.modifyPositionInAndroid( _nodeTable.lblLevel, 0, 6 ) -- 等级

	CCBCenter.bindView("ccb.v.common.StatusBarLayerView", _ccbNode, _nodeTable)

	-- 填充文字
	_nodeTable["mCostLabel"]:setString(_s("ROLE_COST"))
	_nodeTable["lblSpTimeLabel"]:setString(_s("ROLE_SP_TIME"))
	_nodeTable["lblSpTimeFull"]:setString(_s("ROLE_SP_FULL"))
	_nodeTable["mExpTitleLabel"]:setString(_s("ROLE_EXP"))
	_nodeTable["mSpTitleLabel"]:setString(_s("ROLE_SP"))
	
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushFirstCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_STATUSBARLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_STATUSBARLAYER_ONBTNADDSPCLICK]	= onBtnAddSpClick
MSG_HANDLER[MSG_ID.MSG_STATUSBARLAYER_REFLESHDATA]		= refleshData
