--DiamondAlertLayer.lua

MSG_ID.MSG_DIAMONDALERTLAYER_MODEL 				= 5200

MSG_ID.MSG_DIAMONDALERTLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_DIAMONDALERTLAYER_MODEL + 10

local TAG = "[DiamondAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--5200 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_DIAMONDALERTLAYER_ONBTNCLOSECLICK)
	_ccbNode.saveTable()
	closeLayer()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--5200
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_DIAMONDALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "DiamondAlertLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mDiamondAlertTitleLabel"] = _ccbNode:getTTFLabel("mDiamondAlertTitleLabel", _s("USE_DIAMOND_TITLE"))
	_nodeTable["mAllChooseLabel"] = _ccbNode:getTTFLabel("mAllChooseLabel",_s("USE_DIAMOND_ALL"))

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.diamondalert.DiamondAlertLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_DIAMONDALERTLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_DIAMONDALERTLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
