--DoorLayer.lua

MSG_ID.MSG_DOORLAYER_MODEL 				= 16000
MSG_ID.MSG_DOORLAYER_OPENDOOR			= MSG_ID.MSG_DOORLAYER_MODEL + 10

local TAG = "[DoorLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function openDoor()
	_ccbNode.openDoor()
end

local function onCCBLoad(data, callback)
	--11000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_DOORLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "DoorLayer.ccbi")
	-- Quick element
	_nodeTable["door_l"] = _ccbNode:getNode("door_l", "CCSprite")
	_nodeTable["door_r"] = _ccbNode:getNode("door_r", "CCSprite")
	_nodeTable["door_m"] = _ccbNode:getNode("door_m", "CCSprite")
	_nodeTable["door_m2"] = _ccbNode:getNode("door_m2", "CCSprite")

	-- CCControlButton
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.fight.DoorLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushSecondCCBNode(_ccbNode)
	end

end


MSG_HANDLER[MSG_ID.MSG_DOORLAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_DOORLAYER_OPENDOOR]			= openDoor