--FightResult3Layer.lua

MSG_ID.MSG_FIGHTRESULT3LAYER_MODEL 				= 18000
local TAG = "[FightResult3Layer]"

local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
end











-- [函数定义]
-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end










-- [加载/卸载]
local function onCCBLoad(data, callback)
	--18000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_FIGHTRESULT3LAYER_MODEL)
	
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "FightResult3Layer.ccbi")
	_ccbNode._DATA = data

	-- Quick element
	_nodeTable["lyrWhole"] = _ccbNode:getNode("lyrWhole", "CCLayer")
	_nodeTable["sptBackground"] = _ccbNode:getNode("sptBackground", "CCSprite")
	_nodeTable["lyrTitleWin"] = _ccbNode:getNode("lyrTitleWin", "CCLayer")
	_nodeTable["sptTitleBarWin"] = _ccbNode:getNode("sptTitleBarWin", "CCSprite")
	_nodeTable["sptTitleWin"] = _ccbNode:getNode("sptTitleWin", "CCSprite")
	_nodeTable["lyrTitleLose"] = _ccbNode:getNode("lyrTitleLose", "CCLayer")
	_nodeTable["sptTitleBarLose"] = _ccbNode:getNode("sptTitleBarLose", "CCSprite")
	_nodeTable["sptTitleLose"] = _ccbNode:getNode("sptTitleLose", "CCSprite")

	_nodeTable["lyrCards"] = _ccbNode:getNode("lyrCards", "CCLayer")
	_nodeTable["lyrCard1_1"] = _ccbNode:getNode("lyrCard1_1", "CCLayer")
	_nodeTable["lyrCard1_2"] = _ccbNode:getNode("lyrCard1_2", "CCLayer")
	_nodeTable["lyrCard1_3"] = _ccbNode:getNode("lyrCard1_3", "CCLayer")
	_nodeTable["lyrCard1_4"] = _ccbNode:getNode("lyrCard1_4", "CCLayer")
	_nodeTable["lyrCard1_5"] = _ccbNode:getNode("lyrCard1_5", "CCLayer")
	_nodeTable["lyrCard2_1"] = _ccbNode:getNode("lyrCard2_1", "CCLayer")
	_nodeTable["lyrCard2_2"] = _ccbNode:getNode("lyrCard2_2", "CCLayer")
	_nodeTable["lyrCard2_3"] = _ccbNode:getNode("lyrCard2_3", "CCLayer")
	_nodeTable["lyrCard2_4"] = _ccbNode:getNode("lyrCard2_4", "CCLayer")

	-- _nodeTable["lyrCardnum1_1"] = _ccbNode:getNode("lyrCardnum1_1", "CCLabelTTF")
	-- _nodeTable["lyrCardnum1_2"] = _ccbNode:getNode("lyrCardnum1_2", "CCLabelTTF")
	-- _nodeTable["lyrCardnum1_3"] = _ccbNode:getNode("lyrCardnum1_3", "CCLabelTTF")
	-- _nodeTable["lyrCardnum1_4"] = _ccbNode:getNode("lyrCardnum1_4", "CCLabelTTF")
	-- _nodeTable["lyrCardnum1_5"] = _ccbNode:getNode("lyrCardnum1_5", "CCLabelTTF")
	-- _nodeTable["lyrCardnum2_1"] = _ccbNode:getNode("lyrCardnum2_1", "CCLabelTTF")
	-- _nodeTable["lyrCardnum2_2"] = _ccbNode:getNode("lyrCardnum2_2", "CCLabelTTF")
	-- _nodeTable["lyrCardnum2_3"] = _ccbNode:getNode("lyrCardnum2_3", "CCLabelTTF")
	-- _nodeTable["lyrCardnum2_4"] = _ccbNode:getNode("lyrCardnum2_4", "CCLabelTTF")

	_nodeTable["lyrLevel"] = _ccbNode:getNode("lyrLevel", "CCLayer")
	_nodeTable["lyrLevelLineMe"] = _ccbNode:getNode("lyrLevelLineMe", "CCLayer")
	_nodeTable["lblMeName"] = _ccbNode:getNode("lblMeName", "CCLabelTTF")
	_nodeTable["mMeGetLabel"] = _ccbNode:getNode("mMeGetLabel", "CCLabelTTF")
	_nodeTable["lblMeFriendPoint"] = _ccbNode:getNode("lblMeFriendPoint", "CCLabelTTF")
	_nodeTable["mMeFPLabel"] = _ccbNode:getNode("mMeFPLabel", "CCLabelTTF")
	_nodeTable["lyrLevelLineOpp"] = _ccbNode:getNode("lyrLevelLineOpp", "CCLayer")
	_nodeTable["lblOppName"] = _ccbNode:getNode("lblOppName", "CCLabelTTF")
	_nodeTable["lblOppFriendPoint"] = _ccbNode:getNode("lblOppFriendPoint", "CCLabelTTF")
	_nodeTable["mOppGetLabel"] = _ccbNode:getNode("mOppGetLabel", "CCLabelTTF")
	_nodeTable["mOppFPLabel"] = _ccbNode:getNode("mOppFPLabel", "CCLabelTTF")
	_nodeTable["lyrLevelLine2"] = _ccbNode:getNode("lyrLevelLine2", "CCLayer")
	_nodeTable["lblTextGold"] = _ccbNode:getNode("lblTextGold", "CCLabelTTF")
	_nodeTable["lblGold"] = _ccbNode:getNode("lblGold", "CCLabelTTF")
	_nodeTable["lyrLevelLine3"] = _ccbNode:getNode("lyrLevelLine3", "CCLayer")
	_nodeTable["lblRewardExp"] = _ccbNode:getNode("lblRewardExp", "CCLabelTTF")
	_nodeTable["mGetExpLabel"] = _ccbNode:getNode("mGetExpLabel", "CCLabelTTF")
	_nodeTable["lblfblightstart"] = _ccbNode:getNode("lblfblightstart", "CCLabelTTF")
	_nodeTable["lblfblightGold"] = _ccbNode:getNode("lblfblightGold", "CCLabelTTF")



	_nodeTable["lblLvLast"] = _ccbNode:getNode("lblLvLast", "CCLabelTTF")
	_nodeTable["mLvLabel"] = _ccbNode:getNode("mLvLabel", "CCLabelTTF")
	_nodeTable["lblLvCurrent"] = _ccbNode:getNode("lblLvCurrent", "CCLabelTTF")
	_nodeTable["sptLevelUpArrow5"] = _ccbNode:getNode("sptLevelUpArrow5", "CCSprite")
	_nodeTable["lyrExpfbflight"] = _ccbNode:getNode("lyrExpfbflight", "CCLayer")


	_nodeTable["lyrLevelUp"] = _ccbNode:getNode("lyrLevelUp", "CCLayer")
	_nodeTable["sptTitleLevelUp"] = _ccbNode:getNode("sptTitleLevelUp", "CCSprite")
	_nodeTable["lyrLevelUpLine1"] = _ccbNode:getNode("lyrLevelUpLine1", "CCLayer")
	_nodeTable["mHpLabel"] = _ccbNode:getNode("mHpLabel", "CCLabelTTF")
	_nodeTable["lblHpLast"] = _ccbNode:getNode("lblHpLast", "CCLabelTTF")
	_nodeTable["sptLevelUpArrow1"] = _ccbNode:getNode("sptLevelUpArrow1", "CCSprite")
	_nodeTable["lblHpCurrent"] = _ccbNode:getNode("lblHpCurrent", "CCLabelTTF")
	_nodeTable["lyrLevelUpLine2"] = _ccbNode:getNode("lyrLevelUpLine2", "CCLayer")
	_nodeTable["mCardLimitLabel"] = _ccbNode:getNode("mCardLimitLabel", "CCLabelTTF")
	_nodeTable["lblCardNumLast"] = _ccbNode:getNode("lblCardNumLast", "CCLabelTTF")
	_nodeTable["sptLevelUpArrow2"] = _ccbNode:getNode("sptLevelUpArrow2", "CCSprite")
	_nodeTable["lblCardNumCurrent"] = _ccbNode:getNode("lblCardNumCurrent", "CCLabelTTF")
	_nodeTable["lyrLevelUpLine3"] = _ccbNode:getNode("lyrLevelUpLine3", "CCLayer")
	_nodeTable["mCostLabel"] = _ccbNode:getNode("mCostLabel", "CCLabelTTF")
	_nodeTable["lblSpLast"] = _ccbNode:getNode("lblSpLast", "CCLabelTTF")
	_nodeTable["sptLevelUpArrow3"] = _ccbNode:getNode("sptLevelUpArrow3", "CCSprite")
	_nodeTable["lblSpCurrent"] = _ccbNode:getNode("lblSpCurrent", "CCLabelTTF")
	_nodeTable["lyrLevelUpLine4"] = _ccbNode:getNode("lyrLevelUpLine4", "CCLayer")
	_nodeTable["mFriendLimitLabel"] = _ccbNode:getNode("mFriendLimitLabel", "CCLabelTTF")
	_nodeTable["lblFriendNumLast"] = _ccbNode:getNode("lblFriendNumLast", "CCLabelTTF")
	_nodeTable["sptLevelUpArrow4"] = _ccbNode:getNode("sptLevelUpArrow4", "CCSprite")
	_nodeTable["lblFriendNumCurrent"] = _ccbNode:getNode("lblFriendNumCurrent", "CCLabelTTF")
	_nodeTable["lyrRankWar"] = _ccbNode:getNode("lyrRankWar", "CCLayer")
	_nodeTable["lyrRankWarLine1"] = _ccbNode:getNode("lyrRankWarLine1", "CCLayer")
	_nodeTable["mRankLabel"] = _ccbNode:getNode("mRankLabel", "CCLabelTTF")
	_nodeTable["lblRankUpDownRW"] = _ccbNode:getNode("lblRankUpDownRW", "CCLabelTTF")
	_nodeTable["lblRankRW"] = _ccbNode:getNode("lblRankRW", "CCLabelTTF")
	_nodeTable["lyrRankWarLine2"] = _ccbNode:getNode("lyrRankWarLine2", "CCLayer")
	_nodeTable["lblTextGoldRW"] = _ccbNode:getNode("lblTextGoldRW", "CCLabelTTF")
	_nodeTable["lblGoldRW"] = _ccbNode:getNode("lblGoldRW", "CCLabelTTF")
	_nodeTable["lyrRankWarLine3"] = _ccbNode:getNode("lyrRankWarLine3", "CCLayer")
	_nodeTable["mRewardExpLabel"] = _ccbNode:getNode("mRewardExpLabel", "CCLabelTTF")
	_nodeTable["lblRewardExpRW"] = _ccbNode:getNode("lblRewardExpRW", "CCLabelTTF")
	_nodeTable["lyrCompetitiveRace"] = _ccbNode:getNode("lyrCompetitiveRace", "CCLayer")

	_nodeTable["lyrCompetitiveRaceLine1"] = _ccbNode:getNode("lyrCompetitiveRaceLine1", "CCLayer")
	_nodeTable["mGetScoreLabel"] = _ccbNode:getNode("mGetScoreLabel", "CCLabelTTF")
	_nodeTable["lblScoreGainCR"] = _ccbNode:getNode("lblScoreGainCR", "CCLabelTTF")
	_nodeTable["lyrCompetitiveRaceLine2"] = _ccbNode:getNode("lyrCompetitiveRaceLine2", "CCLayer")
	_nodeTable["lyrStartCR"] = _ccbNode:getNode("lyrStartCR", "CCSprite")
	_nodeTable["lblStartCR"] = _ccbNode:getNode("lblStartCR", "CCLabelTTF")
	_nodeTable["lyrCompetitiveRaceLine3"] = _ccbNode:getNode("lyrCompetitiveRaceLine3", "CCLayer")
	_nodeTable["mArenaRankLabel"] = _ccbNode:getNode("mArenaRankLabel", "CCLabelTTF")
	_nodeTable["lblRankUpDownCR"] = _ccbNode:getNode("lblRankUpDownCR", "CCLabelTTF")
	_nodeTable["lblRankCR"] = _ccbNode:getNode("lblRankCR", "CCLabelTTF")

	_nodeTable["lyrFail"] = _ccbNode:getNode("lyrFail", "CCLayer")
	_nodeTable["lyrFailRetry"] = _ccbNode:getNode("lyrFailRetry", "CCLayer")
	_nodeTable["lyrFailInviteFriend"] = _ccbNode:getNode("lyrFailInviteFriend", "CCLayer")
	_nodeTable["lyrFailBuyCard"] = _ccbNode:getNode("lyrFailBuyCard", "CCLayer")
	_nodeTable["lyrFailStrongCard"] = _ccbNode:getNode("lyrFailStrongCard", "CCLayer")

	_nodeTable["lyrSuccess"] = _ccbNode:getNode("lyrSuccess", "CCLayer")
	_nodeTable["lyrSuccessRetry"] = _ccbNode:getNode("lyrSuccessRetry", "CCLayer")
	_nodeTable["lyrSuccessClose"] = _ccbNode:getNode("lyrSuccessClose", "CCLayer")
	
	_nodeTable["lyrBossSuccess"] = _ccbNode:getNode("lyrBossSuccess", "CCLayer")
	_nodeTable["lblBossStartCR"] = _ccbNode:getNode("lblBossStartCR", "CCLabelTTF")
	_nodeTable["lblBossGold"] = _ccbNode:getNode("lblBossGold", "CCLabelTTF")
	_nodeTable["lblBossHurt"] = _ccbNode:getNode("lblBossHurt", "CCLabelTTF")
	_nodeTable["lblBossContributeCR"] = _ccbNode:getNode("lblBossContributeCR", "CCLabelTTF")
	_nodeTable["lyrBossSuccess1"] = _ccbNode:getNode("lyrBossSuccess1", "CCLayer")
	_nodeTable["lyrBossSuccess5"] = _ccbNode:getNode("lyrBossSuccess5", "CCLayer")
	_nodeTable["lyrBossSuccess2"] = _ccbNode:getNode("lyrBossSuccess2", "CCLayer")

	_nodeTable["lyrBossSuccess4"] = _ccbNode:getNode("lyrBossSuccess4", "CCLabelTTF")
	_nodeTable["lytowerresult"] = _ccbNode:getNode("lytowerresult", "CCLayer")
	_nodeTable["lbltowerresults"] = _ccbNode:getNode("lbltowerresults", "CCLabelTTF")
	_nodeTable["lbltowerresulttitle"] = _ccbNode:getNode("lbltowerresulttitle", "CCLabelTTF")
	
	_nodeTable["lblBossHurtTitle"] = _ccbNode:getTTFLabel("lblBossHurtTitle", _s("FIGHT_BOSS_HURT"))

	-- CCControlButton
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)

	-- 填充文字
	-- _nodeTable["mMeGetLabel"]:setString(_s("FIGHT_GET"))
	_nodeTable["lblTextGold"]:setString(_s("CARD_SELL_MONEY"))
	_nodeTable["mGetExpLabel"]:setString(_s("CARD_GET_EXP"))
	-- _nodeTable["mOppGetLabel"]:setString(_s("FIGHT_GET"))
	-- _nodeTable["mMeFPLabel"]:setString(_s("FIGHT_FP"))
	-- _nodeTable["mOppFPLabel"]:setString(_s("FIGHT_FP"))

	_nodeTable["mHpLabel"]:setString(_s("FIGHT_HP"))
	_nodeTable["mCostLabel"]:setString(_s("FIGHT_CARD_COST"))
	_nodeTable["mFriendLimitLabel"]:setString(_s("FIGHT_FRIEND_LIMIT"))
	_nodeTable["mCardLimitLabel"]:setString(_s("FIGHT_CARD_LIMIT"))
	_nodeTable["mLvLabel"]:setString(_s("RANK_TYPE_LV"))

	_nodeTable["mRankLabel"]:setString(_s("FIGHT_RANK"))
	_nodeTable["lblTextGoldRW"]:setString(_s("CARD_SELL_MONEY"))
	_nodeTable["mRewardExpLabel"]:setString(_s("CARD_GET_EXP"))

	_nodeTable["mGetScoreLabel"]:setString(_s("FIGHT_GET_SCORE"))
	_nodeTable["mArenaRankLabel"]:setString(_s("FIGHT_ARENA_RANK"))
	_nodeTable["lbltowerresulttitle"]:setString(_s("TOWER_RESULT_TITLE"))
	

	CCBCenter.bindView("ccb.v.fight.FightResult3LayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushFirstCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_FIGHTRESULT3LAYER_MODEL]				= onCCBLoad