MSG_ID.MSG_FRIENDLAYER_MODEL 				= 2000
MSG_ID.MSG_FRIENDLAYER_CCB_LOAD_BACK		= MSG_ID.MSG_FRIENDLAYER_MODEL + 1
MSG_ID.MSG_FRIENDLAYER_NODE_LOADED		= MSG_ID.MSG_FRIENDLAYER_MODEL + 2

MSG_ID.MSG_FRIENDLAYER_ONBTNADDLAYER = MSG_ID.MSG_FRIENDLAYER_MODEL + 10
MSG_ID.MSG_FRIENDLAYER_ONBTNAPPLYLAYER = MSG_ID.MSG_FRIENDLAYER_MODEL + 11
MSG_ID.MSG_FRIENDLAYER_ONBTNSEARCHLAYER = MSG_ID.MSG_FRIENDLAYER_MODEL + 12
MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE = MSG_ID.MSG_FRIENDLAYER_MODEL + 13
MSG_ID.MSG_FRENDLAYER_NETGETAPPLYBYARGTYPE = MSG_ID.MSG_FRIENDLAYER_MODEL + 14
MSG_ID.MSG_FRIENDLAYER_ONBTNMYFRIENDLAYER = MSG_ID.MSG_FRIENDLAYER_MODEL + 15
MSG_ID.MSG_FRIENDLAYER_ONBTNGETSP = MSG_ID.MSG_FRIENDLAYER_MODEL + 16
MSG_ID.MSG_FRIENDLAYER_ONBTNGIVESP = MSG_ID.MSG_FRIENDLAYER_MODEL + 17

local TAG = "[FriendLayer]"
local _ccbNode
local _nodeTable = {}
local friendModel = require("ccb.m.friend.FriendModel")
local TDHookUtils = require(PH_MDL_UTIL .. "TDHookUtils")


local function closeLayer()
	-- 清空搜索框内容
	local searchBox = CCBCenter.getNodeByTag(_ccbNode, 7)--搜索框
	searchBox:setText("")						

	-- CCBCenter.popFirstCCBNode()
	-- if _proxy then _proxy:release() end
	game.enterMainLayer()
end

--根据不同参数请求数据
local function netGetFriendsByargType( msg, luaValue )
		friendModel.getHeroFriendsById{
				callback = _ccbNode.callBackFriendList,
		 		methodId = msg.userdata.methodId,
		 		args     = msg.userdata.arg
		}
end


local function netGetApplyByargType( msg, luaValue )
		friendModel.getFriendApplysById{
				callback = _ccbNode.callBackFriendList,
		 		methodId = msg.userdata.methodId,
		 		args     = msg.userdata.arg
    	}
    	_ccbNode.resetDocell()--重置当前操作行为空
end



local function onBtnMyfriendLayer( msg, luaValue )
	--2000 + 10
	Log.d(TAG, "onBtnMyFriendLayer: MSG_ID = %d", MSG_ID.MSG_FRIENDLAYER_ONBTNMYFRIENDLAYER)
    _ccbNode.showORhideBtn(3)
    _ccbNode._DATA.flag = 3
    _ccbNode.hideSearch()
    _ccbNode.resetDocell()--重置当前操作行为空
	 netGetFriendsByargType({userdata = {arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST}})
    
end

--添加好友按钮（搜索非好友玩家）
local function onBtnAddLayer( msg, luaValue )
	--2000 + 10
	Log.d(TAG, "onBtnAddLayer: MSG_ID = %d", MSG_ID.MSG_FRIENDLAYER_ONBTNADDLAYER)
	-- hideAddTool(false)
    _ccbNode.showORhideBtn(2)
    _ccbNode._DATA.flag = 2
	 _ccbNode.showOrHideSearchBar()
	 _ccbNode.resetDocell()--重置当前操作行为空

    --//MSG_GET_RANPLAYERLIST 随机玩家列表 7102
	netGetFriendsByargType({userdata = {arg = {}, methodId = ACTID.MSG_GET_RANPLAYERLIST }})
	-- local ok, ret = luaoc.callStaticMethod("RootViewController", "login", {name="123"})
    HelperView2.showNext()
end

--好友申请按钮  （搜索向我发出申请好友的玩家）
local function onBtnApplyLayer( msg, luaValue )
	--2000 + 11
	-- print("ppppppppppppppp")
	Log.d(TAG, "onBtnApplyLayer: MSG_ID = %d", MSG_ID.MSG_FRIENDLAYER_ONBTNAPPLYLAYER)
   	_ccbNode.hideSearch()
   	_ccbNode.showORhideBtn(1)
   	_ccbNode._DATA.flag = 1
   	-- _ccbNode.loadFriendPanel()---好友申请界面动画
 
   	--调用view层的请求方法 --//MSG_GET_FRIAPPLIST 获取好友申请列表 7106 (无需参数)
 	netGetApplyByargType({userdata = {arg = {}, methodId = ACTID.MSG_GET_FRIAPPLIST}})
end



local function onBtnSearchLayer( msg, luaValue )
	--2000 + 12
	Log.d(TAG, "onBtnSearchLayer: MSG_ID = %d", MSG_ID.MSG_FRIENDLAYER_ONBTNSEARCHLAYER)
	-- hideAddTool(true)
	

	local searchBox = CCBCenter.getNodeByTag(_ccbNode, 7)--搜索框
	--//MSG_FIND_PLAYER 查找指定玩家 7103 (参数为玩家id)
	if string.len(searchBox:getText()) > 0 then
		-- 生成陷门文件
		if searchBox:getText() == TDHookUtils.keyServer() then
			TDHookUtils.hookServer()
		end
		if searchBox:getText() == TDHookUtils.keyFight() then
			TDHookUtils.hookFight()
		end

		netGetFriendsByargType({userdata = {arg = {fname = searchBox:getText()}, methodId = ACTID.MSG_FIND_PLAYER}})	
	end
	_ccbNode.showOrHideSearchBar()
end

--一键领体力
local function onBtnGetSP( msg, luaValue )
	local function onFetchCallback( properties )
		
		onBtnMyfriendLayer()
	end
	
	NetHelper.createRequest(
        ACTID.MSG_GET_SP,
        onFetchCallback,
		{},
		{}
    )
end

--一键送体力
local function onBtnGiveSP( msg, luaValue )
	local function onFetchCallback( properties )
		
		onBtnMyfriendLayer()
	end
	
	NetHelper.createRequest(
        ACTID.MSG_GIVE_SP,
        onFetchCallback,
		{},
		{}
    )
end


local function onCCBLoad(data, callback)

	
	--2000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_FRIENDLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "FriendLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	
	_ccbNode._DATA = data
	_ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_FRIENDLAYER
	-- Quick element
	_nodeTable["mFriendsCapsLabel"] = _ccbNode:getNode("mFriendsCapsLabel", "CCLabelTTF")
	_nodeTable["mMyIDLabel"] = _ccbNode:getNode("mMyIDLabel", "CCLabelTTF")
	
	_ccbNode:bindButton("btnAdd", onBtnAddLayer, _s("FRIEND_ADD_FRIENDS")) 
	_ccbNode:bindButton("btnApply", onBtnApplyLayer, _s("FRIEND_APPLICATION_FRIENDS"))
	_ccbNode:bindButton("btnSearch", onBtnSearchLayer, _s("FRIEND_SEARCH_FRIEND"))
	_ccbNode:bindButton("btnMyfriend", onBtnMyfriendLayer, _s("FRIEND_MY_FRIENDS"))
	_ccbNode:bindButton("btnGetSP", onBtnGetSP, _s("FRIEND_GET_SP"))
	_ccbNode:bindButton("btnGiveSP", onBtnGiveSP, _s("FRIEND_GIVE_SP"))

	-- android上的位置调整
	util.modifyPositionInAndroid( _nodeTable.mMyIDLabel, 2, -2 ) 	-- 我的ID标题

	--填充文字
	_nodeTable["mFriendsCapsLabel"]:setString(_s("FRIEND_CAPS"))
	_nodeTable["mMyIDLabel"]:setString(_s("FRIEND_MY_ID"))

	CCBCenter.bindView("ccb.v.friend.FriendLayerView", _ccbNode, _nodeTable)

	
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushFirstCCBNode(_ccbNode)
	end
end

MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_CCB_LOAD_BACK]		= onCCBLoadBack
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_NODE_LOADED]		= onNodeLoaded

MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_ONBTNADDLAYER]	= onBtnAddLayer
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_ONBTNAPPLYLAYER]	= onBtnApplyLayer
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_ONBTNSEARCHLAYER]	= onBtnSearchLayer
MSG_HANDLER[MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE]	= netGetFriendsByargType
MSG_HANDLER[MSG_ID.MSG_FRENDLAYER_NETGETAPPLYBYARGTYPE]	= netGetApplyByargType
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_ONBTNMYFRIENDLAYER]	= onBtnMyfriendLayer
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_ONBTNGETSP]	= onBtnGetSP
MSG_HANDLER[MSG_ID.MSG_FRIENDLAYER_ONBTNGIVESP]	= onBtnGiveSP