--GoodsChangeNameAlertLayer.lua

MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_MODEL 				= 25500

MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ONBTNEXCHANGECLICK = MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_MODEL + 10
MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ONBTNBACKCLICK = MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_MODEL + 11
MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ACTION_ONFETCHUPDATENICKNAME = MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_MODEL + 12

local TAG = "[GoodsChangeNameAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end

local function onBtnExchangeClick( msg, luaValue )
	--25500 + 10
	Log.d(TAG, "btnExchange: MSG_ID = %d", MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ONBTNEXCHANGECLICK)
	if _ccbNode.isCodeCompliance() then
		CCBCenter.sendLuaMessage(MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ACTION_ONFETCHUPDATENICKNAME, nil, {newname = _ccbNode.getCode()})
	end
end

local function onBtnBackClick( msg, luaValue )
	--25500 + 11
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ONBTNBACKCLICK)
	closeLayer()
end
local function onActionFetchUpdateNickName( msg, luaValue )
	--25500 + 12
	Log.d(TAG, "onActionFetchUpdateNickName: MSG_ID = %d", MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ACTION_ONFETCHUPDATENICKNAME)
	local function onFetchCallback( items )
		NetHelper.QuickToast(_s("GOODS_NAME_SUCCESS"))
		ME:setName(_ccbNode:getCode())
		if _nodeTable._CONFIRM then
			_nodeTable._CONFIRM()
		end
		closeLayer()
    end
    ModelHelper.requireDataWithFun(
        "model.goods.GoodsModel",
        "fetchUpdateNickName",
        onFetchCallback,
        msg.userdata
    )
end
-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--25500
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "GoodsChangeNameAlertLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	if data then
		_nodeTable._CONFIRM = data.onConfirm
	end
	-- Quick element
	-- CCControlButton
	_ccbNode:bindButton("btnExchange", onBtnExchangeClick, _s("COMMON_OK"))
	_ccbNode:bindButton("btnBack", onBtnBackClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.goods.GoodsChangeNameAlertLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
	end
end


MSG_HANDLER[MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ONBTNEXCHANGECLICK]	= onBtnExchangeClick
MSG_HANDLER[MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ONBTNBACKCLICK]	= onBtnBackClick
MSG_HANDLER[MSG_ID.MSG_GOODSCHANGENAMEALERTLAYER_ACTION_ONFETCHUPDATENICKNAME]	= onActionFetchUpdateNickName
