--ActivityFirstChargeLayer.lua

MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_MODEL 				= 19000

MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ONBTNCHARGECLICK = MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_MODEL + 10
MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ACTION_ONFETCHFIRSTCHARGE = MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_MODEL + 11
MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ONBTNBACKCLICK = MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_MODEL + 12

local TAG = "[ActivityFirstChargeLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnChargeClick( msg, luaValue )
	--19000 + 10
	Log.d(TAG, "btnCharge: MSG_ID = %d", MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ONBTNCHARGECLICK)
	SOUND:playEffectButton1()
    closeLayer()
	_sdkPlatform.storeFirstView()
end

local function onBtnBackClick( msg, luaValue )
  	closeLayer()
end

local function onActionFetchFirshCharge( msg, luaValue )
	-- 1000 + 15
	Log.d(TAG, "onActionFetchFirshCharge: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
		_ccbNode.updateData(items)
    end
    ModelHelper.requireDataWithFun(
        "model.activity.ActivityModel",
        "fetchFirshCharge",
        onFetchCallback,
        msg.userdata
    )
    -- onFetchCallback{showstr = "1111", reward = {gold = 100, star = 100, brlist = {{no = 1, count = 1}, {no = 5001, count = 1}, {no = 20001, count = 1}, {no = 10001, count = 1}}}}
end
-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--19000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ActivityFirstChargeLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	-- _nodeTable["mFirstChargeLabel"] = _ccbNode:getNode("mFirstChargeLabel", "CCLabelTTF")
	-- CCControlButton
	_nodeTable["btnCharge"] = _ccbNode:bindButton("btnCharge", onBtnChargeClick)
	_nodeTable["btnBack"] = _ccbNode:bindButton("btnBack", onBtnBackClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	-- 填充文字
	-- _nodeTable["mFirstChargeLabel"]:setString(_s("ACTIVITY_FIRST_RECHARGE"))
	
	CCBCenter.bindView("ccb.v.main.ActivityFirstChargeLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
        _nodeTable["btnBack"]:setVisible(false)
        CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ACTION_ONFETCHFIRSTCHARGE)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT, {onComplete = function ( )
            CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ACTION_ONFETCHFIRSTCHARGE)
         end})
	end
end


MSG_HANDLER[MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ONBTNCHARGECLICK]	= onBtnChargeClick
MSG_HANDLER[MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ACTION_ONFETCHFIRSTCHARGE] 		= onActionFetchFirshCharge
MSG_HANDLER[MSG_ID.MSG_ACTIVITYFIRSTCHARGELAYER_ONBTNBACKCLICK] = onBtnBackClick