--ActivityFortuneWheelLayer.lua

MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_MODEL 				= 22000

MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_ONBTNLOTTERYFIRSTCLICK = MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_MODEL + 10
MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_ONBTNLOTTERYNEXTCLICK = MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_MODEL + 11

local TAG = "[ActivityFortuneWheelLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
end










-- [操作变量]
-- [工具]
-- 断言
TDAssertUtils      			= require("view.Fight.Util.TDAssertUtils")










-- [函数声明]











-- [函数定义]
local function onBtnLotteryFirstClick( msg, luaValue )
	--22000 + 10
	Log.d(TAG, "btnLotteryFirst: MSG_ID = %d", MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_ONBTNLOTTERYFIRSTCLICK)

	-- 处理点击事件[首次抽奖]
	_ccbNode.onLotteryFirst()

end

local function onBtnLotteryNextClick( msg, luaValue )
	--22000 + 11
	Log.d(TAG, "btnLotteryNext: MSG_ID = %d", MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_ONBTNLOTTERYNEXTCLICK)
	
    -- 处理点击事件[再次抽奖]
	_ccbNode.onLotteryNext()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end










-- [加载/卸载]
local function onCCBLoad(data, callback)
	--22000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ActivityFortuneWheelLayer.ccbi")
	-- Quick element
	_nodeTable["lblClock1"] = _ccbNode:getNode("lblClock1", "CCLabelTTF")
	_nodeTable["lblClock2"] = _ccbNode:getNode("lblClock2", "CCLabelTTF")
	_nodeTable["lblClock3"] = _ccbNode:getNode("lblClock3", "CCLabelTTF")
	_nodeTable["lblGainTitle"] = _ccbNode:getNode("lblGainTitle", "CCLabelTTF")
	_nodeTable["lblGainReward"] = _ccbNode:getNode("lblGainReward", "CCLabelTTF")
	_nodeTable["sptRewardBoard"] = _ccbNode:getNode("sptRewardBoard", "CCSprite")
	_nodeTable["sptTurntable"] = _ccbNode:getNode("sptTurntable", "CCSprite")
	_nodeTable["sptRunner"] = _ccbNode:getNode("sptRunner", "CCSprite")
	_nodeTable["sptPointer"] = _ccbNode:getNode("sptPointer", "CCSprite")
	_nodeTable["lyrRewardScrollView"] = _ccbNode:getNode("lyrRewardScrollView", "CCLayer")
	_nodeTable["lyrLotteryFirst"] = _ccbNode:getNode("lyrLotteryFirst", "CCLayer")
	_nodeTable["lyrLotteryNext"] = _ccbNode:getNode("lyrLotteryNext", "CCLayer")
	_nodeTable["mTipLabel"] = _ccbNode:getNode("mTipLabel", "CCLabelTTF")
	_nodeTable["mTitleLabel"] = _ccbNode:getTTFLabel("mTitleLabel", _s("ACTIVITY_FW_TITLE"))

	-- CCControlButton
	_ccbNode:bindButton("btnLotteryFirst", onBtnLotteryFirstClick, _s("ACTIVITY_FW_BTN_FIRST"))
	_ccbNode:bindButton("btnLotteryNext", onBtnLotteryNextClick) 		-- _s("ACTIVITY_FW_BTN_NEXT")

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.ActivityFortuneWheelLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushFirstCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_ONBTNLOTTERYFIRSTCLICK]	= onBtnLotteryFirstClick
MSG_HANDLER[MSG_ID.MSG_ACTIVITYFORTUNEWHEELLAYER_ONBTNLOTTERYNEXTCLICK]	= onBtnLotteryNextClick
