--ActivityTextButtonContainerLayer.lua

MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_MODEL 				= 22100

MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_ONBTNRECEIVECLICK = MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_MODEL + 10
MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHRECEIVEMOONREWARD = MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_MODEL + 10

local TAG = "[ActivityTextButtonContainerLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popLastLevelCCBNode()
end


local function onBtnReceiveClick( msg, luaValue )
	--22100 + 10
	Log.d(TAG, "btnReceive: MSG_ID = %d", MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_ONBTNRECEIVECLICK)
	CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHRECEIVEMOONREWARD)
end

local function onActionFetchReceiveMoonReward( msg, luaValue )
	-- 1900 + 11
	Log.d(TAG, "onActionFetchReceiveMoonReward: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
        local rewardEntity = require("model.main.RewardEntity").new(items)
        CCBCenter.loadCCB(
            "MSG_RECEIVEREWARDALERTLAYER_MODEL", 
            "ccb.c.main.ReceiveRewardAlertLayer", 
            {
                entity = rewardEntity,
                onConfirm = function( )
                    -- 领取回来刷新
                    _ccbNode.updateButtonStatus(2)
                    -- CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHEIGHTDAYLIST)
                    -- CCBCenter.sendLuaMessage(MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFOWITHOUTPOPUPWINDOW)
                end
            }
        )
		-- _ccbNode.updateData(items)
    end
    ModelHelper.requireDataWithFun(
            "model.main.MainModel",
            "fetchReceiveMoonReward",
            onFetchCallback,
            msg.userdata
            )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--22100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ActivityTextButtonContainerLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mTitleLabel"] = _ccbNode:getNode("mTitleLabel", "CCLabelTTF")
	_nodeTable["mMemoLabel"] = _ccbNode:getNode("mMemoLabel", "CCLabelTTF")
	_nodeTable["btnReceive"] = _ccbNode:getNode("btnReceive", "CCControlButton")

	-- CCControlButton
	_ccbNode:bindButton("btnReceive", onBtnReceiveClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	_ccbNode._DATA = data
	CCBCenter.bindView("ccb.v.main.ActivityTextButtonContainerLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ACTIVITYTEXTBUTTONCONTAINERLAYER_ONBTNRECEIVECLICK]	= onBtnReceiveClick
MSG_HANDLER[MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHRECEIVEMOONREWARD]	= onActionFetchReceiveMoonReward
