--ActivityWebButtonContainerLayer.lua

MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_MODEL 				= 22300

MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_ONBTNOPENCLICK = MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_MODEL + 10

local TAG = "[ActivityWebButtonContainerLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popLastLevelCCBNode()
end


local function onBtnOpenClick( msg, luaValue )
	--22300 + 10
	Log.d(TAG, "btnOpen: MSG_ID = %d", MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_ONBTNOPENCLICK)
	local webUrl = _ccbNode._DATA.url
	if webUrl then
		device.openURL(webUrl)
	end
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--22300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ActivityWebButtonContainerLayer.ccbi")
	-- Quick element
	_nodeTable["mTitleLabel"] = _ccbNode:getNode("mTitleLabel", "CCLabelTTF")
	_ccbNode._DATA = data
	-- CCControlButton
	_ccbNode:bindButton("btnOpen", onBtnOpenClick, _s("ACTIVITY_WEB_OPEN"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.ActivityWebButtonContainerLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ACTIVITYWEBBUTTONCONTAINERLAYER_ONBTNOPENCLICK]	= onBtnOpenClick
