--MainBulletinLayer.lua

MSG_ID.MSG_MAINBULLETINLAYER_MODEL 				= 1400

MSG_ID.MSG_MAINBULLETINLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_MAINBULLETINLAYER_MODEL + 10
MSG_ID.MSG_MAINLAYER_ACTION_ONFETCHBULLETIN = MSG_ID.MSG_MAINBULLETINLAYER_MODEL + 11

local TAG = "[MainBulletinLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popSecondCCBNode()
	-- CCBCenter.popSecondCCBNode()
	-- CCBCenter.popFirstCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--1300 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_MAINBULLETINLAYER_ONBTNCLOSECLICK)
	closeLayer()
end

local function onActionFetchBulletin( msg, luaValue )
	-- 1000 + 18
	Log.d(TAG, "onActionFetchBulletin: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
		_ccbNode.setContentText(items)
        NetHelper.hideLoading(true)
    end
    NetHelper.showLoading(true, true)
    ModelHelper.requireDataWithFun(
        "model.main.MainModel",
        "fetchBulletin",
        onFetchCallback,
        {
            failedCb = function ( )
                NetHelper.hideLoading(true)
            end,
        }
    )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--1300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_MAINBULLETINLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "MainBulletinLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mTitleLabel"] = _ccbNode:getNode("mTitleLabel", "CCLabelTTF")
	-- CCControlButton
	
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.MainBulletinLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushSecondCCBNode(_ccbNode)
	end
	CCBCenter.sendLuaMessage(MSG_ID.MSG_MAINLAYER_ACTION_ONFETCHBULLETIN)
end


MSG_HANDLER[MSG_ID.MSG_MAINBULLETINLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_MAINBULLETINLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
MSG_HANDLER[MSG_ID.MSG_MAINLAYER_ACTION_ONFETCHBULLETIN]	= onActionFetchBulletin
