--MainNewLayer.lua

MSG_ID.MSG_MAINNEWLAYER_MODEL 				= 1000

MSG_ID.MSG_MAINNEWLAYER_ONBTNBUYSPCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 10
MSG_ID.MSG_MAINNEWLAYER_ONBTNBUYDIAMONDCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 11
MSG_ID.MSG_MAINNEWLAYER_ONBTNNEWSCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 12
MSG_ID.MSG_MAINNEWLAYER_ONBTNCHATCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 13
MSG_ID.MSG_MAINNEWLAYER_ONBTNACTIVITYCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 14
MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHGETCONFIG = MSG_ID.MSG_MAINNEWLAYER_MODEL + 15
MSG_ID.MSG_MAINNEWLAYER_ONBTNCOMMONREWARDCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 16
MSG_ID.MSG_MAINNEWLAYER_ONBTNDAYREWARDCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 17
MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFO = MSG_ID.MSG_MAINNEWLAYER_MODEL + 18
MSG_ID.MSG_MAINNEWLAYER_ONBTNTALENTCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 19
MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFOWITHOUTPOPUPWINDOW = MSG_ID.MSG_MAINNEWLAYER_MODEL + 20
MSG_ID.MSG_MAINNEWLAYER_ONBTNEVOLUTIONCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 21
MSG_ID.MSG_MAINNEWLAYER_ONBTNBACKAGECLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 22
MSG_ID.MSG_MAINNEWLAYER_ONBTNSIGNCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 23
MSG_ID.MSG_MAINNEWLAYER_ONBTNFIRSTPAYCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 24
MSG_ID.MSG_MAINNEWLAYER_ONBTNWISHINGCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 25
MSG_ID.MSG_MAINNEWLAYER_ONBTNEQUIPCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 26
MSG_ID.MSG_MAINNEWLAYER_ONBTNSMITHYCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 27
MSG_ID.MSG_MAINNEWLAYER_ONBTNMININGCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 28
MSG_ID.MSG_MAINNEWLAYER_ACTION_ENABLEMESSAGESCHEDULE = MSG_ID.MSG_MAINNEWLAYER_MODEL + 29
MSG_ID.MSG_MAINNEWLAYER_ONBTNOPTIONSCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 30
MSG_ID.MSG_MAINNEWLAYER_ONBTNBOSSCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 31
MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHFIRECRACKERREWARD = MSG_ID.MSG_MAINNEWLAYER_MODEL + 32
MSG_ID.MSG_MAINNEWLAYER_ONBTNTEAMCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 33
MSG_ID.MSG_MAINNEWLAYER_ONBTNRANKINGCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 34
MSG_ID.MSG_MAINNEWLAYER_ONBTNBIGWHEELCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 35
MSG_ID.MSG_MAINNEWLAYER_ONBTNSHOWDAY7CLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 36
MSG_ID.MSG_MAINNEWLAYER_ONBTNSYSTEMNOTICECLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 37
MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHCHECKHELPERINFO = MSG_ID.MSG_MAINNEWLAYER_MODEL + 38
MSG_ID.MSG_MAINNEWLAYER_ONBTNARMYCLICK = MSG_ID.MSG_MAINNEWLAYER_MODEL + 39

local TAG = "[MainNewLayer]"
local _ccbNode 
local _nodeTable = {}
local _unlockLevel = require("static.unlock_level")
local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
end
-- 播放按钮音乐
local function playBtnSound( )
	SOUND:playEffectButton1() 
end

local function onBtnBuySpClick( msg, luaValue )
	--1000 + 10
	Log.d(TAG, "btnBuySp: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNBUYSPCLICK)
end

local function onBtnBuyDiamondClick( msg, luaValue )
	--1000 + 11
	Log.d(TAG, "btnBuyDiamond: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNBUYDIAMONDCLICK)
end

local function onBtnNewsClick( msg, luaValue )
	--1000 + 12
	Log.d(TAG, "btnNews: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNNEWSCLICK)
	playBtnSound( )
	----跳转到系统邮件
    -- CCBCenter.loadCCB("MSG_MESSAGELAYER_MODEL", "ccb.c.message.MessageLayer", {isMain = true}, nil)
    CCBCenter.loadCCB("MSG_MAILALERTLAYER_MODEL", "ccb.c.mail.MailAlertLayer", {})
    _ccbNode.enableMessageSchedule(false)
end

local function onBtnChatClick( msg, luaValue )
	--1000 + 13
	Log.d(TAG, "btnChat: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNCHATCLICK)
	playBtnSound( )
	_ccbNode.enableMessageSchedule(false)
	CCBCenter.loadCCB("MSG_CHATLAYER_MODEL", "ccb.c.chat.ChatLayer", nil, nil)
end

local function onBtnActivityClick( msg, luaValue )
	--1000 + 14
	Log.d(TAG, "btnActivity: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNACTIVITYCLICK)
	CCBCenter.loadCCB("MSG_MAINACTIVITYLAYER_MODEL", "ccb.c.main.MainActivityLayer", {fromMain = true})
end

local function onActionFetchGetConfig( msg, luaValue )
	-- 1000 + 15
	Log.d(TAG, "onActionFetchGetConfig: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
		-- NetHelper.hideLoading(true)
		GAMERATE = items
		-- 玩家信息
		_ccbNode.updatePlayerInfo()
		_ccbNode.checkGameInfo( )
		_ccbNode.updateTreasureChest()
		_ccbNode.updateFirecracker()
    end
    -- NetHelper.showLoading(true, true)
    ModelHelper.requireDataWithFun(
        "model.main.MainModel",
        "fetchGetConfig",
        onFetchCallback,
        msg.userdata
    )
end

local function onBtnCommonRewardClick( msg, luaValue )
	--1000 + 16
	Log.d(TAG, "btnCommonReward: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNCOMMONREWARDCLICK)
	HelperView2.showNext()
	CCBCenter.loadCCB("MSG_MAINREWARDALERTLAYER_MODEL", "ccb.c.main.MainRewardAlertLayer")
end

local function onBtnDayRewardClick( msg, luaValue )
	--1000 + 17
	Log.d(TAG, "btnDayReward: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNDAYREWARDCLICK)
	HelperView2.showNext()
	CCBCenter.loadCCB("MSG_MAINREWARDALERTLAYER_MODEL", "ccb.c.main.MainRewardAlertLayer", {day = true})
end

local function onBtnTalentClick( msg, luaValue )
	--1000 + 20
	Log.d(TAG, "btnTalent: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNTALENTCLICK )
	if not ME:getTriggerMsgEntity():isUnlockTalent() then
        NetHelper.QuickToast(_s("COMMON_UNOPEN", _unlockLevel.TALENT, _s("MAIN_TALENT")))
        return
    end
	HelperView2.showNext()
	CCBCenter.loadCCB("MSG_TALENTLAYER_MODEL", "ccb.c.talent.TalentLayer",nil, nil)
end
local function onBtnEvolutionClick( msg, luaValue )
	--1000 + 20
	Log.d(TAG, "btnEvolution: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNEVOLUTIONCLICK )
	if not ME:getTriggerMsgEntity():isUnlockEvolution() then
        NetHelper.QuickToast(_s("COMMON_UNOPEN", _unlockLevel.EVOLUTION, _s("CARD_EVOLUTION")))
        return
    end
	HelperView2.showNext()
	CCBCenter.loadCCB("MSG_CARDEVOLUTIONLAYER_MODEL", "ccb.c.cardgroup.CardEvolutionLayer", {fromMain = true, toEnhanced = true})
end

local function onBtnBackageClick( msg, luaValue )
	--1000 + 23
	Log.d(TAG, "onBtnBackageClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNBACKAGECLICK )
	CCBCenter.loadCCB("MSG_GOODSLAYER_MODEL", "ccb.c.goods.GoodsLayer")
end

local function onBtnSignClick( msg, luaValue )
	--1000 + 24
	Log.d(TAG, "onBtnSignClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNSIGNCLICK )
	CCBCenter.loadCCB("MSG_SIGNLAYER_MODEL", "ccb.c.main.SignLayer")
end

local function onBtnFirstPayClick( msg, luaValue )
	--1000 + 25
	Log.d(TAG, "onBtnFirstPayClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNFIRSTPAYCLICK )
	-- CCBCenter.loadCCB("MSG_MAINACTIVITYLAYER_MODEL", "ccb.c.main.MainActivityLayer", {showFirshCharge = true,})
	if GAMERATE:isBuyDiamond() then
		CCBCenter.loadCCB("MSG_ACTIVITYFIRSTCHARGELAYER_MODEL", "ccb.c.main.ActivityFirstChargeLayer")
	end
end
local function onBtnWishingClick( msg, luaValue )
	--1000 + 26
	Log.d(TAG, "onBtnWishingClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNWISHINGCLICK )
	CCBCenter.loadCCB("MSG_MAKEHOPELAYER_MODEL", "ccb.c.makehope.MakeHopeLayer")
end
local function onBtnEquipClick( msg, luaValue )
	--1000 + 27
	Log.d(TAG, "onBtnEquipClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNEQUIPCLICK )
	if not ME:getTriggerMsgEntity():isUnlockEquip() then
        NetHelper.QuickToast(_s("COMMON_UNOPEN", _unlockLevel.EQUIP, _s("MAIN_EQUIP")))
        return
    end
	-- HelperView2.showNext()
	CCBCenter.loadCCB("MSG_EQUIPMENTLAYER_MODEL", "ccb.c.equipment.EquipmentLayer")
end
local function onBtnSmithyClick( msg, luaValue )
	--1000 + 28
	Log.d(TAG, "onBtnSmithyClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNSMITHYCLICK )

	--NetHelper.QuickToast(_s("EQUIPMENT_BLACKSMITHOPEN"))

	if not ME:getTriggerMsgEntity():isUnlockEquipEnhanced() then

        NetHelper.QuickToast(_s("COMMON_UNOPEN", _unlockLevel.EQUIPENHANCED, _s("MAIN_SMITHY")))
        return
    end
	HelperView2.showNext()
	CCBCenter.loadCCB("MSG_EQUIPMENTLVLAYER_MODEL", "ccb.c.equipment.EquipmentLVLayer",{equipProcessing = 1,fromMain = true,})
end
local function onBtnMiningClick( msg, luaValue )
	--1000 + 29
	Log.d(TAG, "onBtnMiningClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNMININGCLICK )
	if not ME:getTriggerMsgEntity():isUnlockMining() then
        NetHelper.QuickToast(_s("COMMON_UNOPEN", _unlockLevel.MINING, _s("MAIN_MINING")))
        return
    end
    HelperView2.showNext()
	CCBCenter.loadCCB("MSG_MAPMININGLAYER_MODEL", "ccb.c.map.MapMiningLayer", {fromMain = true,})
end
local function onBtnOptionsClick( msg, luaValue )
	--1000 + 30
	Log.d(TAG, "onBtnOptionsClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNOPTIONSCLICK )
	-- CCBCenter.loadCCB("MSG_SYSTEMSETLAYER_MODEL", "ccb.c.systemSet.SystemSetLayer", {fromMain = true,})
	-- 新设置界面
	CCBCenter.loadCCB("MSG_SYSTEMSETNEWLAYER_MODEL", "ccb.c.systemSet.SystemSetNewLayer", {fromMain = true,})
	-- CCBCenter.loadCCB("MSG_SYSTEMNOTICELAYER_MODEL", "ccb.c.main.SystemNoticeLayer", {})
end
local function onBtnBossClick( msg, luaValue )
	--1000 + 31
	Log.d(TAG, "onBtnBossClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNBOSSCLICK )
	CCBCenter.loadCCB("MSG_BOSSLAYER_MODEL", "ccb.c.boss.BossLayer")
end
local function onActionUpdatePlayerInfo( msg, luaValue )
	-- 1000 + 18
	Log.d(TAG, "onActionUpdatePlayerInfo: MSG_ID = %d", msg:getMsgId())
	-- 更新玩家信息
	_ccbNode.updatePlayerInfo()
	_ccbNode.updateTreasureChest()
	_ccbNode.checkGameInfo( )
end

local function onActionEnableMessageSchedule( msg, luaValue )
	-- 1000 + 18
	Log.d(TAG, "onActionEnableMessageSchedule: MSG_ID = %d", msg:getMsgId())
	_ccbNode.enableMessageSchedule(msg.userdata)
end

local function onActionUpdatePlayerInfoWithOutPopupWindow( msg, luaValue )
	-- 1000 + 21
	Log.d(TAG, "onActionUpdatePlayerInfoWithOutPopupWindow: MSG_ID = %d", msg:getMsgId())
	-- 更新玩家信息
	_ccbNode.updatePlayerInfo()
	_ccbNode.updateTreasureChest()
end
local function onActionFetchFirecrackerReward( msg, luaValue )
	-- 1000 + 32
	Log.d(TAG, "onActionFetchFirecrackerReward: MSG_ID = %d", msg:getMsgId())
	
	local function onFetchCallback( items )
		-- 更新玩家信息
		_ccbNode.updateFirecracker(items.reward)
		_ccbNode.updatePlayerInfo()
		_ccbNode.updateTreasureChest()
    end
    -- NetHelper.showLoading(true, true)
    ModelHelper.requireDataWithFun(
        "model.main.MainModel",
        "fetchFirecrackerReward",
        onFetchCallback,
        msg.userdata
    )
end
local function onActionFetchCheckHelperInfo( msg, luaValue )
	-- 1000 + 18
	Log.d(TAG, "onActionFetchCheckHelperInfo: MSG_ID = %d", msg:getMsgId())
	-- 更新玩家信息
	_ccbNode.updatePlayerInfo()
	_ccbNode.updateTreasureChest()
	_ccbNode.checkHelperInfo()
end
local function onBtnTeamClick( msg, luaValue )
	--1000 + 33
	Log.d(TAG, "onBtnTeamClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNTEAMCLICK )
	if not GAMERATE:getTeamJoinLvLimit() then
		NetHelper.QuickToast(format(_s("NETWORK_NOT_GOOD")))
	elseif ME:getLv() >= GAMERATE:getTeamJoinLvLimit() then
		-- CCBCenter.loadCCB("MSG_TEAMWARLAYER_MODEL", "ccb.c.team.TeamWarLayer")
		CCBCenter.loadCCB("MSG_TEAMMAINLAYER_MODEL", "ccb.c.team.TeamMainLayer")
	else
		NetHelper.QuickToast(format(_s("TEAM_LEVEL_NOT_ENOUGH"), GAMERATE:getTeamJoinLvLimit()))
	end
end

local function onBtnRankingClick( msg, luaValue )
	--1000 + 34
	Log.d(TAG, "onBtnRankingClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNRANKINGCLICK )
	CCBCenter.loadCCB("MSG_RANKINGSLAYER_MODEL", "ccb.c.rankings.RankingsLayer")
end
local function onBtnBigWheelClick( msg, luaValue )
	Log.d(TAG, "onBtnBigWheelClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNBIGWHEELCLICK )
	CCBCenter.loadCCB("MSG_BIGWHEELLAYER_MODEL", "ccb.c.bigWheel.BigWheelLayer", nil, nil)
end
local function onBtnShowDay7Click( msg, luaValue )
	Log.d(TAG, "onBtnShowDay7Click: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNSHOWDAY7CLICK )
	CCBCenter.loadCCB("MSG_FESTIVALSIGNLAYER_MODEL", "ccb.c.festivalsign.FestivalSignLayer")
end
local function onBtnSystemNoticeClick( msg, luaValue )
	--1000 + 37
	Log.d(TAG, "onBtnSystemNoticeClick: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_ONBTNSYSTEMNOTICECLICK )
	CCBCenter.loadCCB("MSG_SYSTEMNOTICELAYER_MODEL", "ccb.c.main.SystemNoticeLayer", {})
end
local function animationCompletedCallback( animationManager, animName, luaEventHandler )
	Log.d(TAG, "animationCompletedCallback: %s", animName)
end
local function onBtnArmyClick( msg, luaValue )
	NetHelper.showLoading(true, true)
	_ccbNode.enableMessageSchedule(false)
	local function onFetchCallback( properties )
		
		if properties.armytyp == 1 then
			CCBCenter.loadCCB("MSG_ARMYSEARCHLAYER_MODEL", "ccb.c.army.ArmySearchLayer")
		elseif properties.armytyp == 2 then
			CCBCenter.loadCCB("MSG_ARMYMAINLAYER_MODEL", "ccb.c.army.ArmyMainLayer")
		elseif properties.armytyp == 0 then
			NetHelper.QuickToast(_s("COMMON_UNOPEN", GAMERATE:getArmyOpenLvLimit(), _s("MAIN_ARMY")))
		end
		NetHelper.hideLoading(true)
	end

	if GAMERATE:getArmyOpenLvLimit() > ME:getLv() then
		NetHelper.QuickToast(_s("COMMON_UNOPEN", GAMERATE:getArmyOpenLvLimit(), _s("MAIN_ARMY")))
		NetHelper.hideLoading(true)
	else
		NetHelper.createRequest(
	        ACTID.MSG_IN_ARMYSYSTEM,
	        onFetchCallback,
			{ },
			{}
	    )
	end
end


local function onCCBLoad(data, callback)
	--1000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_MAINNEWLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "MainNewLayer.ccbi")
	_ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_MAINLAYER
	-- Quick element
	_nodeTable["mWelcomeLabel"] = _ccbNode:getNode("mWelcomeLabel", "CCLabelTTF")
	_nodeTable["mNameLabel"] = _ccbNode:getNode("mNameLabel", "CCLabelTTF")
	_nodeTable["mLevelLabel"] = _ccbNode:getNode("mLevelLabel", "CCLabelTTF")
	_nodeTable["mCostTitleLabel"] = _ccbNode:getNode("mCostTitleLabel", "CCLabelTTF")
	_nodeTable["mCostLabel"] = _ccbNode:getNode("mCostLabel", "CCLabelTTF")
	_nodeTable["mExpTitleLabel"] = _ccbNode:getNode("mExpTitleLabel", "CCLabelTTF")
	_nodeTable["mExpValueLabel"] = _ccbNode:getNode("mExpValueLabel", "CCLabelTTF")
	_nodeTable["mSpTitleLabel"] = _ccbNode:getNode("mSpTitleLabel", "CCLabelTTF")
	_nodeTable["mSpValueLabel"] = _ccbNode:getNode("mSpValueLabel", "CCLabelTTF")
	_nodeTable["mDiamondLabel"] = _ccbNode:getNode("mDiamondLabel", "CCLabelTTF")
	_nodeTable["mGoldLabel"] = _ccbNode:getNode("mGoldLabel", "CCLabelTTF")
	_nodeTable["mStarLabel"] = _ccbNode:getNode("mStarLabel", "CCLabelTTF")
	_nodeTable["mNewMessageLabel"] = _ccbNode:getNode("mNewMessageLabel", "CCLabelTTF")
	_nodeTable["mBgMissionSprite"] = _ccbNode:getNode("mBgMissionSprite", "CCSprite")
	_nodeTable["mBgRewardSprite"] = _ccbNode:getNode("mBgRewardSprite", "CCSprite")
	_nodeTable["mBgTalentSprite"] = _ccbNode:getNode("mBgTalentSprite", "CCSprite")
	_nodeTable["mBgActivitySprite"] = _ccbNode:getNode("mBgActivitySprite", "CCSprite")
	_nodeTable["mBgBackageSprite"] = _ccbNode:getNode("mBgBackageSprite", "CCSprite")
	_nodeTable["mBgDiamondSprite"] = _ccbNode:getNode("mBgDiamondSprite", "CCSprite")
	
	-- 
	_ccbNode:bindButton("btnBuySp", onBtnBuySpClick)
	_ccbNode:bindButton("btnBuyDiamond", onBtnBuyDiamondClick)
	_ccbNode:bindButton("btnNews", onBtnNewsClick)
	_nodeTable["btnChat"] = _ccbNode:bindButton("btnChat", onBtnChatClick)

	-- MenuItem
	_ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)

	-- android上的位置调整
	util.modifyPositionInAndroid( _nodeTable.mNameLabel, 0, 6 ) 	-- 名字
	util.modifyPositionInAndroid( _nodeTable.mLevelLabel, 0, 4 ) 	-- 等级
	
	-- 填充文字
	_nodeTable["mCostTitleLabel"]:setString(_s("ROLE_COST"))
	_nodeTable["mExpTitleLabel"]:setString(_s("ROLE_EXP"))
	_nodeTable["mSpTitleLabel"]:setString(_s("ROLE_SP"))

	-- 过滤功能
	if SKILL_NEW_FUNCTION then
		CCBCenter.getNodeByTag(_ccbNode, 8):setVisible(false)
		CCBCenter.getNodeByTag(_ccbNode, 9):setVisible(false)
		CCBCenter.getNodeByTag(_ccbNode, 10):setVisible(false)
		CCBCenter.getNodeByTag(_ccbNode, 11):setVisible(false)
	end
	CCBCenter.bindView("ccb.v.main.MainNewLayerView", _ccbNode, _nodeTable)

	_ccbNode.onEnterTransitionFinish = function ( self )
		_sdkPlatform.showToolBar()
	end
	_ccbNode.onExitTransitionStart = function ( self )
		_sdkPlatform.hideToolBar()
	end

	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushFirstCCBNode(_ccbNode)
	end

	if data and data.fromMain == false then
		util.delayCall(function ()
			CCBCenter.sendLuaMessage(MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHGETCONFIG)
		end, LOAD_DELAY_TIME + 0.2)
		
	else
		CCBCenter.sendLuaMessage(MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHGETCONFIG)
	end
	-- 玩家信息
	_ccbNode.updatePlayerInfo()
end


MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNBUYSPCLICK]	= onBtnBuySpClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNBUYDIAMONDCLICK]	= onBtnBuyDiamondClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNNEWSCLICK]	= onBtnNewsClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNCHATCLICK]	= onBtnChatClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNACTIVITYCLICK]	= onBtnActivityClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHGETCONFIG]	= onActionFetchGetConfig
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNCOMMONREWARDCLICK]	= onBtnCommonRewardClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNDAYREWARDCLICK]	= onBtnDayRewardClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFO]	= onActionUpdatePlayerInfo
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNTALENTCLICK]	= onBtnTalentClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFOWITHOUTPOPUPWINDOW]	= onActionUpdatePlayerInfoWithOutPopupWindow
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNEVOLUTIONCLICK]	= onBtnEvolutionClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNBACKAGECLICK]	= onBtnBackageClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNSIGNCLICK]	= onBtnSignClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNFIRSTPAYCLICK]	= onBtnFirstPayClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWISHINGCLICK] = onBtnWishingClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNEQUIPCLICK] = onBtnEquipClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNSMITHYCLICK] = onBtnSmithyClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNMININGCLICK] = onBtnMiningClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ACTION_ENABLEMESSAGESCHEDULE] = onActionEnableMessageSchedule
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNOPTIONSCLICK] = onBtnOptionsClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNBOSSCLICK] = onBtnBossClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHFIRECRACKERREWARD]	= onActionFetchFirecrackerReward
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNTEAMCLICK] = onBtnTeamClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNRANKINGCLICK] = onBtnRankingClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNBIGWHEELCLICK] = onBtnBigWheelClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNSHOWDAY7CLICK] = onBtnShowDay7Click
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNSYSTEMNOTICECLICK] = onBtnSystemNoticeClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ACTION_ONFETCHCHECKHELPERINFO] = onActionFetchCheckHelperInfo
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNARMYCLICK] = onBtnArmyClick
