--TriggerMsgAlertLayer.lua

MSG_ID.MSG_TRIGGERMSGALERTLAYER_MODEL 				= 24100

MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNCONFIRMCLICK = MSG_ID.MSG_TRIGGERMSGALERTLAYER_MODEL + 10
MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNVIEWPAGECLICK = MSG_ID.MSG_TRIGGERMSGALERTLAYER_MODEL + 11
MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNSKIPCLICK = MSG_ID.MSG_TRIGGERMSGALERTLAYER_MODEL + 12

local TAG = "[TriggerMsgAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnConfirmClick( msg, luaValue )
	--24100 + 10
	Log.d(TAG, "btnConfirm: MSG_ID = %d", MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNCONFIRMCLICK)
	if _ccbNode._DATA.onConfirmClick then
		_ccbNode._DATA.onConfirmClick()
	end
end
local function onBtnViewPage( msg, luaValue )
	--24100 + 11
	Log.d(TAG, "onBtnViewPage: MSG_ID = %d", MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNVIEWPAGECLICK)
	if _ccbNode._DATA.onConfirmClick then
		_ccbNode._DATA.onConfirmClick()
	end
end
local function onBtnSkip( msg, luaValue )
	--24100 + 12
	Log.d(TAG, "onBtnSkip: MSG_ID = %d", MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNSKIPCLICK)
	if _ccbNode._DATA.onCancelClick then
		_ccbNode._DATA.onCancelClick()
	end
end
-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--24100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_TRIGGERMSGALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "TriggerMsgAlertLayer.ccbi")
	_ccbNode._DATA = data
	-- Quick element
	_nodeTable["mMessageLabel"] = _ccbNode:getNode("mMessageLabel", "CCLabelTTF")
	_nodeTable["mInfoLabel"] = _ccbNode:getNode("mInfoLabel", "CCLabelTTF")
	
	-- CCControlButton
	_nodeTable["btnConfirm"] = _ccbNode:bindButton("btnConfirm", onBtnConfirmClick)
	_nodeTable["btnViewPage"] = _ccbNode:bindButton("btnViewPage", onBtnViewPage, _s("COMMON_JUMP_TO"))
	_nodeTable["btnSkip"] = _ccbNode:bindButton("btnSkip", onBtnSkip, _s("COMMON_SKIP"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.TriggerMsgAlertLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_TRIGGERMSGALERTLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNCONFIRMCLICK]	= onBtnConfirmClick
MSG_HANDLER[MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNVIEWPAGECLICK]	= onBtnViewPage
MSG_HANDLER[MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNSKIPCLICK]	= onBtnSkip
