--ShareSDKLayer.lua

MSG_ID.MSG_SHARESDKLAYER_MODEL 				= 30000

MSG_ID.MSG_SHARESDKLAYER_ONBTNSHAREQQCLICK = MSG_ID.MSG_SHARESDKLAYER_MODEL + 10
MSG_ID.MSG_SHARESDKLAYER_ONBTNSHARESINACLICK = MSG_ID.MSG_SHARESDKLAYER_MODEL + 11
MSG_ID.MSG_SHARESDKLAYER_ONBTNSHAREOTHERCLICK = MSG_ID.MSG_SHARESDKLAYER_MODEL + 12

local TAG = "[ShareSDKLayer]"
local _ccbNode 
local _nodeTable = {}
local _sharePlatform = require("sdk.SharePlatform").new()
local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnShareQQClick( msg, luaValue )
	--30000 + 10 
	_sharePlatform:shareInfo(
			function ( ... )
				-- 好像不用做什么的样子...
			end, 
			function ( ... )
				-- 同样无所事事的,会不会被干掉啊~~~
			end
			)
	Log.d(TAG, "btnShareQQ: MSG_ID = %d", MSG_ID.MSG_SHARESDKLAYER_ONBTNSHAREQQCLICK)
end

local function onBtnShareSinaClick( msg, luaValue )
	--30000 + 11
	Log.d(TAG, "btnShareSina: MSG_ID = %d", MSG_ID.MSG_SHARESDKLAYER_ONBTNSHARESINACLICK)
end

local function onBtnShareOtherClick( msg, luaValue )
	--30000 + 12
	Log.d(TAG, "btnShareOther: MSG_ID = %d", MSG_ID.MSG_SHARESDKLAYER_ONBTNSHAREOTHERCLICK)
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--30000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SHARESDKLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ShareSDKLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	-- CCControlButton
	_ccbNode:bindButton("btnShareQQ", onBtnShareQQClick)
	_ccbNode:bindButton("btnShareSina", onBtnShareSinaClick)
	_ccbNode:bindButton("btnShareOther", onBtnShareOtherClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.share.ShareSDKLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_SHARESDKLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_SHARESDKLAYER_ONBTNSHAREQQCLICK]	= onBtnShareQQClick
MSG_HANDLER[MSG_ID.MSG_SHARESDKLAYER_ONBTNSHARESINACLICK]	= onBtnShareSinaClick
MSG_HANDLER[MSG_ID.MSG_SHARESDKLAYER_ONBTNSHAREOTHERCLICK]	= onBtnShareOtherClick
