--ShopNewLayer.lua

MSG_ID.MSG_SHOPNEWLAYER_MODEL 				= 6200
MSG_ID.MSG_SHOPNEWLAYER_ACTION_ONREFRESHPLAYERSTATUS = MSG_ID.MSG_SHOPNEWLAYER_MODEL + 10

local TAG = "[ShopNewLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popLastLevelCCBNode()
	game.enterMainLayer()
end

local function onActionRefreshPlayerStatus( msg, luaValue )
	-- 6100 + 10
	Log.d(TAG, "onActionRefreshPlayerStatus: MSG_ID = %d", msg:getMsgId())
	_ccbNode.refreshPlayerStatus()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--6100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SHOPNEWLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ShopNewLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	_ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_SHOPLAYER
	_ccbNode.toDrawCard = data.toDrawCard
	-- Quick element
	-- CCControlButton
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.shop.ShopNewLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
	if _ccbNode.toDrawCard then
		CCBCenter.loadCCB("MSG_SHOPLAYER_MODEL", "ccb.c.shop.ShopLayer", {fromMain = false,})
	end
end


MSG_HANDLER[MSG_ID.MSG_SHOPNEWLAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_SHOPNEWLAYER_ACTION_ONREFRESHPLAYERSTATUS]	= onActionRefreshPlayerStatus
