--SpecialMapRewardPreviewLayer.lua

MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_MODEL 				= 29300

MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_ONBTNCONFIRMCLICK = MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_MODEL + 10

local TAG = "[SpecialMapRewardPreviewLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnConfirmClick( msg, luaValue )
	--29300 + 10
	Log.d(TAG, "btnConfirm: MSG_ID = %d", MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_ONBTNCONFIRMCLICK)
	closeLayer()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--29300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "SpecialMapRewardPreviewLayer.ccbi")
	_ccbNode.closeLayer = closeLayer

	_ccbNode._DATA = data.entity
	_ccbNode._TITLE = data.title or _s("SPECIALMAP_REWARD_PREVIEW_TITLE")

	-- Quick element
	_nodeTable["mRewardPreViewLabel"] = _ccbNode:getNode("mRewardPreViewLabel", "CCLabelTTF")
	_nodeTable["btnConfirm"] = _ccbNode:getNode("btnConfirm", "CCControlButton")

	-- CCControlButton
	_ccbNode:bindButton("btnConfirm", onBtnConfirmClick,_s("SPECIALMAP_REWARD_PREVIEW_CONFIRM"))

	--填充文字
	_nodeTable["mRewardPreViewLabel"]:setString(_ccbNode._TITLE)
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.specialMap.SpecialMapRewardPreviewLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_SPECIALMAPREWARDPREVIEWLAYER_ONBTNCONFIRMCLICK]	= onBtnConfirmClick
