--SystemSetLayer.lua

MSG_ID.MSG_SYSTEMSETLAYER_MODEL 				= 5000

MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_1CLICK = MSG_ID.MSG_SYSTEMSETLAYER_MODEL + 10
MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_2CLICK = MSG_ID.MSG_SYSTEMSETLAYER_MODEL + 11
MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_3CLICK = MSG_ID.MSG_SYSTEMSETLAYER_MODEL + 12
MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_4CLICK = MSG_ID.MSG_SYSTEMSETLAYER_MODEL + 13
MSG_ID.MSG_SYSTEMSETLAYER_ONBTNBACKCLICK = MSG_ID.MSG_SYSTEMSETLAYER_MODEL + 14
MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_5CLICK = MSG_ID.MSG_SYSTEMSETLAYER_MODEL + 15

local TAG = "[SystemSetLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end

local function returnToLogin()
	util.delayCall(function ()
		game.returnToLogin()
	end, 0.01)
	
end

local function onBtnBackClick( msg, luaValue )
	--20200 + 10
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETLAYER_ONBTNBACKCLICK)
	closeLayer()
end

local function updateInfoSuccessCallBack(result) 
	
	-- 清空信息
	if isSDK(_GAME.CONFIG.SDK.SDK_YUNDING) then 

		if isandroid() then 
			-- 充值，刷新用户数据
			if (result  and result.appordercode) then
	            util.delayCall(
			        function ( )
			                util.delayCall(
			                    function ( )
			                        CCBCenter.sendLuaMessage( MSG_ID.MSG_SHOPLAYER_NETGETSHOPS, 
			                                nil,
			                            {arg = {}, methodId = ACTID.MSG_GET_SHOPLIST, callBackmethod = reflashData} )--请求
			                    end, 
			                    0.7
			                )
			        end,    
			        35.7
			    )
	        else
	            returnToLogin()
	        end
		else 
			returnToLogin()
		end 
	elseif isSDK(_GAME.CONFIG.SDK.SDK_91) then 
		-- 不处理
	elseif isSDK(_GAME.CONFIG.SDK.SDK_360) then 
		-- 不处理
	elseif isSDK(_GAME.CONFIG.SDK.SDK_DOWNJOY) then 
		-- 不处理
	else
		returnToLogin(  )
	end
	Log.d(TAG,"注销aaaaaaaaaaaaaaa")
end

local function updateInfoErrorCallBack(result) 
	if isSDK(_GAME.CONFIG.SDK.SDK_91) then 
		returnToLogin(  )
	elseif isSDK(_GAME.CONFIG.SDK.SDK_360) or isSDK(_GAME.CONFIG.SDK.SDK_DUOKU) or isSDK(_GAME.CONFIG.SDK.SDK_DOWNJOY) then
		-- 不处理
	end
	Log.d(TAG,"关闭aaaaaaaaaaaaaaaa")
end

local function onBtn_1Click( msg, luaValue )
	--5000 + 10
	Log.d(TAG, "btn_1: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_1CLICK)
	-- 通常这是个攻略...还没做
	-- 如果是91时这个就成了18183论坛了...
	-- if isSDK(_GAME.CONFIG.SDK.SDK_91) or isSDK(_GAME.CONFIG.SDK.SDK_360) then 
	-- 	_sdkPlatform.sb91bbs(
	-- 		function ( ... )
	-- 			-- 好像不用做什么的样子...
	-- 		end, 
	-- 		function ( ... )
	-- 			-- 同样无所事事的,会不会被干掉啊~~~
	-- 		end
	-- 		)
	-- else
	-- 	CCBCenter.loadCCB("MSG_FAQLAYER_MODEL", "ccb.c.faq.FaqLayer")
	-- end
	CCBCenter.loadCCB("MSG_FAQLAYER_MODEL", "ccb.c.faq.FaqLayer")
end

local function onBtn_2Click( msg, luaValue )
	--5000 + 11
	Log.d(TAG, "btn_2: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_2CLICK)
	-- 通常是联系客服
	_sdkPlatform.feedBack()
end

local function onBtn_3Click( msg, luaValue )
	--5000 + 12
	Log.d(TAG, "btn_3: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_3CLICK)

	-- 个人中心/用户中心...这个有什么差别,cow
	_sdkPlatform.updateInfo(
			updateInfoSuccessCallBack,
			updateInfoErrorCallBack
			)
end

local function clickChangePassword4JP()
	if GSVALUES.modpass == TRUE then
		CCBCenter.loadCCB("MSG_CHANGEPASSWORDALERTLAYER_MODEL", "ccb.c.password.ChangePasswordAlertLayer",
			{
				onConfirm = function ( )
					_ccbNode.updateDataModButton()
				end
			}
		)
	else
		CCBCenter.loadCCB("MSG_BINDPASSWORDALERTLAYER_MODEL", "ccb.c.password.BindPasswordAlertLayer", 
			{
				onConfirm = function ( )
					_ccbNode.updateDataModButton()
				end
			}
		)
	end
end

local function onBtn_4Click( msg, luaValue )
	--5000 + 13
	Log.d(TAG, "btn_4: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_4CLICK)
	
	-- 360切换账号
	if isSDK(_GAME.CONFIG.SDK.SDK_360) then
		_sdkPlatform.switchaccount(
			function ( ... )
				game.returnToLogin()
			end, 
			function ( ... )
				Log.d(TAG,"切换账号失败")
			end
			)
	elseif isSDK(_GAME.CONFIG.SDK.SDK_JP_PLAY, _GAME.CONFIG.SDK.SDK_APPSTORE_JP) then
		clickChangePassword4JP()
	else
		-- 注销掉~~~
		AlertLayer.new{
	        content   = _s("OPTION_EXIT_ACCOUNT_CONFIRM"),
	        btnClickEvent = {
	          	function()
	          		-- cow，万恶的云顶，没有提供直接注销处理，只能跟着弹用户中心
	          		if isSDK(_GAME.CONFIG.SDK.SDK_YUNDING) then 
						_sdkPlatform.updateInfo(
								function( )
									-- 清空信息
									returnToLogin()
									Log.d(TAG,"注销aaaaaaaaaaaaaaa")
								end,
								function()
									Log.d(TAG,"关闭aaaaaaaaaaaaaaaa")
								end 
						)
	          		else
			          	_sdkPlatform.logout(
			          		function (  )
			          			util.delayCall(function ()
			          				returnToLogin()
			          			end)
			          		end,
			          		function ()
			          			-- body
			          		end
			          		)
		      			if isSDK(_GAME.CONFIG.SDK.SDK_91) then 
							-- 如果是91 直接跳出去
							if isandroid() then
								_sdkPlatform.hideToolBar()
							end
							returnToLogin()
						end
	          		end
	          	end,
	        },
		}
	end
end

local function onBtn_5Click( ... )
	CCBCenter.loadCCB("MSG_DIAMONDALERTLAYER_MODEL", "ccb.c.diamondalert.DiamondAlertLayer")
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--5000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "SystemSetLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mMusicLabel"] = _ccbNode:getNode("mMusicLabel", "CCLabelTTF")
	_nodeTable["mSoundLabel"] = _ccbNode:getNode("mSoundLabel", "CCLabelTTF")

	_nodeTable["mMusicLabel"]:setString(_s("OPTION_MUSIC"))
	_nodeTable["mSoundLabel"]:setString(_s("OPTION_SOUND"))

	-- CCControlButton
	if isSDK(_GAME.CONFIG.SDK.SDK_360) then 
		_nodeTable["btn_1"] = _ccbNode:bindButton("btn_1", onBtn_1Click, _s("OPTION_FORUM"))
	else
		_nodeTable["btn_1"] = _ccbNode:bindButton("btn_1", onBtn_1Click, _s("OPTION_RAIDERS"))
	end
	
	_nodeTable["btn_2"] = _ccbNode:bindButton("btn_2", onBtn_2Click, _s("OPTION_CUSTOMER_SERVICE"))

	if isSDK(_GAME.CONFIG.SDK.SDK_360) then 
		_nodeTable["btn_3"] = _ccbNode:bindButton("btn_3", onBtn_3Click, _s("OPTION_SAFTINFO_ACCOUNT"))
	else
		_nodeTable["btn_3"] = _ccbNode:bindButton("btn_3", onBtn_3Click, _s("OPTION_USER_CENTER"))
	end

	if isSDK(_GAME.CONFIG.SDK.SDK_360) then 
		_nodeTable["btn_4"] = _ccbNode:bindButton("btn_4", onBtn_4Click, _s("OPTION_SWITCH_ACCOUNT"))
	else
		_nodeTable["btn_4"] = _ccbNode:bindButton("btn_4", onBtn_4Click, _s("OPTION_EXIT_ACCOUNT"))
	end
	
	_nodeTable["btnBack"] = _ccbNode:bindButton("btnBack", onBtnBackClick)

	_nodeTable["btn_5"] = _ccbNode:bindButton("btn_5", onBtn_5Click, _s("USE_DIAMOND"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.systemSet.SystemSetLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
	end
end


MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_1CLICK]	= onBtn_1Click
MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_2CLICK]	= onBtn_2Click
MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_3CLICK]	= onBtn_3Click
MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_4CLICK]	= onBtn_4Click
MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_ONBTN_5CLICK]	= onBtn_5Click
MSG_HANDLER[MSG_ID.MSG_SYSTEMSETLAYER_ONBTNBACKCLICK]	= onBtnBackClick
