--SystemSetNewLayer.lua

MSG_ID.MSG_SYSTEMSETNEWLAYER_MODEL 				= 5000

MSG_ID.MSG_SYSTEMSETNEWLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_SYSTEMSETNEWLAYER_MODEL + 10

local TAG = "[SystemSetNewLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--5000 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETNEWLAYER_ONBTNCLOSECLICK)
	closeLayer()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--5000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SYSTEMSETNEWLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "SystemSetNewLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mMusicLabel"] = _ccbNode:getNode("mMusicLabel", "CCLabelTTF")
	_nodeTable["mSoundLabel"] = _ccbNode:getNode("mSoundLabel", "CCLabelTTF")
	_nodeTable["mChangeMenu"] = _ccbNode:getNode("mChangeMenu", "CCNode")

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	_nodeTable["mMusicLabel"]:setString(_s("OPTION_MUSIC"))
	_nodeTable["mSoundLabel"]:setString(_s("OPTION_SOUND"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.systemSet.SystemSetNewLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_SYSTEMSETNEWLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_SYSTEMSETNEWLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
