--TalentLayer.lua

MSG_ID.MSG_TALENTLAYER_MODEL 				= 21000

MSG_ID.MSG_TALENTLAYER_ONBTNHELPCLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 10
MSG_ID.MSG_TALENTLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 11
MSG_ID.MSG_TALENTLAYER_ONBTNUPTALENTCLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 12
MSG_ID.MSG_TALENTLAYER_ONBTNCLOSEPANELCLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 13
MSG_ID.MSG_TALENTLAYER_ONBTNSELCARDPANELCLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 14
MSG_ID.MSG_TALENTLAYER_ONBTNDIAMONDCLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 15

local TAG = "[TalentLayer]"
local _ccbNode 
local _nodeTable = {}
local modTalent = require("ccb.m.talent.TalentModel")
local netGetTalents
local sendTalentPoint
local function closeLayer()
	CCBCenter.sendLuaMessage(MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFOWITHOUTPOPUPWINDOW)
	-- CCBCenter.popFirstCCBNode()
		CCBCenter.popSecondCCBNode()

end

local function sendNetGetTalents( )
	--请求网络商品数据
	netGetTalents({userdata = {arg = {}, methodId = ACTID.MSG_GET_TALENT  , callBackmethod = _ccbNode.callBackTalent}},{})
	--执行动画
	-- print("动画")
	_nodeTable["doanimation"] = true
end

function netGetTalents( msg, luaValue )

		--//MSG_GET_TALENT 天赋
		
		modTalent.getTalents{
				callback = msg.userdata.callBackmethod,
		 		methodId = msg.userdata.methodId,
		 		args = msg.userdata.arg
		}
end

function sendTalentPoint( msg, luaValue )
	 
	-- 	{
	--     "usediam",是否使用钻石 0否 ，1是
	--     "lv"等级
	--     "typ"类型
	--     "camp"阵营
	--     "cards":[1,2,3,4,5...]//被吃的卡牌cpid数组 table
	-- }
	-- //MSG_ADD_TALENT 天赋加点  10002

	modTalent.sendTalentPoint{
				callback = msg.userdata.callBackmethod,
		 		methodId = msg.userdata.methodId,
		 		args = msg.userdata.arg
		}
end


local function onBtnDiamondClick( msg, luaValue )
	 AlertLayer.new4IAP{
	  	isUserDiamond = true,
	  	diamondIndex = 11,
	    content = _s("USE_DIAMOND_11",_ccbNode.getDiamond()),  --内容
	    btnClickEvent = {
	    	function ( )
	        	_ccbNode.canTouch()--设置table可以点击
					_ccbNode.popToolLayer()
				_nodeTable["doanimation"] = true
					-- print("onBtnDiamondClick")
				-- "usediam",是否使用钻石 0否 ，1是
				--     "lv"等级
				--     "typ"类型
				--     "camp"阵营
				--     "cards":[1,2,3,4,5...]//被吃的卡牌cpid数组 table
				sendTalentPoint({userdata = {arg = {usediam = 1, lv = _nodeTable["item"]:getLv(), typ = _nodeTable["item"]:getTyp(), camp = _nodeTable["item"]:getCamp(), cards = {0}},
				 						methodId = ACTID.MSG_ADD_TALENT  , 
									 callBackmethod = _ccbNode.callBackUpTalent}},{})
                end
	    }
	  }
end

local function onBtnSelCardPanelClick( msg, luaValue )
	 HelperView2.showNext()
	 _ccbNode.canTouch()--设置table可以点击
	_ccbNode.popToolLayer()

	CCBCenter.loadCCB("MSG_TALENTUP4CARDLAYER_MODEL", 
					"ccb.c.talent.TalentUp4CardLayer", 
					{item = _nodeTable["item"], callback =  sendNetGetTalents})

end

local function onBtnClosePanelClick( msg, luaValue )
	_ccbNode.canTouch()--设置table可以点击
	_ccbNode.popToolLayer()
end

local function onBtnUpTalentClick( msg, luaValue )
	
	-- Log.d(TAG, "onBtnUpTalentClick: MSG_ID = %d", MSG_ID.MSG_TALENTLAYER_ONBTNUPTALENTCLICK)
	if ME:getLv() < tonumber(_nodeTable["item"]:getNextNeedLv()) then
		
	   NetHelper.QuickToast(string.format(_s("TALENT_UPTLNEEDINFO"), 
	   						_nodeTable["item"]:getLv() + 1, 
	   						_nodeTable["item"]:getNextNeedLv()))
	else
		HelperView2.showNext()
		_ccbNode.alertUpTalentPanel()	
	end

end

local function onBtnHelpClick( msg, luaValue )
	
	Log.d(TAG, "btnHelp: MSG_ID = %d", MSG_ID.MSG_TALENTLAYER_ONBTNHELPCLICK)

end

local function onBtnCloseClick( msg, luaValue )
	--21000 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_TALENTLAYER_ONBTNCLOSECLICK)
	
	closeLayer()
end


-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--21000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_TALENTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "TalentLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mBtnDiamond"] = _ccbNode:getNode("btnDiamond", "CCControlButton")
	_nodeTable["mBtnUpTalent"] =	_ccbNode:getNode("btnUpTalent", "CCControlButton")
	_nodeTable["mCostTitleLabel"] =	_ccbNode:getNode("mCostTitleLabel", "CCLabelTTF")
	_nodeTable["mCurLevelTitleLabel"] =	_ccbNode:getNode("mCurLevelTitleLabel", "CCLabelTTF")
	_nodeTable["mNextLevelTitleLabel"] =	_ccbNode:getNode("mNextLevelTitleLabel", "CCLabelTTF")
	_nodeTable["mCostDiamondTitleLabel"] =	_ccbNode:getNode("mCostDiamondTitleLabel", "CCLabelTTF")
	_nodeTable["mCostCardTitleLabel"] =	_ccbNode:getNode("mCostCardTitleLabel", "CCLabelTTF")
	_nodeTable["mHPLabel"] =	_ccbNode:getNode("mHPLabel", "CCLabelTTF")
	
	-- CCControlButton
	_ccbNode:bindButton("btnHelp", onBtnHelpClick)
	_ccbNode:bindButton("btnClose", onBtnCloseClick)
	_ccbNode:bindButton("btnUpTalent", onBtnUpTalentClick, _s("TALENT_UPGRADE_TALENT"))
	_ccbNode:bindButton("btnClosePanel", onBtnClosePanelClick)
	_ccbNode:bindButton("btnSelCardPanel", onBtnSelCardPanelClick, _s("CARD_SELECT_CARD"))
	_ccbNode:bindButton("btnDiamond", onBtnDiamondClick)


	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)

	-- 填充文字
	_nodeTable["mCostTitleLabel"]:setString(_s("CARD_COST"))
	_nodeTable["mCurLevelTitleLabel"]:setString(_s("TALENT_CUR_LV"))
	_nodeTable["mNextLevelTitleLabel"]:setString(_s("TALENT_NEXT_LV"))
	_nodeTable["mCostDiamondTitleLabel"]:setString(_s("TALENT_UPGRADE_DIAMOND"))
	_nodeTable["mCostCardTitleLabel"]:setString(_s("TALENT_UPGRADE_CARD"))
	_nodeTable["mHPLabel"]:setString(_s("TALENT_HP"))
	
	CCBCenter.bindView("ccb.v.talent.TalentLayerView", _ccbNode, _nodeTable)
	
	_ccbNode.onEnter = function ( self )
		-- print("@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ TalentUp4CardLayer onEnter @@@")
		_sdkPlatform.hideToolBar()
	end
	_ccbNode.onExit = function ( self )
		-- print("@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ TalentUp4CardLayer onExit @@@")
		_sdkPlatform.showToolBar()
	end
	
	if callback then
		callback(_ccbNode)
	else
		-- CCBCenter.pushFirstCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
		CCBCenter.pushSecondCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
	end
	--加载数据
	sendNetGetTalents()
	_nodeTable["doanimation"] = false
end


MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNHELPCLICK]	= onBtnHelpClick
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNUPTALENTCLICK]	= onBtnUpTalentClick
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNCLOSEPANELCLICK]	= onBtnClosePanelClick
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNSELCARDPANELCLICK]	= onBtnSelCardPanelClick
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNDIAMONDCLICK]	= onBtnDiamondClick

