--TeamWarLayer.lua

MSG_ID.MSG_TEAMWARLAYER_MODEL 				= 17000

MSG_ID.MSG_TEAMWARLAYER_ONBTNSEASONREVIEWCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 10
MSG_ID.MSG_TEAMWARLAYER_ONBTNVIEWSITUATIONCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 11
MSG_ID.MSG_TEAMWARLAYER_ONBTNTEAMRULECLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 12
MSG_ID.MSG_TEAMWARLAYER_ONBTNCREATETEAMCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 13
MSG_ID.MSG_TEAMWARLAYER_ONBTNJOINTEAMCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 14
MSG_ID.MSG_TEAMWARLAYER_ONBTNBACKCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 15
MSG_ID.MSG_TEAMWARLAYER_ONBTNREWARDCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 16
MSG_ID.MSG_TEAMWARLAYER_ONBTNMYTEAMCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 17
MSG_ID.MSG_TEAMWARLAYER_ONBTNTEAMLISTCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 18
MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMINDEX = MSG_ID.MSG_TEAMWARLAYER_MODEL + 19
MSG_ID.MSG_TEAMWARLAYER_ONBTNREWARDINFOCLICK = MSG_ID.MSG_TEAMWARLAYER_MODEL + 20
MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMREWARD = MSG_ID.MSG_TEAMWARLAYER_MODEL + 21

local TAG = "[TeamWarLayer]"
local TeamViewUtil = require("cardui.TeamViewUtil")
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
 --    SOUND:playMusicHome(true)
	-- CCBCenter.popFirstCCBNode()
end


local function onBtnSeasonReviewClick( msg, luaValue )
	--17000 + 10
	Log.d(TAG, "btnSeasonReview: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNSEASONREVIEWCLICK)
	CCBCenter.loadCCB("MSG_TEAMWARSEASONREVIEWLAYER_MODEL", "ccb.c.team.TeamWarSeasonReviewLayer", {tag = 2, typ2 = 1})
end

local function onBtnViewSituationClick( msg, luaValue )
	--17000 + 11
	Log.d(TAG, "btnViewSituation: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNVIEWSITUATIONCLICK)
	CCBCenter.loadCCB("MSG_TEAMWARSEASONREVIEWLAYER_MODEL", "ccb.c.team.TeamWarSeasonReviewLayer", {tag = 1, typ2 = 1})
end

local function onBtnTeamRuleClick( msg, luaValue )
	--17000 + 12
	Log.d(TAG, "btnTeamRule: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNTEAMRULECLICK)
    CCBCenter.loadCCB("MSG_ARENAWEEKALERTLAYER_MODEL", "ccb.c.arena.ArenaWeekAlertLayer", {isTeamSameServerRule = true,})
    -- local function onFetchCallback( items )
    --     NetHelper.QuickToast("开战测试")
    -- end
    -- ModelHelper.requireDataWithFun(
    --     "model.team.TeamModel",
    --     "fetchStartTeamFightTest",
    --     onFetchCallback,
    --     msg.userdata
    -- )
end

local function onBtnCreateTeamClick( msg, luaValue )
	--17000 + 13
	Log.d(TAG, "btnCreateTeam: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNCREATETEAMCLICK)
	if _ccbNode.getCreateLimit() then
		CCBCenter.loadCCB("MSG_TEAMCREATEALERTLAYER_MODEL", "ccb.c.team.TeamCreateAlertLayer", {limit = _ccbNode.getCreateLimit(), fromKey = TeamViewUtil.FROM_KEY.SAMESERVER})
	end
end

local function onBtnJoinTeamClick( msg, luaValue )
	--17000 + 14
	Log.d(TAG, "btnJoinTeam: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNJOINTEAMCLICK)
	CCBCenter.loadCCB("MSG_TEAMLISTLAYER_MODEL", "ccb.c.team.TeamListLayer")
end

local function onBtnBackClick( msg, luaValue )
	--17000 + 15
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNBACKCLICK)
	closeLayer()
end
local function onBtnRewardClick( msg, luaValue )
	--17000 + 16
	Log.d(TAG, "btnReward: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNREWARDCLICK)
    CCBCenter.sendLuaMessage(MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMREWARD, nil, {typ = 1})
end
local function onBtnRewardInfoClick( msg, luaValue )
	--17000 + 20
	Log.d(TAG, "btnRewardInfoClick: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNREWARDINFOCLICK)
	-- if _ccbNode.getReward() then
	-- 	local rewardEntity = require("model.main.RewardEntity").new(_ccbNode.getReward())
	--     CCBCenter.loadCCB(
	--         "MSG_RECEIVEREWARDALERTLAYER_MODEL", 
	--         "ccb.c.main.ReceiveRewardAlertLayer", 
	--         {
	--             entity = rewardEntity,
	--         }
	--     )
	-- end
    CCBCenter.loadCCB("MSG_ARENAWEEKALERTLAYER_MODEL", "ccb.c.arena.ArenaWeekAlertLayer", {isTeamSameServerRewardRule = true,})
end

local function onBtnMyTeamClick( msg, luaValue )
	--17000 + 17
	Log.d(TAG, "btnMyTeam: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNMYTEAMCLICK)
	CCBCenter.loadCCB("MSG_TEAMMEMBERLAYER_MODEL", "ccb.c.team.TeamMemberLayer", {tid = 0, serid = 0, fromSame = true, fromKey = 4})
end
local function onBtnTeamListClick( msg, luaValue )
	--17000 + 18
	Log.d(TAG, "btnTeamList: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_ONBTNTEAMLISTCLICK)
	CCBCenter.loadCCB("MSG_TEAMLISTLAYER_MODEL", "ccb.c.team.TeamListLayer")
end

local function onActionFetchTeamIndex( msg, luaValue )
	-- 17000 + 19
	Log.d(TAG, "onActionFetchTeamIndex: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
        _ccbNode.updateData(items)
    end
    ModelHelper.requireDataWithFun(
        "model.team.TeamModel",
        "fetchTeamIndex",
        onFetchCallback,
        msg.userdata
    )
end
local function onActionFetchTeamReward( msg, luaValue )
	-- 17000 + 21
	Log.d(TAG, "onActionFetchTeamReward: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
		CCBCenter.sendLuaMessage(MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMINDEX)
        local rewardEntity = require("model.main.RewardEntity").new(items.reward)
	    CCBCenter.loadCCB(
	        "MSG_RECEIVEREWARDALERTLAYER_MODEL", 
	        "ccb.c.main.ReceiveRewardAlertLayer", 
	        {
	            entity = rewardEntity,
	        }
	    )
    end
    ModelHelper.requireDataWithFun(
        "model.team.TeamModel",
        "fetchTeamReward",
        onFetchCallback,
        msg.userdata
    )
end
-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--17000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_TEAMWARLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "TeamWarLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
    _nodeTable["mLastSeasonLabel"] = _ccbNode:getTTFLabel("mLastSeasonLabel", _s("TEAM_LAST_SEASON_CHAMPIONS"))
    _nodeTable["mTeamNameLabel"] = _ccbNode:getTTFLabel("mTeamNameLabel")
	_nodeTable["mRankLabel"] = _ccbNode:getTTFLabel("mRankLabel")

	-- CCControlButton
	_nodeTable["btnSeasonReview"] = _ccbNode:bindButton("btnSeasonReview", onBtnSeasonReviewClick, _s("TEAM_LAST_SEASON_VIEW"))
	_ccbNode:bindButton("btnViewSituation", onBtnViewSituationClick, _s("TEAM_VIEW_SITUATION"))
	_ccbNode:bindButton("btnTeamRule", onBtnTeamRuleClick, _s("TEAM_RULE_TITLE"))
	_nodeTable["btnCreateTeam"] = _ccbNode:bindButton("btnCreateTeam", onBtnCreateTeamClick, _s("TEAM_CREATE_TEAM"))
	_nodeTable["btnJoinTeam"] = _ccbNode:bindButton("btnJoinTeam", onBtnJoinTeamClick, _s("TEAM_JOIN_TEAM_TITLE"))
	_ccbNode:bindButton("btnBack", onBtnBackClick)
	_nodeTable["btnReward"] = _ccbNode:bindButton("btnReward", onBtnRewardClick)
	_nodeTable["btnRewardInfo"] = _ccbNode:bindButton("btnRewardInfo", onBtnRewardInfoClick)

	_nodeTable["btnMyTeam"] = _ccbNode:bindButton("btnMyTeam", onBtnMyTeamClick, _s("TEAM_MY_TEAM"))
	_nodeTable["btnTeamList"] = _ccbNode:bindButton("btnTeamList", onBtnTeamListClick, _s("TEAM_TEAM_LIST"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
    -- 填充文字

	CCBCenter.bindView("ccb.v.team.TeamWarLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
		-- CCBCenter.pushFirstCCBNode(_ccbNode)
	end
    SOUND:playMusicTeamWar(true)
	CCBCenter.sendLuaMessage(MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMINDEX)
end


MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNSEASONREVIEWCLICK]	= onBtnSeasonReviewClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNVIEWSITUATIONCLICK]	= onBtnViewSituationClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNTEAMRULECLICK]	= onBtnTeamRuleClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNCREATETEAMCLICK]	= onBtnCreateTeamClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNJOINTEAMCLICK]	= onBtnJoinTeamClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNBACKCLICK]	= onBtnBackClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNREWARDCLICK]	= onBtnRewardClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNMYTEAMCLICK]	= onBtnMyTeamClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNTEAMLISTCLICK]	= onBtnTeamListClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMINDEX]	= onActionFetchTeamIndex
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ONBTNREWARDINFOCLICK]	= onBtnRewardInfoClick
MSG_HANDLER[MSG_ID.MSG_TEAMWARLAYER_ACTION_ONFETCHTEAMREWARD]	= onActionFetchTeamReward
