--TeamWarSeasonReviewLayer.lua

MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL 				= 17600

MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_ONBTNBACKCLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 10
MSG_ID.MSG_BOSSLAYER_ACTION_ONFETCHGETWARINFO = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 11
MSG_ID.MSG_BOSSLAYER_ACTION_ONFETCHTEAMRECORD = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 12
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWACLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 13
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWBCLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 14
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWCCLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 15
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWDCLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 16
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWECLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 17
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWFCLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 18
MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWGCLICK = MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL + 19

local TAG = "[TeamWarSeasonReviewLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnBackClick( msg, luaValue )
	--17600 + 10
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_ONBTNBACKCLICK)
	closeLayer()
end

local function onFetchGetWarInfo( msg, luaValue )

	local typ = msg.userdata.typ

	local function onFetchCallback( properties )
		
		if typ == 1 then
			_ccbNode.reloadMyWarGrid(properties)
		else
			_ccbNode.changeLineColor(properties.progress)
			_ccbNode.setRecords8Head(properties.teams8)
			_ccbNode.setRecords8(properties.records8)
			_ccbNode.setRecords8Btn(properties.records8)
		end
	end
	
	NetHelper.createRequest(
        ACTID.MSG_GET_TEAMRECODE,
        onFetchCallback,
		{typ = typ, typ2 = _ccbNode._TYP2},
		{}
    )
end

local function onFetchTeamRecord( msg, luaValue )
	local function onFetchCallback( properties )
		
		-- _ccbNode.reloadMyWarGrid(properties)
		-- _ccbNode.changeLineColor(properties.progress)
	end
	
	NetHelper.createRequest(
        ACTID.MSG_PLAY_TEAMRECORD,
        onFetchCallback,
		{},
		{}
    )
end

local function onBtnWarReviewAClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "a", _TYP2 = _ccbNode._TYP2})
end

local function onBtnWarReviewBClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "b", _TYP2 = _ccbNode._TYP2})
end

local function onBtnWarReviewCClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "c", _TYP2 = _ccbNode._TYP2})
end

local function onBtnWarReviewDClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "d", _TYP2 = _ccbNode._TYP2})
end

local function onBtnWarReviewEClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "e", _TYP2 = _ccbNode._TYP2})
end

local function onBtnWarReviewFClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "f", _TYP2 = _ccbNode._TYP2})
end

local function onBtnWarReviewGClick( ... )
	CCBCenter.loadCCB("MSG_TEAMWARREVIEWLAYER_MODEL", "ccb.c.team.TeamWarReviewLayer", {records8 = _ccbNode.getRecords8(), node = "g", _TYP2 = _ccbNode._TYP2})
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--17600
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "TeamWarSeasonReviewLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mTeamWar"] = _ccbNode:getNode("mTeamWar", "CCNode")

	local tag = data.tag
	_ccbNode._TYP2 = data.typ2 or 1
	-- CCControlButton
	_ccbNode:bindButton("btnBack", onBtnBackClick)
	_nodeTable["mTeamName_1"] = _ccbNode:getNode("mTeamName_1", "CCLabelTTF")
	_nodeTable["mTeamName_2"] = _ccbNode:getNode("mTeamName_2", "CCLabelTTF")
	_nodeTable["mTeamName_3"] = _ccbNode:getNode("mTeamName_3", "CCLabelTTF")
	_nodeTable["mTeamName_4"] = _ccbNode:getNode("mTeamName_4", "CCLabelTTF")
	_nodeTable["mTeamName_5"] = _ccbNode:getNode("mTeamName_5", "CCLabelTTF")
	_nodeTable["mTeamName_6"] = _ccbNode:getNode("mTeamName_6", "CCLabelTTF")
	_nodeTable["mTeamName_7"] = _ccbNode:getNode("mTeamName_7", "CCLabelTTF")
	_nodeTable["mTeamName_8"] = _ccbNode:getNode("mTeamName_8", "CCLabelTTF")
	_nodeTable["mTeamName_9"] = _ccbNode:getNode("mTeamName_9", "CCLabelTTF")
	_nodeTable["mTeamServer_1"] = _ccbNode:getNode("mTeamServer_1", "CCLabelTTF")
	_nodeTable["mTeamServer_2"] = _ccbNode:getNode("mTeamServer_2", "CCLabelTTF")
	_nodeTable["mTeamServer_3"] = _ccbNode:getNode("mTeamServer_3", "CCLabelTTF")
	_nodeTable["mTeamServer_4"] = _ccbNode:getNode("mTeamServer_4", "CCLabelTTF")
	_nodeTable["mTeamServer_5"] = _ccbNode:getNode("mTeamServer_5", "CCLabelTTF")
	_nodeTable["mTeamServer_6"] = _ccbNode:getNode("mTeamServer_6", "CCLabelTTF")
	_nodeTable["mTeamServer_7"] = _ccbNode:getNode("mTeamServer_7", "CCLabelTTF")
	_nodeTable["mTeamServer_8"] = _ccbNode:getNode("mTeamServer_8", "CCLabelTTF")
	_nodeTable["mTeamServer_9"] = _ccbNode:getNode("mTeamServer_9", "CCLabelTTF")
	_nodeTable["noRecordLabel"] = _ccbNode:getNode("noRecordLabel", "CCLabelTTF")

	_nodeTable["noRecordLabel"]:setString(_s("TEAM_REAM_NO_RECORD"))
	_ccbNode:bindButton("btnWarReviewA", onBtnWarReviewAClick)
	_ccbNode:bindButton("btnWarReviewB", onBtnWarReviewBClick)
	_ccbNode:bindButton("btnWarReviewC", onBtnWarReviewCClick)
	_ccbNode:bindButton("btnWarReviewD", onBtnWarReviewDClick)
	_ccbNode:bindButton("btnWarReviewE", onBtnWarReviewEClick)
	_ccbNode:bindButton("btnWarReviewF", onBtnWarReviewFClick)
	_ccbNode:bindButton("btnWarReviewG", onBtnWarReviewGClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.team.TeamWarSeasonReviewLayerView", _ccbNode, _nodeTable,tag)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
	CCBCenter.sendLuaMessage(MSG_ID.MSG_BOSSLAYER_ACTION_ONFETCHGETWARINFO,nil,{typ = tag, typ2 = _ccbNode._TYP2})
end


MSG_HANDLER[MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_TEAMWARSEASONREVIEWLAYER_ONBTNBACKCLICK]	= onBtnBackClick
MSG_HANDLER[MSG_ID.MSG_BOSSLAYER_ACTION_ONFETCHGETWARINFO]		= onFetchGetWarInfo
MSG_HANDLER[MSG_ID.MSG_BOSSLAYER_ACTION_ONFETCHTEAMRECORD]		= onFetchTeamRecord
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWACLICK]		= onBtnWarReviewAClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWBCLICK]		= onBtnWarReviewBClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWCCLICK]		= onBtnWarReviewCClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWDCLICK]		= onBtnWarReviewDClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWECLICK]		= onBtnWarReviewEClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWFCLICK]		= onBtnWarReviewFClick
MSG_HANDLER[MSG_ID.MSG_MAINNEWLAYER_ONBTNWARREVIEWGCLICK]		= onBtnWarReviewGClick
