-- //MSG_INTO_WISH 进入许愿池 9010
-- //c - send:
-- {
-- }
-- //s - receive:
-- {
-- 	cur 当前进度 int
-- 	total 总进度 int
-- }

-- //MSG_GET_WISH 许愿池许愿 9011
-- //c - send:
-- {
-- }
-- //s - receive:
-- {
-- 	cur 当前进度 int
-- 	total 总进度 int

-- 	// 奖励物通用类 ，直接问成哥要
-- 	reward:
-- 	{
-- 	}
-- }

--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--
许愿

]]

local M = class("EntityMakeHope", BaseEntity)
local I = require(PH_EN_I .. NAM_CONSTANT)

-- [构造方法]
-- 构造方法，定义实体初始化赋值操作。
function M:ctor(properties)
    -- [属性注入]
    self:setProperties(properties)
end


-- [辅助方法]
-- 属性定义，标识实体属性具体的类型、默认值、子元素类型、验证操作等属性相关规则
M.fields = {
    "cur",      	   -- 当前进度 int              (公共)
    "total",		   -- 总进度 int               (公共)
    "reward",
    "canget",
}

-- 属性细则，标识实体属性具体的类型、默认值、子元素类型、验证操作等属性相关规则
M.schema = {
    cur   =   {"number", I.UNSET_NUMBER},
    total   =   {"number", I.UNSET_NUMBER},
    canget  =  {"number", I.UNSET_NUMBER},
    reward = {"table", I.UNSET_TABLE},
}
 
function M:getCur(  )
    return self.cur_
end

function M:setCur( cur )
    self.cur_ = cur
end

function M:getCanget( ) return self.canget_ end 
function M:setCanget(canget) self.canget_ = canget end
function M:getReward( ) return self.reward_ end 
function M:setReward(reward) self.reward_ = reward end
function M:getTotal( ) return self.total_ end 
function M:setTotal(total) self.total_ = total end
return M
