--ArmyDevelopmentLayer.lua
local M = {}
local MessageModel = require("ccb.m.message.MessageModel")

function M.bindView(node, luaValue)
	local TAG = "[ArmyDevelopmentLayerView]"
	local _node, _nodeTable = node, luaValue

	--军团动态node
	local _activityNode
	--军团动态grid
	local _activityGrid

	local function createActivityGrid( ... )

		local function getMessageSize ( msg,width )
			-- body
			local width,height = MessageModel.getMessageSize(
															msg,
															nil,
															30,
															1.5,
															width)
			
			return CCSize(_activityNode:getContentSize().width,height+10),CCSize(width,height)
		end

		--scrollview
	    local function createItemCellListener( grid, index, item )
	        local gridCell = widget.newLayer{contentSize = CCSize(887,20)}
	        gridCell:ignoreAnchorPointForPosition(false)
       		-- 装备技能
	      --  local contentSize,textSize = getMessageSize(item.content,535)

	        local label = ui.newTTFLabel{
                size = 30,
                text = item.content,
			}

			local labelHeight = math.ceil( label:getContentSize().width / 550)

			local contentLabel = ui.newTTFLabel{
                size = 30,
                text = item.content,
                dimensions = CCSize(550,labelHeight * label:getContentSize().height)
			}


          	gridCell:setContentSize(CCSize(_activityNode:getContentSize().width,labelHeight * label:getContentSize().height + 10 ))

			util.alignNode(contentLabel, gridCell,display.TOP_LEFT,{top = 10,left = 20})
          	gridCell:addChild(contentLabel)

          	local timeLabel = ui.newTTFLabel{
                size = 30,
                text = item.newstime,
			}
			util.alignNode(timeLabel, gridCell,display.TOP_RIGHT,{top = 15,right = 20})
          	gridCell:addChild(timeLabel)
          	
       	  
          	return gridCell
	    end

	    --scrollview
	    local scrollGrid = widget.newScrollLinear{
	        x = 0,
	        y = 0,
	        contentSize = _activityNode:getContentSize(),
		    cellAtIndexListener = createItemCellListener,
	        contentParams = {
					            column = 1,
					            tapListener = tapListener,
					            selectedParams = nil,
					        },
	        direction = widget.TABLEVIEW_DIRECTION_VERTICAL,
	    }
	    _activityNode:addChild(scrollGrid)
	    return scrollGrid
	end

	--刷新军团动态
	local function reloadActivityGrid( armynewslist )
		_activityGrid:setItems(armynewslist)
	end

--[[ ## local fuction --]]
	local function initViews()

		_activityNode = CCBCenter.getNodeByTag(_node, 301)

		--技能列表
		_activityGrid = createActivityGrid()
	end

--[[ ## public fuction --]]
	--刷新军团动态
	_node.reloadActivityGrid = reloadActivityGrid
--[[ ## MAINs --]]
	initViews()
end

return M