--AntiPlugAlertLayer.lua
local M = {}

function M.bindView(node, luaValue)
	local TAG = "[AntiPlugAlertLayerView]"
	local _node, _nodeTable = node, luaValue
--[[ ## local fuction --]]
    local function createTextContent( )
        _nodeTable["mContentLabel"]:setString(_s("ANTI_PLUGALERT_CONTENT"))
    end
    local function createButtons( counts )
        counts = counts or 2
        local layer = CCBCenter.getNodeByTag(_node, 104)
        layer:removeAllChildrenWithCleanup(true)
        local trueIndex = math.random(1, counts)
        local linearLayer = widget.newLinearLayer()
        local button
        local function onYellowClick ( button )
            NetHelper.QuickToast(_s("ANTI_PLUGALERT_ERROR"))
            local position = math.random(display.CENTER, display.BOTTOM_CENTER)
            util.alignNode(_node, CCSize(CONFIG_SCREEN_WIDTH, CONFIG_SCREEN_HEIGHT), position)
        end
        local function onBlueClick( button )
            CCBCenter.sendLuaMessage(MSG_ID.MSG_ANTIPLUGALERTLAYER_ACTION_ONCOMPLETE)
        end
        local imageFile 
        local listener 
        local text
        for i = 1, counts do
            if trueIndex == i then
                imageFile = "alert/alertBtn1.png"
                listener = onBlueClick
                text = _s("ANTI_PLUGALERT_SAY_NO")
            else
                imageFile = "alert/alertBtn2.png"
                listener = onYellowClick
                text = _s("ANTI_PLUGALERT_BORED")
            end
            button = widget.newButton{
                normalImage = imageFile,
                scale = 1.1,
                listener = listener,
                labelParams = {text = text, color = BUTTON_COLOR3.BROWN},
            }
            linearLayer:addChild(button)
        end
        local padding = (layer:getContentSize().width - linearLayer:getContentSize().width)/counts
        linearLayer:setPadding(padding)
        linearLayer:refresh()
        layer:addChild(linearLayer)
        util.alignNode(linearLayer, layer)
    end
	local function initViews()
        createTextContent( )
		createButtons()
	end

--[[ ## public fuction --]]

--[[ ## MAINs --]]
	initViews()
end

return M