local M = {}

function M.bindView(node, luaValue)
	local TAG = "[FriendLayerView]"
	local _node, _nodeTable = node, luaValue

	local _friendBarY = 0
	-- local _search		--搜索筐
	local _tableNode 	--table父node
	local _gridTable 	--table实体
	local _addBtn       --添加好友
	local _appBtn       --申请
	local _myfriBtn     --我的好友
	local _searchBox    --搜索框
	local _tCount       --好友数量／上限
	local _callBackType --但前界面是哪个请求（好友列表／好友申请／搜索）
	local _ll5          --搜索筐父node
	local _Z_STATUSBAR  --底部状态条
	local _friendBar
	local _tcountfiled 
	
	local callBackFriendList	--回调
	local hideSearch 			--隐藏搜索
	local showOrHideSearchBar	--根据位置推出或者收回searchbar搜索框
	local loadFriendPanel		--弹出好友信息界面
	local createTable 			--创建table
	local createCell  			--创建cell
	local _doCell                 --正在操作的行

	local resetDocell
	--[[ ## local fuction --]]
	--[[
		e.g.: _nodeTable["mSprite"]
	--]]
	local function hideSearch( )
			_searchBox:setText("")
	end
	
	--根据位置推出或者收回searchbar搜索框
	local  function showOrHideSearchBar( )  
		 	_searchBox:setText("")
	end

	--弹出好友信息界面
	local function loadFriendPanel(  )
		-- 
		local action = transition.sequence({
	        CCCallFunc:create(hideSearch),
	        CCMoveTo:create(0.5, 
						ccp(_tableNode:getPositionX(),_tableNode:getPositionY() - _tableNode:getContentSize().height)),                -- delay 1 seconds
	        CCMoveTo:create(0.4, ccp(0,0)), 
	    })
	  	_tableNode:runAction(action)
	end
	

	local function initMyFriendBtn()
		 _myfriBtn = 
		            widget.newButton({normalImage="friend/friendBarBtnBack.png",
		            	selectImage = "friend/fImg-09.png",
		                  ignoreAnchor = true,
		                  x = 115.0,
		                  y = 39.0,
		                  labelParams = {
							            text = _s("FRIEND_MY_FRIENDS"),
							            size = 65,
							            y = 50,
							            padding = {
	                								left = 0,
	                								right = 0,
	                							 	top = -10, bottom = 0}
							              		},
		                  listener = function (  )
		                  		-- showOrHideSearchBar()--隐藏
		                  		hideSearch()
		                  		CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
		 						nil,
		 			 			{arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST} )--请求好友列表
		                   end
		                })

		  _myfriBtn:setScale(0.5)
		  _friendBar:addChild(_myfriBtn)
	end

    --搜索筐
	local function initEditBox( )
		
		_ll5 = CCBCenter.getNodeByTag(_node , 5)
		local searchBg = display.newSprite("friend/friendSearchBox.png")
		searchBg:setPosition(ccp(113, 17))
		_ll5:addChild(searchBg)

		_searchBox = widget.newEditBox({
			contentSize = CCSize(_ll5:getContentSize().width - 70, _ll5:getContentSize().height) ,
			x = _ll5:getPositionX() ,
			y = _ll5:getPositionY() - 3,
			normalBgImage = {file = "hook_ac.png"},
			})
		_searchBox:setInputMode(kEditBoxInputModeSingleLine)
		_node:addChild(_searchBox, 6, 7)
		-- _searchBox:setPosition(0,10000)
		_searchBox:setMaxLength(6)

		local serchGlassSp = widget.newSprite({file = "friend/fraendSearchGlass.png"})
		util.alignNodeWithPadding(serchGlassSp, _searchBox:getContentSize(), display.CENTER_LEFT , {left = -35, top = 0.1})
		_ll5:addChild(serchGlassSp)
		serchGlassSp:setPosition(ccp(serchGlassSp:getPositionX() + 32, serchGlassSp:getPositionY()))
	end 

	local function resetDocell(  )
		 _doCell = nil
	end
	
	--返回
    local function callBackFriendList( entityFriendArr, param)
        
        CCBCenter.getNodeByTag(_node, 216):setVisible(ME:getNfriend() == TRUE)
		if param.methodId == ACTID.MSG_GET_FRIENDLIST or param.methodId == ACTID.MSG_APPADD_FRIEND then 

			local fcount = entityFriendArr:getFcount()
			_tcountfiled = entityFriendArr:getTcount()
			if fcount then
				_tCount:setString(fcount.."/".._tcountfiled)
			end
		end

		if param.methodId == ACTID.MSG_ACCEPT_FRIAPP then 
			
			local fcount = entityFriendArr:getFcount()

			if fcount then
				_tCount:setString(fcount.."/".._tcountfiled)
			end
		end

        _callBackType = param.methodId -- 获取回调类型
        
        if _doCell then
        	
        	if _doCell.dindex then
        	_doCell.dcell:removeChildByTag(_doCell.tag,true)
	    	
	     	elseif _doCell.y then
	     		-- 
	     		_gridTable:setItems(entityFriendArr:getFriends(), _doCell.y)
	     		resetDocell()	
	     	end

        elseif #entityFriendArr:getFriends()>0 then
	          _gridTable:setItems(entityFriendArr:getFriends())
	         
	    else 
	       	_gridTable:setItems({})
	     	NetHelper.QuickToast(_s("FRIEND_NOT_SEARCH"))

	    end

 		if param.methodId == ACTID.MSG_APPADD_FRIEND then --发送申请返回未申请玩家
            NetHelper.QuickToast(_s("FRIEND_APPLICATION_SUCCESS"))
            
 		end

 		
    end

    local function showPlayerDetail( ... )
    	-- body
    	-- 
    end

    --获取体力按钮		
    local function getHpBtn( params )

    	local cell = params.cell
    	--获取体力直
	   local gethpSP = widget.newButton({
		            		normalImage="friend/friendGethpBtnBack.png",
		            		selectImage = 	"friend/fImg-13.png",
		                  	ignoreAnchor = true,
		                  	container = _gridTable,
		                  	x = cell:getContentSize().width-110,
			                y = cell:getContentSize().height/2+10,
		                  	labelParams = {
							                  		text = _s("FRIEND_RECEIVE_SP"),
							                  		color = COLOR_WHITE,
							                  		size = 30,
							                  		textAlign = ui.TEXT_ALIGN_CENTER,
							                  		padding = { 
							                			middleH = 0, middleV = 0,
							                			left = 0, right = 0, top = 0, bottom = 0,
							            			}
							              		},
		                  	listener = function (  ) 
		                  	
		                  			-- local with,heght = grid:getCellPosition(index)
			                  		_doCell = {}
							       	_doCell.tag = 100 
			                  		_doCell.dcell = cell  	--行实体
			                  		_doCell.y = _gridTable:getContentOffset().y			
		                  		CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
							 						nil,
							 			 			{arg = {fid = params.item:getHero():getId()},methodId = ACTID.MSG_ACCEPT_FRIPOINT  } )
		                   	end
		                })
	 	cell:addChild(gethpSP, 100, 100)         	
    end

    --赠送体力
    local function giftHpBtn( params )

    	local cell = params.cell
    	local giftHpSP = 
			            widget.newButton({normalImage="friend/friendGethpBtnBack.png",
			            	selectImage = 	"friend/fImg-13.png",
			                  ignoreAnchor = true,
			                  container = _gridTable,
			                  x = cell:getContentSize().width-110,
			                  y = cell:getContentSize().height/2+10,
			                  labelParams = {
								                  		text = _s("FRIEND_GIFT_SP"),
								                  		color = COLOR_WHITE,
								                  		size = 30,
								                  		textAlign = ui.TEXT_ALIGN_CENTER,
								                  		padding = { 
							                			middleH = 0, middleV = 0,
							                			left = 0, right = 0, top = 0, bottom = 0,
							            			}
								              		},
			                  listener = function (  ) 
			                  		-- local with,heght = grid:getCellPosition(index)
			                  	  	_doCell = {}
							       	_doCell.tag = 101 
			                  		_doCell.dcell = cell  	--行实体
			                  		_doCell.y = _gridTable:getContentOffset().y	
			                  	  	CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE,
							 						nil,
							 			 			{arg = {fid = params.item:getHero():getId()},methodId = ACTID.MSG_GIVE_FRIPOINT } )
			                  		
			                   end
			                })
		cell:addChild(giftHpSP, 101 , 101 )
    end

    --申请好友按钮
    local function appFriendBtn( params )

    	local cell = params.cell
    	local appFriendBtn = widget.newButton({normalImage="friend/fImg-12.png",
		  	 	 	selectImage = "friend/fImg-10.png",
	                ignoreAnchor = true,
	                container = _gridTable,
	                x = cell:getContentSize().width-110,
	                y = 65,
	                labelParams = {
	                  		text = _s("FRIEND_APPLICATION_FRIEND"),
	                  		size = 25,
	                  		textAlign = ui.TEXT_ALIGN_CENTER
	              		},
	                listener = function (  ) 
	                	--申请好友MSG_APPADD_FRIEND 好友申请 7104
	                	-- _doCell = {}
	                	-- _doCell.tag = 102 
      			-- 		_doCell.dcell = cell  	--行实体
      			-- 		_doCell.y = _gridTable:getContentOffset().y
	                	CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
	 						nil,
	 			 			{arg = {fid = params.item:getHero():getId()},methodId = ACTID.MSG_APPADD_FRIEND } )
	                	HelperView2.showNext()
	              	end
				})
		cell:addChild(appFriendBtn, 102, 102)
    end

    --同意，拒绝按钮
    local function agreeAndrejectBtn( params )

    	local cell = params.cell
    	local agreeBtn = 
		            widget.newButton({normalImage="friend/fImg-16.png",
		            	selectImage = "friend/fImg-18.png",
		                  ignoreAnchor = true,
		                  container = _gridTable,
		                  x = cell:getContentSize().width-170,
		                  y = cell:getContentSize().height/2+10,
		                  labelParams = {
							            text = "",--_s("COMMON_AGREE"),
										color = COLOR_WHITE,
							            size = 30,
							            textAlign = ui.TEXT_ALIGN_CENTER
							              		},
		                  listener = function (  )
		                  		--同意申请
		                  		CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETAPPLYBYARGTYPE, 
							 						nil,
							 			 			{arg = {fid = params.item:getHero():getId()},methodId = ACTID.MSG_ACCEPT_FRIAPP } )
		                   end
		                })
		cell:addChild(agreeBtn)
		        local rejectBtn = 
		            widget.newButton({normalImage="friend/fImg-17.png",
		            	  selectImage = "friend/fImg-19.png",
		                  ignoreAnchor = true,
		                  container = _gridTable,
		                  x = cell:getContentSize().width-60,
		                  y = cell:getContentSize().height/2+10,
		                  labelParams = {
							                  		 text = "",--_s("COMMON_REFUSE"),
							                  		color = COLOR_WHITE,
							                  		size = 30,
							                  		textAlign = ui.TEXT_ALIGN_CENTER
							              		},
		                  listener = function (  )
		                  		--拒绝申请
		                  		CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETAPPLYBYARGTYPE, 
							 						nil,
							 			 			{arg = {fid = params.item:getHero():getId()},methodId = ACTID.MSG_DEL_FRIAPP } )
		                   end
		                })
		cell:addChild(rejectBtn)
    end


    
    local function createCell( grid,index,item )
		local cell = display.newSprite("friend/friendCellBack.png", 0, 0)
		cell:ignoreAnchorPointForPosition(false)
		cell:setTag( 3 )

		-- 头像
		local heroIconSp = display.newSprite("friend/heroIconBack.png", 55,cell:getContentSize().height/2)
		heroIconSp:setScale(0.9)
		cell:addChild(heroIconSp)
	    local headRole = item:getHero():createPlayerHeadRectView()
	    headRole:setScale(heroIconSp:getContentSize().width / headRole:getContentSize().width)
	    util.alignNode(headRole, heroIconSp, display.BOTTOM_LEFT)
	    heroIconSp:addChild(headRole)
		local heroIconBtn = widget.newButton({
      		normalImage 	= "hook_ac.png",
            ignoreAnchor 	= true,
            container 		= _gridTable, --cell滑出scroll外，禁止按钮点击
            listener 		= function() 
           		CCBCenter.loadCCB("MSG_FRIENDPANELLAYER_MODEL", "ccb.c.friend.FriendPanelLayer", 
	 				{
	 					entity = item,
	 					listener = function(methodId) 
	     					resetDocell() --把当前操作行重置为空

	     					if methodId == ACTID.MSG_DEL_FRIEND then
						        --删除好友刷新
	     						 CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
	 								nil,
	 			 					{arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST} )--请求好友列表
						    end
						    if methodId == ACTID.MSG_APPADD_FRIEND then
						        --申请好友刷新
						        CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
						 			nil,
						 			{arg = {fid = item:getHero():getId()},methodId = ACTID.MSG_APPADD_FRIEND } )
						    end
	 					end,
	 					fnNextView = function() 
	 						CCBCenter.replaceScene("MSG_FRIENDLAYER_MODEL", "ccb.c.friend.FriendLayer",{flag = _node._DATA.flag},
							 	function(node) 
								game.requestDateForLoad(node, .5)
							end) 
	 					end,
	 				}
				)
		end})
		util.alignNode(heroIconBtn, heroIconSp:getContentSize(), display.CENTER)
		heroIconSp:addChild(heroIconBtn)

   --        local startSp = display.newSprite("friend/friendCardStartback.png",55,cell:getContentSize().height/2-19)
			-- local nameLB = ui.newTTFLabel{
   --                                    size = 25,
   --                                    color = COLOR_WHITE,
   --                                    text = tostring("LV"..item:getHero():getLv()),
   --                                    x    = 10,
   --                                    y    = 14
   --        	}
   --        	startSp:setScale(0.8)
	  --  		startSp:addChild(nameLB)
	  --   	cell:addChild(startSp)

        local labelLevel = widget.newTTFLabelWithShadow{
            text = "LV:" .. item:getHero():getLv(),
            size = 18,
        }
        labelLevel:setAnchorPoint(ccp(1, 0))
        cell:addChild(labelLevel, 10)
        labelLevel:setPosition(ccp(87, 68))
        -- util.alignNode(labelLevel, cell, display.RIGHT_TOP, 4)
            -- local labelLevel = getNumImage(_level, IMAGE_SIZE.MIDDLE) 
            -- labelLevel:setScale(0.7)
            
            -- _card:addChild(labelLevel)
            -- util.alignNode(labelLevel, _card, display.RIGHT_TOP, 4)
            

          --主卡
   --        local cardBtn = 
   --        widget.newButton({ normalImage= item:getCard():getCardIcon(),
   --              ignoreAnchor = true,
   --              container = _gridTable, --cell滑出scroll外，禁止按钮点击
   --              listener = function (  )   
   --                 -- CCBCenter.replaceScene("MSG_FRIENDPANELLAYER_MODEL", "ccb.c.friend.FriendPanelLayer")
   --                 -- card.getParams()
   --                 -- CCBCenter.loadCCB("MSG_CARDDETAILLAYER_MODEL", "ccb.c.cardgroup.CardDetailLayer", {})
   --                 local card = item:getCard()
   --                 card:setTalent(tostring(item:getTalent()))
                   
   --                 CCBCenter.loadCCB("MSG_CARDDETAILLAYER_MODEL", "ccb.c.cardgroup.CardDetailLayer", card)
   --              end})
   --      cardBtn:setPosition(145, cell:getContentSize().height/2)
   --      cardBtn:setScale(0.68)
 		-- cell:addChild(cardBtn)

        local CardMaster = require("cardui.CardMaster")
        local cardEntity = item:getCard()
        cardEntity.type = CardMaster.MINISTARCARD
        -- cardEntity.showLv = true
        cardEntity.showDetail = true
        cardEntity:setMain(TRUE)
        cardEntity:setTalent(item:getTalent())
        cardEntity:setEquipEffect(item:getHero():getEquipEffect())
        cardEntity.container = _tableNode
        local cardView = CardMaster.new(cardEntity)
        cardView:setScale(0.68)
        cardView:setPosition(90, 0)
        cell:addChild(cardView)

	    -- local star = require("cardui.LinearStar").new({ fileName = "card/img_card_star.png", count = item:getCard():getCardStar(), unitScale = 0.4, margin = ccp(0.5, 0) })
	    -- cell:addChild(star)
	    -- star:setScale(0.7)
     --    star:setPosition(ccp(105*(1), cell:getContentSize().height/2+25))

         

  --       local startSp = display.newSprite("friend/friendCardStartback.png",146, cell:getContentSize().height/2-19)
		-- local cardlvLB = ui.newTTFLabel{
  --                                     size = 22,
  --                                     color = COLOR_WHITE,
  --                                     text = tostring("LV"..item:getCard():getLv()),
  --                                     x    = 10,
  --                                     y    = 14
  --         	}
  --        startSp:setScale(0.8)
	 --   	startSp:addChild(cardlvLB)
	 --    cell:addChild(startSp)
        local cardlvLB = widget.newTTFLabelWithShadow{
            text = "LV:" .. item:getCard():getLv(),
            size = 18,
        }
        cardlvLB:setAnchorPoint(ccp(1, 0))
        cell:addChild(cardlvLB, 10)
        cardlvLB:setPosition(ccp(177, 68))
        --玩家名字
          local nameLB = ui.newTTFLabel{
                                      size = 25,
                                      color = COLOR_WHITE,
                                      text = tostring(item:getHero():getName()),
                                      x    = cell:getContentSize().width/2-100,
                                      y    = cell:getContentSize().height/2+20
          }
          cell:addChild(nameLB)

          -- --最后登陆时间（字符串）
          local lastLoginTimeStrLB = ui.newTTFLabelWithShadow{ 
                                        size = 16,
                                        color = COLOR_WHITE,
                                        text = tostring(_s("FRIEND_LAST_LOGIN_TIME")),
                                        x    = cell:getContentSize().width/2-125,
                                        y    = cell:getContentSize().height/2-12.5
           }
          -- util.alignNode(lastLoginTimeStrLB, cell:getContentSize(), display.CENTER)
          cell:addChild(lastLoginTimeStrLB)
          -- --最后登陆时间（具体值）
          local lastLoginTimeLB = ui.newTTFLabel{
                                        size = 18,
                                        color = COLOR_WHITE,
                                        text = tostring(item:getHero():getLastdate()),
                                        x    = cell:getContentSize().width/2-125,
                                        y    = cell:getContentSize().height/2-32
           }
          cell:addChild(lastLoginTimeLB)
          
          if _callBackType == ACTID.MSG_GET_FRIENDLIST or _callBackType == ACTID.MSG_GIVE_FRIPOINT or _callBackType == ACTID.MSG_ACCEPT_FRIPOINT then 
				--------------------(我的好友界面)判断对方是否有赠送体力------------------------
          		if item:getAfripoint() == 1 then--有则显示获取按钮
          			--获取体力按钮
	            	getHpBtn({cell = cell, item = item})
		        elseif item:getSfripoint() == 1 then --无则判断是否已赠送给对方
		        	--赠送体力按钮
		            giftHpBtn({cell = cell, item = item})
		        else  ---都不成立不显示按钮

		        end 
		  elseif _callBackType == ACTID.MSG_GET_FRIAPPLIST or _callBackType == ACTID.MSG_DEL_FRIAPP or _callBackType == ACTID.MSG_ACCEPT_FRIAPP  then 
		  		
          		--同意或者拒绝
				agreeAndrejectBtn({cell = cell, item = item})
		  elseif _callBackType == ACTID.MSG_GET_RANPLAYERLIST or _callBackType == ACTID.MSG_APPADD_FRIEND or _callBackType == ACTID.MSG_FIND_PLAYER  then
		  		--------------------(搜索好友界面)------------------------
		  		--申请加为好友按钮
		  		appFriendBtn({cell = cell, item = item})
		  	 	 
          end
          

          return cell
    end

	--创建table
    local function createTable()
    	
        local function createItemCellListener( grid,index,item )
        	local cell = createCell(grid,index,item)
          	return cell
	    end
	    local function modifyItemCellListener( grid,index,item,itemCell )
	        -- body
	        -- print("YOU modifyItemCellListener ", index)
	    end
	    local function tapListener( grid,index,item )
	          -- print("YOU CLICKED ", index)

	         -- CCBCenter.loadCCB("MSG_FRIENDPANELLAYER_MODEL", "ccb.c.friend.FriendPanelLayer", 
          --    				{entity = item,listener = function(methodId) 
          --    					resetDocell() --把当前操作行重置为空

          --    					if methodId == ACTID.MSG_DEL_FRIEND then
							   --      --删除好友刷新
          --    						 CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
		 							-- 	nil,
		 			 			-- 		{arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST} )--请求好友列表
							   --  end
							   --  if methodId == ACTID.MSG_APPADD_FRIEND then
							   --      --申请好友刷新
							   --      CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
							 		-- 	nil,
							 		-- 	{arg = {fid = item:getHero():getId()},methodId = ACTID.MSG_APPADD_FRIEND } )
							   --  end

             					
          --    				end})

	       -- CCBCenter.loadCCB("MSG_FRIENDPANELLAYER_MODEL", "ccb.c.friend.FriendPanelLayer")
	    end
	    --scrollview
	    local cellSp = display.newSprite("friend/friendCellBack.png", 0, 0)
	    local scrollGrid = widget.newScrollGrid{

	        contentSize = _tableNode:getContentSize(),
	        contentParams = {
	            cellSize = CCSize( 700, cellSp:getContentSize().height*SCALE_FOR_SPECIAL_NODE),
	            padding = { 
	                middleH = 0, middleV = 0,
	                left = -20, right = 0, top = 0, bottom = 70,
	            },
	            column = 1,
	            createItemCellListener = createItemCellListener,
	            modifyItemCellListener = modifyItemCellListener,
	            tapListener = tapListener,
	            selectedParams = nil,

	        },
	        direction  = widget.TABLEVIEW_DIRECTION_VERTICAL,
	        parentNode = _tableNode,
	    }
	    return scrollGrid
    end

    --按钮状态改变
    local function showORhideBtn( btnnum )
    	
		_appBtn:setEnabled(true)
		_addBtn:setEnabled(true)
		_myfriBtn:setEnabled(true)
		
		local SPLayer = CCBCenter.getNodeByTag(_node, 6)

    	if btnnum == 1 then 
    		_tableNode:setContentSize(CCSize(705,549))
    		_tableNode:setPositionY(0)
    		_appBtn:setEnabled(false)
    		SPLayer:setVisible(false)
    	elseif btnnum == 2 then
    		_tableNode:setContentSize(CCSize(705,549))
			_tableNode:setPositionY(0)
			_addBtn:setEnabled(false)
			SPLayer:setVisible(false)	
    	elseif btnnum == 3 then
			_myfriBtn:setEnabled(false)
			_tableNode:setContentSize(CCSize(705,470))
			_tableNode:setPositionY(76)
			SPLayer:setVisible(true)
    	end
    	_tableNode:removeAllChildrenWithCleanup(true)
    	_gridTable = createTable()
    end

    -- 新手引导
    local function checkHelperInfo( )
        if ME:getTriggerMsgEntity():isShowFriendHelper() then
            HelperView2.setCurIndex(30020)
        end
        HelperView2.showBetween(
            _node, 
            nil, 
            {30020, 30050}
        )
    end
	local function initViews()
		_appBtn = CCBCenter.getNodeByTag(_node, 202, "CCControlButton")
		_appBtn:setTitleColorForState(BUTTON_COLOR3.BROWN, CCControlStateDisabled)
	    _addBtn = CCBCenter.getNodeByTag(_node, 201, "CCControlButton")
		_addBtn:setTitleColorForState(BUTTON_COLOR3.BROWN, CCControlStateDisabled)
		_myfriBtn = CCBCenter.getNodeByTag(_node, 215, "CCControlButton")
		_myfriBtn:setTitleColorForState(BUTTON_COLOR3.BROWN, CCControlStateDisabled)

		_appBtn:setEnabled(true)
		_addBtn:setEnabled(true)
		_myfriBtn:setEnabled(false)
		
	 	CCBCenter.getNodeByTag(_node, 216):setVisible(ME:getNfriend() == TRUE)

		_friendBar = CCBCenter.getNodeByTag(_node, 2) --好友bar,
     	_friendBarY = _friendBar:getPositionY() --好友bar的y
		_tCount = CCBCenter.getNodeByTag(_node, 204, "CCLabel") --上限
		_tableNode = CCBCenter.getNodeByTag(_node, 3) --tableNode
		_gridTable = createTable()--创建table
		initEditBox()--搜索框

		-----------------我的ID-----------------------------------------
		local myIdLB = CCBCenter.getNodeByTag(_node, 403, "CCLabel")		
  		myIdLB:setString(ME:getUserno())	
  		
		if _node._DATA.flag == 2 then
			
			CCBCenter.sendLuaMessage( MSG_ID.MSG_FRIENDLAYER_ONBTNADDLAYER, 
		 			nil,
		 			 {arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST} )
		elseif _node._DATA.flag == 1 then

			CCBCenter.sendLuaMessage( MSG_ID.MSG_FRIENDLAYER_ONBTNAPPLYLAYER, 
		 			nil,
		 			 {arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST} )
		else
			_node.requestDataForLoad = function ()
			CCBCenter.sendLuaMessage( MSG_ID.MSG_FRENDLAYER_NETGETFRIENDSBYARGTYPE, 
		 			nil,
		 			 {arg = "1",methodId = ACTID.MSG_GET_FRIENDLIST} )--请求好友列表
			end
		end

		-- 判断是否执行新手帮助
  		checkHelperInfo()
	end

	--[[ ## public fuction --]]
	-- _node.initEditBox = initEditBox --提供给c层调用
	_node.showOrHideSearchBar = showOrHideSearchBar ---显示隐藏
	_node.hideSearch = hideSearch
	_node.showORhideBtn = showORhideBtn
	_node.resetDocell = resetDocell --
	_node.loadFriendPanel = loadFriendPanel 
	 _node.callBackFriendList = callBackFriendList
	-- _node.netGetApplyByargType = netGetApplyByargType
	--[[ ## MAINs --]]
	initViews()
end

return M