--ActivityTextContainerLayer.lua
local M = {}

function M.bindView(node, luaValue)
	local TAG = "[ActivityTextContainerLayerView]"
	local _node, _nodeTable = node, luaValue
	local _data = _node._DATA
	local _scrollView
--[[ ## local fuction --]]

	local function fillInfo( info )
		_nodeTable.mTitleLabel:setString(info.title)
		local textLabel = ui.newTTFLabel{text = "" , color = BUTTON_COLOR3.BROWN, size = 20}
		-- local colorLayer = widget.newColorLayer(ccc4(255,100,100,255))
		-- colorLayer:setContentSize(calcContainerSize(textLabel))
		local size = _scrollView:getContentSize()
		textLabel:setDimensions(CCSize(size.width, 0))--calcContainerSize(textLabel))
		textLabel:setVerticalAlignment(ui.TEXT_VALIGN_TOP)
		textLabel:setHorizontalAlignment(ui.TEXT_ALIGN_LEFT)
		textLabel:setString(info.detail)
		-- colorLayer:addChild(textLabel)
		-- util.alignNode(textLabel, colorLayer:getContentSize(), display.TOP_CENTER )
		_scrollView:setContainer(textLabel)
		_scrollView:updateInset()
		util.autoFixScrollView(_scrollView)
	end

	local function createScrollView( )
		local layer = CCBCenter.getNodeByTag(_node, 102)
		local scrollView = widget.newScrollView{
			-- bounceable = false, 
			contentSize = layer:getContentSize(), 
			direction = widget.TABLEVIEW_DIRECTION_VERTICAL, 
		}
		layer:addChild(scrollView)
		return scrollView
	end

	local function initViews()
		_scrollView = createScrollView( )
		if _data then
			fillInfo(_data)
		end
	end

--[[ ## public fuction --]]

--[[ ## MAINs --]]
	initViews()
end

return M