--TriggerMsgAlertLayer.lua
local M = {}

function M.bindView(node, luaValue)
	local TAG = "[TriggerMsgAlertLayerView]"
	local _node, _nodeTable = node, luaValue
    local _date = _node._DATA

    local SHOW_TYPE_REWARD              = 1     -- 奖励
    -- local SHOW_TYPE_UNLOCKCARD          = 2     -- 卡组解锁
    -- local SHOW_TYPE_UNLOCKCARDGROUP     = 3     -- 卡槽解锁 
    -- local SHOW_TYPE_UNLOCKENHANCED      = 4     -- 强化解锁 
    -- local SHOW_TYPE_UNLOCKEVOLUTION     = 5     -- 进阶解锁 
    -- local SHOW_TYPE_UNLOCKTALENT        = 6     -- 天赋解锁
    -- local SHOW_TYPE_UNLOCKSTAR          = 7     -- 星星收集开启
    -- local SHOW_TYPE_UNLOCKCHIP          = 8     -- 碎片开启
    -- local SHOW_TYPE_UNLOCKARENA         = 9     -- 竞技场开启
    -- local SHOW_TYPE_UNLOCKFRIEND        = 10    -- 好友开启
    -- local SHOW_TYPE_HELPINFOSTEP        = 11    -- 新手帮助 
--[[ ## local fuction --]]
    local function createButton( )
        -- 创建渐隐动画
        local function playFadeAction( sprite )
            sprite:stopAllActions()
            local sequence = transition.sequence{
                CCFadeTo:create(1, 255),
                CCFadeTo:create(1, 0),
            }
            local action = CCRepeatForever:create(sequence)
            sprite:runAction(action)
        end
        -- widget.bindTouchEvent{
        --     layer = util.toCCLayer(_node),
        --     clickListener = _date.onConfirmClick,
        --     priority = -99999,
        -- }
        widget.bindTouchEvent{
            layer = util.toCCLayer(CCBCenter.getNodeByTag(_node, 4)),
            clickListener = function ( )
                CCBCenter.sendLuaMessage(MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNVIEWPAGECLICK)
            end,
            priority = -99999,
        }
        widget.bindTouchEvent{
            layer = util.toCCLayer(CCBCenter.getNodeByTag(_node, 5)),
            clickListener = function ( )
                CCBCenter.sendLuaMessage(MSG_ID.MSG_TRIGGERMSGALERTLAYER_ONBTNSKIPCLICK)
            end,
            priority = -99999,
        }
        -- local btnNode = CCBCenter.getNodeByTag(_node, 105)
        -- -- 整个可点..按钮没必要了..
        -- -- local btnConfirm = widget.newButton{ 
        -- --     normalImage = "trigger/btn_trigger_normal.png",
        -- --     -- selectImage = "trigger/btn_trigger_select.png",
        -- --     -- listener = _date.onConfirmClick,
        -- --     -- priority = -99999,
        -- -- }
        -- -- btnNode:addChild(btnConfirm)
        -- -- util.alignNode(btnConfirm, btnNode:getContentSize(), display.CENTER)
        -- -- 底图
        -- -- local bottomSprite = widget.newSprite{file = "trigger/btn_trigger_normal.png"}
        -- -- btnNode:addChild(bottomSprite)
        -- -- util.alignNode(bottomSprite, btnNode)
        -- -- 按钮黄光
        -- -- local btnLightSprite = widget.newSprite{file = "trigger/btn_trigger_select.png"}
        -- -- btnNode:addChild(btnLightSprite)
        -- -- util.alignNode(btnLightSprite, btnNode:getContentSize(), display.CENTER)
        -- -- btnLightSprite:setOpacity(0)
        
        -- -- 文字
        -- local ttfLabel = ui.newTTFLabel{
        --     text = iff( _date.msgId == SHOW_TYPE_REWARD, _s("REWARD_RECEIVE"), _s("COMMON_CLICKTO")), 
        --     color = BUTTON_COLOR3.BROWN,
        --     size = 22,
        -- }
        -- btnNode:addChild(ttfLabel)
        -- util.alignNode(ttfLabel, btnNode:getContentSize(), display.CENTER)

        -- 扫光
        local lightSprite = anim.playAnimation(
            nil, 
            "trigger/img_light_flit", 
            "img_light_flit_%d.png", 
            15, 1, 1, false, true, 
            function ( )
                -- 闪现
                -- playFadeAction( btnLightSprite )
            end
        )
        CCBCenter.getNodeByTag(_node, 1):addChild(lightSprite)
        util.alignNode(lightSprite, CCBCenter.getNodeByTag(_node, 1))

    end
    local function updateLayerView( )
        -- 图标
        if _date.imgFile then
            local imageNode = CCBCenter.getNodeByTag(_node, 102)
            local bgSprite = widget.newSprite{file = "goods/goodBack.png"}
            imageNode:addChild(bgSprite, 0)
            util.alignNode(bgSprite, imageNode:getContentSize(), display.CENTER)
            local imgSprite = widget.newSprite{file = _date.imgFile}
            imageNode:addChild(imgSprite, 1)
            util.alignNode(imgSprite, imageNode:getContentSize(), display.CENTER)
        end
        -- 文字
        _nodeTable["mMessageLabel"]:setString(_date.text)
        -- 按钮
        if ME:getTriggerMsgEntity():isShowHelpInfo() then
            _nodeTable["btnSkip"]:setVisible(false)
            _nodeTable["btnViewPage"]:setPosition(ccp(130, 0))
            CCBCenter.getNodeByTag(_node, 4):setPosition(ccp(130, 0))
        end
    end
	local function initViews()
        -- TODO奖励单独处理
		-- if _date.msgId == SHOW_TYPE_REWARD then
  --           _node:setButtonTitle("btnConfirm", _s("REWARD_RECEIVE"))
  --       else
  --           updateLayerView( )
  --           _node:setButtonTitle("btnConfirm", _s("COMMON_OK"))
  --       end
        if _date.msgId ~= SHOW_TYPE_REWARD then
            updateLayerView( )
        end
        createButton( )
	end

--[[ ## public fuction --]]

--[[ ## MAINs --]]
	initViews()
end

return M