--MigrationAccountAlertLayer.lua
local M = {}

function M.bindView(node, luaValue)
	local TAG = "[MigrationAccountAlertLayerView]"
	local _node, _nodeTable = node, luaValue
    local PasswordViewUtil = require("cardui.PasswordViewUtil")
    local _idEditBox, _passwordEditBox
--[[ ## local fuction --]]
	local function initViews()
		_idEditBox = PasswordViewUtil:createEditBox{parentNode = CCBCenter.getNodeByTag(_node, 10303), maxLength = 6}
        _passwordEditBox = PasswordViewUtil:createEditBox{parentNode = CCBCenter.getNodeByTag(_node, 10403), maxLength = 16}
	end

--[[ ## public fuction --]]
    local function getId( )
        return _idEditBox:getText()
    end
    local function getPassword( )
        return _passwordEditBox:getText()
    end
    -- 是否规范
    local function isCompliance( )
        if getId( ) == "" then
            NetHelper.QuickToast(_s("ACCOUNT_NAME_ERROR"))
            return false
        elseif getPassword( ) == "" then
            NetHelper.QuickToast(_s("ACCOUNT_PASSWORD_ERROR"))
            return false
        else
            return true
        end
    end
--[[ ## MAINs --]]
	initViews()
    _node.isCompliance = isCompliance
    _node.getId = getId
    _node.getPassword = getPassword
end

return M