

local shopGoodNode = require( "ccb.v.shop.good.shopGoodNode")

local M = class("ShopGoodDiamondNode",shopGoodNode)

function M:ctor( params )
	-- body
	M.super.ctor(self, params)
	-- self:initBuyBtn()
	
end

function M:initBuyBtn( ... )
    
        local gethpSP = 
                    widget.newButton({
                          normalImage="shop/shop_13.png",
                          selectImage = "shop/shop_14.png",
                          scale = 1.1,
                          ignoreAnchor = true,
                          x = 150,
                          y = 30,
                          labelParams = {
                                                    text  = self._params:getBtnstring(),
                                                    color = ccc3(96 ,57 ,19),
                                                    size  = 30*(1/SCALE_FOR_SPECIAL_NODE),
                                                    textAlign = ui.TEXT_ALIGN_CENTER
                                                },
                          listener = function (  ) 
                                SOUND:playEffectButton1()
                                --_buyId = self._params:getId()
                                -- _buyCostValue = self._params:getCostvalue()
                                -- _buyPic = self._params:getPic()
                                local isUserDiamond = false
                                local diamondIndex = 8
                                self.callBackSetArg({buyid = self._params:getId(),buyCostValue = self._params:getCostvalue(),buyPic=self._params:getPic()})
                                if self._params:getPic() == "shop_mianfei.png" then
                                    if ME:getFreebuy() < self._params:getCostvalue() then 
                                        NetHelper.QuickToast(_s("SHOP_FREEBUY_NOT_ENOUGH"))
                                        return
                                    end
                                elseif self._params:getPic() == "shop_17.png" or self._params:getPic() == "shop_zhuanshi.png" or self._params:getPic() == "shop_gift.png" then
                                    if ME:getDiamond() < self._params:getCostvalue() then 
                                        NetHelper.QuickToast(_s("SHOP_DIAMOND_NOT_ENOUGH"))
                                        return
                                    end
                                elseif self._params:getPic() == "shop_youqing.png" or self._params:getPic() == "shop_18.png" then
                                    if ME:getFp() < self._params:getCostvalue() then 
                                        NetHelper.QuickToast(_s("SHOP_FP_NOT_ENOUGH"))
                                        return
                                    end  
                                end

                                if self._params:getPic() == "shop_17.png" then
                                    isUserDiamond = true
                                    diamondIndex = 8
                                elseif self._params:getPic() == "shop_zhuanshi.png" then
                                    isUserDiamond = true
                                    diamondIndex = 9
                                end
                                 AlertLayer.new4IAP{
                                    isUserDiamond = isUserDiamond,
                                    diamondIndex = diamondIndex,
                                    content =string.format(_s("SHOP_CONRIFM_CONTINUE_LOTTERY"), tostring(self._params:getDesc1())),  --内容
                                    btnClickEvent = {
                                        function ( )
                                            -- print("购买拉。。。。。。。。。"..self._params:getId())
                                                    --购买
                                                    CCBCenter.sendLuaMessage( 
                                                        MSG_ID.MSG_SHOPLAYER_NETGETBUYSHOP, 
                                                        nil,
                                                        { arg = {proid = self._params:getId()}, methodId = ACTID.MSG_BUY_SHOP, callBackmethod = self.callBackBuyShop}
                                                    )
                                                    HelperView2.showNext()
                                        end,
                                    }
                                  }
                                HelperView2.show(display.getRunningScene(), 400)
                            end
                        })
        self:addChild(gethpSP)
end


return M