--TalentUp4CardLayer.lua
local M = {}

function M.bindView(node, luaValue)
	local TAG = "[TalentUp4CardLayerView]"
	local _node, _nodeTable = node, luaValue
	local callBackTalentCards
	local callBackUpTalent
	local enableScroll
	local _tlprogress    --经验条
	local _tlGold --升级需要金币
	local _tlstart --升级需要星星
	local _tlLv
	local _scrollGrid --卡牌列表
	local _card
	local _progresssp   --白条
	local CardMaster       = require("cardui.CardMaster")
	local TDAnimationUtils = require( "view.Fight.Util.TDAnimationUtils")
	local _selectItems = {}
	local getSelectItems
	local _millLv
	local _millNextexp

	    local oldlv = 0
	    local oldstr = 0
	    local oldgold = 0
	    local oldpercent = 0

	    local oldvarlv = 0

	    local maxlv = 1

	    local _enterStatus = 0  -- 0 可以 1 钱不够 2 星星不够

--返回方法
	function callBackTalentCards( entityFriendArr, param )

		_scrollGrid:setItems(entityFriendArr:getCards())

	end

--升级返回方法
	function callBackUpTalent( entityArr, param )
	end

--创建卡牌列表
	local function createScrollView( )
		local layer = CCBCenter.getNodeByTag(_node, 3)
	    local function createItemCellListener(tableView, index, item, cell)
	    	if item then 
		    	item._INDEX = index
		        item.type = CardMaster.SELECTCARD
		    --创建卡牌视图
	            local card = CardMaster.new(item)
		        cell:addChild(card)
		    -- -- 这里用tag测试, 有方法被清掉的情况, so改成了如下
		        cell._CARD = card
	            for i = 1, #_selectItems do
	            	if item == _selectItems[i] then
	            		card:setSelected( true )
	            		break
	            	end
	            end
	            -- CCBCenter.changeAllLayerTouchPriorityToLast(card)

	        end
	    end



	    local function tapCellListener(tableView, index, item, cell) 
	        -- 取得当前点击卡牌
	        SOUND:playEffectButton1()
	        local card = cell._CARD 
	        if not card then
	        	cell:removeAllChildrenWithCleanup(true)
	        	createItemCellListener(tableView, index, item, cell)
	        	card = cell._CARD 
	        end
	        -- 多选时候, 未选中添加, 已选中移除
	        
	        	if card:getSelected() then
	        	-- 取消移除
		        	card:setSelected( false , true)
		        -- 遍历选中列表, 找到并剔除
		        	for i = 1, #_selectItems do
	        			if _selectItems[i] == item then table.remove(_selectItems, i) end
	        		end
		       	else
		       	-- 选中插入
		       		card:setSelected( true , true)
		       		table.insert(_selectItems, item)
		        end

		        local startnum = 0  --需要的星星数量
		        local goldnum = 0   --需要的金币
		        local bbb = 0       --经验

		        for i = 1, #_selectItems do
	       			bbb = bbb + _selectItems[i]:getEnhancedExp()
				end

				local  ccc = bbb/GAMERATE:getTalentExpRate() --真正经验(用于天赋升级)
			  	startnum =  ccc*GAMERATE:getTalentStarRate()
			  	goldnum = ccc*GAMERATE:getTalentGoldRate()


			  	if goldnum > ME:getGold() then 
			  		_tlGold:setColor(ccc3(255,0,0))
			  		_enterStatus = 1
			  	else
			  		_tlGold:setColor(ccc3(255,255,255))
			  		_enterStatus = 0
			  	end

			  	if startnum > ME:getStar() then 
			  		_tlstart:setColor(ccc3(255,0,0))
			  		_enterStatus = 2
			  	else
			  		_tlstart:setColor(ccc3(255,255,255))
			  		_enterStatus = 0
			  	end
			--这里计算方式：  获取选到的全部卡牌经验并且加上（当前天赋的当前等级拥有的经验） ＝ allExp
			           --   然后allExp循环计算可以给当前天赋升多少级

			--全部卡牌经验＋天赋当前等级的经验
			  	local allExp = tonumber(ccc+tonumber(_nodeTable["item"]:getCurexp()))
			--下一等级需要的经验
			  	local nextExp = tonumber(_millNextexp)
			--当前天赋等级
			  	local lLv = tonumber(_millLv)
			  	_nodeTable["item"]:setLv(lLv)
			--计算经验和等级

				local varlv = 0
			  	while  allExp >  nextExp do  --如果allExp > 下一等级exp
			  		
			  		varlv = varlv + 1
			  		lLv = lLv + 1            --那么等级加1
			  		_nodeTable["item"]:setLv(lLv)--重置lv
			  		allExp = allExp - nextExp--allexp减去下一等级的经验
			  		nextExp = tonumber(_nodeTable["item"]:getNextexp())--把nextExp设置为新lv的下一等级
			  		--<-----继续循环计算
			  	end

			  	local percent = allExp / nextExp * 100
			  	--varlv = lLv - tonumber(_millLv)
			--判断等级
			
			-- local talentDB = TalentDB.getByLvTypCamp({lv = lLv -1, typ = _nodeTable["item"]:getTyp(), camp = _nodeTable["item"]:getCamp()})
 -- print(" lLv:"..lLv.."  maxlv:"..maxlv)
				--if (lLv == oldlv or lLv > tonumber(_millLv) + 1) and  ME:getLv() < tonumber(_nodeTable["item"]:getNextNeedLv()) then
				if lLv >= maxlv then
					-- print("人物需要等级:"..talentDB.Ext6)
					card:setSelected( false , true)
		        -- 遍历选中列表, 找到并剔除
		        	for i = 1, #_selectItems do
	        			if _selectItems[i] == item then table.remove(_selectItems, i) end
	        		end


	        		lLv = oldlv
	        		_nodeTable["item"]:setLv(lLv)
	        		startnum = oldstr
	        		goldnum = oldgold
	        		percent = oldpercent

	        		varlv = oldvarlv


					NetHelper.QuickToast(_s("TALENT_HEROLVSMALLALERT"))

				end

				--print("~~~~~~varlv",varlv,"lLv",lLv,"percent",percent,"oldvarlv",oldvarlv,"oldlv",oldlv)
			--经验条
			local i = 0
			  	_tlprogress:runProgressTo( 0.5, percent + varlv * 100, 
    				false,
    				function (  )
		    			oldvarlv = varlv

			  			oldpercent = percent 
			  		--等级
					    _tlLv:setString("LV:"..lLv)
					  	oldlv = lLv
					--星星
						_tlstart:setString(math.floor(startnum))
						oldstr= startnum
					--金币
						_tlGold:setString(math.floor(goldnum))
						oldgold = goldnum
					--等级介绍
						CCBCenter.getNodeByTag(_node, 217,"CCLabel"):setString(string.format(_nodeTable["item"]:getTitle(),_nodeTable["item"]:getValue()))
    				end,
		  			function ( progressBar,percentage,totalPercentage )
		  				i = i + 1
		  				--print("~~~~~~varlv",varlv,"lLv",lLv,"percent",percent,"oldvarlv",oldvarlv,"oldlv",oldlv)
		  				if varlv > oldvarlv then
		  					--print("add",i)
		  					_tlLv:setString("LV:"..(oldlv + i))
			  				
		  				else
		  				--print("sub",i) 
		  					_tlLv:setString("LV:"..(oldlv - i))
		  				end

		  				-- print("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxs")
							
							if _progresssp then
								transition.fadeOut(_progresssp , {time = 0.5})
							else
								local progressnode = CCBCenter.getNodeByTag(_node, 205)
								_progresssp = widget.newSprite{ file = "talent/talent_expwhiteback.png",} 
								_progresssp:setAnchorPoint(ccp(0.0, 0.0))
								-- util.alignNodeWithPadding(progresssp, progressnode:getContentSize(), display.CENTER) 
								progressnode:addChild(_progresssp)	
								transition.fadeOut(_progresssp , {time = 0.5})
							end
		  			end

	  			)

    	
	    end
	    
	    local scrollGrid = widget.newTable{
	    	contentSize = layer:getContentSize(),
	    	cellSize = CCSize( 230, 326),
	    	direction = widget.TABLEVIEW_DIRECTION_HORIZONTAL,
	    	tapListener = tapCellListener,
	    	createItemCellListener = createItemCellListener,
	    	parentNode = layer,
		}
	    
	    return scrollGrid
	end

	function getSelectItems( ... )
		return _selectItems
	end

	
--[[ ## local fuction --]]
	local function checkHelperInfo( )
		HelperView2.showBetween(_node, nil, {50120, 50130})
	end
	local function initViews()
	
	--initScrollgrid
		_scrollGrid = createScrollView()
	--升级需要的金币
    	_tlGold = CCBCenter.getNodeByTag(_node, 212,"CCLabel")		
  	--升级需要的星星
    	_tlstart = CCBCenter.getNodeByTag(_node, 211,"CCLabel")	
    --我的金币
    	local myGold = CCBCenter.getNodeByTag(_node, 209,"CCLabel")
    	myGold:setString(ME:getGold())
    --我的星星
    	local myStar = CCBCenter.getNodeByTag(_node, 210,"CCLabel")
    	myStar:setString(ME:getStar())
    --昵称
    	local namelb = CCBCenter.getNodeByTag(_node, 214,"CCLabel")	
    	namelb:setString(_nodeTable["item"]:getName())

    --介绍
    	CCBCenter.getNodeByTag(_node, 217,"CCLabel"):setString(string.format(_nodeTable["item"]:getTitle(),_nodeTable["item"]:getValue()))
    		
    --标题
		local title = CCBCenter.getNodeByTag(_node, 7,"CCLabel")
		title:setString(_s("TALENT_SELCARD"))
    --等级
    	_tlLv = CCBCenter.getNodeByTag(_node, 203,"CCLabel")
    	_tlLv:setString("LV:".._nodeTable["item"]:getLv())
    	_millLv = _nodeTable["item"]:getLv()
    	_nodeTable["lv"] = _millLv
    	_millNextexp = _nodeTable["item"]:getNextexp()
    --天赋图标
	    local talentHead = CCBCenter.getNodeByTag(_node, 216, "CCSprite")
	    talentHead:setTexture(TDAnimationUtils.addTextureCache(format("talent/talent_%s_%s.png", _nodeTable["item"]:getCamp(), _nodeTable["item"]:getTyp())))
	--增加经验ProgressBar
		local function onProgressListener( progressBar, percentage, totalPercentage )
			progressBar:setString(string.format("%d%%", math.round(percentage)))
		end
        _tlprogress = widget.newProgressBar{
	                                    frontSprintParams = {file = "talent/talent_expblackback.png",},
	                                    bgSprintParams = {file = "talent/talent_expblueback.png"},
	                                    percentage = 0,
	                                    reverseProgress = true,
	                                    updateProgressListener = onProgressListener,
	                                    ttfLabelParams = {size = 14/SCALE_FOR_SPECIAL_NODE, padding = {top = 3}},
        }
        _tlprogress:ignoreAnchorPointForPosition(true)
        CCBCenter.getNodeByTag(_node, 205):addChild(_tlprogress)
        _tlprogress:setPercentage(0)
    	_tlprogress:runProgressTo( 0.5, 
    		tonumber(_nodeTable["item"]:getCurexp())/tonumber(_nodeTable["item"]:getNextexp()) * 100, 
    				false,nil,
		  			function (progressBar,percentage,totalPercentage)
		  				
		  				
		  			end
	  			)

    --提示
       local title = CCBCenter.getNodeByTag(_node, 213,"CCLabel")
	  	if _nodeTable["item"]:getCamp() == 0 then
			title:setString(_s("TALENT_ALERTINFO1"))	
		elseif _nodeTable["item"]:getCamp() == 1 then
			title:setString(_s("TALENT_ALERTINFO2"))	
		elseif _nodeTable["item"]:getCamp() == 2 then
			title:setString(_s("TALENT_ALERTINFO3"))	
		elseif _nodeTable["item"]:getCamp() == 3 then
			title:setString(_s("TALENT_ALERTINFO4"))	
		end


		maxlv = tonumber(_millLv)
		local tlv = 1
		local TalentDB             = require("db.talentdb") --天赋数据库
		-- print("@~~~~~`maxlv:",maxlv,"tlv:",tlv)
		while ME:getLv() > tlv and maxlv < 10 do
			-- print("@~~~~~`maxlv:",maxlv,"tlv:",tlv)
			local talentDB = TalentDB.getByLvTypCamp({lv = maxlv, typ = _nodeTable["item"]:getTyp(), camp = _nodeTable["item"]:getCamp()})

		    if talentDB then
		        tlv = tonumber(talentDB.Ext6)
		    end

		    maxlv = maxlv + 1
		    -- print("~~~~~`maxlv:",maxlv,"tlv:",tlv)
    	end
    	checkHelperInfo( )
	end

 local function enterStatus( )
 	return _enterStatus
 end
--[[ ## public fuction --]]
_node.callBackTalentCards = callBackTalentCards
_node.enableScroll = enableScroll
_node.getSelectItems = getSelectItems
_node.callBackUpTalent = callBackUpTalent
_node.enterStatus = enterStatus

--[[ ## MAINs --]]
	initViews()
end

return M