﻿--Create Class BackpackElementEntity
local BackpackElementEntity = class( "BackpackElementEntity", BaseEntity )

function BackpackElementEntity:ctor( properties )
	self:setProperties( properties )
end

BackpackElementEntity.schema = {
	-- 类型
	typ 		= {"number", },
	-- 物品数组
	objs  		= {"table", {}, "model.goods.GoodsEntity"},
}

BackpackElementEntity.fields = {
	"typ", 			--类型
	"objs", 	 	--物品数组
}










-- [Gettor/Settor方法]
-- 类型
function BackpackElementEntity:getTyp()
	return self.typ_
end
function BackpackElementEntity:setTyp(newKey)
	self.typ_ = newKey
end

-- 物品数组
function BackpackElementEntity:getObjs()
	return self.objs_
end
function BackpackElementEntity:setObjs(newKey)
	self.objs_ = newKey
end

return BackpackElementEntity