
local MapModel = {}
MapModel.TAG = "[MapModel]"

-- 地图探索
function MapModel.fetchLevelExplore( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_LEVEL_EXPLORE,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end
-- 地图探索好友申请
function MapModel.fetchAddFriend( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_APPADD_FRIEND,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end
-- 地图探索赞美
function MapModel.fetchExplorePraise( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_EXPLORE_PRAISE,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end
-- 地图探索打劫
function MapModel.fetchExploreSteal( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_EXPLORE_STEAL,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end
-- 获得探索关卡固定奖励
function MapModel.fetchExploreReward( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_EXPLORE_REWARD,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end

-- 获得挖矿列表
function MapModel.fetchDigList( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_GET_DIG_LIST,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end

-- 获得挖矿奖励
function MapModel.fetchDigReward( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_GET_DIGREWARD,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end
-- 重置矿山矿石
function MapModel.fetchBuyDigSkip( params )

    local function responseItems( properties )
      if properties then
        -- 配置数值分类
        if params.callback and isfunction(params.callback) then
          params.callback(properties, params.data)
        end 
      end
    end
    
    --  创建http请求
    NetHelper.createRequest(
      ACTID.MSG_BUY_DIGSKIP,
      responseItems,             --  回调函数
      params.data,               --  请求信息实体或参数table
      params.data                --  请求信息实体或参数table
    )
end

return MapModel