
--[[ 
	***请求编号***
--]]
ACTID = {
	
	--[[ 
		***基本请求*** 1xxx
	--]]
	-- 注册请求 1000
	MSG_USER_REG = 1000,
	-- 登录请求 1001
	MSG_USER_LOGIN = 1001,
	-- 更新用户信息请求 1002
	MSG_UPDATE_USER = 1002,
	-- 获取服务器列表 1003
	MSG_GET_SERLIST = 1003,
	-- 心跳包 1004  
	MSG_HEART_BEAT = 1004,
	-- 获取配置系数 1005
	MSG_GET_CONFIG = 1005,
	-- 加载更新记录
	MSG_GET_UPDATEINFO = 1006,
	-- -- 刷新base包
	-- MSG_REFLASH_BASE = 1007,
	--获取系统公告
	MSG_GET_NOTEINFO = 1007,
	-- 获得新手引导步骤
	MSG_UPDATE_HELPSTEP = 1008,
	-- 更新触发事件状态
	MSG_UPDATE_EVEN = 1009,
	-- 领取登录奖励
	MSG_GET_LOGINREWARD = 1010,
	-- 更新用户昵称(改名卡)
	MSG_UPDATE_NICKNAME = 1011,
	-- 邀请码功能
	MSG_INVITECODE = 1012,
	-- 修改密码
	MSG_MODPASS = 1013,
	-- 绑定旧帐号
	MSG_BINDOLDPASS = 1014,

	--[[ 
		***战斗系统*** 2xxx
	--]]
	-- 关卡战斗请求 2001
	MSG_LEVEL_BATTLE = 2001,
	-- 竞技战斗请求 2002
	MSG_PK_BATTLE = 2002,
	-- BOSS战斗请求 2003
	MSG_BOSS_BATTLE = 2003,
	-- 竞技 
	MSG_WEEK_BATTLE = 2004,




	--[[ 
		***卡组系统*** 3xxx
	--]]
	-- 请求卡牌信息 3001 (包括英雄信息，只返回当前卡组) 
	MSG_GET_CARDLIST = 3001,
	-- 配置卡牌 3002
	MSG_SET_CARD = 3002,
	-- 卡牌强化 3003
	MSG_CARD_STRENGTHEN = 3003,
	-- 卡组切换 3004
	MSG_CARD_SELECTGROUP = 3004,
	-- 卡牌出售 3005
	MSG_SELL_CARD = 3005,
	-- 卡牌保护 3006
	MSG_PROTECT_CARD = 3006,
	-- 取消卡牌保护 3007
	MSG_UNPROTECT_CARD = 3007,
	-- 获得图鉴列表 3008
	MSG_GET_CARDBOOK = 3008,
	-- 获得卡牌碎片列表 3009
	MSG_GET_CARDCHIP = 3009,
	-- 积满碎片后得到卡牌 3010
	MSG_EARN_CARDBYCHIP = 3010,
	-- 卡牌进化 3013
	MSG_CARD_EVOLUTION = 3014,
	-- 获得卡牌进化列表 3014
	MSG_GET_EVOCARDS = 3013,
	-- 进入卡组界面
	MSG_INTO_CARD = 3101,
	-- 进入配置卡牌 
	MSG_INTO_SETCARD = 3102,
	-- 获得卡牌强化列表
	MSG_CANSTRONG_CARDS = 3103,
	-- 进入出售卡牌界面
	MSG_INTO_SELLCARD = 3105,
	-- 进入卡牌保护界面
	MSG_INTO_PROTECT_CARD = 3106,
	--[[ 
		***关卡系统*** 4xxx
	--]]
	-- 请求关卡列表信息 4001
	MSG_GET_LEVELLIST = 4001,
	-- 探索关卡 4002 (2期)
	MSG_LEVEL_EXPLORE = 4002,
	-- 关卡占领报名 4003 (2期)
	MSG_LEVEL_APPLY = 4003,
	-- 购买体力值 4004
	MSG_BUY_SP = 4004,
	-- 收获星星
	MSG_GET_STAR = 4005,
	-- 跳过关卡
	MSG_SKIP_MAP = 4006,
	-- 获得关卡固定奖励
	MSG_EXPLORE_REWARD = 4007,
	-- 赞美
	MSG_EXPLORE_PRAISE = 4008,
	-- 偷盗	
	MSG_EXPLORE_STEAL = 4009,
	-- 神秘商店
	MSG_GET_MYSTERY_SHOPLIST = 4011,
	-- 神秘商店购买
	MSG_GET_BUY_MYSTERY_SHOPLIST = 4010,
	--获得特殊副本列表
	MSG_GET_EXPFB = 4101,
	--领奖、立即完成扫荡
	MSG_GET_EXPFBREWARD = 4102,
	--特殊副本战斗
	MSG_GET_EXPFBFLIGHT = 4103,
	--扫荡
	MSG_GET_SD = 4104,
	--重置
	MSG_EXPFB_RESET = 4105,

	-- boss战信息	
	MSG_BOSS_INFO = 4201,
	-- boss战	
	MSG_BOSS_FIGHT = 4202,
	-- boss战鼓舞	
	MSG_BOSS_ENCOURAGE = 4203,
	-- boss战奖励	
	MSG_BOSS_GETREWARD = 4204,
	--	进入幽冥魔塔界面
	MSG_GET_TOWER = 4301,
	--刷新加成
	MSG_UPDATE_BUFF = 4302,
	--选择加成
	MSG_GET_BUFF = 4303,
	--购买挑战
	MSG_BUY_CHALLENGE = 4304,
	--获取排行榜
	MSG_GET_RANK = 4305,
	-- 幽冥魔塔战斗
	MSG_GET_LADDERLIST = 4306,

	--[[ 
		***竞技系统*** 5xxx
	--]]
	-- 排行列表 5001 (包括挑战cd) 
	MSG_GET_RANKLIST = 5001,
	-- 购买挑战次数 5002
	MSG_BUY_RANKCOUNT = 5002,
	-- 购买冷却时间 5003
	MSG_BUY_RANKCD = 5003,
	-- 切磋对象列表 5004
	MSG_GET_PKLIST = 5004,
	-- 切磋冷清时间购买 5005
	MSG_BUY_PKCD = 5005,
	-- 获取战斗记录列表 5006
	MSG_GET_RECORDLIST = 5006,
	-- 播放战斗录像 5007
	MSG_PLAY_RECORD = 5007,
	-- 周排行列表 5008
	MSG_GET_WEEK_RANKLIST = 5008,
	-- 购买周冷却时间 5009
	MSG_WEEK_BUY_RANKCD = 5009,
	-- 播放周战斗录像 5010
	MSG_PLAY_WEEK_RECORD = 5010,
	-- 获取周战斗记录列表 5011
	MSG_GET_WEEK_RECORDLIST = 5011,


	--[[ 
		***商店系统*** 6xxx
	--]]
	-- 进入商店页面 6001（获得商店列表）
	MSG_GET_SHOPLIST = 6001,
	-- 购买请求 6002 (包括各种抽卡等) 
	MSG_BUY_SHOP = 6002,
	-- 获取充值列表 6003
	MSG_GET_IAPLIST = 6003,
	-- 充值操作 6004
	MSG_BUY_IAP = 6004,
	-- 进入星星商店页面 6005
	MSG_GET_STAR_SHOPLIST = 6005,
	-- 购买请求 6006
	MSG_BUY_STAR_SHOP = 6006,
	-- 进入物品商店页面 6007
	MSG_GET_DIA_SHOPLIST = 6007,
	-- 购买请求 6008
	MSG_BUY_DIA_SHOP = 6008,

	--[[ 
		***互动系统*** 7xxx
	--]]
	-- ***好友系统*** 71xx
	-- 请求好友列表 7101
	MSG_GET_FRIENDLIST = 7101,
	-- 随机玩家列表 7102
	MSG_GET_RANPLAYERLIST = 7102,
	-- 查找指定玩家 7103
	MSG_FIND_PLAYER = 7103,
	-- 好友申请 7104
	MSG_APPADD_FRIEND = 7104,
	-- 删除好友 7105
	MSG_DEL_FRIEND = 7105,
	-- 获取好友申请列表 7106
	MSG_GET_FRIAPPLIST = 7106,
	-- 同意好友申请 7107
	MSG_ACCEPT_FRIAPP = 7107,
	-- 删除好友申请 7108
	MSG_DEL_FRIAPP = 7108,
	-- 查看玩家详细信息 7109
	MSG_GET_PLAYERDETAIL = 7109,
	-- 赠送友情点数 7110
	MSG_GIVE_FRIPOINT = 7110,
	-- 接受友情点数 7111
	MSG_ACCEPT_FRIPOINT = 7111,
	-- 请求好友列表 7113
	MSG_INVITE_FRIPOINT_LIST = 7113,
	-- 赠送体力 7114
	MSG_GIVE_SP = 7114,
	-- 获取体力 7115
	MSG_GET_SP = 7115,

	-- ***留言系统（玩家）*** 72xx
	-- 查看留言 7201
	MSG_GET_FRIMSGLIST = 7201,
	-- 给好友留言 7202
	MSG_WRITE_FRIMSG = 7202,
	-- 删除留言 7203 (暂无)
	MSG_DEL_FRIMSG = 7203,

	-- ***邮件系统(系统公告)*** 73xx 
	-- 邮件列表 7301
	MSG_MAIL_LIST = 7301,
	-- 删除邮件 7302
	MSG_MAIL_DEL = 7302,
	-- 进入邮件系统界面 86000
	MSG_GET_MAILIST = 86000,
	-- 提取邮件中的奖励	 86001
	MSG_GET_MAILREWARD = 86001,
	-- 删除邮件 86002
	MSG_DELETE_MAIL = 86002,
	-- 发送聊天消息 86003	
	MSG_SEND_MAIL = 86003,
	-- 读取邮件 86004	
	MSG_READ_MAIL = 86004,

	--[[ 
		***活动系统*** 8xxx
	--]]
	-- 奖励列表 8001 20001
	-- MSG_GET_REWARDLIST = 8001,
	MSG_GET_REWARDLIST = 20001,
	-- 获取奖励 8002 20002
	-- MSG_EARN_REWARD = 8002,
	MSG_EARN_REWARD = 20002,
	-- 跳到指定活动 8003
	MSG_GOTO_ACTIVITY = 8003,

	-- 冲级赛列表 8011
	MSG_GET_LEVELRANKLIST = 8011,
	-- 获得冲级赛奖励 8012
	MSG_EARN_LEVELRANKREWARD = 8012,
	-- 获得中秋每日奖励 8013
	MSG_GET_MOONREWARD = 8013,
	-- 天赋排名赛列表 8014
	MSG_GET_TALENTRANKLIST = 8014,
	-- 获得天赋排名赛奖励 8015
	MSG_EARN_TALENTRANKREWARD = 8015,
	-- 竞技赛奖励列表 8020
	MSG_GET_JJCREWARD = 8020,
	-- 周竞技赛奖励列表
	MSG_GET_WEEK_JJCREWARD = 8021,
	-- 分享成功
	MSG_SHARE_SUCCESS = 8022,
	-- 获得已邀请注册用户列表
	MSG_GET_INVITELIST = 8100,
	-- 获得邀请奖励钻石
	MSG_GET_INVITEDIAMOND = 8101, 

	-- 获取签到列表
	MSG_GET_SIGNIN_LIST  =  8201,
	-- 获取签到奖励
	MSG_GET_SIGNIN_REWARD  = 8202,
	-- 挖矿
	MSG_GET_DIG_LIST  = 8301,
	MSG_GET_DIGREWARD  = 8302,
	MSG_BUY_DIGSKIP = 8303,
	
	-- 8天领钻,获取列表
	MSG_GET_EIGHTDAY_LIST = 9001,
	-- 8天领钻,领取奖励
	MSG_GET_EIGHTDAY_RECEIVE = 9002,
	-- 获取活动列表
	-- MSG_GET_ACTIVITY_LIST = 9003,
	MSG_GET_ACTIVITY_LIST = 13017,
	-- 获取活动列表
	MSG_GET_DRAWPRIZE_LIST = 9004,
	-- 获取活动列表
	MSG_GET_DRAWPRIZE_RECEIVE = 9005,
	-- 8天领钻活动-重置
	MSG_GET_EIGHTDAY_RES = 9006,
	-- 兑换码活动
	MSG_EXCHANGECODE = 9007,
	-- 进入许愿池
	MSG_INTO_WISH = 9010,
	-- 许愿池许愿
	MSG_GET_WISH = 9011,
	-- 得到守岁礼包
	MSG_GET_CHUNJIE = 9012,

	--[[ 
		***背包系统***
	--]]
	-- 请求背包信息
	MSG_GET_PACKAGE = 11001,
	-- 出售物品
	MSG_SELL = 11002,
	-- 使用物品
	MSG_USE = 11003,
	-- 获取装备列表
	MSG_GET_EQUIPMENT = 11004,
	-- 获取装备列表
	MSG_SELL_EQUIPMENT = 11005,
	-- 穿上装备
	MSG_USE_EQUIPMENT = 11006,
	--获得可以强化的装备列表
	MES_GET_EQUIPMENTLV = 11007,
	--装备强化
	MES_LVUP_EQUIPMENT = 11008,
	--装备追加
	MES_SUPPLEMENT_EQUIPMENT = 11009,
	--装备进阶
	MES_SETUO_EQUIPMENT = 11010,
	-- 请求装备信息
	MSG_GET_EQUIPINFO = 11011,
	-- 请求物品信息
	MSG_GET_GOODSINFO = 11012,
	-- 请求可追加装备
	MSG_GET_EQUIPMENTSUPPLEMENT = 11013,
	-- 请求可进阶装备
	MSG_GET_EQUIPMENTSTEUP = 11014,
	--  获取可拆解装备
	MSG_GET_STREQUIP = 11015,
	--  装备拆解
	MSG_DISMANTLE_EQUIPMENT = 11016,
	
	--[[ 
		***新手引导系统***
	--]]

	--[[ 
		***战队系统***
	--]]
	-- 进入战队首页
	MSG_INDEX_TEAMINDEX      = 12001,
	-- 创建战队
	MSG_CREATE_TEAM          = 12002,
	-- 战队宣言
	MSG_WRITE_TEAMDE         = 12003,
	-- 查看战队申请请求
	MSG_INTO_TEAMAPP         = 12004,
	-- 发送战队广告
	MSG_SEND_TEAMAD          = 12005,
	-- 解散战队
	MSG_DIS_TEAM             = 12006,
	-- 战队报名
	MSG_SIGNUP_TEAM          = 12007,
	-- 战队踢人
	MSG_REMOVE_TEAMER        = 12008,
	-- 战队加人
	MSG_ADD_TEAMER           = 12009,
	-- 战队列表
	MSG_GET_TEAMLST          = 12010,
	-- 进入战队界面/查看战队信息
	MSG_GET_TEAMINFO         = 12011,
	-- 查看本周战队录像 和 八强对阵情况
	MSG_GET_TEAMRECODE       = 12012,
	-- 进入选择参战卡牌界面
	MSG_INTO_SELECTTEAMCARDS = 12013,
	-- 选择参战卡牌
	MSG_SELECT_TEAMCARDS     = 12014,
	-- 申请加入战队
	MSG_APP_TEAM             = 12015,
	-- 播发战队录像
	MSG_PLAY_TEAMRECORD      = 12016,
	-- 申请信息
	MSG_WRITE_TEAMAPPCON     = 12017,
	-- 获取奖励
	MSG_GET_TEAMREWARD       = 12018,
	-- 退出战队
	MSG_EXIT_TEAME 			 = 12019,
	MSG_START_TEAM 			 = 12020,
	-- 切磋
	MSG_TEAM_PK 			 = 12021,
	-- 获取排行榜
	MSG_ALL_RANK   		 	 = 13001,
	-- 膜拜
	MSG_RANK_WORSHIP  	 	 = 13002,
	-- 进入大转盘界面
	MSG_INTO_ROTARY  	 	 = 13003,
	-- 大转盘界面抽取
	MSG_GET_ROTARY  	 	 = 13004,

	-- 限时充值
	MSG_LIMIT_CHARGE  		 = 13005,
	-- 限时充值 领取
	MSG_FETCH_LIMIT_CHARGE   = 13006,
	-- 限时消费
	MSG_LIMIT_COST			 = 13007,
	-- 限时消费 领取
	MSG_FETCH_LIMIT_COST	 = 13008,
	-- 连续登录
	MSG_CON_LOGIN 			 = 13009,
	-- 连续登录 领取
	MSG_FETCH_CON_LOGIN		 = 13010,
	-- 单笔充值
	MSG_SINGLE_CHARGE 		 = 13011,
	-- 单笔充值 领取
	MSG_FETCH_SINGLE_CHARGE	 = 13012,
	-- 单天累计充值
	MSG_ONE_DAY_CHARGE 		 = 13018,
	-- 单天累计充值 领取
	MSG_FETCH_ONE_DAY_CHARGE = 13019,
	-- 当天累计消费
	MSG_ONE_DAY_COST 		 = 13020,
	-- 当天累计消费 领取
	MSG_FETCH_ONE_DAY_COST 	 = 13021,

	-- 注册后登录7天
	MSG_INFO_FESTIVAL_SIGN   = 13015,
	-- 连续登录 领取
	MSG_GET_FESTIVAL_SIGN    = 13016,

	-- 首充界面
	MSG_FIRST_CHARGE		 = 13013,
	-- 充值活动
	MSG_CHARGE_ACTIVITY		 = 13014,

	-- 月卡界面
	MSG_MONTH_CARD 		 	 = 13022,
	-- 月卡奖励 领取
	MSG_MONTH_CARD_REWARD 	 = 13023,

	-- 除害活动
	MSG_KILL_BUG 	 		 = 13024,
	-- 除害奖励 领取
	MSG_KILL_BUG_REWARD 	 = 13025,
	-- 祭拜屈原
	MSG_WAESHIP 	 		 = 13026,
	-- 献祭
	MSG_SACRIFICE 		 	 = 13027,
	-- 获得献祭奖励
	MSG_SACRIFICE_REWARD 	 = 13028,
	--  天天消费
	MSG_ACTIVITY_DAILY_EXPENS 	 = 13029,
	-- 天天消费 领取
	MSG_ACTIVITY_GET_DAILY_EXPENSE 	 = 13030,
	-- 天天领钻
	MSG_ACTIVITY_DAILY_DIAMOND 	 = 13031,
	-- 天天领钻 参与
	MSG_ACTIVITY_JOIN_DAILY_DIAMOND 	 = 13032,
	-- 天天领钻
	MSG_ACTIVITY_GET_DAILY_DIAMON 	 = 13033,

	--[[ 
		***军团系统*** 14xxx
	--]]
	-- 进入军团系统
	MSG_IN_ARMYSYSTEM = 14000,
		--  进入军团系统
	MSG_GET_ARMYLIST  = 14001,
		--            创建军团 
	MSG_CREATE_ARMY  = 14002,
		--   搜索军团
	MSG_SEEK_ARMY  = 14003,
		--   申请加军团
	MSG_APP_ARMY   = 14004,
		--   取消申请
	MSG_CANVElAPP_ARMY   = 14005,
		--  进入个人军团界面
	MSG_GET_ARMYSELF  = 14006,
		--  修改公告
	MSG_WRITE_ARMYDE  = 14007,
		--  成员管理
	MSG_GET_ARMYPLAYERLIST  = 14008,
		--  管理成员操作
	MSG_MAG_ARMYPLAYER  = 14009,
		--  退出军团
	MSG_REMOVE_ARMY  = 14010,
		--  查看申请列表
	MSG_INTO_ARMYAPP  = 14011,
		--  申请审核操作
	MSG_MAG_ARMYAPP  = 14012,
		--  升级军团
	MSG_UP_ARMY  = 14013,
		--  进入军需官界面
	MSG_GET_ARMYSHOPLIST  = 14014,
		--  升级军需官
	MSG_UP_ARMYSHOP  = 14015,
		--  军需官兑换请求
	MSG_BUY_ARMYSHOP  = 14016,
		--  军团动态
	MSG_GET_ARMYNEWSLIST  = 14017,
		--  其他军团
	MSG_GET_OTHERARMYLIST  = 14018,
		--  进入军团建设
	MSG_GET_ARMYBUILDLIST  = 14019,
			--  军团建设
	MSG_BUY_ARMY  = 14020,
		--  进入军团天赋界面
	MSG_GET_ARMYTALENTLIST  = 14021,
		--  获得可吃卡牌列表
	MSG_GET_ARMYTALENTCARDLIST  = 14022,
		--  升级军团天赋
	MSG_GET_UPARMYTALENT  = 14023,
	--进入军团副本界面
	MSG_ARMY_INTOCOPY = 14024,
		--购买攻击次数
	MSG_ARMY_NUYATTACK = 14025,
		--伤害排行
	MSG_ARMY_ATTACKSORT = 14026,
		--攻击军团boss
	MSG_ARMY_ATTACK = 14027,

	--[[ 
		***聊天系统*** 85xxx
	--]]
	-- 获取聊天 85000
	MSG_GET_CHATLIST = 85000,
	-- 发送聊天消息 85001
	MSG_SEND_CHAT = 85001,




	--[[ 
		***天赋*** 10xxx
	--]]
	-- MSG_GET_TALENT 获得天赋列表 10001
	MSG_GET_TALENT = 10001,
	-- MSG_ADD_TALENT 天赋加点  10002
	MSG_ADD_TALENT = 10002,
	-- 获得可吃卡牌列表 10003
	MSG_GET_TALENTCARDS = 10003,

}




--[[ 
	***请求信息***
--]]

RequestKey =
{
	--[[ 
		***基本请求*** 1xxx
	--]]
	-- 注册请求 1000
	[1000] =			{
							-- "deviceid",		-- 设备mac/id
							"udid",			-- 用户id 若无第3方登录则默认用设备id
							"devicetype",	-- 设备类型
							"ext1",			-- 扩展属性 91:AppId
							"ext2",			-- 扩展属性 91:Sign
							"ext3",			-- 扩展属性 91:SessionID
							"usertype"
						},
    [1001] =			{
    						"username",			-- 用户名
    						"pass",				-- 密码
    						"devicetype",		-- 设备类型
    						"imsi",				-- imsi
    						"cid",				-- 渠道
    						"lang",				-- 语言
    						"cv",				-- 客户端版本
    						"udid"				-- 设备mac/id
						},
	[1002] =			{
							"nickname",			-- 昵称
							"email",			-- 邮箱	
							"face",				-- 头像编号
							"sex",				-- 性别
							"invitecode",	    -- 邀请码
						},
	-- [1003] =			nil,
	-- [1004] =			nil,
	-- [1005] =            nil,
	-- [1006] =			nil,
	-- [1007] =			nil,
	[1008] =			{
							"helpstep",			-- 新手帮助步骤
	},

	[1009] =			{
							"tno",			-- 编号
							"typ",			-- 2 设置为状态2 有出发无弹窗 3 设置为完成状态
	},
	[1010] =			{
							"no",			-- 编号
							"tno", 
	},

	[1012] =			{
							"invitecode",			-- 邀请码
	},

	[1011] =			{
							"newname",			-- 新昵称
	},
	[1013] =			{
							"newpass", 		-- 新密码
	},
	[1014] =			{
							"nickname",	 	-- 昵称
							"pass",		 	-- 密码
	},

	--[[ 
		***战斗系统*** 2xxx
	--]]
	-- 关卡战斗请求 2001
	[2001] = 			{    
							"lid",  			-- 关卡id number
        					"mid",  			-- 难度id number
            				"fid",  			-- 好友id number
            				"op",   			-- 操作 
            				"fcards", 			-- 上场卡牌sn数组(卡牌1，2，3...)
            				"flag"
            			},

	-- 竞技战斗请求 2002
	[2002] =			{
							"oid", 				-- 对方玩家id number
							"kind", 			-- 竞技类型：切磋，排名战 number
							"op", 				-- 操作 number
							"fcards", 			-- 上场卡牌sn数组(卡牌1，2，3...)
							"flag"
						},
	-- BOSS战斗请求 2003
	[2003] =			{
							"bid", 				-- boss id number
							"fid", 				-- 好友id number
							"op", 				-- 操作 number
							"fcards",			-- 上场卡牌sn数组(卡牌1，2，3...)
							"flag"
						},
	-- 竞技  2004
	[2004] = 			{
							"oid", 				-- 对方玩家id number
							"kind",				-- 竞技类型：切磋，排名战 number
							"op",				-- 操作 （进入战斗，开始攻击，结束回合，自动战斗，跳过）number
							"fcards", 			-- 上场卡牌sn数组(卡牌1，2，3，4。。。)
							"flag"
						},



    --[[ 
		***卡组系统*** 3xxx
	--]]
	-- 请求卡牌信息(包括英雄信息，只返回当前卡组) 3001
	-- [3001] =			nil,
	-- 配置卡牌 3002
	[3002] =			{
							"cpid",				-- 上场卡牌数组 table
							"main"				-- 主卡牌cpid number
						},
	-- 卡牌强化 3003
	[3003] =			{
							"cpid", 			-- 强化的卡牌角色关系id number
							"cards"				-- 被吃的卡牌cpid数组 table
						},
	-- 卡组切换 3004
	[3004] =			{
							"group" 			-- 卡组号 number
						},
	-- 卡牌出售 3005
	[3005] =			{
							"cards"				-- 要出售的卡牌数组 table
						},
	-- 卡牌保护 3006
	[3006] =			{
							"cpid"				-- 卡牌角色关系id number
						},
	-- 取消卡牌保护 3007
	[3007] =			{
							"cpid"				-- 卡牌角色关系id number
						},
	-- 获得图鉴列表 3008
	-- [3008] =			nil,
	-- 获得卡牌碎片列表 3009
	-- [3009] =			nil,
	-- 积满碎片后得到卡牌 3010
	[3010] =			{
							"cid" 			 	-- 卡牌碎片id
						},
	-- 卡牌进化 3011
	-- [3011] =			{
	-- 						"cpid1", 			 	-- 卡牌id
	-- 						"cpid2",				-- 卡牌id
	-- 						"usediam",				-- 是否使用钻石
	-- 					},
	-- -- 获得卡牌进化列表 3012
	-- [3012] = 			{
	-- 						"cpid", -- 已经选择的第一张卡牌 ：当选第一张的时候为0，当选第二张的时候为第一张的关系id
	-- 					},
	-- 卡牌进化 3013
	[3013] =			{
							"cpid1", 			 	-- 卡牌id
							"cpid2",				-- 卡牌id
						},
	-- 获得卡牌进化列表 3014
	[3014] = 			{
							"cpid1", -- 已经选择的第一张卡牌 ：当选第一张的时候为0，当选第二张的时候为第一张的关系id
							"cpid2",
						},
	-- 进入配置卡牌 3102
	[3102] = 			{
							"ismain", -- 是否配置主卡
						},
	--[[ 
		***关卡系统*** 4xxx
	--]]
	-- 请求关卡列表信息 4001
	-- [4001] =			nil,	
	-- 探索关卡 4002 (2期)
	[4002] =			{
							"sn", 		-- 大地图id number
							"subsn", 	-- 小地图id number
						},
	-- 关卡占领报名 4003 (2期)
	-- [4003] =			nil,
	-- 购买体力值 4004
	-- [4004] =			nil,
	-- 收获星星 4005
	-- [4005] =			nil,
	-- 跳过关卡 4006
	[4006] = 			{
							"sn", 			-- 大地图id number
							"subsn", 		-- 小地图id number
							"star" 			-- 星级
						},
	-- 获得关卡固定奖励
	[4007] = 			{
							"sn", 		-- 大地图id number
							-- "subsn", 	-- 小地图id number
						},
	-- 赞美
	[4008] = 			{
							"fid", -- 玩家id
						},
	-- 偷盗
	[4009] = 			{
							"fid", -- 玩家id
						},
	-- 神秘商店购买
	[4010] = 			{
							"proid",  -- 购买选项id number
						},
	-- 获得特殊副本列表
	[4101] = 			{
							"typ", -- 类型 1 金币 2 经验卡
						},
	-- 特殊副本战斗
	[4103] = 			{
							"typ", -- 类型 1 金币 2 经验卡
							"no", --编号
							"op", --操作 （进入战斗，开始攻击，结束回合，自动战斗，跳过）
							"fcards" , --上场卡牌sn数组(卡牌1，2，3，4。。。)
							"flag", --标识位
						},
	-- 扫荡
	[4104] = 			{
							"typ", -- 类型 1 金币 2 经验卡
						},
	-- 重置
	[4105] = 			{
							"typ", -- 类型 1 金币 2 经验卡
						},
	-- BOSS战鼓舞
	[4203] = 			{
							"typ", --  1 金币鼓舞 2 钻石鼓舞
						},
	--  选择加成
	[4303] = 			{
							"no", --  选择加成编号
						},
	-- 幽灵魔塔战斗
	[4306] = 			{
							"no", --编号
							"op", --操作 （进入战斗，开始攻击，结束回合，自动战斗，跳过）
							"fcards" , --上场卡牌sn数组(卡牌1，2，3，4。。。)
							"flag", --标识位
						},




	--[[ 
		***竞技系统*** 5xxx
	--]]
	-- 排行列表(包括挑战cd) 5001
	[5001] =			{
							"kind"				-- 切换 我的排名 / 最高排名
						},	
	-- 购买挑战次数 5002
	-- [5002] =			nil,	
	-- 购买冷却时间 5003
	-- [5003] =			nil,	
	-- 切磋对象列表 5004
	-- [5004] =			nil,	
	-- 切磋冷清时间购买 5005
	-- [5005] =			nil,	
	-- 获取战斗记录列表 5006
	-- [5006] =			nil,	
	-- 播放战斗录像 5007
	[5007] =			{
							"rid"				-- 录像id
						},
	-- 周排行列表 5008
	[5008] = 			nil,
	-- 购买周冷却时间 5009
	[5009] = 			nil,
	-- 播放周战斗录像 5010
	[5010] = 			{
							"rid"				-- 录像id
						},
	-- 获取周战斗记录列表 5011
	[5011] = 			nil,



	--[[ 
		***商店系统*** 6xxx
	--]]
	-- 进入商店页面（获得商店列表）6001
	-- [6001] =			nil,
	-- 购买请求(包括各种抽卡等) 6002
	[6002] =			{
							"proid"		  	-- 购买选项id number
						},
	-- 获取充值列表 6003
	-- [6003] =			nil,
	-- 充值操作 6004
	[6004] =			{
							"iid",			 -- 充值id
							"deviceno",			 -- 设备号
							"platform"		-- 平台编号
						},
	-- 进入星星商店页面 6005
	-- [6005] = 		nil,

	-- 购买请求 6006
	[6006] = 			{
							"proid", 		-- 购买选项id number
        					-- "count", 		-- 购买数量 int 1,5,10
						},
	-- 购买请求 6008
	[6008] = 			{
							"proid", 		-- 购买选项id number
						},
	--[[ 
		***互动系统*** 7xxx
	--]]
	-- ***好友系统*** 71xx
	-- 请求好友列表 7101
	-- [7101] =			nil,
	-- 随机玩家列表 7102
	-- [7102] =			nil,
	-- 查找指定玩家 7103
	[7103] =			{
							"fname" 		 -- 查找玩家名字 string
						},
	-- 好友申请 7104
	[7104] =			{
							"fid"			 -- 目标玩家id number
						},
	-- 删除好友 7105
	[7105] =			{
							"fid"			 -- 目标玩家id number
						},
	-- 获取好友申请列表 7106
	-- [7106] =			nil,
	-- 同意好友申请 7107
	[7107] =			{
							"fid" 			 -- 好友申请id number
						},
	-- 删除好友申请 7108
	[7108] =			{
							"fid" 			 -- 好友申请id number
						},
	-- 查看玩家详细信息 7109
	[7109] =			{
							"pid"			 -- 角色id number
						},
	-- 赠送友情点数 7110
	[7110] =			{
							"fid"			 -- 好友id number
						},
	-- 接受友情点数 7111
	[7111] =			{
							"fid"			 -- 好友id number
						},
	-- 请求好友列表 7113
	-- [7113] =			nil,

	-- ***留言系统（玩家）*** 72xx
	-- 查看留言 7201
	-- [7201] =			nil,
	-- 给好友留言 7202
	[7202] =			{
							"fid",			 -- 目标玩家id number
							"content"		 -- 内容 string
						},
	-- 删除留言 7203 (暂无)
	[7203] =			{
							"mid"			 -- 留言id number
						},

	-- ***邮件系统(系统公告)*** 73xx 
	-- 邮件列表 7301
	-- [7301] =			nil,
	-- 删除邮件 7302
	[7302] =			{
							"mid"			 -- 邮件id number
						},
	-- 提取邮件中的奖励 86001 
	[86001] = 			{
							"mid", 		-- ID
							"mtyp", 	-- 类型
	},
	-- 删除邮件 86002
	[86002] = 			{
							"mid", 		-- ID
							"mtyp", 	-- 类型
	},
	-- 发送聊天消息 86003
	[86003] = 			{
							"fid",	-- 目标玩家id
							"content",	-- neir
	},
	-- 读取邮件 86004	
	[86004] = 			{
							"mid", 		-- ID
							"mtyp", 	-- 类型
	},

	--[[ 
		***活动系统*** 8xxx
	--]]
	-- 奖励列表 8001
	-- [8001] =			nil,
	-- 获取奖励 8002
	[8002] =			{
							"aid",			 -- 奖励id
							"point"			 -- 格子
						},
	[20002] =			{
							"no",			 -- 编号
							"typ"			 -- 类型
						},
	-- 跳到指定活动 8003
	[8003] =			{
							"aid"			 -- 奖励id
						},

	-- 冲级赛列表 8011
	-- [8011] =			{
	-- 						"kind" 			  -- 切换 我的排名 / 最高排名
	-- 					},
	-- 获得冲级赛奖励 8012
	-- [8012] =			nil,

	-- 获得中秋每日奖励 8013
	--[8013] = 			nil,

	-- 竞技赛奖励列表 8020
	-- [8020] = 			nil,

	-- 周竞技赛奖励列表 8021
	-- [8021] = 			nil,

	--获得已邀请注册用户列表 8100
	-- [8100] =			nil,

	-- 获取签到列表 8201
	-- [8201] =			nil,

	-- 获取签到奖励 8202
	[8202] =			{
							"signintype",	-- 签到类型 number  0签到领奖 2左侧领奖
							"rewardno", 	-- 奖励编号
						},

	-- 挖矿 8302
	[8302] =			{
							"digid", 		-- 矿石编号
						},
	-- 挖矿重置 8303
	[8303] =			{
							"digid", 		-- 矿石编号
						},
	-- 8天领钻,奖励列表 9001
	-- [9001] = 		nil,

	-- 8天领钻,领取奖励 9002
	[9002] = 			{
							"RewardId" 		--奖励ID number
						},

	-- 获取活动列表 9003 13017
	-- [9003] = 			{
	-- 						-- "typ" 		    -- 1 限时 2 其他
	-- 					},
	[13017] = 			{
							"typ" 		    -- 1 限时 2 其他
						},

	-- 获取活动列表 9004
	-- [9004] = 			nil,

	-- 获取活动列表 9005
	-- [9005] = 			nil,
	-- 8天领钻活动-重置 9006
	-- [9006] = 			nil,
	-- 8天领钻活动-重置 9007
	[9007] = 			{
							"code",  	-- 兑换码 string
						},
	
	--[[ 
		***背包系统*** 11xxx
	--]]
	-- 请求背包信息
	[11001] = 			{
							"typ", 			-- 0 全部 1 材料 2 物品 3任务 ….
						},
	-- 出售物品
	[11002] = 			{
							"no", 			-- 编号
							"count", 		-- 数量
						},
	-- 使用物品
	[11003] = 			{
							"no", 			-- 编号
						},
	--出售装备
	[11005] = 			{
							"typ", 			-- 类型
							"eqid", 		-- 关系表id
						},
	-- 穿上装备
	[11006] = 			{
							"typ", 			-- 类型
							"act", 		-- 1 穿上 2 脱下
							"eqid", 		-- 关系表id
						},
	-- 装备强化
	[11008] = 			{

							"eqid", 		-- 关系表id
							"useg",			-- 是否使用高级强化石 1 使用 0 没使用
						},
	-- 装备追加
	[11009] = 			{

							"eqid", 		-- 关系表id
							"useg",			-- 是否使用高级强化石 1 使用 0 没使用
						},
	-- 装备进阶
	[11010] = 			{

							"eqid", 		-- 关系表id
							"useg",			-- 是否使用高级强化石 1 使用 0 没使用
							"used",			-- 是否使用钻石
						},
	[11011] = 			{
							"eqid", 		-- 关系表id
							"pid", 			-- 玩家id
						},
	-- 请求物品信息
	[11012] = 			{
							"no", 			-- 物品id
							"pid", 			-- 玩家id
						},
	-- 请求物品信息
	[11016] = 			{
							"eqid", 		-- 关系表id
						},

	--[[ 
		***聊天系统*** 85xxx
	--]]



	-- 获取聊天 85000
	[85000] =			{
							"kind",				 -- 消息类型
							"typ",				-- 聊天位置
						},
	-- 发送聊天消息 85001
	[85001] =			{
							"messagetype",	     -- 消息类型
							"content",			 -- 内容
							"touserid"			 -- 接收玩家id
						},
    --[[ 
		***天赋系统*** 10xxx
	--]]	
	-- 获得天赋列表  10001
	[10001] =			{
							
						},
	-- 天赋加点 10002
	[10002] =			{
							"usediam",	     -- 是否使用钻石 0否 ，1是
							"lv",			 -- 等级
							"typ",            -- 类型
							"camp",           -- 阵营
							"cards",          --: [1,2,3,4,5...]//被吃的卡牌cpid数组 table
						},	
	-- 获得可吃卡牌列表  10003
	[10003] = 			{
							"typ", 			-- 类型
  							"camp", 		-- 阵营
						},	
	--[[ 
		***战队系统*** 12xxx
	--]]		
	-- 创建战队 12002
	[12002] = 			{
							"tname", 			-- 战队名字
						},
	-- 战队宣言 12003
	[12003] = 			{
							"content", 			-- 宣言
						},
	-- 发送战队广告 12005
	[12005] = 			{
							"ad", 			-- 广告
						},
	-- 战队报名/取消报名 12007
	[12007] = 			{
							"sta", 			-- sta 1 报名 0 取消报名
						},
	-- 战队踢人 12008
	[12008] = 			{
							"pid", 			-- 踢出的人id
						},
	-- 战队加人 12009
	[12009] = 			{
							"pid", 			-- 加入的人id
							"typ", 			--  typ 操作类型 1、加人2、拒绝
						},
	-- 战队列表 12010
	[12010] = 			{
							"tno", 			-- 战队编号
							"page", 		-- 页数	
							"typ",			-- 类型 1 本区 2 跨服
						},
	-- 进入战队界面/查看战队信息 12011
	[12011] = 			{
							"tid", 			-- 战队编号
							"serid", 		-- 服务器id
						},
	-- 查看本周战队录像 和 八强对阵情况 12012
	[12012] = 			{
							"typ", 			-- 类型 1 自己录像 2 八强录像
							"typ2", 		-- 类型 1 本区 2 跨服
						},
	-- 选择参战卡牌 12014
	[12014] = 			{
							"cpid", 			-- 卡牌id
						},
	-- 申请加入战队 12015
	[12015] = 			{
							"tid", 			-- 战队id
						},
	-- 播发战队录像 12016
	[12016] = 			{
							"rid", 			-- 录像id
							"serid",		-- 服务器id
						},
	-- 申请信息 12017
	[12017] = 			{
							"app", 			--  申请信息
						},
	-- 获取奖励 12018
	[12018] = 			{
							"typ", 			--  类型 1 本区 2 跨服
						},
	-- 切磋 12021
	[12021] = 			{
							"tid", 			--  战队id
							"serid",
						},
	--[[ 
		***排行榜系统*** 12xxx
	--]]	
	-- 获取排行榜 13001
	[13001] = 			{
							"typ", 			--  类型：1 等级榜 2 天赋榜 3 总atk榜 4 总hp榜 5 财富榜 6 膜拜榜
						},
	-- 膜拜 13002
	[13002] = 			{
							"typ", 			--  类型：1 等级榜 2 天赋榜 3 总atk榜 4 总hp榜 5 财富榜 6 膜拜榜
						},
	-- 大转盘 13004
	[13004] = 			{
							"typ", 			--  类型：1 金币抽奖 2 钻石抽奖
						},
	-- 大转盘 13004
	[13016] = 			{
							"tag", 		
						},
	-- 限时充值 领取
	[13006] = 			{
							"tag", 		
						},
	-- 限时消费 领取
	[13008] = 			{
							"tag", 		
						},
	-- 连续登录 领取
	[13010] = 			{
							"tag", 		
						},
	-- 单笔充值 领取
	[13012] = 			{
							"tag", 		
						},
	-- 单天累计充值 领取
	[13019] = 			{
							"tag", 		
						},
	-- 当天累计消费 领取
	[13021] = 			{
							"tag", 		
						},
	-- 除害奖励 领取
	[13025] = 			{
							"target", 		
							"tag", 		
						},
	-- 获得献祭奖励
	[13028] = 			{
							"tag", 		
						},
	-- 天天消费 领取
	[13030] = 			{
							"targetDay", 		
						},
	-- 天天领钻
	[13032] = 			{
							"index", 		
						},
	-- 天天领钻 领取
	[13033] = 			{
							"index", 		
						},
	-- 创建军团
	[14002] = 			{
							"aname", 		--军团名称
						},
	-- 搜索军团
	[14003] = 			{
							"aname", 		--军团名称
						},
	-- 申请加入军团
	[14004] = 			{
							"aid", 		--军团id
						},
	-- 取消申请
	[14005] = 			{
							"aid", 		--军团id
						},
	-- 公告
	[14007] = 			{
							"content", 		--公告
						},
	-- 管理成员操作
	[14009] = 			{
							"typ", 		--操作类型:1升级为副军团长 2降级为普通成员 3转让军团4踢出军团5弹劾军团长
							"id",		--被操作者id
						},
	-- 申请审核操作
	[14012] = 			{
							"typ", 		--操作类型:1、通过2、谢绝
							"pid",		-- 被操作者id
						},
	--  军需官兑换请求
	[14016] = 			{
							"proid", 		--购买选项id
						},
	--    军团建设
	[14020] = 			{
							"buildid", 		--建设编号
						},
	--  获得可吃卡牌列表
	[14022] = 			{
							"typ", 		--类型： 攻击1、血2、体力上限3、星星采集量4
							"camp",		--阵营： 全阵营0、联盟1、部落2、亡灵3、英雄100
						},
	--  升级军团天赋
	[14023] = 			{
							"lv", 		--等级
							"typ",		--类型
							"camp",		--阵营
							"cards",	--[1,2,3,4,5...]//被吃的卡牌cpid数组
						},
			--  伤害排行
	[14026] = 			{
							"armybossno", 		--boss编号
						},
		--  攻击军团BOSS
	[14027] = 			{
							"armybossno", 		--等级
						},
}


--[[ 
	***结果类型***
--]]

RREST = 
{

-- 成功
 Success = 10000,
-- 通用错误
 NET_WCODE_10001 = 10001,
-- 服务器异常
 NET_WCODE_10002 = 10002,
-- 请求未认证
 NET_WCODE_10003 = 10003,
-- 用户被踢下线
 NET_WCODE_10004 = 10004,
-- 消息Id重复
 NET_WCODE_10005 = 10005,
-- 角色不存在
 NET_WCODE_10006 = 10006,
-- 账号不存在
 NET_WCODE_10007 = 10007,
-- 密码错误
 NET_WCODE_10008 = 10008,
-- 角色已存在（创建角色时）
 NET_WCODE_10009 = 10009,
-- 客户端版本太低，需要重新启动
 NET_WCODE_10010 = 10010,
-- 操作失败
 NET_WCODE_N10000 = -10000,
-- 服务器异常，请稍后重试
 NET_WCODE_N10001 = -10001,
-- 记录不存在
 NET_WCODE_N10002 = -10002,
-- 用户不存在
 NET_WCODE_N10003 = -10003,
-- 账号或密码错误
 NET_WCODE_N10004 = -10004,
-- Session已过期，需要重新登录
 NET_WCODE_N10005 = -10005,
-- 请先修改用户信息
 NET_WCODE_N10006 = -10006,
-- 注册失败,请稍后重试
 NET_WCODE_N10007 = -10007,
-- 昵称不合法
 NET_WCODE_N10008 = -10008,
-- 昵称重复
 NET_WCODE_N10009 = -10009,
-- 参数错误
 NET_WCODE_N10010 = -10010,
-- 用户名已存在
 NET_WCODE_N10011 = -10011,
-- 邮箱格式不正确
 NET_WCODE_N10012 = -10012,
-- 昵称非法
 NET_WCODE_N10013 = -10013,
-- 用户注册异常
 NET_WCODE_N10014 = -10014,
-- 用户登录异常
 NET_WCODE_N10015 = -10015,
-- 修改用户信息异常
 NET_WCODE_N10016 = -10016,
-- 已完成所有关卡
 NET_WCODE_N10017 = -10017,
-- 钻石数不够
 NET_WCODE_N10018 = -10018,
-- 友情点数不够
 NET_WCODE_N10019 = -10019,
-- 卡牌不存在
 NET_WCODE_N10020 = -10020,
-- 卡组不存在
 NET_WCODE_N10021 = -10021,
-- 已经申请为好友
 NET_WCODE_N10022 = -10022,
-- 该卡牌不能作为饲料卡
 NET_WCODE_N10023 = -10023,
-- 没搜索到玩家
 NET_WCODE_N10024 = -10024,
-- 任务不存在
 NET_WCODE_N10025 = -10025,
-- 任务尚未完成
 NET_WCODE_N10026 = -10026,
-- 奖励已领取过
 NET_WCODE_N10027 = -10027,
-- 已经签到过了
 NET_WCODE_N10028 = -10028,
-- 不在领取体力时间内
 NET_WCODE_N10029 = -10029,
-- 对战时间未冷却
 NET_WCODE_N10030 = -10030,
-- 对战次数用完
 NET_WCODE_N10031 = -10031,
-- 没有可领取的奖励
 NET_WCODE_N10032 = -10032,
-- 体力不够
 NET_WCODE_N10033 = -10033,
-- 体力已经分配完
 NET_WCODE_N10034 = -10034,
-- 无该好友
 NET_WCODE_N10035 = -10035,
-- 钱数不够
 NET_WCODE_N10036 = -10036,
-- 不能给自己留言
 NET_WCODE_N10037 = -10037,
-- 留言为不能为空
 NET_WCODE_N10038 = -10038,
-- 今天已经赠送过
 NET_WCODE_N10039 = -10039,
-- 免费抽取次数不够
 NET_WCODE_N10040 = -10040,
-- 账户已禁用
 NET_WCODE_N10041 = -10041,
-- 角色已禁用
 NET_WCODE_N10042 = -10042,
-- cost值不够
 NET_WCODE_N10044 = -10044,
-- cost值已满
 NET_WCODE_N10045 = -10045,
-- 含有敏感词
 NET_WCODE_N10046 = -10046,
 -- 输入关键字不能为空
 NET_WCODE_N10047 = -10047,
 -- 超过好友上限数
 NET_WCODE_N10048 = -10048,
 -- 对方好友已满
 NET_WCODE_N10049 = -10049,
 -- 卡牌已领取
 NET_WCODE_N10050 = -10050,
 -- 邀请码不存在
 NET_WCODE_N10051 = -10051,
 -- 未到领取时间
 NET_WCODE_N10052 = -10052,
 -- 星星不够
 NET_WCODE_N10053 = -10053,
 -- 休战中
 NET_WCODE_N10054 = -10054,
 -- 关卡已经通过
 NET_WCODE_N10055 = -10055,
 -- 天赋未找到
 NET_WCODE_N10056 = -10056,
 -- 等级未达到
 NET_WCODE_N10057 = -10057,
 -- 无材料卡
 NET_WCODE_N10058 = -10058,
 -- 配置未找到
 NET_WCODE_N10059 = -10059,
 -- 天赋已经满级
 NET_WCODE_N10060 = -10060,
 -- 进阶失败
 NET_WCODE_N10061 = -10061,
 -- 进阶材料不足
 NET_WCODE_N10062 = -10062,
 -- 出售失败
 NET_WCODE_N10063 = -10063,
 -- 使用失败
 NET_WCODE_N10064 = -10064,
 -- 体力已满
 NET_WCODE_N10065 = -10065,
 -- 经验药水无法叠加使用
 NET_WCODE_N10066 = -10066,
 -- 星星收集不在冷却中
 NET_WCODE_N10067 = -10067,
 -- 已达当日限购次数
 NET_WCODE_N10068 = -10068,
 -- 探索失败
 NET_WCODE_N10069 = -10069,
 -- 进阶材料不足
 NET_WCODE_N10070 = -10070,
 -- 赞美失败
 NET_WCODE_N10071 = -10071,
 -- 打劫失败
 NET_WCODE_N10072 = -10072,
 -- 打劫失败
 NET_WCODE_N10073 = -10073,
 -- 打劫失败
 NET_WCODE_N10074 = -10074,
 -- 打劫失败
 NET_WCODE_N10075 = -10075,
 -- 今天已经许过愿
 NET_WCODE_N10076 = -10076,
}

RREST_IGNORE = 0    -- 直接忽略
RREST_SHOW_UNCOUNT = 1   -- 弹出提示，但不记录错误次数
RREST_SHOW_COUNT = 2     -- 弹出提示，记录错误次数
RREST_UNSHOW_COUNT = 3 	 -- 不弹出提示，但记录错误次数

RREST_TIP =
{
	-- 成功
	[10000] = {code = "NET_WCODE_10000", lv = RREST_IGNORE},
	-- 通用错误
	[10001] = {code = "NET_WCODE_10001", lv = RREST_UNSHOW_COUNT},
	-- 服务器异常
	[10002] = {code = "NET_WCODE_10002", lv = RREST_IGNORE},
	-- 请求未认证
	[10003] = {code = "NET_WCODE_10003", lv = RREST_IGNORE},
	-- 用户被踢下线
	[10004] = {code = "NET_WCODE_10004", lv = RREST_IGNORE},
	-- 消息Id重复
	[10005] = {code = "NET_WCODE_10005", lv = RREST_IGNORE},
	-- 角色不存在
	[10006] = {code = "NET_WCODE_10006", lv = RREST_SHOW_UNCOUNT},
	-- 账号不存在
	[10007] = {code = "NET_WCODE_10007", lv = RREST_SHOW_UNCOUNT},
	-- 密码错误
	[10008] = {code = "NET_WCODE_10008", lv = RREST_SHOW_UNCOUNT},	
	-- 角色已存在（创建角色时）
	[10009] = {code = "NET_WCODE_10009", lv = RREST_SHOW_UNCOUNT},
	-- 客户端版本太低，需要重新启动
	[10010] = {code = "NET_WCODE_10010", lv = RREST_SHOW_UNCOUNT},
	-- 操作失败
	[-10000] = {code = "NET_WCODE_N10000", lv = RREST_SHOW_UNCOUNT},
	-- 服务器异常，请稍后重试
	[-10001] = {code = "NET_WCODE_N10001", lv = RREST_SHOW_COUNT},
	-- 记录不存在
	[-10002] = {code = "NET_WCODE_N10002", lv = RREST_SHOW_UNCOUNT},
	-- 用户不存在
	[-10003] = {code = "NET_WCODE_N10003", lv = RREST_SHOW_UNCOUNT},
	-- 账号或密码错误
	[-10004] = {code = "NET_WCODE_N10004", lv = RREST_SHOW_UNCOUNT},
	-- Session已过期，需要重新登录
	[-10005] = {code = "NET_WCODE_N10005", lv = RREST_SHOW_COUNT},
	-- 请先修改用户信息
	[-10006] = {code = "NET_WCODE_N10006", lv = RREST_SHOW_UNCOUNT},
	-- 注册失败,请稍后重试
	[-10007] = {code = "NET_WCODE_N10007", lv = RREST_SHOW_UNCOUNT},
	-- 昵称不合法
	[-10008] = {code = "NET_WCODE_N10008", lv = RREST_SHOW_UNCOUNT},
	-- 昵称重复
	[-10009] = {code = "NET_WCODE_N10009", lv = RREST_SHOW_UNCOUNT},
	-- 参数错误
	[-10010] = {code = "NET_WCODE_N10010", lv = RREST_SHOW_UNCOUNT},
	-- 用户名已存在
	[-10011] = {code = "NET_WCODE_N10011", lv = RREST_SHOW_UNCOUNT},
	-- 邮箱格式不正确
	[-10012] = {code = "NET_WCODE_N10012", lv = RREST_SHOW_UNCOUNT},
	-- 昵称非法
	[-10013] = {code = "NET_WCODE_N10013", lv = RREST_SHOW_UNCOUNT},
	-- 用户注册异常
	[-10014] = {code = "NET_WCODE_N10014", lv = RREST_SHOW_UNCOUNT},
	-- 用户登录异常
	[-10015] = {code = "NET_WCODE_N10015", lv = RREST_SHOW_UNCOUNT},
	-- 修改用户信息异常
	[-10016] = {code = "NET_WCODE_N10016", lv = RREST_SHOW_UNCOUNT},
	-- 已完成所有关卡
	[-10017] = {code = "NET_WCODE_N10017", lv = RREST_SHOW_UNCOUNT},
	-- 钻石数不够 
	[-10018] = {code = "NET_WCODE_N10018", lv = RREST_SHOW_UNCOUNT},
	-- 友情点数不够
	[-10019] = {code = "NET_WCODE_N10019", lv = RREST_SHOW_UNCOUNT},
	-- 卡牌不存在
	[-10020] = {code = "NET_WCODE_N10020", lv = RREST_SHOW_UNCOUNT},
	-- 卡组不存在
	[-10021] = {code = "NET_WCODE_N10021", lv = RREST_SHOW_UNCOUNT},
	-- 已经申请为好友
	[-10022] = {code = "NET_WCODE_N10022", lv = RREST_SHOW_UNCOUNT},
	-- 该卡牌不能作为饲料卡
	[-10023] = {code = "NET_WCODE_N10023", lv = RREST_SHOW_UNCOUNT},
	-- 没搜索到玩家
	[-10024] = {code = "NET_WCODE_N10024", lv = RREST_SHOW_UNCOUNT},
	-- 任务不存在
	[-10025] = {code = "NET_WCODE_N10025", lv = RREST_SHOW_UNCOUNT},
	-- 任务尚未完成
	[-10026] = {code = "NET_WCODE_N10026", lv = RREST_SHOW_UNCOUNT},
	-- 奖励已领取过
	[-10027] = {code = "NET_WCODE_N10027", lv = RREST_SHOW_UNCOUNT},
	-- 已经签到过了
	[-10028] = {code = "NET_WCODE_N10028", lv = RREST_SHOW_UNCOUNT},
	-- 不在领取体力时间内
	[-10029] = {code = "NET_WCODE_N10029", lv = RREST_SHOW_UNCOUNT},
	-- 对战时间未冷却
	[-10030] = {code = "NET_WCODE_N10030", lv = RREST_SHOW_UNCOUNT},
	-- 对战次数用完
	[-10031] = {code = "NET_WCODE_N10031", lv = RREST_SHOW_UNCOUNT},
	-- 没有可领取的奖励
	[-10032] = {code = "NET_WCODE_N10032", lv = RREST_SHOW_UNCOUNT},
	-- 体力不够
	[-10033] = {code = "NET_WCODE_N10033", lv = RREST_SHOW_UNCOUNT},
	-- 体力已经分配完
	[-10034] = {code = "NET_WCODE_N10034", lv = RREST_SHOW_UNCOUNT},
	-- 无该好友
	[-10035] = {code = "NET_WCODE_N10035", lv = RREST_SHOW_UNCOUNT},
	-- 钱数不够
	[-10036] = {code = "NET_WCODE_N10036", lv = RREST_SHOW_UNCOUNT},
	-- 不能给自己留言
	[-10037] = {code = "NET_WCODE_N10037", lv = RREST_SHOW_UNCOUNT},
	-- 留言为不能为空
	[-10038] = {code = "NET_WCODE_N10038", lv = RREST_SHOW_UNCOUNT},
	-- 今天已经赠送过
	[-10039] = {code = "NET_WCODE_N10039", lv = RREST_SHOW_UNCOUNT},
	-- 抽卡礼劵不够
	[-10040] = {code = "NET_WCODE_N10040", lv = RREST_SHOW_UNCOUNT},
	-- 账户已禁用,请联系客服
	[-10041] = {code = "NET_WCODE_N10041", lv = RREST_SHOW_COUNT},
	-- 角色已禁用,请联系客服
	[-10042] = {code = "NET_WCODE_N10042", lv = RREST_SHOW_COUNT},
	-- cost值不够
	[-10044] = {code = "NET_WCODE_N10044", lv = RREST_SHOW_UNCOUNT},
	-- cost值已满
	[-10045] = {code = "NET_WCODE_N10045", lv = RREST_SHOW_UNCOUNT},
	-- 含有敏感词
	[-10046] = {code = "NET_WCODE_N10046", lv = RREST_SHOW_UNCOUNT},
	-- 输入关键字不能为空
	[-10047] = {code = "NET_WCODE_N10047", lv = RREST_SHOW_UNCOUNT},
	-- 超过好友上限数
	[-10048] = {code = "NET_WCODE_N10048", lv = RREST_SHOW_UNCOUNT},
	-- 对方好友已满
	[-10049] = {code = "NET_WCODE_N10049", lv = RREST_SHOW_UNCOUNT},
	-- 卡牌已领取
	[-10050] = {code = "NET_WCODE_N10050", lv = RREST_SHOW_UNCOUNT},
	-- 邀请码不存在
	[-10051] = {code = "NET_WCODE_N10051", lv = RREST_SHOW_UNCOUNT},
	-- 未到领取时间
	[-10052] = {code = "NET_WCODE_N10052", lv = RREST_SHOW_UNCOUNT},
	-- 星星不够
	[-10053] = {code = "NET_WCODE_N10053", lv = RREST_SHOW_UNCOUNT},
	-- 休战中
	[-10054] = {code = "NET_WCODE_N10054", lv = RREST_SHOW_UNCOUNT},
	-- 关卡已经通过
	[-10055] = {code = "NET_WCODE_N10055", lv = RREST_SHOW_UNCOUNT},
	-- 天赋未找到
	[-10056] = {code = "NET_WCODE_N10056", lv = RREST_SHOW_UNCOUNT},
	-- 等级未达到
	[-10057] = {code = "NET_WCODE_N10057", lv = RREST_SHOW_UNCOUNT},
	-- 无材料卡
	[-10058] = {code = "NET_WCODE_N10058", lv = RREST_SHOW_UNCOUNT},
	-- 配置未找到
	[-10059] = {code = "NET_WCODE_N10059", lv = RREST_SHOW_UNCOUNT},
	-- 天赋已经满级
	[-10060] = {code = "NET_WCODE_N10060", lv = RREST_SHOW_UNCOUNT},
	-- 进阶失败
	[-10061] = {code = "NET_WCODE_N10061", lv = RREST_SHOW_UNCOUNT},
	-- 进阶材料不足
	[-10062] = {code = "NET_WCODE_N10062", lv = RREST_SHOW_UNCOUNT},
	-- 出售失败
	[-10063] = {code = "NET_WCODE_N10063", lv = RREST_SHOW_UNCOUNT},
	-- 使用失败
	[-10064] = {code = "NET_WCODE_N10064", lv = RREST_SHOW_UNCOUNT},
	-- 体力已满
	[-10065] = {code = "NET_WCODE_N10065", lv = RREST_SHOW_UNCOUNT},
	-- 经验药水无法叠加使用
	[-10066] = {code = "NET_WCODE_N10066", lv = RREST_SHOW_UNCOUNT},
	-- 星星收集不在冷却中
	[-10067] = {code = "NET_WCODE_N10067", lv = RREST_SHOW_UNCOUNT},
	-- 已达当日限购次数
	[-10068] = {code = "NET_WCODE_N10068", lv = RREST_SHOW_UNCOUNT},
	-- 探索失败
	[-10069] = {code = "NET_WCODE_N10069", lv = RREST_SHOW_UNCOUNT},
	-- 赞美失败
	[-10070] = {code = "NET_WCODE_N10070", lv = RREST_SHOW_UNCOUNT},
	-- 打劫失败
	[-10071] = {code = "NET_WCODE_N10071", lv = RREST_SHOW_UNCOUNT},
	-- 打劫失败
	[-10072] = {code = "NET_WCODE_N10072", lv = RREST_SHOW_UNCOUNT},
	-- 打劫失败
	[-10073] = {code = "NET_WCODE_N10073", lv = RREST_SHOW_UNCOUNT},
	-- 打劫失败
	[-10074] = {code = "NET_WCODE_N10074", lv = RREST_SHOW_UNCOUNT},
	-- 打劫失败
	[-10075] = {code = "NET_WCODE_N10075", lv = RREST_SHOW_UNCOUNT},
	-- 今天已经许过愿
	[-10076] = {code = "NET_WCODE_N10076", lv = RREST_SHOW_UNCOUNT},
	-- 操作失败
	[-10077] = {code = "NET_WCODE_N10077", lv = RREST_SHOW_UNCOUNT},
	-- 数量不足
	[-10078] = {code = "NET_WCODE_N10078", lv = RREST_SHOW_UNCOUNT},
	-- 缺少普通钥匙！
	[-10079] = {code = "NET_WCODE_N10079", lv = RREST_SHOW_UNCOUNT},
	-- 缺少普通的装备宝箱！
	[-10080] = {code = "NET_WCODE_N10080", lv = RREST_SHOW_UNCOUNT},
	-- 缺少精致钥匙！
	[-10081] = {code = "NET_WCODE_N10081", lv = RREST_SHOW_UNCOUNT},
	-- 缺少精致的装备宝箱
	[-10082] = {code = "NET_WCODE_N10082", lv = RREST_SHOW_UNCOUNT},
}

