
local Sdkpfbase = require("sdk.SdkPlatformBase")

local SdkPlatform360 = class("SdkPlatform360", Sdkpfbase)

function SdkPlatform360:ctor()
	SdkPlatform360.super.ctor(self, "SdkPlatformController")   -- call super-class method
	self.key_ = "Tdudlw3Up789asdfgh"
end

--商店视图
function SdkPlatform360:storeFirstView(  )
   	CCBCenter.loadCCB("MSG_SHOPBUYDIAMONDLAYER_MODEL", "ccb.c.shop.ShopBuyDiamondLayer", {})
end

--商店
function SdkPlatform360:store( successCallBack, errorCallBack, argParams )

	--向服务端获取appordercode,
	local function getAppOrderCodeCallback( entityFriendArr, param )
		argParams.apporderCode = entityFriendArr:getAppordercode() 
	 	--发送appordercode给第三方sdk购买钻石
		if ISGSVALUES() then
	        GSVALUES.ordercode = entityFriendArr:getAppordercode() --保存单号到userinfo
	        GS.save(GSVALUES)
		end

		if isandroid() then
        	local function androidCallback( result )
				if result and (result ~= "" and string.find(result, "errorCode") == nil) then
					if result then 
						result = json.decode(result)
					end
					successCallBack(result)
				else
					if result then 
						if result ~= "" then
							result = json.decode(result)
							errorCallBack(result)
						end
					else 
						errorCallBack(result)
					end
				end
			end

        	local argParams_order = {
        		androidCallback,
				entityFriendArr:getAppordercode(), 	-- orderId
				argParams.productId,
				argParams.proName,
				argParams.price
			}
			NetHelper.hideLoading(true)
			util.delayCall(function ( ... )
				local sig  = "(ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;"
				self.luaM.callStaticMethod( self.platformC, self.STORE, argParams_order, sig)
			end, 0.05)
		else 
			self:callStaticMethod(self.STORE, successCallBack, errorCallBack, argParams)
		end

	end
	--请求单号
	self.shopModel.getSDKIapApporderCode{
		callback = getAppOrderCodeCallback,
 		methodId = ACTID.MSG_BUY_IAP,		 		
 		args = {
 			iid = argParams.iapId , 
 			deviceno = argParams.deviceno , 
 			platform = _GAME.CONFIG.SDK_PLATFORM[1]
 		}
	}

end

--bbs论坛
function SdkPlatform360:sb91bbs(  successCallBack, errorCallBack, argParams  )
	Log.d(TAG, "bbs: MSG_ID = %s", "bbs")
    self:callStaticMethod(self.BBS, successCallBack, errorCallBack, argParams) 
end

--切换账号
function SdkPlatform360:switchaccount( successCallBack, errorCallBack, argParams )
	 self:callStaticMethod(self.SWITCHACCOUNT, successCallBack, errorCallBack, argParams) 
end

return SdkPlatform360
