
local Sdkpfbase = require("sdk.SdkPlatformBase")

local SdkPlatform91 = class("SdkPlatform91", Sdkpfbase)

function SdkPlatform91:ctor()
        self.super.ctor(self, "Sdk91PlatformController")   -- call super-class method
        self:init91SDK()
end

--91SDK初始化
function SdkPlatform91:init91SDK()
    self.luaM.callStaticMethod( self.platformC, "init91SdkPlatform")
end 


--商店视图
function SdkPlatform91:storeFirstView(  )
   	CCBCenter.loadCCB("MSG_SHOPBUYDIAMONDLAYER_MODEL", "ccb.c.shop.ShopBuyDiamondLayer", {}) 	
end

--bbs论坛
function SdkPlatform91:sb91bbs(  successCallBack, errorCallBack, argParams  )
	Log.d(TAG, "bbs: MSG_ID = %s", "bbs")
    self:callStaticMethod(self.BBS, successCallBack, errorCallBack, argParams) 
end

--登录
function SdkPlatform91:login( successCallBack, errorCallBack, argParams )
	SdkPlatform91.super.login(self, successCallBack, errorCallBack, argParams)
end

--工具条
function SdkPlatform91:showOrHidetoolBar( successCallBack, errorCallBack, argParams )
	self:callStaticMethod("showOrHidetoolBar", successCallBack, errorCallBack, argParams)
end

--工具条
function SdkPlatform91:showToolBarForAndroid( successCallBack, errorCallBack, argParams )
	self:callStaticMethod("showToolBarForAndroid", successCallBack, errorCallBack, argParams)
end

--工具条
function SdkPlatform91:hideToolBarForAndroid( successCallBack, errorCallBack, argParams )
	self:callStaticMethod("hideToolBarForAndroid", successCallBack, errorCallBack, argParams)
end

--商店
function SdkPlatform91:store( successCallBack, errorCallBack, argParams )

	--向服务端获取appordercode,
	 local function getAppOrderCodeCallback( entityFriendArr, param )
	 	NetHelper.hideLoading(true)
	 	-- body
	 	argParams.apporderCode = entityFriendArr:getAppordercode()
	 	-- print("appCODE:"..entityFriendArr:getAppordercode())
		 --发送appordercode给第三方sdk购买钻石
		if ISGSVALUES() then
           GSVALUES.ordercode = entityFriendArr:getAppordercode() --保存单号到userinfo
           GS.save(GSVALUES)
        end

        if isandroid() then
        	local function androidCallback( result )
				if result and (result ~= "" and string.find(result, "errorCode") == nil)then
					if result then 
						result = json.decode(result)
					end
					successCallBack(result)
				else
					if result then 
						if result ~= "" then
							result = json.decode(result)
							errorCallBack(result)
						end
					else 
						errorCallBack(result)
					end
				end
			end

        	local argParams_order = {
        		androidCallback,
				argParams.apporderCode, argParams.productId, 
				argParams.proName, argParams.price
			}
			NetHelper.hideLoading(true)
			util.delayCall(function ( ... )
				local sig  = "(ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;"
				self.luaM.callStaticMethod( self.platformC, self.STORE, argParams_order, sig)
			end, 0.05)
		else 
			self:callStaticMethod(self.STORE, successCallBack, errorCallBack, argParams)
		end
	 end
	 -- print("iapId:"..argParams.iapId.."deviceNo:"..argParams.deviceno)
	--请求单号
	self.shopModel.getSDKIapApporderCode{
				callback = getAppOrderCodeCallback,
		 		methodId = ACTID.MSG_BUY_IAP,		 		
		 		args = {iid = argParams.iapId , deviceno = argParams.deviceno , platform = _GAME.CONFIG.SDK_PLATFORM[1]}
	}

end

return SdkPlatform91
