local Sdkpfbase = require("sdk.SdkPlatformBase")

local SdkPlatformUcubeUnalis = class("SdkPlatformUcubeUnalis", Sdkpfbase)

function SdkPlatformUcubeUnalis:ctor()
    SdkPlatformUcubeUnalis.super.ctor(self)
    self.key_ = "Tdudlw3Up789asdfgh"
end

--商店视图
function SdkPlatformUcubeUnalis:storeFirstView(  )
   	CCBCenter.loadCCB("MSG_SHOPBUYDIAMONDLAYER_MODEL", "ccb.c.shop.ShopBuyDiamondLayer", {}) 	
end

--商店
function SdkPlatformUcubeUnalis:store( successCallBack, errorCallBack, argParams )
	--向服务端获取appordercode,
	local function getAppOrderCodeCallback( entityFriendArr, param )
		argParams.apporderCode = entityFriendArr:getAppordercode() 
	 	--发送appordercode给第三方sdk购买钻石
		if ISGSVALUES() then
	        GSVALUES.ordercode = entityFriendArr:getAppordercode() --保存单号到userinfo
	        GS.save(GSVALUES)
		end

		if isandroid() then
        	local function androidCallback( result )
				if result and (result ~= "" and string.find(result, "errorCode") == nil) then
					if result then 
						result = json.decode(result)
					end
					--发送数据给服务端进行验证(厂商编号，交易验证码)
					local function checkCallback( event )
						if event and "completed" == event.name then 
							local request = event.request
							local response = request:getResponseString()
							local result = json.decode(response)
							if result.result == RREST.Success then 
								if successCallBack then 
									successCallBack()
								end
							elseif errorCallBack then 
								local res = {
										errorCode = tostring(result.result),
										errorStr = result.desc,
									}
								errorCallBack(res)
							end
						else
							callback_store()
						end
					end

					local p = string.format("orderid=%s&userid=%s&shopid=%s&amount=%s&isChange=%s", 
						entityFriendArr:getAppordercode(),
						ME:getUserid(),
						result["shopid"],
						result["amount"],
						result["isChange"])
					p = crypto.encodeBase64(crypto.encryptXXTEA(p, self.key_))
					p = string.gsub(p, string.char(10), "")
					local url = BASESER_URL .. "/ucube_unalis/PayHandle.ashx?p=" .. p
					-- local url = "http://192.168.8.221:89/ucube_unalis/PayHandle.ashx?p=" .. p
					-- print("------", url)
					local request = network.createHTTPRequest(checkCallback, url)
					request:start()
				else
					if result then 
						if result ~= "" then
							result = json.decode(result)
							errorCallBack(result)
						end
					else 
						errorCallBack(result)
					end
				end
			end

        	local argParams_order = {
        		androidCallback,
				entityFriendArr:getAppordercode(), 	-- orderId
				argParams.productId,
				argParams.proName, -- 商品名称
				argParams.price -- 商品价格
			}
			NetHelper.hideLoading(true)
			util.delayCall(function ( ... )
				local sig  = "(ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;"
				self.luaM.callStaticMethod( self.platformC, self.STORE, argParams_order, sig)
			end, 0.05)
		else 
			self:callStaticMethod(self.STORE, successCallBack, errorCallBack, argParams)
		end

	end
	--请求单号
	self.shopModel.getSDKIapApporderCode{
		callback = getAppOrderCodeCallback,
 		methodId = ACTID.MSG_BUY_IAP,		 		
 		args = {
 			iid = argParams.iapId , 
 			deviceno = argParams.deviceno , 
 			platform = _GAME.CONFIG.SDK_PLATFORM[1]
 		}
	}

end

return SdkPlatformUcubeUnalis
