local Sdkpfbase = require("sdk.SdkPlatformBase")

local SdkPlatformWdj = class("SdkPlatformWdj", Sdkpfbase)

function SdkPlatformWdj:ctor()
    SdkPlatformWdj.super.ctor(self)
    self.key_ = "Tdudlw3Up789asdfgh"
end

--商店视图
function SdkPlatformWdj:storeFirstView(  )
	CCBCenter.loadCCB("MSG_SHOPBUYDIAMONDLAYER_MODEL", "ccb.c.shop.ShopBuyDiamondLayer", {})
end

--商店
function SdkPlatformWdj:store( successCallBack, errorCallBack, argParams )
	--向服务端获取appordercode,
	local function getAppOrderCodeCallback( entityFriendArr, param )
		-- NetHelper.showLoading(true)
		argParams.apporderCode = entityFriendArr:getAppordercode() 
	 	--发送appordercode给第三方sdk购买钻石
		if ISGSVALUES() then
	        GSVALUES.ordercode = entityFriendArr:getAppordercode() --保存单号到userinfo
	        GS.save(GSVALUES)
		end
		local function callback_store( result )
			if successCallBack then 
				successCallBack(result)
			end
			util.delayCall(function ( ... )
				NetHelper.hideLoading(true)
			end, 1.0)
		end

		local function errorCallBack_( result )
			if errorCallBack then 
				errorCallBack(result)
			end
			util.delayCall(function ( ... )
				NetHelper.hideLoading(true)
			end, 1.0)
		end

		NetHelper.hideLoading(true)
		util.delayCall(function ( ... )
			self:callStaticMethod(self.STORE, callback_store, errorCallBack_, {
				sig = "(ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;I)V",
				params = {
							entityFriendArr:getAppordercode(), 	-- orderId
							"", -- 游戏名
							argParams.proName, -- 商品名,不超过7个汉字
							toint(argParams.price), 	-- money, 元
						}, 
				}
			)
		end, 0.05)
		-- util.delayCall(callback_store, 3.0)
	end
	--请求单号
	self.shopModel.getSDKIapApporderCode{
		callback = getAppOrderCodeCallback,
 		methodId = ACTID.MSG_BUY_IAP,		 		
 		args = {
 			iid = argParams.iapId , 
 			deviceno = argParams.deviceno , 
 			platform = _GAME.CONFIG.SDK_PLATFORM[1]
 		}
	}
end

function SdkPlatformWdj:checkSession( successCallBack, errorCallBack, params )
	params = params or {}
	local uid, session = params.uid, params.session
	if uid and session then 
		local function checkCallback( event )
			-- print("@@@@@@@ event", event.name)
			if event and "completed" == event.name then 
				local request = event.request
				local response = request:getResponseString()
				-- print("@@@@@ response", response)
				local result = json.decode(response)
				if result.Ok == RREST.Success then 
					if successCallBack then 
						successCallBack()
					end
				elseif errorCallBack then 
					local res = {
							errorCode = tostring(result.Ok),
							errorStr = result.Desc,
						}
					errorCallBack(res)
				end
			elseif errorCallBack then 
				local res = {
						errorCode = RREST.NET_WCODE_N10001,
						errorStr = _s("NETWORK_NOT_GOOD"),
					}
				errorCallBack(res)
			end
		end
		local p = string.format("uid=%s&token=%s", tostring(uid), session)
		-- print("@@@@@@@@ p ", p)
		p = crypto.encodeBase64(crypto.encryptXXTEA(p, self.key_))
		p = string.gsub(p, string.char(10), "")
		-- print("@@@@@@@@ p ", p)
		local url = BASESER_URL .. "/wdj/VerifyUser.ashx?p=" .. p
		local request = network.createHTTPRequest(checkCallback, url)
		request:start()
	else
		local res = {
						errorCode = RREST.NET_WCODE_N10001,
						errorStr = _s("NETWORK_NOT_GOOD"),
					}
		errorCallBack(res)
	end
end

function SdkPlatformWdj:setUserInfo( successCallBack, errorCallBack, argParams )
end

return SdkPlatformWdj