--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

战斗动作类[[固定]攻击]，定义战斗动作相关操作方法及逻辑实现。

-   定义战斗动作方法及成员变量。

]]

local M = class("ActionFixAttack", ActionOptValue)



-- [包含文件]
-- ..


-- [操作变量]
-- ..


-- [公共参数]
-- [常量]
-- ..


-- [成员变量]
-- ..

    

    





-- [构造方法]
-- 构造方法，定义视图加载逻辑
function M:ctor(params)
    -- [加载超类构造函数]
    M.super.ctor(self, params)



    -- [参数赋值]
    -- ..
end

    

    





-- [实例方法]
-- [实例方法][数值]
-- 播放数值变化 
function M:playValueChange()
    -- [过渡判断]
    if not self._isPlayValueChange then 
        return
    end

    -- [逻辑处理]
    -- 补伤数字
    if true then 
        local value         = self._varHp
        local isViewZero    = self._isViewZeroEH
        if value ~= 0 or (value == 0 and isViewZero) then 
            self:playFightNum(value)
        end
    end
    -- 攻击力
    if true then 
        local node          = self:getNodeUp()
        local value         = self._curAtk

        local var           = self._varAtk
        local color0        = FA__OPT_VALUE__C_ATK_D
        local color1        = FA__OPT_VALUE__C_ATK_DE
        if var ~= 0 then 
            node:animteAttack(value, color0, color1)
        end
    end
    -- 血量
    if true then 
        local node          = self:getNodeUp()
        local value         = self._curHp

        local var           = self._varHp
        local color0        = FA__FIX_ATTACK__C_HP_B
        local color1        = FA__FIX_ATTACK__C_HP_E
        if var ~= 0 then 
            node:animateHp(value, color0, color1)
        end
    end
end


---------


-- [实例方法][属性Getter/Setter]
-- 设置动画[时间]
function M:setATime(aTime)
    self._aTime = aTime
end
-- 获得动画[时间]
function M:getATime()
    return self._aTime
end





return M