--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

战斗界面背景层类，定义战斗界面背景层相关操作方法及逻辑实现。

-   存储背景层相关信息。
-   实现背景动画效果。

]]

local M = class("FightBackgroundLayer", function()
    return display.newLayer()
end)



-- [包含文件]
-- ..










-- [公共参数]
-- [常量]
-- .. 


-- [操作变量]
-- ..


-- [枚举]
-- ..

    


    





-- [构造方法]
-- 构造方法，定义视图加载逻辑
function M:ctor()
    -- [操作变量]
    -- ..

    
    -- [枚举]
    -- ..



    

    





    -- [私有方法声明]
    -- [实例方法][视图渲染]
    -- 视图渲染
    local viewRender
    -- 加载背景
    local loadBackground

    -- [视图析构]
    -- 视图析构
    local viewDestructor


        

        





    -- [私有方法定义]
    -- [实例方法][视图渲染]
    -- 视图渲染
    function viewRender()
        -- 加载背景
        loadBackground()
    end

    -- 加载背景
    function loadBackground()
        -- [Version1]
        --[[
        -- 加载实体
        local sprite = display.newBackgroundSprite(PHI_FIGHT .. "f_bg.jpg")
        self:addChild(sprite)
        --]]

        -- [Version2]
        -- 加载实体
        local sprite = display.newSprite(PHI_FIGHT .. "f_bg.jpg")
        self:addChild(sprite)
        sprite:setPosition(ccp(480, 320))
    end


    ---------


    -- [事件处理]
    -- 视图析构
    function viewDestructor()

    end


        

        





    -- [具体操作]
    viewRender()
end



return M