--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

异常工具类，定义异常相关操作方法及逻辑实现。

-   指定逻辑异常。
-   公共异常定义。

]]

local M = {}



-- [公共参数]
-- 常量





-- [私有方法]
-- [声明]

-- [定义]





-- [异常方法]
-- 抛出无法运行到此处异常
function M.raiseUnRunHereException(tag)
    -- 默认赋值
    local tag           = tag       or "Unknown";

    -- 验证合法性
    assert(false,
           "[" .. tostring(tag) .. "] mustn't run here!")
end

-- 抛出无法运行到此处异常
function M.raiseUnimpletentException(tag)
    -- 默认赋值
    local tag           = tag       or "Unknown";

    -- 验证合法性
    assert(false,
           "[" .. tostring(tag) .. "] is unimpletent!")
end

return M;
