--ArmyBossRewardLayer.lua

MSG_ID.MSG_ARMYBOSSREWARDLAYER_MODEL 				= 32300

MSG_ID.MSG_ARMYBOSSREWARDLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_ARMYBOSSREWARDLAYER_MODEL + 10

local TAG = "[ArmyBossRewardLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--32300 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_ARMYBOSSREWARDLAYER_ONBTNCLOSECLICK)
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--32300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_ARMYBOSSREWARDLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ArmyBossRewardLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mArmyReward"] = _ccbNode:getNode("mArmyReward", "CCNode")
	_nodeTable["mBossRewardLabel"] = _ccbNode:getNode("mBossRewardLabel", "CCLabelTTF")

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v..ArmyBossRewardLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_ARMYBOSSREWARDLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_ARMYBOSSREWARDLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
