--ComicOpening_04_Layer.lua

MSG_ID.MSG_COMICOPENING_04_LAYER_MODEL 				= 26300
MSG_ID.MSG_COMICOPENING_04_LAYER_ONBTNSKIPCLICK 	= MSG_ID.MSG_COMICOPENING_01_LAYER_MODEL + 10

local TAG = "[ComicOpening_04_Layer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end

local function animationCompletedCallback( animationManager, animName, luaEventHandler )
	Log.d(TAG, "animationCompletedCallback: %s", animName)
	-- if "play" == animName then
	-- 	-- 我已经动完了
	-- 	_ccbNode._isFinish = true
	-- elseif "End" == animName then
	-- 	-- 结束动画已经over了, 执行下一场景
	-- 	-- CCBCenter.replaceLayer("MSG_COMICOPENING_01_LAYER_MODEL", "ccb.c.comic.ComicOpening_01_Layer")
 --        SOUND:playMusicHome()
	-- 	CCBCenter.replaceScene(MAINLAYER_ID, MAINLAYER_PATH)
	-- end
	if "play" == animName then
		-- 我已经动完了
		_ccbNode._isFinish = true
	elseif "End" == animName then
		-- 结束动画已经over了, 执行下一场景
		CCBCenter.replaceLayer("MSG_COMICOPENING_05_LAYER_MODEL", "ccb.c.comic.ComicOpening_05_Layer")
	end
end

local function onBtnSkipClick( msg, luaValue )
	Log.d(TAG, "onBtnSkipClick: MSG_ID = %d", MSG_ID.MSG_COMICOPENING_01_LAYER_ONBTNSKIPCLICK)
	SOUND:playMusicHome()
	_ccbNode:getAnimationManager():getRootNode():stopAllActions()
	closeLayer()
	CCBCenter.replaceLayer(MAINLAYER_ID, MAINLAYER_PATH)
end

local function onCCBLoad(data, callback)
	--26300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_COMICOPENING_04_LAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ComicOpening_04_Layer.ccbi")
	_ccbNode._isFinish = false
	-- Quick element
	_nodeTable["mDialog1Label"] = _ccbNode:getNode("mDialog1Label", "CCLabelTTF")
	_nodeTable["btnSkip"] = _ccbNode:getNode("btnSkip", "CCControlButton")
	-- _nodeTable["btnSkip"]:setVisible(false)
	-- CCControlButton
	_ccbNode:bindButton("btnSkip", onBtnSkipClick)
	-- MenuItem
	_ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	_nodeTable["mDialog1Label"]:setString(_s("COMICOPENING_04_01"))
	CCBCenter.bindView("ccb.v.comic.ComicOpening_04_LayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_COMICOPENING_04_LAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_COMICOPENING_04_LAYER_ONBTNSKIPCLICK]	= onBtnSkipClick
