--FaqLayer.lua

MSG_ID.MSG_FAQLAYER_MODEL 				= 12000

MSG_ID.MSG_FAQLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_FAQLAYER_MODEL + 10

local TAG = "[FaqLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--12000 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_FAQLAYER_ONBTNCLOSECLICK)
	closeLayer()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--12000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_FAQLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "FaqLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mFaqTitleLabel"] = _ccbNode:getNode("mFaqTitleLabel", "CCLabelTTF")

	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- 填充文字
	_nodeTable["mFaqTitleLabel"]:setString(_s("FAQ_TITLE"))

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.faq.FaqLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_FAQLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_FAQLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
