MSG_ID.MSG_FRIENDPANELLAYER_MODEL 				= 2100

MSG_ID.MSG_FRIENDPANELLAYER_ONBTNPKCLICK = MSG_ID.MSG_FRIENDPANELLAYER_MODEL + 10
MSG_ID.MSG_FRIENDPANELLAYER_ONBTNDELTEFRIENDCLICK = MSG_ID.MSG_FRIENDPANELLAYER_MODEL + 11
MSG_ID.MSG_FRIENDPANELLAYER_ONBTNAPPLYFRIENDCLICK = MSG_ID.MSG_FRIENDPANELLAYER_MODEL + 12
MSG_ID.MSG_FRIENDPANELLAYER_ONBTNTALKCLICK = MSG_ID.MSG_FRIENDPANELLAYER_MODEL + 13
MSG_ID.MSG_FRIENDPANELLAYER_ONBTNCLOSECLICK = MSG_ID.MSG_FRIENDPANELLAYER_MODEL + 14

local TAG = "[FriendPanelLayer]"
local _ccbNode 
local _nodeTable = {}
local friendModel = require("ccb.m.friend.FriendModel")
local _fid
local _listener
local function closeLayer()
	if _ccbNode._KEY then
		if _ccbNode._KEY == MSG_ID.MSG_CHATLAYER_MODEL then
			CCBCenter.sendLuaMessage(MSG_ID.MSG_CHATLAYER_ACTION_ONTOGGLESENDENABLE)
		end
	end
	CCBCenter.popThirdCCBNode()
	-- CCBCenter.popSecondCCBNode()
	-- if _proxy then _proxy:release() end
end

--//MSG_GET_PLAYERDETAIL 查看玩家详细信息 7109
local function onBtnGetPlayDetail( msg, luaValue )
		
		friendModel.getFriendInfoById{
				callback = _ccbNode.callBackShowPlayDetail,
		 		methodId = msg.userdata.methodId,
		 		args     = msg.userdata.arg
		}
end

local function netGetFriendsByargType( msg, luaValue )
	 
		--//MSG_DEL_FRIEND 删除好友 7105
		local function callBackMethod()
			if _listener then
				_listener(msg.userdata.methodId)--刷新原界面
			end
			-- closeLayer()
		end
		friendModel.getHeroFriendsById{
				callback = callBackMethod,
		 		methodId = msg.userdata.methodId,
		 		args     = msg.userdata.arg
		}
end

 

local function onBtnPkClick( msg, luaValue )
	--2100 + 10
	Log.d(TAG, "btnPk: MSG_ID = %d", MSG_ID.MSG_FRIENDPANELLAYER_ONBTNPKCLICK)

	-- 参数赋值
	local FightViewFactory 			= require(PH_MDL_FACTORY .. "FightViewFactory") 		-- 战斗视图工厂
	local friendId                  = _nodeTable.data:getHero():getId()  					-- 好友ID
	local friendName                = _nodeTable.data:getHero():getName()  					-- 好友名称
	local fnNextView 				= _nodeTable.fnPkNextView 								-- 下一跳转视图方法

	-- 场景转换
	FightViewFactory.viewPkLearn({ friendId = friendId, friendName = friendName, fnNextView = fnNextView, })
end

local function onBtnDelteFriendClick( msg, luaValue )
	--2100 + 11
	Log.d(TAG, "btnDelteFriend: MSG_ID = %d", MSG_ID.MSG_FRIENDPANELLAYER_ONBTNDELTEFRIENDCLICK)
	
	-- TODO
	AlertLayer.new{
	btnClickEvent = {
		function (  )  
	          netGetFriendsByargType({userdata = {arg = {fid = _fid}, methodId = ACTID.MSG_DEL_FRIEND }})
	        end
	        },
	        content = _s("FRIEND_DEL_FRIEND_CONFIRM")  -- 内容
	 }
	
end

local function onBtnApplyFriendClick( msg, luaValue )
	--2100 + 12
	Log.d(TAG, "btnApplyFriend: MSG_ID = %d", MSG_ID.MSG_FRIENDPANELLAYER_ONBTNAPPLYFRIENDCLICK)

	netGetFriendsByargType({userdata = {arg = {fid = _fid}, methodId = ACTID.MSG_APPADD_FRIEND }})

end

local function onBtnTalkClick( msg, luaValue )
	--2100 + 13
	Log.d(TAG, "btnTalk: MSG_ID = %d", MSG_ID.MSG_FRIENDPANELLAYER_ONBTNTALKCLICK)

	-- add by wmf 2013.05.10
	-- 给好友留言 
    local friendName   = _nodeTable.data:getHero():getName() 
    ----跳转到系统邮件
	CCBCenter.loadCCB("MSG_MESSAGELAYER_MODEL", "ccb.c.mail.MessageLayer",{fid = _fid, nickName = friendName})
	 ----跳转到系统邮件
  --   CCBCenter.loadCCB("MSG_MESSAGELAYER_MODEL", "ccb.c.message.MessageLayer",{fid = _fid,nickName = friendName},
		-- function ( _ccbNode )
		-- 	CCBCenter.pushLevelCCBNode(4, _ccbNode)
		-- 	-- CCBCenter.pushFirstCCBNode(_ccbNode)
		-- 	local TDAnimationUtils = require(PH_MDL_UTIL .. "TDAnimationUtils")
  --           local array     = {}
  --           array[#array + 1] = CCMoveTo:create(0.2,ccp(0,0))
  --           _ccbNode:runAction(TDAnimationUtils.sequence(array))
		-- end
		-- )
end

local function onBtnCloseClick( msg, luaValue )
	--2100 + 14
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_FRIENDPANELLAYER_ONBTNCLOSECLICK)
	closeLayer()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)

	-- print("玩家名称哈：:"..data:getHero():getName())
	--2100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_FRIENDPANELLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "FriendPanelLayer.ccbi")
	_ccbNode.closeLayer = closeLayer

	-- Quick element
	_nodeTable["mArenaRankLabel"] = _ccbNode:getNode("mArenaRankLabel", "CCLabelTTF")
	_nodeTable["mLastLoginTimeLabel"] = _ccbNode:getNode("mLastLoginTimeLabel", "CCLabelTTF")
	_nodeTable["mMainCardLabel"] = _ccbNode:getNode("mMainCardLabel", "CCLabelTTF")
	_nodeTable["mRackTitleLabel"] = _ccbNode:getNode("mRackTitleLabel", "CCLabelTTF")
	_nodeTable["mUserEquipment"] = _ccbNode:getNode("mUserEquipment", "CCNode")
	_nodeTable["mTotalATKLabel"] = _ccbNode:getNode("mTotalATKLabel", "CCLabelTTF")
	_nodeTable["mTotalBloodLabel"] = _ccbNode:getNode("mTotalBloodLabel", "CCLabelTTF")
	_nodeTable["mSkillTitleLabel"] = _ccbNode:getTTFLabel("mSkillTitleLabel", _s("EQUIPMENT_SKILL"))
	_nodeTable["mTalentTitleLabel"] = _ccbNode:getTTFLabel("mTalentTitleLabel", _s("RANK_TYPE_TALENT"))
	
	-- CCControlButton
	_ccbNode:bindButton("btnPk", onBtnPkClick)
	_ccbNode:bindButton("btnDelteFriend", onBtnDelteFriendClick, _s("FRIEND_DEL_FRIENDS"))
	_ccbNode:bindButton("btnApplyFriend", onBtnApplyFriendClick, _s("FRIEND_FRIENDS_APPLICATION"))
	_ccbNode:bindButton("btnTalk", onBtnTalkClick, _s("FRIEND_LEAVE_MESSAGE"))
	_ccbNode:bindButton("btnClose", onBtnCloseClick)
	
	-- MenuItem
	-- _proxy:bindAnimationCompletedEvent(animationCompletedCallback)
	if data.fid then
		_fid = data.fid
	end
	if data.entity then
		_nodeTable.data = data.entity
		_fid = data.entity:getHero():getId()
	end
	_nodeTable["showPk"]  = data.showPK
	_nodeTable["showBtn"] = data.showBtn
	
	_ccbNode._KEY = data.key
	
	_nodeTable.fnPkNextView = data.fnNextView
	_listener = data.listener

	-- 填充文字
	_nodeTable["mArenaRankLabel"]:setString(_s("FRIEND_ARENA_RANK"))
	_nodeTable["mLastLoginTimeLabel"]:setString(_s("FRIEND_LAST_LOGIN_TIME"))
	_nodeTable["mMainCardLabel"]:setString(_s("FRIEND_MAIN_CARD"))
	_nodeTable["mRackTitleLabel"]:setString(_s("CARD_RACE"))
	
	CCBCenter.bindView("ccb.v.friend.FriendPanelLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushThirdCCBNode(_ccbNode, anim.ANIMATION_POP_OUT, { playTime = 0.3 })
	end
	--请求玩家信息
	onBtnGetPlayDetail({userdata = {arg = {pid = _fid}, methodId = ACTID.MSG_GET_PLAYERDETAIL }})
	
end


MSG_HANDLER[MSG_ID.MSG_FRIENDPANELLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_FRIENDPANELLAYER_ONBTNPKCLICK]	= onBtnPkClick
MSG_HANDLER[MSG_ID.MSG_FRIENDPANELLAYER_ONBTNDELTEFRIENDCLICK]	= onBtnDelteFriendClick
MSG_HANDLER[MSG_ID.MSG_FRIENDPANELLAYER_ONBTNAPPLYFRIENDCLICK]	= onBtnApplyFriendClick
MSG_HANDLER[MSG_ID.MSG_FRIENDPANELLAYER_ONBTNTALKCLICK]	= onBtnTalkClick
MSG_HANDLER[MSG_ID.MSG_FRIENDPANELLAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
