--EquipAlertLayer.lua

MSG_ID.MSG_EQUIPALERTLAYER_MODEL 				= 25400

local TAG = "[EquipAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--25400
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_EQUIPALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "EquipAlertLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	_ccbNode._DATA = data
	_ccbNode._TYPE = 1
	-- Quick element
	_nodeTable["mEquipNameLabel"] = _ccbNode:getNode("mEquipNameLabel", "CCLabelTTF")
	_nodeTable["mTypeLabel"] = _ccbNode:getNode("mTypeLabel", "CCLabelTTF")
	_nodeTable["mLevelLabel"] = _ccbNode:getNode("mLevelLabel", "CCLabelTTF")
	_nodeTable["mAddLabel"] = _ccbNode:getNode("mAddLabel", "CCLabelTTF")
	_nodeTable["mDetailTitleLabel"] = _ccbNode:getNode("mDetailTitleLabel", "CCLabelTTF")
	_nodeTable["mSellLabel"] = _ccbNode:getNode("mSellLabel", "CCLabelTTF")
	_nodeTable["mBgSprite"] = _ccbNode:getNode("mBgSprite", "CCScale9Sprite")
	_nodeTable["mEquipPoiLabel"] = _ccbNode:getNode("mEquipPoiLabel", "CCLabelTTF")

	-- CCControlButton
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)

	-- 填充文字
	_nodeTable["mDetailTitleLabel"]:setString(_s("EQUIP_EFFECT"))
	CCBCenter.bindView("ccb.v.goods.EquipAlertLayerView", _ccbNode, _nodeTable)
	-- widget.bindTouchEvent{
	-- 	layer =  util.toCCLayer(_ccbNode),
	-- 	clickListener = closeLayer,
	-- }
	if callback then
		callback(_ccbNode)
	else
		util.alignNode(_ccbNode, CCSize(960, 640))
		local layer = widget.newLayer{contentSize = CCSize(960, 640)}
		widget.bindTouchEvent{
			layer = layer,
			priority = 10000,
			clickListener = closeLayer,
		}
		_ccbNode:addChild(layer)
		util.alignNode(layer, _ccbNode)
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
	end
end


MSG_HANDLER[MSG_ID.MSG_EQUIPALERTLAYER_MODEL]				= onCCBLoad

