--GoodsAlertLayer.lua

MSG_ID.MSG_GOODSALERTLAYER_MODEL 				= 25100

local TAG = "[GoodsAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--25100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_GOODSALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "GoodsAlertLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	_ccbNode._DATA = data
	-- Quick element
	_nodeTable["mGoodsNameLabel"] = _ccbNode:getNode("mGoodsNameLabel", "CCLabelTTF")
	_nodeTable["mTypeLabel"] = _ccbNode:getNode("mTypeLabel", "CCLabelTTF")
	_nodeTable["mLevelLabel"] = _ccbNode:getNode("mLevelLabel", "CCLabelTTF")
	_nodeTable["mNeedLevelLabel"] = _ccbNode:getNode("mNeedLevelLabel", "CCLabelTTF")
	_nodeTable["mDetailTitleLabel"] = _ccbNode:getNode("mDetailTitleLabel", "CCLabelTTF")
	_nodeTable["mSellLabel"] = _ccbNode:getNode("mSellLabel", "CCLabelTTF")
	_nodeTable["mBgSprite"] = _ccbNode:getNode("mBgSprite", "CCScale9Sprite")
	_nodeTable["mEquipPoiLabel"] = _ccbNode:getNode("mEquipPoiLabel", "CCLabelTTF")
	
	-- CCControlButton
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)

	-- 填充文字
	_nodeTable["mDetailTitleLabel"]:setString(_s("GOODS_MEMO"))
	CCBCenter.bindView("ccb.v.goods.GoodsAlertLayerView", _ccbNode, _nodeTable)
	widget.bindTouchEvent{
		layer =  util.toCCLayer(_ccbNode),
		clickListener = closeLayer,
	}
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
	end
end


MSG_HANDLER[MSG_ID.MSG_GOODSALERTLAYER_MODEL]				= onCCBLoad

