--MainTreasureChestAlertLayer.lua

MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_MODEL 				= 20300

MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_ONBTNBACKCLICK = MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_MODEL + 10
MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_ACTION_ONFETCHRECEIVELOGINREWARD = MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_MODEL + 11

local TAG = "[MainTreasureChestAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnBackClick( msg, luaValue )
	--20300 + 10
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_ONBTNBACKCLICK)
	closeLayer()
end

local function onActionFetchReceiveLoginReward( msg, luaValue )
	-- 20300 + 11
	Log.d(TAG, "onActionFetchReceiveLoginReward: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
		local rewardEntity = require("model.main.RewardEntity").new(items.reward)
		CCBCenter.loadCCB("MSG_RECEIVEREWARDALERTLAYER_MODEL", "ccb.c.main.ReceiveRewardAlertLayer", {entity = rewardEntity})
		GAMERATE:setLoginrewards(items.loginrewards)
		_ccbNode.updateTreasureChest()
		CCBCenter.sendLuaMessage(MSG_ID.MSG_MAINNEWLAYER_ACTION_UPDATEPLAYERINFOWITHOUTPOPUPWINDOW)
    end
    -- _ccbNode.saveOffset( )
    ModelHelper.requireDataWithFun(
	    "model.main.MainModel",
	    "fetchReceiveLoginReward",
	    onFetchCallback,
	    msg.userdata
    )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--20300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "MainTreasureChestAlertLayer.ccbi")
	-- Quick element
	-- CCControlButton
	_ccbNode:bindButton("btnBack", onBtnBackClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.MainTreasureChestAlertLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_POP_OUT)
	end
end


MSG_HANDLER[MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_ONBTNBACKCLICK]	= onBtnBackClick
MSG_HANDLER[MSG_ID.MSG_MAINTREASURECHESTALERTLAYER_ACTION_ONFETCHRECEIVELOGINREWARD]	= onActionFetchReceiveLoginReward