--ReceiveRewardAlertLayer.lua

MSG_ID.MSG_RECEIVEREWARDALERTLAYER_MODEL 				= 24000

MSG_ID.MSG_RECEIVEREWARDALERTLAYER_ONBTNCONFIRMCLICK = MSG_ID.MSG_RECEIVEREWARDALERTLAYER_MODEL + 10

local TAG = "[ReceiveRewardAlertLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
	-- audio.pauseAllSounds()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnConfirmClick( msg, luaValue )
	--24000 + 10
	Log.d(TAG, "btnConfirm: MSG_ID = %d", MSG_ID.MSG_RECEIVEREWARDALERTLAYER_ONBTNCONFIRMCLICK)
	HelperView2.showNext()
	if _nodeTable._CONFIRM then
		_nodeTable._CONFIRM()
	end
	closeLayer()
end

local function animationCompletedCallback( animationManager, animName, luaEventHandler )
	Log.d(TAG, "animationCompletedCallback: %s", animName)
end

local function onCCBLoad(data, callback)
	--24000
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_RECEIVEREWARDALERTLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ReceiveRewardAlertLayer.ccbi")
	_ccbNode._IGNOR_PRESS_BACK = true
	_ccbNode._DATA = data.entity
	_nodeTable._CONFIRM = data.onConfirm
	_ccbNode._MISSION = data.mission
	_ccbNode._TITLE = data.title
	-- Quick element
	_nodeTable["mRewardLabel"] = _ccbNode:getNode("mRewardLabel", "CCLabelTTF")
	_nodeTable["mTitleLabel"] = _ccbNode:getNode("mTitleLabel", "CCLabelTTF")
	
	-- CCControlButton
	_ccbNode:bindButton("btnConfirm", onBtnConfirmClick)

	-- MenuItem
	_ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.ReceiveRewardAlertLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
	-- 音效
	SOUND:playEffectFightWin()
end


MSG_HANDLER[MSG_ID.MSG_RECEIVEREWARDALERTLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_RECEIVEREWARDALERTLAYER_ONBTNCONFIRMCLICK]	= onBtnConfirmClick
