--SystemNoticeLayer.lua

MSG_ID.MSG_SYSTEMNOTICELAYER_MODEL 				= 20400

MSG_ID.MSG_SYSTEMNOTICELAYER_ONBTNCLOSECLICK = MSG_ID.MSG_SYSTEMNOTICELAYER_MODEL + 10
MSG_ID.MSG_SYSTEMNOTICELAYER_ACTION_ONFETCHACTIVITYLIST = MSG_ID.MSG_SYSTEMNOTICELAYER_MODEL + 11

local TAG = "[SystemNoticeLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnCloseClick( msg, luaValue )
	--20300 + 10
	Log.d(TAG, "btnClose: MSG_ID = %d", MSG_ID.MSG_SYSTEMNOTICELAYER_ONBTNCLOSECLICK)
	closeLayer()
end

local function onActionFetchActivityList( msg, luaValue )
	-- 1300 + 11
	Log.d(TAG, "onActionFetchActivityList: MSG_ID = %d", msg:getMsgId())
	local function onFetchCallback( items )
		_ccbNode.updateData(items)
    end
    ModelHelper.requireDataWithFun(
        "model.main.MainModel",
        "fetchActivityList",
        onFetchCallback,
        msg.userdata
    )
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--20300
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SYSTEMNOTICELAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "SystemNoticeLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	_nodeTable._TYP = data.typ or 1
	-- Quick element
	-- CCControlButton
	_ccbNode:bindButton("btnClose", onBtnCloseClick)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.main.SystemNoticeLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode, anim.ANIMATION_TOP_IN, {
			onComplete = function ( )
				CCBCenter.sendLuaMessage(MSG_ID.MSG_SYSTEMNOTICELAYER_ACTION_ONFETCHACTIVITYLIST, nil, {typ = _nodeTable._TYP})
			end
			}
		)
	end
end


MSG_HANDLER[MSG_ID.MSG_SYSTEMNOTICELAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_SYSTEMNOTICELAYER_ONBTNCLOSECLICK]	= onBtnCloseClick
MSG_HANDLER[MSG_ID.MSG_SYSTEMNOTICELAYER_ACTION_ONFETCHACTIVITYLIST]	= onActionFetchActivityList