--MapContainerLayer.lua

MSG_ID.MSG_MAPCONTAINERLAYER_MODEL 						= 9100
MSG_ID.MSG_MAPCONTAINERLAYER_RETURN_TO_VIEW 			= 9110
MSG_ID.MSG_MAPCONTAINERLAYER_ONACTIONUPDATESTATUSDATA 	= 9111
MSG_ID.MSG_MAPCONTAINERLAYER_ONACTIONUPDATEMAPDATA 	= MSG_ID.MSG_MAPCONTAINERLAYER_MODEL + 12

local TAG = "[MapContainerLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	-- CCBCenter.popFirstCCBNode()
	game.enterMainLayer()
end

local function onReturnToView()
	_ccbNode.callbackReturnToView()
end
-- 更新数据
local function onActionUpdateStatusData( msg, luaValue )
	-- 3000 + 11
	Log.d(TAG, "onActionUpdateStatusData: MSG_ID = %d", msg:getMsgId())
	_ccbNode.refleshData()
end
-- 更新数据
local function onActionUpdateMapData( msg, luaValue )
	-- 3000 + 11
	Log.d(TAG, "onActionUpdateMapData: MSG_ID = %d", msg:getMsgId())
	-- _ccbNode.refleshData()
	_ccbNode.netSend()
end
-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--9100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_MAPCONTAINERLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "MapContainerLayer.ccbi")
	_ccbNode._DATA = data
	_ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_MAPLAYER
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	-- CCControlButton
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.map.MapContainerLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushFirstCCBNode(_ccbNode)
	end
	SOUND:playMusicMap(true)
end


MSG_HANDLER[MSG_ID.MSG_MAPCONTAINERLAYER_MODEL]								= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_MAPCONTAINERLAYER_RETURN_TO_VIEW]					= onReturnToView
MSG_HANDLER[MSG_ID.MSG_MAPCONTAINERLAYER_ONACTIONUPDATESTATUSDATA] 			= onActionUpdateStatusData
MSG_HANDLER[MSG_ID.MSG_MAPCONTAINERLAYER_ONACTIONUPDATEMAPDATA] 			= onActionUpdateMapData