MSG_ID.MSG_SHOPBUYDIAMONDLAYER_MODEL 				= 6100
MSG_ID.MSG_SHOPBUYDIAMONDLAYER_ONBTNBACKCLICK = MSG_ID.MSG_SHOPBUYDIAMONDLAYER_MODEL + 10

local TAG = "[ShopBuyDiamondLayer]"
local _proxy, _ccbNode 
local _nodeTable = {}

local shopModel = require("ccb.m.shop.ShopModel")
local function closeLayer()
	-- util.delayCall(
	-- 	function ( )
	-- CCBCenter.sendLuaMessage( MSG_ID.MSG_SHOPNEWLAYER_ACTION_ONREFRESHPLAYERSTATUS )
	-- 	end, 
	-- 	36.4
	-- )
	-- 刷新月卡页面
	CCBCenter.sendLuaMessage( MSG_ID.MSG_ACTIVITYMONTHCARDLAYER_ACTION_ONFETCHMONTHCARD )
	CCBCenter.popLastLevelCCBNode()
end

--请求数据
local function netGetIapList( msg, luaValue )
	--//MSG_GET_SHOPLIST 进入商店页面 6001
	shopModel.getIapList{
		callback = msg.userdata.callBackmethod,
 		methodId = msg.userdata.methodId,
 		args = msg.userdata.arg
	}
end

local function onBtnBackClick( msg, luaValue )
	--6100 + 10
	Log.d(TAG, "onBtnBackClick: MSG_ID = %d", MSG_ID.MSG_SHOPBUYDIAMONDLAYER_ONBTNBACKCLICK)
	SOUND:playEffectButton1()
	closeLayer()
end

local function onCCBLoad(data, callback)
	--6100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_SHOPBUYDIAMONDLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "ShopBuyDiamondLayer.ccbi")
	_ccbNode.SHOW_TOPBUTTONS = TopButtons.INDEX_SHOPLAYER
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["btnBuyDiamond"] = _ccbNode:getNode("btnBuyDiamond", "CCControlButton")
	_nodeTable["mTopTitleLabel"] = _ccbNode:getNode("mTopTitleLabel", "CCNode")
	_nodeTable["mContentTitleLabel"] = _ccbNode:getNode("mContentTitleLabel", "CCNode")
	-- CCControlButton
	_ccbNode:bindButton("btnBack", onBtnBackClick, _s("COMMON_BACK"))
	-- MenuItem
	-- _proxy:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.shop.ShopBuyDiamondLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
	--请求网络商品数据
	netGetIapList({userdata = {arg = {}, methodId = ACTID.MSG_GET_IAPLIST  , callBackmethod = _ccbNode.callBackShopList}})
	-- local data = {
	-- 	iaps = {
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 		{kind = 1, titlepic = "titlepic12.png", pic = "titlepic12.png", desc1 = "desc1", desc2 = "desc2", statuspic = "titlepic12.png", id = "1", iapproductid = "1111", price = 100},
	-- 	},
	-- 	reward = {gold = 100, star = 100, brlist = {{no = 1, count = 1}, {no = 5001, count = 1}, {no = 20001, count = 1}, {no = 10001, count = 1}}},
	-- }
	-- local reward = data.reward
 --    local rewardEntity = require("model.main.RewardEntity").new(reward)
 --    data  = require("ccb.m.shop.EntityIaps").new(data)
 --    data:setReward(rewardEntity)
	-- _ccbNode.callBackShopList(data, {})
	-- util.delayCall(function ( )
	-- 	ME:setFirstpay(FALSE)
	-- 	_ccbNode.callBackShopList(data, {})
	-- end, 2)
	
end


MSG_HANDLER[MSG_ID.MSG_SHOPBUYDIAMONDLAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_SHOPBUYDIAMONDLAYER_ONBTNBACKCLICK]	= onBtnBackClick
