--TalentUp4CardLayer.lua

MSG_ID.MSG_TALENTUP4CARDLAYER_MODEL 				= 21100

MSG_ID.MSG_TALENTUP4CARDLAYER_ONBTNUPTALENTCLICK = MSG_ID.MSG_TALENTUP4CARDLAYER_MODEL + 10
MSG_ID.MSG_TALENTLAYER_ONBTNCLOSETLCCLICK = MSG_ID.MSG_TALENTLAYER_MODEL + 11
local TAG = "[TalentUp4CardLayer]"
local _ccbNode 
local _nodeTable = {}
local modTalent = require("ccb.m.talent.TalentModel")

local function closeLayer()
	CCBCenter.popThirdCCBNode(anim.ANIMATION_BOTTOM_OUT)
end

--
local function sendTalentPoint( msg, luaValue )
	 
	-- {
	--     "usediam",是否使用钻石 0否 ，1是
	--     "lv"等级
	--     "typ"类型
	--     "camp"阵营
	--     "cards":[1,2,3,4,5...]//被吃的卡牌cpid数组 table
	-- }
	-- //MSG_ADD_TALENT 天赋加点  10002
	modTalent.sendTalentPoint{
				callback = msg.userdata.callBackmethod,
		 		methodId = msg.userdata.methodId,
		 		args = msg.userdata.arg
		}
end

--关闭btnCloseTLC
local function onBtnCloseTLCClick( msg, luaValue )
	_nodeTable["callback"]()
	closeLayer()
end

local function onBtnUpTalentClick( msg, luaValue )
	--21100 + 10
	Log.d(TAG, "btnUpTalent: MSG_ID = %d", MSG_ID.MSG_TALENTUP4CARDLAYER_ONBTNUPTALENTCLICK)

	--print("~~~~~~~~~_ccbNode.enterStatus",_ccbNode:enterStatus())
	if _ccbNode:enterStatus() == 1 then 
		NetHelper.QuickToast(_s("TALENT_TOAST_NOT_ENOUGH_GOLD"))
		return
	elseif _ccbNode:enterStatus() == 2 then 
		NetHelper.QuickToast(_s("TALENT_TOAST_NOT_ENOUGH_STAR"))
		return
	end

	--拼凑选中的卡牌
	local selectitem = _ccbNode:getSelectItems()
	local card = {}
	for i = 1, #selectitem do
	   card[#card + 1] = selectitem[i]:getCpid()
	end
	local _cardsId = {}

	-- "usediam",是否使用钻石 0否 ，1是
	--     "lv"等级
	--     "typ"类型
	--     "camp"阵营
	--     "cards":[1,2,3,4,5...]//被吃的卡牌cpid数组 table
	-- print("发送数据。。。。。。。。。。。")
	if #card > 0 then
		sendTalentPoint({userdata = {arg = {usediam = 0, 
												lv  = _nodeTable["lv"],--原始等级 
												typ = _nodeTable["item"]:getTyp(), 
											   camp = _nodeTable["item"]:getCamp(), 
											  cards = card},
		 				 methodId = ACTID.MSG_ADD_TALENT  , 
				   callBackmethod = _ccbNode.callBackUpTalent}},{})

		--点击升级按钮后返回前一个天赋界面
		_nodeTable["callback"]()
		--关闭本界面
		closeLayer()
	else
		NetHelper.QuickToast(_s("TALENT_TOST_PLSELCARD"))
	end
end

--请求卡牌
local function netGetCards( msg, luaValue )

		--//MSG_GET_TALENTCARDS
		modTalent.getCards{
				callback = msg.userdata.callBackmethod,
		 		methodId = msg.userdata.methodId,
		 		args = msg.userdata.arg
		}
		
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--21100
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_TALENTUP4CARDLAYER_MODEL)
	_nodeTable["item"] = data.item
	_nodeTable["callback"] = data.callback
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "TalentUp4CardLayer.ccbi")

	-- Quick element
	-- CCControlButton
	_ccbNode:bindButton("btnUpTalent", onBtnUpTalentClick, _s("TALENT_UPGRADE_TALENT"))
	_ccbNode:bindButton("btnCloseTLC", onBtnCloseTLCClick)
	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.talent.TalentUp4CardLayerView", _ccbNode, _nodeTable)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushThirdCCBNode(_ccbNode, anim.ANIMATION_BOTTOM_IN)
	end
	
	
	netGetCards({userdata = {arg = {typ = _nodeTable["item"]:getTyp(), camp = _nodeTable["item"]:getCamp()},
	 					  methodId = ACTID.MSG_GET_TALENTCARDS  ,
	 				callBackmethod = _ccbNode.callBackTalentCards}},{})
end


MSG_HANDLER[MSG_ID.MSG_TALENTUP4CARDLAYER_MODEL]				= onCCBLoad
MSG_HANDLER[MSG_ID.MSG_TALENTLAYER_ONBTNCLOSETLCCLICK]	= onBtnCloseTLCClick
MSG_HANDLER[MSG_ID.MSG_TALENTUP4CARDLAYER_ONBTNUPTALENTCLICK]	= onBtnUpTalentClick
