--TeamWarReviewLayer.lua

MSG_ID.MSG_TEAMWARREVIEWLAYER_MODEL 				= 17500

MSG_ID.MSG_TEAMWARREVIEWLAYER_ONBTNBACKCLICK = MSG_ID.MSG_TEAMWARREVIEWLAYER_MODEL + 10

local TAG = "[TeamWarReviewLayer]"
local _ccbNode 
local _nodeTable = {}

local function closeLayer()
	CCBCenter.popLastLevelCCBNode()
end


local function onBtnBackClick( msg, luaValue )
	--17500 + 10
	Log.d(TAG, "btnBack: MSG_ID = %d", MSG_ID.MSG_TEAMWARREVIEWLAYER_ONBTNBACKCLICK)
	closeLayer()
end

-- local function animationCompletedCallback( animationManager, animName, luaEventHandler )
-- 	Log.d(TAG, "animationCompletedCallback: %s", animName)
-- end

local function onCCBLoad(data, callback)
	--17500
	Log.d(TAG, "onCCBLoad: MSG_ID = %d", MSG_ID.MSG_TEAMWARREVIEWLAYER_MODEL)
	_ccbNode = CCBCenter.readCCBFromFile(PATH_CCB_FILE .. "TeamWarReviewLayer.ccbi")
	_ccbNode.closeLayer = closeLayer
	-- Quick element
	_nodeTable["mWarTitleLabel"] = _ccbNode:getNode("mWarTitleLabel", "CCLabelTTF")

	-- CCControlButton
	_ccbNode:bindButton("btnBack", onBtnBackClick)

	local node = data.node
	local str

	if node == "a" then
		str = _s("TEAM_WAR8_A")
	elseif node == "b" then
		str = _s("TEAM_WAR8_B")
	elseif node == "c" then
		str = _s("TEAM_WAR8_C")
	elseif node == "d" then
		str = _s("TEAM_WAR8_D")
	elseif node == "e" then
		str = _s("TEAM_WAR4_A")
	elseif node == "f" then
		str = _s("TEAM_WAR4_B")
	elseif node == "g" then
		str = _s("TEAM_WAR2")
	end

	_nodeTable["mWarTitleLabel"]:setString(str)

	-- MenuItem
	-- _ccbNode:bindAnimationCompletedEvent(animationCompletedCallback)
	CCBCenter.bindView("ccb.v.team.TeamWarReviewLayerView", _ccbNode, _nodeTable, data)
	if callback then
		callback(_ccbNode)
	else
		CCBCenter.pushLastLevelCCBNode(_ccbNode)
	end
end


MSG_HANDLER[MSG_ID.MSG_TEAMWARREVIEWLAYER_MODEL]				= onCCBLoad

MSG_HANDLER[MSG_ID.MSG_TEAMWARREVIEWLAYER_ONBTNBACKCLICK]	= onBtnBackClick
