local M = {} 
local json = require("framework.shared.json")
local entityFriends = require("ccb.m.friend.EntityFriends")
local entityFriend = require("ccb.m.friend.EntityFriend")
local entityFirendApplys = require("ccb.m.friend.EntityFriendApplys")



--//MSG_GET_FRIENDLIST
--//MSG_GET_RANPLAYERLIST
--//MSG_FIND_PLAYER
--//MSG_DEL_FRIEND
--//MSG_GIVE_FRIPOINT
--//MSG_ACCEPT_FRIPOINT
function M.getHeroFriendsById( params )
    SOUND:playEffectButton2()
	if not params then params = {} end

    local function callBackMethos(  properties, param )
        if properties then
            properties  = entityFriends.new(properties)
            --回调
            params.callback(properties,param)
        else
        
        end
    end
    
     
    NetHelper.showLoading(true)
    NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos,           -- 回调函数
            params.args,                -- 请求实体
            {
                cbParams = params                -- 回调参数
            }
            
    )
   
    --请求
	-- NetFacade.getFriendList(callBackMethos,{pId＝ 11},{a = 1}) --请求好友
    -- NetFacade.getRanPlayerList(callBackMethos,{pId＝ 11},{a = 1}) --随即玩家
    -- NetFacade.findPlayer(callBackMethos,{pId＝ 11},{a = 1}) --查找指定玩家
    -- NetFacade.delFrind(callBackMethos,{pId＝ 11},{a = 1}) --删除好友
    -- NetFacade.getFriendList(callBackMethos,{pId＝ 11},{a = 1}) --接受点数（缺少接口）
    -- NetFacade.getFriendList(callBackMethos,{pId＝ 11},{a = 1}) --赠送点数 (缺少接口)
    -- //MSG_APPADD_FRIEND 好友申请（缺少接口）
end


--玩家详细信息
function M.getFriendInfoById( params )
    local Json                  = require("framework.shared.json")

    -- body
    SOUND:playEffectButton2()
    if not params then params = {} end

    local function callBackMethos(  properties, param )

       
        if properties then
            properties  = entityFriend.new(properties)
            --回调
            params.callback(properties,param)
        else
            -- print("err")
        end
    end

    NetHelper.showLoading(true)
    NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos,           -- 回调函数
            params.args,                -- 请求实体
            {
                cbParams = params                -- 回调参数
            }
            
    )
end

--好友申请接口
function M.getFriendApplysById( params )
    -- body
    SOUND:playEffectButton2()
    if not params then params = {} end

    local function callBackMethos(  properties, param , result)
        if properties then
            properties = entityFirendApplys.new(properties)
             --回调
             params.callback(properties,param)
        else
            -- print("err")
        end
    end
    
    NetHelper.showLoading(true)
    NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos,           -- 回调函数
            params.args,                -- 请求实体
            {
                cbParams = params                -- 回调参数
            }
    )
-- //MSG_GET_FRIAPPLIST 获取好友申请列表
-- //MSG_ACCEPT_FRIAPP  同意
-- //MSG_DEL_FRIAPP     拒绝
--请求 
-- NetFacade.appAddFriend(callBackMethos,{pId＝ 11},{a = 1})
end

return M