local M = {} 
local json = require("framework.shared.json")
local entityMakeHope = require("ccb.m.makehope.EntityMakeHope")

--//MSG_INTO_WISH 进入许愿池 9010
--获取许愿池数据
function M.getHopeInfo( params )
    
	if not params then params = {} end

    local function callBackMethos(  properties, param )
        if properties then
            properties  = entityMakeHope.new(properties)
            --回调
            params.callback(properties,param)
        else
        
        end
    end
    
     
    NetHelper.showLoading(true)
    NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos,           -- 回调函数
            params.args,                -- 请求实体
            {
                cbParams = params                -- 回调参数
            }
            
    )
end



-- //MSG_GET_WISH 许愿池许愿 9011
-- //c - send:
-- {
-- }
-- //s - receive:
-- {
--  cur 当前进度 int
--  total 总进度 int

--  // 奖励物通用类 ，直接问成哥要
--  reward:
--  {
--  }
-- }
function M.getHeopInfoAndReward( params )
    
    if not params then params = {} end

    local function callBackMethos(  properties, param )
        if properties then
            print("1"..json.encode(properties))
            properties  = entityMakeHope.new(properties)

            --回调
            params.callback(properties,param)
        else
        
        end
    end
    
     
    NetHelper.showLoading(true)
    NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos,           -- 回调函数
            params.args,                -- 请求实体
            {
                cbParams = params                -- 回调参数
            }
            
    )
end

return M