local M = {}
local entityTalents = require("ccb.m.talent.EntityTalentS")
local entityTLCards = require("ccb.m.talent.EntityTLCards")
-- //客户端发送
-- //MSG_GET_TALENT 获得天赋列表  10001
-- //c - send:
-- {
--     (无)
-- }
--MSG_GET_TALENT 获得天赋列表  10001
function M.getTalents( params )
	 
	if not params then params = {} end

    local function callBackMethos(  properties, param )
    
        if properties then

            print("天赋：：：：：："..json.encode(properties))
            properties  = entityTalents.new(properties)
            --回调
            
            params.callback(properties,param)
        else
            -- print("err")
        end
    end
    NetHelper.showLoading(true)
     NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos ,        -- 回调函数
            params.args   ,             -- 请求实体
            {
                cbParams = params,                 -- 回调参数
                showLoading = true             -- 回调参数
            }
    )
end

-- //MSG_GET_TALENTCARDS 获得可吃卡牌列表  10003
-- //c - send:
-- {
--     "typ"类型
--     "camp"阵营
-- }
function M.getCards( params )
     
    if not params then params = {} end

    local function callBackMethos(  properties, param )
      
        if properties then
            properties  = entityTLCards.new(properties)


            params.callback(properties,param)
        else
            -- print("err")
        end
    end

    NetHelper.showLoading(true)
     NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos ,        -- 回调函数
            params.args   ,             -- 请求实体
            {
                cbParams = params,                 -- 回调参数
                showLoading = true             -- 回调参数
            }
    )
end

-- //MSG_ADD_TALENT 天赋加点  10002
-- //c - send:
-- {
--     "usediam",是否使用钻石 0否 ，1是
--     "lv"等级
--     "typ"类型
--     "camp"阵营
--     "cards":[1,2,3,4,5...]//被吃的卡牌cpid数组 table
-- }
-- //MSG_ADD_TALENT 天赋加点  10002
function M.sendTalentPoint( params )
     
    if not params then params = {} end

    local function callBackMethos(  properties, param )
    
        if properties then
            properties  = entityTalents.new(properties)
            --回调
            params.callback(properties,param)
        else
            -- print("err")
        end
    end
    NetHelper.showLoading(true)
     NetHelper.createRequest(
            params.methodId,  -- 请求id
            callBackMethos ,        -- 回调函数
            params.args   ,             -- 请求实体
            {
                cbParams = params,                 -- 回调参数
                showLoading = true             -- 回调参数
            }
    )
end



return M