--ArmyTalentLvUpCardLayer.lua
local M = {}

function M.bindView(node, luaValue)
	local TAG = "[ArmyTalentLvUpCardLayerView]"
	local _node, _nodeTable = node, luaValue

	local CardMaster       = require("cardui.CardMaster")
	local CardEntity = require("model.card.CardEntity")
	local entityTLCards = require("ccb.m.talent.EntityTLCards")

	--天赋经验进度条
	local _tlprogress
	--卡牌列表
	local _scrollGrid

	local _selectItems = {}

	local _millLv

	local _millNextexp
	--所能升级的最大等级
	local maxlv = 0
	local _progresssp   --白条


    local oldlv = 0
    local oldstr = 0
    local oldgold = 0
    local oldpercent = 0

    local oldvarlv = 0

	local MAXTALENTLV = 30

	local _enterStatus = 0  -- 0 可以 1 钱不够

	--返回方法
	function callBackTalentCards( properties )
		NetHelper.showLoading(true,true)
		_scrollGrid:setItems(entityTLCards.new(properties):getCards())
		NetHelper.hideLoading(true)
	end

	--创建卡牌列表
	local function createScrollView( )
		local layer = CCBCenter.getNodeByTag(_node, 3)
	    local function createItemCellListener(tableView, index, item, cell)
	    	if item then 
	    		
		    	item._INDEX = index
		        item.type = CardMaster.SELECTCARD
		    --创建卡牌视图
		    	
	            local card = CardMaster.new(item)
		        cell:addChild(card)
		    -- -- 这里用tag测试, 有方法被清掉的情况, so改成了如下
		        cell._CARD = card
	            for i = 1, #_selectItems do
	            	if item == _selectItems[i] then
	            		card:setSelected( true )
	            		break
	            	end
	            end
	            -- CCBCenter.changeAllLayerTouchPriorityToLast(card)

	        end
	    end



	    local function tapCellListener(tableView, index, item, cell) 
	       
			-- 取得当前点击卡牌
	        SOUND:playEffectButton1()
	        local card = cell._CARD 

	        if not card then
	        	cell:removeAllChildrenWithCleanup(true)
	        	createItemCellListener(tableView, index, item, cell)
	        	card = cell._CARD 
	        end

	         -- 多选时候, 未选中添加, 已选中移除
	        if card:getSelected() then
        	-- 取消移除
	        	card:setSelected( false , true)
	        -- 遍历选中列表, 找到并剔除
	        	for i = 1, #_selectItems do
        			if _selectItems[i] == item then table.remove(_selectItems, i) end
        		end
	       	else
	       	-- 选中插入
	       		card:setSelected( true , true)
	       		table.insert(_selectItems, item)
	        end

	       -- local startnum = 0  --需要的星星数量
	        local goldnum = 0   --需要的金币
	        local bbb = 0       --经验

	        for i = 1, #_selectItems do
       			bbb = bbb + _selectItems[i]:getArmyTalentExp()

       			goldnum = goldnum + _selectItems[i]:getArmyTalentGold()
			end

			local  ccc = bbb --/GAMERATE:getArmyTalentCardEXP() --真正经验(用于天赋升级)
		  	
		  	--goldnum = ccc*GAMERATE:getArmyTalentGold()

    		if goldnum > ME:getGold() then 
		  		_nodeTable["mArmyTalentGold"]:setColor(ccc3(255,0,0))
		  		_enterStatus = 1
		  	else
		  		_nodeTable["mArmyTalentGold"]:setColor(ccc3(255,255,255))
		  		_enterStatus = 0
		  	end

		  	--这里计算方式：  获取选到的全部卡牌经验并且加上（当前天赋的当前等级拥有的经验） ＝ allExp
			           --   然后allExp循环计算可以给当前天赋升多少级

			--全部卡牌经验＋天赋当前等级的经验
		  	local allExp = tonumber(ccc+tonumber(_nodeTable["item"]:getCurexp()))
			--下一等级需要的经验
		  	local nextExp = tonumber(_millNextexp)
			--当前天赋等级
		  	local lLv = tonumber(_millLv)
			  	_nodeTable["item"]:setLv(lLv)
			 --计算经验和等级

			local varlv = 0
		  	while  allExp >=  nextExp do  --如果allExp > 下一等级exp
		  		
		  		varlv = varlv + 1
		  		lLv = lLv + 1            --那么等级加1
		  		_nodeTable["item"]:setLv(lLv)--重置lv
		  		allExp = allExp - nextExp--allexp减去下一等级的经验
		  		nextExp = tonumber(_nodeTable["item"]:getNeedExp())--把nextExp设置为新lv的下一等级
		  		--<-----继续循环计算
		  	end

		  	--判断等级
		  	if lLv > maxlv or ( lLv == maxlv and allExp > nextExp - 1 )then
					-- print("人物需要等级:"..talentDB.Ext6)
					card:setSelected( false , true)
		        -- 遍历选中列表, 找到并剔除
		        	for i = 1, #_selectItems do
	        			if _selectItems[i] == item then table.remove(_selectItems, i) end
	        		end


	        		lLv = oldlv
	        		_nodeTable["item"]:setLv(lLv)
	        		--startnum = oldstr
	        		goldnum = oldgold
	        		percent = oldpercent

	        		varlv = oldvarlv


					NetHelper.QuickToast(_s("ARMY_TALENT_WARM"))
					return 
			end

		  	local percent = math.floor(allExp / nextExp * 100)

		  	--经验条
			local i = 0
		  	_tlprogress:runProgressTo( 0.5, percent + varlv * 100, false,
				function (  )
	    			oldvarlv = varlv
		  			oldpercent = percent 
		  		--等级
				    _nodeTable["mArmyTalentLv"]:setString("LV:"..lLv)
				  	oldlv = lLv
				--星星
					-- _tlstart:setString(math.floor(startnum))
					-- oldstr= startnum
				--金币
					_nodeTable["mArmyTalentGold"]:setString(math.floor(goldnum))
					oldgold = goldnum
				--等级介绍
					_nodeTable["mIntroduceLabel"]:setString(string.format(_nodeTable["item"]:getIntroduce(),tostring(_nodeTable["item"]:getTalentval()) ) )
				end,
	  			function ( progressBar,percentage,totalPercentage )
	  				i = i + 1
	  				--print("~~~~~~varlv",varlv,"lLv",lLv,"percent",percent,"oldvarlv",oldvarlv,"oldlv",oldlv)
	  				if varlv > oldvarlv then
	  					--print("add",i)
	  					_nodeTable["mArmyTalentLv"]:setString("LV:"..(oldlv + i))
		  				
	  				else
	  				--print("sub",i) 
	  					_nodeTable["mArmyTalentLv"]:setString("LV:"..(oldlv - i))
	  				end

	  				-- print("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxs")
						
						if _progresssp then
							transition.fadeOut(_progresssp , {time = 0.5})
						else
							local progressnode = CCBCenter.getNodeByTag(_node, 205)
							_progresssp = widget.newSprite{ file = "talent/talent_expwhiteback.png",} 
							_progresssp:setAnchorPoint(ccp(0.0, 0.0))
							-- util.alignNodeWithPadding(progresssp, progressnode:getContentSize(), display.CENTER) 
							progressnode:addChild(_progresssp)	
							transition.fadeOut(_progresssp , {time = 0.5})
						end
	  			end

  			)
	    end
	    
	    local scrollGrid = widget.newTable{
	    	contentSize = layer:getContentSize(),
	    	cellSize = CCSize( 230, 326),
	    	direction = widget.TABLEVIEW_DIRECTION_HORIZONTAL,
	    	tapListener = tapCellListener,
	    	createItemCellListener = createItemCellListener,
	    	parentNode = layer,
		}
	    
	    return scrollGrid
	end

	--设置天赋信息
	local function setTalentInfo(  )
		--我的金币
		_nodeTable["mMyGold"]:setString(ME:getGold())

		--升级需要的星星
		_nodeTable["mArmyTalentStar"]:setString(0)

		--升级需要的金币
		_nodeTable["mArmyTalentGold"]:setString(0)

		--天赋等级
		_millLv = _nodeTable["item"]:getLv()
		_nodeTable["lv"] = _millLv
		_nodeTable["mArmyTalentLv"]:setString("LV:".._millLv)

		--天赋名称
		_nodeTable["mArmyTalentName"]:setString(_nodeTable["item"]:getName())

		--天赋介绍
		_nodeTable["mIntroduceLabel"]:setString(string.format(_nodeTable["item"]:getIntroduce(),tostring(_nodeTable["item"]:getTalentval()) ) )

		 --天赋图标
     	local talentImg = widget.newSprite{
            file = "army/img_army_talent_".._nodeTable["item"]:getTyp().."_".._nodeTable["item"]:getCamp()..".png",
        }
        talentImg:setScale(76 / talentImg:getContentSize().width)
        _nodeTable["mArmyTalent"]:addChild(talentImg, 1)
        util.alignNode(talentImg, _nodeTable["mArmyTalent"]:getContentSize(), display.CENTER) 

        --增加经验ProgressBar
		local function onProgressListener( progressBar, percentage, totalPercentage )
			progressBar:setString(string.format("%d%%", math.round(percentage)))
		end

        --天赋进度条
         _tlprogress = widget.newProgressBar{
	                                    frontSprintParams = {file = "talent/talent_expblackback.png",},
	                                    bgSprintParams = {file = "talent/talent_expblueback.png"},
	                                    percentage = 0,
	                                    reverseProgress = true,
	                                    updateProgressListener = onProgressListener,
	                                    ttfLabelParams = {size = 14/SCALE_FOR_SPECIAL_NODE, padding = {top = 3}},
        }
        _tlprogress:ignoreAnchorPointForPosition(true)
        CCBCenter.getNodeByTag(_node, 205):addChild(_tlprogress)
        _tlprogress:setPercentage(0)
    	_tlprogress:runProgressTo( 0.5, 
    		math.floor(tonumber(_nodeTable["item"]:getCurexp())/tonumber(_nodeTable["item"]:getNeedExp()) * 100), 
    				false,nil,
		  			function (progressBar,percentage,totalPercentage)
		  				
		  				
		  			end
	  			)
    	  --提示
       local title = CCBCenter.getNodeByTag(_node, 213,"CCLabel")
	  	if _nodeTable["item"]:getCamp() == 0 then
			title:setString(_s("ARMY_ALERTINFO1"))	
		elseif _nodeTable["item"]:getCamp() == 1 then
			title:setString(_s("TALENT_ALERTINFO2"))	
		elseif _nodeTable["item"]:getCamp() == 2 then
			title:setString(_s("TALENT_ALERTINFO3"))	
		elseif _nodeTable["item"]:getCamp() == 3 then
			title:setString(_s("TALENT_ALERTINFO4"))	
		end

		_millNextexp = _nodeTable["item"]:getNeedExp()

		maxlv = MAXTALENTLV

		if _nodeTable["armylv"] > MAXTALENTLV then
			maxlv = MAXTALENTLV
		else
			maxlv = _nodeTable["armylv"]
		end

	end

--[[ ## local fuction --]]
	local function initViews()
		--创建grid
		_scrollGrid = createScrollView()
		--设置天赋信息
		setTalentInfo()
	end
	--获取选中的卡牌
	function getSelectItems( ... )
		return _selectItems
	end

	local function enterStatus( )
	 	return _enterStatus
	 end

--[[ ## public fuction --]]
	_node.callBackTalentCards = callBackTalentCards

	_node.getSelectItems = getSelectItems
	_node.enterStatus = enterStatus
--[[ ## MAINs --]]
	initViews()
end

return M