--ActivityEightDayLayer.lua
local M = {}
-- 领取条件说明文字内容如下：
-- 第一天：注册即可领取
-- 第二天：注册后第2天登陆且玩家等级达到5级
-- 第三天：注册后第3天登陆且玩家等级达到11级
-- 第四天：注册后第4天登陆且玩家等级达到12级
-- 第五天：注册后第5天登陆且玩家等级达到13级
-- 第六天：注册后第6天登陆且玩家等级达到14级
-- 第七天：注册后第7天登陆且玩家等级达到15级
-- 终极礼包：注册后第8天登陆且玩家等级达到15级
function M.bindView(node, luaValue)
	local TAG = "[ActivityEightDayLayerView]"
	local _node, _nodeTable = node, luaValue
	local _rewardGrid
	local _dayNode
	local STATUS_NOT_RECEIVE = "0"
	local STATUS_CAN_RECEIVE = "1"
	local STATUS_ALREADY_RECEIVE = "2"
	local REGISTER_LEVEL = {0, 3, 5, 5, 5, 5, 5, 5}
	local COST_DIAMMOND

--[[ ## local fuction --]]
	local function createDayInfo( num )
		if not _dayNode then
			_dayNode = widget.newNode{}
			_nodeTable.mEightDaysInfoLabel:addChild(_dayNode)
		else
			_dayNode:removeAllChildrenWithCleanup(true)
		end
		if num > 8 then
			-- local ttf = ui.newTTFLabel{text = _s("ACTIVITY_RECEIVE_DIAMOND_END")}
			-- _dayNode:addChild(ttf)
			-- _dayNode:setPosition(ccp(_nodeTable.mEightDaysInfoLabel:getContentSize().width/2 + 130, ttf:getContentSize().height/2 + 5))
			local button = widget.newButton{
												normalImage = "main/activity/btn_blue_normal.png",
												size = 1.1,
												labelParams = {text = _s("ACTIVITY_RESET")},
												listener = function( button )
													if ME:getDiamond() < COST_DIAMMOND then
														NetHelper.QuickToast(_s("ACTIVITY_DIAMOND_NOT_ENOUGH", COST_DIAMMOND))
														return
													end
													 AlertLayer.new4IAP{
													  	isUserDiamond = true,
													  	diamondIndex = 16,
													    content =string.format(_s("ACTIVITY_RESET_DAY"), COST_DIAMMOND),  
													    btnClickEvent = {
													    	function ( )
													        	CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHRESETEIGHTDAYREWARD)
													        end,
													    }
													  }
												end,
											}
			_dayNode:addChild(button)
			_dayNode:setPosition(ccp(_nodeTable.mEightDaysInfoLabel:getContentSize().width/2 + 460, button:getContentSize().height/2 + 5))		
		else
			local preTtf = ui.newTTFLabel{text = _s("ACTIVITY_RECEIVE_DIAMOND_DAY")}
			_dayNode:addChild(preTtf)

			local numTtf = ui.newTTFLabel{text = num, color = ccc3(255, 0, 0)}
			_dayNode:addChild(numTtf)
			numTtf:setPosition(ccp(preTtf:getPositionX() + preTtf:getContentSize().width/2 + 8, preTtf:getPositionY()))

			local dayTtf = ui.newTTFLabel{text = _s("ACTIVITY_RECEIVE_DAY")}
			_dayNode:addChild(dayTtf)
			dayTtf:setPosition(ccp(numTtf:getPositionX() + dayTtf:getContentSize().width/2 + 8, numTtf:getPositionY()))

			_dayNode:setPosition(ccp(_nodeTable.mEightDaysInfoLabel:getContentSize().width/2 + 360, preTtf:getContentSize().height/2 + 5))
		end
		
	end
	local function createRewardGrid( )
		local layer = CCBCenter.getNodeByTag(_node, 301)

		local function cellAtIndex( scrollLinear, idx , item)
			local cell = display.newLayer()
			cell:setContentSize(CCSize(layer:getContentSize().width, 75))
			-- 背景
			local bgSprite = widget.newSprite{file = "main/activity/openservicegifts/bg_8_days_cell.png"}
			cell:addChild(bgSprite, 0)
			util.alignNodeWithPadding(bgSprite, cell:getContentSize(), display.CENTER )			
			
			-- 钻石数
			local diamondsColor = ccc3(60, 35, 21)
			local diamondsSize = 22
			local diamondsFile = "main/activity/openservicegifts/img_diamond.png"
			if idx == 8 then
				diamondsColor = ccc3(255, 0, 0)
				diamondsSize = 30
				diamondsFile = "main/activity/btn_main_activity_diamond.png"
			else
				local diamonds = ui.newTTFLabel{text = "X " .. item.diamonds, color = diamondsColor, size = diamondsSize}
				cell:addChild(diamonds, 1)
				util.alignNodeWithPadding(diamonds, cell:getContentSize(), display.LEFT_BOTTOM, {left = 70, bottom = 2} )
			end
			-- 钻石
			local diamondSprite = widget.newSprite{file = diamondsFile}
			cell:addChild(diamondSprite, 1)
			util.alignNodeWithPadding(diamondSprite, cell:getContentSize(), display.LEFT_CENTER )

			
			-- 天数背景
			local daySprite = widget.newSprite{file = "main/activity/openservicegifts/img_8_days_flower.png"}
			cell:addChild(daySprite, 1)
			daySprite:setPosition(ccp(200, 37.5))
			-- util.alignNodeWithPadding(daySprite, cell:getContentSize(), display.LEFT_CENTER, {left = 140} )
			-- 天数
			local day = ui.newTTFLabel{text = string.format(_s("ACTIVITY_DAY"), idx), size = 24}
			cell:addChild(day, 1)
			-- util.alignNodeWithPadding(day, cell:getContentSize(), display.LEFT_CENTER, {left = 140, bottom = 2} )
			day:setPosition(ccp(200, 37.5))
			-- 获得条件
			local getInfo = ""
			if idx == 1 then
				getInfo = string.format(_s("ACTIVITY_REGISTER_RECEIVE"))
			else
				getInfo = string.format(_s("ACTIVITY_REGISTER_DAY_LEVEL"), idx, REGISTER_LEVEL[idx])
			end
			local term = ui.newTTFLabel{text = getInfo , size = 24, color = ccc3(60, 35, 21), align = ui.TEXT_ALIGN_LEFT, valign = ui.TEXT_VALIGN_TOP}
			cell:addChild(term, 1)
			util.alignNodeWithPadding(term, cell:getContentSize(), display.LEFT_CENTER, {left = 260, bottom = 2} )
			-- 领取按钮
			local btnReceive = widget.newButton{
													normalImage = "main/activity/openservicegifts/btn_8_days_normal.png",
													selectImage = "main/activity/openservicegifts/btn_8_days_select.png",
													disableImage = "main/activity/openservicegifts/btn_8_days_disable.png",
													labelParams = {text = _s("REWARD_RECEIVE"), size = 22, shadow = true},
													listener = function ( button )
														SOUND:playEffectButton1()
														util.enableCustomTouch(button, false)
														CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHEIGHTDAYREWARD, nil, {RewardId = item.RewardId})
													end,
												}
			cell:addChild(btnReceive, 1)
			util.alignNodeWithPadding(btnReceive, cell:getContentSize(), display.RIGHT_CENTER, {right = 2})

			if item.status == STATUS_NOT_RECEIVE then
				btnReceive.setStateDisabled(true)
				btnReceive.setTextString(_s("REWARD_NOT_RECEIVE"))
			elseif item.status == STATUS_ALREADY_RECEIVE then
				btnReceive.setStateDisabled(true)
				btnReceive.setTextString(_s("REWARD_ALREADY_RECEIVE"))
				btnReceive:setVisible(false)
				-- 已经领取按钮
				local btnAlreadyReceive = widget.newButton{
														normalImage = "main/activity/openservicegifts/btn_8_days_already_select.png",
														selectImage = "main/activity/openservicegifts/btn_8_days_already_select.png",
														disableImage = "main/activity/openservicegifts/btn_8_days_already_select.png",
														labelParams = {text = _s("REWARD_ALREADY_RECEIVE"), size = 22},
														listener = function ( )
															SOUND:playEffectButton1()
															CCBCenter.sendLuaMessage(MSG_ID.MSG_ACTIVITYEIGHTDAYLAYER_ACTION_ONFETCHEIGHTDAYREWARD, nil, {RewardId = item.RewardId})
														end,
													}
				cell:addChild(btnAlreadyReceive, 1)
				util.alignNodeWithPadding(btnAlreadyReceive, cell:getContentSize(), display.RIGHT_CENTER, {right = 2})
				btnAlreadyReceive.setStateDisabled(true)
			end
			cell:ignoreAnchorPointForPosition(false)
			return cell
		end
		_rewardGrid = widget.newGrid{
	        contentSize = layer:getContentSize(),
            cellSize = CCSize(layer:getContentSize().width, 75),
            column = 1,
            createItemCellListener = cellAtIndex,
            selectedParams = nil,
	        direction = widget.TABLEVIEW_DIRECTION_VERTICAL,
	        parentNode = layer,
	    }
	end
	local function initViews()
		local title = widget.newTTFLabelWithShadow{
			color = ccc3(125, 191, 65),
			shadowColor = ccc3(35, 88, 29),
			size = 52,
			offset = 2,
			text = _s("ACTIVITY_EIGHT_DAY_TITLE"),
		}
		_nodeTable.mTitleNode:addChild(title)
		createRewardGrid( )
	end

--[[ ## public fuction --]]
	function M.updateData( items )
		_rewardGrid:setItems(items.Rewards)
		createDayInfo(items.LoginDay)
		COST_DIAMMOND = items.ResPrice or 1000
	end
--[[ ## MAINs --]]
	initViews()
	_node.updateData = M.updateData
end

return M