local M = {}

-- local DemoEffectLayer       = require("view.Fight.Layer.DemoEffectLayer")
local newCardPanel = require("ccb.v.shop.ShopNewCardView")
local shopNode = require("ccb.v.shop.good.ShopGoodNode")
local TDAnimationUtils              = require( "view.Fight.Util.TDAnimationUtils")
function M.bindView(node, luaValue)
	local TAG = "[ShopLayerView]"
	local _node, _nodeTable = node, luaValue
    local ShopViewUtil = require("cardui.ShopViewUtil")
	local _tableNode 	--table父node
	local _gridTable 	--table实体
	local _newCardNode  --抽奖弹出
	local _cardPanel
    --底部状态条
    local _playerStatus 
	local _buyId
	local _buyPic
	local _buyCostValue
	local _topbuttons 
	local _getFreebuy 
	local callBackShopList
	local callBackBuyShop
	local callBackSetArg
	local _iiaappstore

--[[ ## local fuction --]]
    -- 新手引导
    local function checkHelperInfo(  )
    	HelperView2.showBetween(_node, nil, {380, 390}, {420, 430})
    end
    -- 刷新状态栏
    local function refreshPlayerStatus( )
        _playerStatus:refresh( )
    end

	local function callBackBuyShop( entityFriendArr, param )
    	--刷新状态栏
        refreshPlayerStatus() 
		
    	if _getFreebuy then

		  _getFreebuy.setTextString(_s("ROLE_FREEBUY")..ME:getFreebuy())
    	end
    	if _newCardNode == nil then 
    		_newCardNode = CCBCenter.getNodeByTag(_node, 4)
    	end
    	
    	NetHelper.hideLoading(true)

    	local function closeCardPanel()
    		NetHelper.hideLoading(true)
    		if _getFreebuy then
				_getFreebuy.setTextString(_s("ROLE_FREEBUY")..ME:getFreebuy())
			end
            CCBCenter.popLastLevelCCBNode()
    	end

    	local function again(  )
		  	if _buyPic == "shop_mianfei.png" then
				if ME:getFreebuy() < _buyCostValue then 
					NetHelper.QuickToast(_s("SHOP_FREEBUY_NOT_ENOUGH"))
			        return
			    end
		  	elseif _buyPic == "shop_17.png" then
				if ME:getDiamond() < _buyCostValue then 
					NetHelper.QuickToast(_s("SHOP_DIAMOND_NOT_ENOUGH"))
					return
				end
			elseif _buyPic == "shop_zhuanshi.png" then
				if ME:getDiamond() < _buyCostValue then 
					NetHelper.QuickToast(_s("SHOP_DIAMOND_NOT_ENOUGH"))
					return
				end
			elseif _buyPic == "shop_youqing.png" then
				if ME:getFp() < _buyCostValue then 
		            NetHelper.QuickToast(_s("SHOP_FP_NOT_ENOUGH"))
					return
				end
		                  		
			elseif _buyPic == "shop_18.png" then
		        if ME:getFp() < _buyCostValue then 
					NetHelper.QuickToast(_s("SHOP_FP_NOT_ENOUGH"))
      				return
				end         			
			end
		                  	  
          	AlertLayer.new{
                    titleStr = _s("SHOP_INSIDE_BUY"),  -- 标题
                    btnStr = {_s("COMMON_OK"), _s("COMMON_CANCEL")},  --按钮1 蓝色
                    btnColor = {AlertLayer.BTN_COLOR_YELLOW, AlertLayer.BTN_COLOR_BLUE, },  --标题
                    content = _s("SHOP_CONTINUE_LOTTERY"),  --内容
                    btnClickEvent = {
                        function (  )  --按钮1事件  默认为确定
                        	closeCardPanel()
                            CCBCenter.sendLuaMessage( 
		                  			MSG_ID.MSG_SHOPLAYER_NETGETBUYSHOP, 
		 							nil,
		 			 				{ arg = {proid = _buyId}, methodId = ACTID.MSG_BUY_SHOP, callBackmethod = callBackBuyShop}
		 			 			)
                        end,
                    }, 
                }            		
    	end

    	--卡牌展示界面
    	_cardPanel = newCardPanel.createNewCard{ 
			cards     = entityFriendArr:getNewcards(),
			cardPanel = _newCardNode,
			listen    = function()
				closeCardPanel()
				checkHelperInfo()
			end,
			listenAg = again
		}
        util.alignNode(_cardPanel, _node)
        CCBCenter.pushLastLevelCCBNode(_cardPanel)
    	NetHelper.hideLoading(true)
	end

	--77礼包返回
	local function callback_77shop(entityFriendArr, param)

		--刷新状态栏
        refreshPlayerStatus()

		AlertLayer.new4OK{
	        -- 按钮颜色数组
			btnClickEvent = {
				function (  )  --按钮1事件  默认为确定
		        end
			}, -- 按钮事件数组
	        titleStr = _s("BUY_SUCCESS_REFRESH"),  -- 标题
	        content = _s("BUY_SUCCESS_REFRESH") -- 内容
      	}
	end

	--国庆大礼包
	local function callBack_guoqingShop( entityFriendArr, param )
		--刷新状态栏
        refreshPlayerStatus()
    	
		AlertLayer.new4OK{
	        -- 按钮颜色数组
			btnClickEvent = {
				function (  )  --按钮1事件  默认为确定
		        end
			}, -- 按钮事件数组
	        titleStr = _s("BUY_SUCCESS_REFRESH"),  -- 标题
	        content = _s("ACTIVITY_FW_RESULT", entityFriendArr) -- 内容
      	}
	end

	--万圣节礼包
	local function callBack_wanshengjieShop( entityFriendArr, param )
		--刷新状态栏
        refreshPlayerStatus()
    	
		local goodsTable = {}
            for i,v in ipairs(entityFriendArr:getNewcards()) do
                goodsTable[#goodsTable + 1] = v
            end
            local rewardEntity = require("model.main.RewardEntity").new{brlist = entityFriendArr:getNewcards()}
            CCBCenter.loadCCB(
                "MSG_RECEIVEREWARDALERTLAYER_MODEL", 
                "ccb.c.main.ReceiveRewardAlertLayer", 
                {
                    entity = rewardEntity,
                }
            )
	end

	function callBackSetArg( params )
			_buyId = params.buyid
			_buyCostValue = params.buyCostValue
			_buyPic = params.buyPic
	end

	local function createCell( grid,index,item )
    			
    	--暂时这么重构，等服务端开始配合在合理解析
    	local cell = shopNode.new{ 
            item = item, 
    		callBackSetArg           = callBackSetArg, 
    		callBackBuyShop          = callBackBuyShop, 
    		callBack_guoqingShop     = callBack_guoqingShop, 
    		callBack_wanshengjieShop = callBack_wanshengjieShop
        }
    	if cell._getFreebuy then 
    		_getFreebuy = cell._getFreebuy
    	end
       
        return cell
    end

	--创建table
    local function createTable()
    
        local function createItemCellListener( grid,index,item )
        	local cell = createCell(grid,index,item)
          	return cell
	    end
	    -- local function tapListener( grid,index,item )
	        -- print("YOU CLICKED ", index)
	       -- CCBCenter.loadCCB("MSG_FRIENDPANELLAYER_MODEL", "ccb.c.friend.FriendPanelLayer")
	    -- end


	    --scrollview
	    local cellSp = display.newSprite("shop/shop_07.png", 0, 0)
	    local gridTable = widget.newScrollGrid{

	        contentSize = _tableNode:getContentSize(),
	        contentParams = {
	            cellSize = CCSize( 280, 288),
	            padding = { 
	                middleH = 0, middleV = 0,
	                left = 0, right = 0, top = 50, bottom = 0,
	            },
	            -- column = 1,
	            row = 1,
	            createItemCellListener = createItemCellListener,
	            -- tapListener = tapListener,
	            selectedParams = nil,
	        },
	        direction = widget.TABLEVIEW_DIRECTION_HORIZONTAL,
	        parentNode = _tableNode,
	    }
        return gridTable
    end

    -- 回调
    local function callBackShopList( entityFriendArr, param )
    	NetHelper.hideLoading(true)
    	_gridTable:setItems(entityFriendArr:getShops())
    	checkHelperInfo()
    end
    -- 商店背景
    local function createShopView( )
        -- 背景
        ShopViewUtil:createShopBackgroup{
            parentNode = CCBCenter.getNodeByTag(_node, 101),
        }
        -- 玩家状态
        _playerStatus = ShopViewUtil:createShopPlayerStatus{
            parentNode = CCBCenter.getNodeByTag(_node, 104),
        }
    end
	local function initViews()
        createShopView( )
        -- tableNode
		_tableNode = CCBCenter.getNodeByTag(_node, 102) 
		-- 创建table
        _gridTable = createTable()

        -- 请求
    	CCBCenter.sendLuaMessage( 
            MSG_ID.MSG_SHOPLAYER_NETGETSHOPS, 
			nil,
 			{arg = {}, methodId = ACTID.MSG_GET_SHOPLIST, callBackmethod = callBackShopList} 
        )
	end

--[[ ## public fuction --]]
	_node.refreshPlayerStatus = refreshPlayerStatus
	_node.callBackShopList = callBackShopList
--[[ ## MAINs --]]
	initViews()
end

return M