local M = {}
local CardMaster = require("cardui.CardMaster")
local TDAnimationUtils              = require( "view.Fight.Util.TDAnimationUtils")
function M.createNewCard( params )
	--测试抽卡
    	local newCardPanal = display.newSprite(
    							"common/bg/bg_main.jpg", 
    							params.cardPanel:getContentSize().width/2, 
    							params.cardPanel:getContentSize().height/2
    						)
        newCardPanal:setScale(SCALE_FOR_SPECIAL_NODE)
        newCardPanal.closeLayer = function ( ... )
            SOUND:playEffectButton1()
            params.listen()
        end
        
        local bottomSp = widget.newSprite({file = "shop/chouka/chouka_19.png"})
         util.alignNodeWithPadding(bottomSp, newCardPanal:getContentSize(), display.BOTTOM_CENTER )
        newCardPanal:addChild(bottomSp)


        local function showCardPanel(  )
            local function showBtn( ... )
        --关闭按钮
            local closeBtn = 
                  widget.newButton({
                        normalImage="shop/chouka/chouka_18.png",
                        selectImage="shop/chouka/chouka_18.png",
                        ignoreAnchor = true,
                        labelParams = {
                                                text = _s("SHOP_RECEIVE_CARD"),
                                                size = 37.5*(1/SCALE_FOR_SPECIAL_NODE),
                                                -- y = 50,
                                                color = BUTTON_COLOR3.BROWN,
                                                padding = {
                                                            left = 0,
                                                            right = 0,
                                                            top = 0, bottom = 0}
                                    },
                        listener = function ( ) 
                            newCardPanal.closeLayer()
                        end})
                  -- closeBtn:setPosition(newCardPanal:getContentSize().width / 2- closeBtn:getContentSize().width/2, 75*(1/SCALE_FOR_SPECIAL_NODE))
                  util.alignNodeWithPadding(closeBtn, newCardPanal:getContentSize(), display.BOTTOM_CENTER, {left = 110, bottom = 20} )
                  newCardPanal:addChild(closeBtn)
            --再抽一次
                local again = 
                  widget.newButton({
                        normalImage="shop/chouka/chouka_14.png",
                        selectImage="shop/chouka/chouka_14.png",
                        ignoreAnchor = true,
                        labelParams = {
                                                text = _s("SHOP_DRAW_CARD_AGAIN"),
                                                size = 37.5*(1/SCALE_FOR_SPECIAL_NODE),
                                                -- y = 50,
                                                color = BUTTON_COLOR3.RED,
                                                padding = {
                                                            left = 0,
                                                            right = 0,
                                                            top = 0, bottom = 0}
                                    },
                        listener = function ( ) 
                            SOUND:playEffectButton1()
                            --购买
                            params.listenAg()
                        end})
                  -- again:setPosition(newCardPanal:getContentSize().width / 2 + again:getContentSize().width/2, 75*(1/SCALE_FOR_SPECIAL_NODE))
                  util.alignNodeWithPadding(again, newCardPanal:getContentSize(), display.BOTTOM_CENTER, {left = -110, bottom = 20} )
                  newCardPanal:addChild(again)
                  HelperView2.show(newCardPanal, 410)
            end
            
            --卡牌数据   
                local cnt= #params.cards
                if cnt == 1 then --单抽的情况

                    --背景
                    local cardBackSp = display.newSprite(
                                "shop/chouka/chouka_11.png", 
                                newCardPanal:getContentSize().width/2, 
                                newCardPanal:getContentSize().height/2+75*(1/SCALE_FOR_SPECIAL_NODE)
                            )
                    -- print("ssssssssssssssssss",SCALE_FOR_SPECIAL_NODE)
                    -- cardBackSp:setScale(SCALE_FOR_SPECIAL_NODE)
                    newCardPanal:addChild(cardBackSp)
                    
                    params.cards[1].type = CardMaster.MASTERCARD
                    params.cards[1].handler = onCardClick

                    --旋转太阳光
                    local taiyangSp = display.newSprite(
                                "shop/chouka/chouka_07.png", 
                                newCardPanal:getContentSize().width/2, 
                                newCardPanal:getContentSize().height/2
                            )
                    taiyangSp:setScale(0.6)
                    taiyangSp:setOpacity(0)
                    newCardPanal:addChild(taiyangSp)
                    local taiyangSp2 = display.newSprite(
                                "shop/chouka/chouka_007.png", 
                                newCardPanal:getContentSize().width/2, 
                                newCardPanal:getContentSize().height/2
                            )
                    taiyangSp2:setScale(0.6)
                    taiyangSp2:setOpacity(0)
                    newCardPanal:addChild(taiyangSp2)
                    -- taiyangSp2:runAction(CCRotateBy:create(20.0,300))
                    -- taiyangSp2:runAction(CCFadeIn:create(0.5))
                    -- taiyangSp:runAction(CCRotateBy:create(20.0,-300))
                    local function removetaiyan( )
                        taiyangSp2:removeFromParentAndCleanup(true)
                        taiyangSp:removeFromParentAndCleanup(true)
                    end
                    local arraytaiyangSp         = {}
                    
                    arraytaiyangSp[#arraytaiyangSp + 1] = CCScaleTo:create(0.2,1.0)
                    arraytaiyangSp[#arraytaiyangSp + 1] = CCFadeIn:create(0.5)
                    arraytaiyangSp[#arraytaiyangSp + 1] = CCRotateBy:create(3.0,-100)
                    taiyangSp:runAction(TDAnimationUtils.sequence(arraytaiyangSp))

                    local arraytaiyangSp2         = {}
                    
                    arraytaiyangSp2[#arraytaiyangSp2 + 1] = CCScaleTo:create(0.2,1.0)
                    arraytaiyangSp2[#arraytaiyangSp2 + 1] = CCFadeIn:create(0.5)
                    arraytaiyangSp2[#arraytaiyangSp2 + 1] = CCRotateBy:create(3.0,100)
                    arraytaiyangSp2[#arraytaiyangSp2 + 1] =  CCCallFunc:create(removetaiyan)
                    
                    taiyangSp2:runAction(TDAnimationUtils.sequence(arraytaiyangSp2))

                  

                    local paramcar = params.cards[1]
                        paramcar.type = CardMaster.MASTERCARD
                        paramcar.handler = function(  )
                        -- print("touch.............................")
                        CCBCenter.loadCCB("MSG_CARDDETAILLAYER_MODEL", "ccb.c.cardgroup.CardDetailLayer", paramcar)
                    end

                    -- print("type类型"..paramcar.type)
                    --卡
                    local card = CardMaster.new(paramcar)
                    card:setScale(1/SCALE_FOR_SPECIAL_NODE)
                    newCardPanal:addChild(card)
                    local function showCard(  )
                        card:setVisible(true)
                    end
                    card:setTouchEnabled(false)
                    util.alignNode(card, newCardPanal:getContentSize(), display.TOP_CENTER, 117*(1/SCALE_FOR_SPECIAL_NODE))



                    --卡牌背景
                    local whiteSp = display.newSprite(
                                "shop/chouka/chouka_05.png", 
                                newCardPanal:getContentSize().width/2, 
                                newCardPanal:getContentSize().height/2+50*(1/SCALE_FOR_SPECIAL_NODE)
                            )
                    whiteSp:setVisible(false)
                    newCardPanal:addChild(whiteSp)
                    local function showWhite(  )
                        whiteSp:setVisible(true)
                        transition.fadeOut(whiteSp , {time = 1.0})
                    end

                    --白色蒙板
                    local baibanSp = display.newSprite(
                                "shop/chouka/chouka_10.png", 
                                newCardPanal:getContentSize().width/2, 
                                newCardPanal:getContentSize().height/2-110*(1/SCALE_FOR_SPECIAL_NODE)
                            )
                    baibanSp:setAnchorPoint(ccp(0.5,0.0))
                    newCardPanal:addChild(baibanSp)
                    local topssSp = display.newSprite(
                                "shop/chouka/chouka_10light.png", 
                                baibanSp:getContentSize().width/2, 
                                baibanSp:getContentSize().height/2
                            )
                    baibanSp:addChild(topssSp)
                    -- topssSp:setVisible(false)
                    local function showTopssSp( ... )
                        -- topssSp:setVisible(true)
                        transition.fadeOut(topssSp , {time = 2.0})
                    end
                    
                    local function showLab(  )
                            
                        local lastLoginTimeStrLB = ui.newTTFLabelWithShadow{ 
                                            size = 35,
                                            color = COLOR_WHITE,
                                            text = params.cards[1]:getCardName(),
                                            
                            }
                        lastLoginTimeStrLB:setPosition(card:getContentSize().width/2-lastLoginTimeStrLB:getContentSize().width/2,
                                            358)
                        lastLoginTimeStrLB:setAnchorPoint(ccp(0.5,0.5))
                        card:addChild(lastLoginTimeStrLB)
                        util.modifyPositionInAndroid(lastLoginTimeStrLB, 0, 4)
                    end
                    local array         = {}
                            array[#array + 1] = CCCallFunc:create(showTopssSp)
                            array[#array + 1] = CCDelayTime:create(2.0+cnt/20)
                            array[#array + 1] = CCScaleTo:create(0.3,1.2)
                            array[#array + 1] = CCFadeOut:create(0.1)
                            array[#array + 1] = CCCallFunc:create(showWhite)
                            array[#array + 1] = CCCallFunc:create(showLab)
                            array[#array + 1] = CCCallFunc:create(showBtn)
                            array[#array + 1] = CCCallFunc:create(function ( ... )
                                card:setTouchEnabled(true)
                            end)
                    baibanSp:runAction(TDAnimationUtils.sequence(array))
                    --显示一张
                elseif cnt == 10 then

                    --显示十张
                    for cnt=1, cnt do
                         
                        local carWidth = (newCardPanal:getContentSize().width+50)/6*(cnt%5)
                        local carHeight = 500*(1/SCALE_FOR_SPECIAL_NODE)
                        if cnt > 5 then carHeight = 250*(1/SCALE_FOR_SPECIAL_NODE)  end
                        if carWidth == 0 then carWidth = (newCardPanal:getContentSize().width+50)/6*5 end
                        
                        --背景
                        local cardBackSp = display.newSprite("shop/chouka/chouka_16.png", carWidth-30, carHeight)
                        newCardPanal:addChild(cardBackSp)

                        local function showChild(  )
                            
                            local paramcar = params.cards[cnt]
                            paramcar.type = CardMaster.VICECARD
                            paramcar.handler = function(  )
                            
                                CCBCenter.loadCCB("MSG_CARDDETAILLAYER_MODEL", "ccb.c.cardgroup.CardDetailLayer", paramcar)
                            end
                            
                            --卡
                            local cardIcon = CardMaster.new(paramcar)
                            cardIcon:setScale((1/SCALE_FOR_SPECIAL_NODE))
                            cardBackSp:addChild(cardIcon)
                            cardIcon:setAnchorPoint(ccp(0.5, 0.5))
                            
                            util.alignNode(cardIcon, cardBackSp:getContentSize(), display.TOP_CENTER, 50)
                            local function showCard(  )
                                cardIcon:setVisible(true)
                            end
                    
                            --白色蒙板
                            local baibanSp = display.newSprite(
                                        "shop/chouka/chouka_12.png", 
                                        cardBackSp:getContentSize().width/2,
                                        cardBackSp:getContentSize().height/2-15
                                    )
                            baibanSp:setVisible(false)
                            cardBackSp:addChild(baibanSp)
                            local function showBaiban(  )
                                -- body
                                baibanSp:setVisible(true)
                                transition.fadeOut(baibanSp , {time = 1.0})
                            end

                            --黑色蒙板
                            local heibanSp = display.newSprite(
                                        "shop/chouka/chouka_13.png", 
                                        cardBackSp:getContentSize().width/2,
                                        cardBackSp:getContentSize().height/2-15
                                    )
                            heibanSp:setScale(1.1)
                            cardBackSp:addChild(heibanSp)
                            
                            local topssSp = display.newSprite(
                                "shop/chouka/chouka_13light.png", 
                                heibanSp:getContentSize().width/2, 
                                heibanSp:getContentSize().height/2
                            )
                            heibanSp:addChild(topssSp)
                            -- topssSp:setVisible(false)
                            local function showTopssSp( ... )
                                -- topssSp:setVisible(true)
                                transition.fadeOut(topssSp , {time = 1.0})
                            end

                            local lastLoginTimeStrLB = ui.newTTFLabelWithShadow{ 
                                            size = 18*(1/SCALE_FOR_SPECIAL_NODE),
                                            color = COLOR_WHITE,
                                            text = params.cards[cnt]:getCardName(),
                                            x    = cardBackSp:getContentSize().width/2,
                                            y    = 400
                            }
                            lastLoginTimeStrLB:setAnchorPoint(ccp(0.5, 0.5))
                            lastLoginTimeStrLB:setOpacity(0)
                            lastLoginTimeStrLB:setPosition(cardBackSp:getContentSize().width/2-lastLoginTimeStrLB:getContentSize().width/2, cardBackSp:getContentSize().height-48*SCALE_FOR_SPECIAL_LABEL)
                            
                            util.modifyPositionInAndroid(lastLoginTimeStrLB, 0, 4)

                            local function showlastLoginTimeStrLB(  )
                                transition.fadeOut(lastLoginTimeStrLB , {time = 1.0})
                            end
                            cardBackSp:addChild(lastLoginTimeStrLB)

                            local array         = {}
                            
                            array[#array + 1] = CCCallFunc:create(showTopssSp)
                            array[#array + 1] = CCDelayTime:create(1.0+cnt/20)
                            array[#array + 1] = CCScaleTo:create(0.3,1.2)
                            array[#array + 1] = CCFadeOut:create(0.1)
                            array[#array + 1] = CCCallFunc:create(showBaiban)
                            array[#array + 1] = CCCallFunc:create(showlastLoginTimeStrLB)
                            if cnt ==10 then 
                               array[#array + 1] = CCCallFunc:create(showBtn) 
                            end
                            heibanSp:runAction(TDAnimationUtils.sequence(array))
                        end

                        local function showCBS(  )
                            cardBackSp:setVisible(true)
                        end
                        cardBackSp:setVisible(false)
                        local array         = {}
                        array[#array + 1] = CCDelayTime:create(cnt/10)
                        
                        array[#array + 1] = CCCallFunc:create(showCBS)
                        array[#array + 1] = CCFadeIn:create(0.5)
                        array[#array + 1] = CCCallFunc:create(showChild)
                        cardBackSp:runAction(TDAnimationUtils.sequence(array))
                
                    end
                end

        end
        showCardPanel()

    	return newCardPanal
end 



return M