--设定是否是发布模式
RELEASE_MODE = true 
APP_VERSION = "2.0.9"
----------------------DEBUG相关--------------------
--[[DEBUG等级]]--
-- 0 - disable debug info, 1 - less debug info, 2 - verbose debug info
DEBUG = RELEASE_MODE and 0 or 2
--[[LOG等级]]--
--LOG_LEVEL: 0 = e; 1 = e,i; 2 = e,i,w; 3 = e,i,w,d; 4 = e,d.
LOG_LEVEL = RELEASE_MODE and 0 or 3
--[[LOG筛选TAG]]--
LOG_TAGS = {
	--"[EmployeesSubLayer]",
	-- "^%[Items",
}
--[[显示FPS]]
-- DEBUG_FPS = false
--[[显示内存]]
-- DEBUG_MEM = false

-- [[ 新旧版首页 ]]
-- if false then
-- 	MAINLAYER_PATH = "ccb.c.main.MainLayer"
-- 	MAINLAYER_ID = "MSG_MAINLAYER_MODEL"
-- else
-- 	MAINLAYER_PATH = "ccb.c.main.MainNewLayer"
-- 	MAINLAYER_ID = "MSG_MAINNEWLAYER_MODEL"
-- end

----------------------通用常量--------------------
FALSE = 0
TRUE  = 1

FEMALE = 0
MALE = 1

----------------------基本配置--------------------
-- design resolution
CONFIG_SCREEN_WIDTH  = 960
CONFIG_SCREEN_HEIGHT = 640
--是否启用lua zip包,发布时记得要打包先~~~
ENABLED_LUA_ZIP_SOURCE = false
-- --是否启用开发时lua调试,ZeroBrance
-- DEVELOP_MOBDEBUG = false
-- 是否启一键登录,即无sdk
-- ENABLED_SDK_ONEKEYLOGIN = true
--是否启用热更新,即在在线更新后立即更新lua部分
-- ENABLED_HOT_UPDATE = false

--[[下面三条不要动哈,在发布模式时其保证一定不启用这两项]]
ENABLED_LUA_ZIP_SOURCE = (RELEASE_MODE and TRUE or (ENABLED_LUA_ZIP_SOURCE and TRUE or FALSE)) == TRUE
-- DEVELOP_MOBDEBUG = (RELEASE_MODE and FALSE or (DEVELOP_MOBDEBUG and TRUE or FALSE)) == TRUE
-- if RELEASE_MODE then ENABLED_SDK_ONEKEYLOGIN = false end

_GAME = _GAME or {}
_GAME.CONFIG = _GAME.CONFIG or {}


-- LAN                  string          默认语言, 若不设定则表示随系统改变
-- OPENING_COMIC        bool            显示四格漫画
-- OPENING_VIDEO        bool            显示视频          
-- LOGIN_STYLE          string          登录页样式         
-- SHARE                bool            分享              
_GAME.CONFIG.LANGUAGE_DIFFS = {
    cn = {
        common = { OPENING_VIDEO = true, LOGIN_STYLE = "cn" }, 
        -- android = {},
        -- ios = { SHARE = true },
    },
    tw = {
        common = { OPENING_VIDEO = false, LOGIN_STYLE = "cn", }, 
        -- ios = { SHARE = true },
    },
    en = {
        common = { OPENING_VIDEO = true, LOGIN_STYLE = "en", }, 
        -- ios = { SHARE = true },
    },
    ja = {
        common = { OPENING_VIDEO = true, LOGIN_STYLE = "ja", }, 
        -- ios = { SHARE = true },
    },
    kr = {
        common = { OPENING_VIDEO = true, LOGIN_STYLE = "en", }, 
        -- ios = { SHARE = true },
    },
}

-- 不用这个...auto scale mode
-- CONFIG_SCREEN_AUTOSCALE = "FIXED_HEIGHT"

-- 为什么有问题啊~~~屏幕自适应模式 kResolutionExactFit | kResolutionNoBorder | kResolutionShowAll | kResolutionUnKnown
--CONFIG_SCREEN_RESOLUTIONPOLICY = kResolutionShowAll

----------------------------翁贤训添加-----------
-- 字体颜色，棕色  参考好友列表cell
COLOR_BROWN = ccc3(96, 57, 19)

---------------------有关路径--------------------
PATH_RES = "res/"
--DB路径
FILE_CARD_DB = "data.rdb"
-- VERSION文件名
FILE_VERSION = "VERSION.txt"
-- lua文件zip包名
FILE_LUA_SCRIPTS_ZIP = "gamepackage.bin"
-- 外部路径
if CCApplication:sharedApplication():getTargetPlatform() == kTargetAndroid then
	PTAH_STORAGE_RES = "/sdcard/card/res/"
else 
	local fileUtils = CCFileUtils:sharedFileUtils()
	if fileUtils.getDocumentsPath then 
		PTAH_STORAGE_RES = CCFileUtils:sharedFileUtils():getDocumentsPath()
	else
		PTAH_STORAGE_RES = CCFileUtils:sharedFileUtils():getWritablePath()
	end
end
-- ccbi文件路径前缀
PATH_CCB_FILE = "res/ccb/"

----------------------数据配置--------------------
-- SCALE_FOR_SPECIAL_NODE = 0.5
SP_MAX = 100
CHIP_CARDINAL = 5000 			-- 碎片基数(碎片ID对应卡牌ID，换算规则：卡牌ID = 碎片ID - CHIP_CARDINAL)
LOAD_DELAY_TIME = 0.5 			-- 加载延迟时间

----------------------网络配置--------------------
DEFAULT_BASESER_DOMAIN = "http://ahdxc.app-fame.com:189"
--[[
-- 不加商品号会被默认为是189端口哈,所有就算是80端口也要写出来
BASESER_DOMAIN = "http://ahdxc.app-fame.com" 	-- 中国
-- BASESER_DOMAIN = "http://yszc.app-fame.com" 	-- 韩国
-- BASESER_DOMAIN = "http://59.188.73.169" 		-- 香港
BASESER_DOMAIN_EN = "http://myzggs3.app-fame.com:89" 	-- 英文
BASESER_DOMAIN_CN = "http://ahdxc.app-fame.com" 	-- 中国
--]]










