
-- [[ 物品配置 ]]

local GOODS = {
				-- 商品类型 0全部 1材料 2消耗品 3宝箱 4 ...
				TYPE	= {
					ALL 			= {KEY = 0, TEXT = _s("GOODS_ALL")},
					MATERIAL 	 	= {KEY = 1, TEXT = _s("GOODS_MATERIAL")},
					CONSUMABLE 		= {KEY = 2, TEXT = _s("GOODS_CONSUMABLE")},
					TREASURECHEST	= {KEY = 3, TEXT = _s("GOODS_TREASURE_CHEST")},
				},	
				-- 装备类型 1头部 2胸甲 3双手 4鞋子 5武器 6盾牌 7辅助
				SYPE 	= {
					    HEAD 		= {KEY = 1, TEXT = _s("EQUIP_HEAD")},
						BODY 		= {KEY = 2, TEXT = _s("EQUIP_BODY")},
						HAND 		= {KEY = 3, TEXT = _s("EQUIP_HAND")},
						SHOES 		= {KEY = 4, TEXT = _s("EQUIP_SHOES")},
						WEAPON		= {KEY = 5, TEXT = _s("EQUIP_WEAPON")},
						SHIELD		= {KEY = 6, TEXT = _s("EQUIP_SHIELD")},
						AID 		= {KEY = 7, TEXT = _s("EQUIP_AID")},
				},
				-- 使用类型 0不能使用 1使用 2合成 3 ...
				USETYPE = {
					NOTUSE 	 		= 0,
					USE 	 		= 1,
					SYNTHESIS  		= 2,
					POPWIN 	 		= 3,
				},
				-- 材料类型 0全部 1卡牌进化材料 2...
				MATERIALTYP = {
					ALL 	= 0,
					EVOLVE 	= 1,
				},
				-- 品质 0灰 1白 2绿 3蓝 4紫 5橙 6...
				QUALITY = {
					[0] = {rgb = COLOR3.GREE, frame = "goods/goodBack.png"},
				 	[1] = {rgb = COLOR3.WHITE, frame = "goods/goodBack.png"},
				 	[2] = {rgb = COLOR3.GREEN, frame = "goods/goodBack_green.png"},
				 	[3] = {rgb = ccc3(0, 174, 239), frame = "goods/goodBack_blue.png"},--COLOR3.BLUE,
				 	[4] = {rgb = ccc3(185, 28, 141), frame = "goods/goodBack_magenta.png"},--COLOR3.MAGENTA,
				 	[5] = {rgb = ccc3(242, 97, 34), frame = "goods/goodBack_orange.png"},--COLOR3.ORANGE,
				},
				-- 物品图片
				GOODSICON 	= "minGoods/img_minGoods_%d.png",
				-- 装备图片
				EQUIPICON 	= "minEquip/img_minEquip_%d.png",
				-- 图片路径	
				PATH 	= "minGoods/%s",
				-- 背包上限
				GOODS_LIMIT	= 120,
}

return GOODS