-- 发布BUNDLE
-- 越犾：com.csgame.${PRODUCT_NAME:rfc1034identifier}
-- 苹果：com.idsgame.dne
-- 苹果2：com.fame.test


-- [地图]
VERSION_MAP_1 			= 1
VERSION_MAP_2 			= 2
VERSION_MAP 			= VERSION_MAP_2
MAP_MESSAGE_ID = "MSG_MAPCONTAINERLAYER_MODEL"
MAP_LAYER_ID   = "ccb.c.map.MapContainerLayer"

-- [卡片]
-- 卡片等级最大值
CARD_LEVEL_MAX 			= 100
-- 卡片数量最大值
NUM_CARDS 				= 70
-- 卡片COST最小值
CARD_COST_MIN 			= 5
-- 卡片COST最大值
CARD_COST_MAX 			= 20
-- 卡片HP最小值
CARD_HP_MIN 			= 300
-- 卡片HP最大值
CARD_HP_MAX 			= 5000
-- 卡片攻击力最小值
CARD_ATTACK_MIN 		= 50
-- 卡片攻击力最大值
CARD_ATTACK_MAX 		= 1000
-- 卡片种族数量
CARD_ETHNICITY_NUM		= 4
-- 卡片等待回合数最小值
CARD_WAITROUNDS_MIN		= 2
-- 卡片等待回合数最大值
CARD_WAITROUNDS_MAX		= 6
-- 卡片最大经验值
CARD_EXPERENCE_MAX 		= 100000
-- 战斗消耗
NUM_FIGHT_COST 			= 10


-- [角色]
-- 角色拥有者[我方]
OWNER_ME				= 1
-- 角色拥有者[他方]
OWNER_OPPONENT 			= 2
-- 回合[我方]
TURN_ME 				= 1
-- 回合[敌方]
TURN_OPPONENT 			= 2
-- 标识[我方]
FLAG_ME 				= "m"
-- 标识[敌方]
FLAG_OPPONENT 			= "o"


-- [操作对象]
-- 操作对象类型[英雄]
TYPE_ROLE_HERO			= 1
-- 操作对象类型[卡片]
TYPE_ROLE_CARD 			= 2


-- [卡片类型]
TYPE_CARD_UNKNOWN 		= 0
TYPE_CARD_ICON 			= 1
TYPE_CARD_IMAGE 		= 2
TYPE_CARD_IMAGEEX 		= 3
VIEWTYPE_CARD_ICON 		= TYPE_CARD_ICON
VIEWTYPE_CARD_IMAGE 	= TYPE_CARD_IMAGE


-- [种族]
ETHNICITY_ALLIANCE  	= 1 				-- 联盟
ETHNICITY_TRIBAL      	= 2 				-- 部落
ETHNICITY_UNDEAD      	= 3 				-- 不死
ETHNICITY_NAMES = {
   "联盟",
   "部落",
   "不死",
}


-- [攻击模式]
MODE_ATK_ONE 			= -1
MODE_ATK_RANDOM 		= -2
MODE_ATK_ALL 			= -3


-- [关卡难度]
DIFFICULTY_SIMPLE 		= 1
DIFFICULTY_ORDINARY 	= 2
DIFFICULTY_DIFFICULT 	= 3


-- [NB种族标识]
NB_RACE_ALLIANCE  		= 1
NB_RACE_TRIBE 			= 2
NB_RACE_UNDEAD 			= 3


-- [同步标识]
SYNC_IGNORE 			= 0


-- [攻击模式]
GENDER_MALE 			= 1
GENDER_FEMALE 			= 0


-- [好友状态]
STATUS_INVITE_YES 		= 0
STATUS_INVITE_NO  		= 1
STATUS_INVITE_OFFLINE 	= 2


-- [路径]
-- 路径[CCB－视图层]
PH_C_V		 			= "ccb.v."
-- 路径[CCB－控制层]
PH_C_C		 			= "ccb.c."
-- 路径[CCB－模型层]
PH_C_M		 			= "ccb.m."
-- 路径[NET]
PH_N		 			= "net."
-- 路径[PO]
PH_PO 					= "model.po."
-- 路径[模型]
PH_EN		 			= "model.entity."
-- 路径[模型－包含文件]
PH_EN_I		 			= PH_EN .. "include."
-- 路径[模型－地图]
PH_EN_MAP		 		= PH_EN .. "map."
-- 路径[模型－活动]
PH_EN_ACTIVITY		 	= PH_EN .. "activity."
-- 路径[模型－战斗界面]
PH_EN_FIGHT		 		= PH_EN .. "fight."
-- 路径[当前模块]
PH_MDL		 			= "view.Fight."
-- 路径[当前模块-Constant]
PH_MDL_CONSTANT		 	= PH_MDL .. "Constant."
-- 路径[当前模块-Scene]
PH_MDL_SCENE		 	= PH_MDL .. "Scene."
-- 路径[当前模块-Layer]
PH_MDL_LAYER		 	= PH_MDL .. "Layer."
-- 路径[当前模块-Sprite]
PH_MDL_SPRITE		 	= PH_MDL .. "Sprite."
-- 路径[当前模块-Component]
PH_MDL_COMPONENT		= PH_MDL .. "Component."
-- 路径[当前模块-Action]
PH_MDL_ACTION			= PH_MDL .. "Action."
-- 路径[当前模块-Factory]
PH_MDL_FACTORY			= PH_MDL .. "Factory."
-- 路径[当前模块-Util]
PH_MDL_UTIL				= PH_MDL .. "Util."
-- 路径[当前模块-Extend]
PH_MDL_EXTEND 			= PH_MDL .. "Extend."
-- 路径[当前模块-Class]
PH_MDL_CLASS 			= PH_MDL .. "Clazz."


-- 路径[图片]
-- 路径[战斗]
PHI_FIGHT					= "fight/"
-- 路径[战斗－卡牌]
PHI_FIGHT_CARD				= PHI_FIGHT .. "card/"
-- 路径[卡片图标]
PHI_FIGHT_ICON				= "photoCard/"
-- 路径[卡片图像]
PHI_FIGHT_IMAGE				= "minCard/"
-- 路径[卡片图像]
PHI_FIGHT_IMAGEEX			= "middleCard/"
-- 路径[背景]
PHI_FIGHT_BACKGROUND		= PHI_FIGHT .. "background/"
-- 路径[按钮]
PHI_FIGHT_BUTTON			= PHI_FIGHT .. "button/"
-- 路径[标签]
PHI_FIGHT_LABEL				= PHI_FIGHT .. "label/"
-- 路径[效果]
PHI_FIGHT_EFFECT			= PHI_FIGHT .. "effect/"
-- 路径[结果]
PHI_FIGHT_RESULT			= PHI_FIGHT .. "result/"
-- 路径[效果－基础]
PHI_FIGHT_EFFECT_BASE 		= PHI_FIGHT_EFFECT .. "base/"
-- 路径[效果－场景]
PHI_FIGHT_EFFECT_STAGE 		= PHI_FIGHT_EFFECT .. "stage/"
-- 路径[效果－攻击]
PHI_FIGHT_EFFECT_ATK		= PHI_FIGHT_EFFECT .. "atk/"
-- 路径[效果－伤害]
PHI_FIGHT_EFFECT_HURT		= PHI_FIGHT_EFFECT .. "hurt/"
-- 路径[效果－增效]
PHI_FIGHT_EFFECT_INC		= PHI_FIGHT_EFFECT .. "inc/"
-- 路径[效果－减效]
PHI_FIGHT_EFFECT_DEC		= PHI_FIGHT_EFFECT .. "dec/"
-- 路径[效果－持续]
PHI_FIGHT_EFFECT_CTN		= PHI_FIGHT_EFFECT .. "ctn/"
-- 路径[效果－反弹]
PHI_FIGHT_EFFECT_REB		= PHI_FIGHT_EFFECT .. "reb/"
-- 路径[效果－其他]
PHI_FIGHT_EFFECT_OTH		= PHI_FIGHT_EFFECT .. "oth/"
-- 路径[效果－英雄]
PHI_FIGHT_EFFECT_HERO		= PHI_FIGHT_EFFECT .. "hero/"
-- 路径[动作]
PHI_FIGHT_ACTION			= PHI_FIGHT .. "action/"
-- 路径[数字]
PHI_FIGHT_NUM				= PHI_FIGHT .. "num/"
-- 路径[地图]
PHI_MAP						= "map/"
-- 路径[地图－弹出层]
PHI_MAP_POPUP 				= PHI_MAP .. "popup/"
-- 路径[地图－弹出层2]
PHI_MAP_POPUP2 				= PHI_MAP .. "popup2/"
-- 路径[地图－弹出层2-好友]
PHI_MAP_POPUP2_FRIEND 		= PHI_MAP_POPUP2 .. "friend/"
-- 路径[地图－弹出层-难度]
PHI_MAP_POPUP_DIFFICULTY 	= PHI_MAP_POPUP .. "d/"
-- 路径[角色]
PHI_ROLE					= "role/"
-- 路径[粒子效果]
PHI_PARTICLE				= "particle/"


-- 路径[图片]
-- 路径[背景]
PHS 					= "res/sound/"
-- 路径[背景]
PHS_BACKGROUND			= PHS .. "background/"
-- 路径[按钮]
PHS_BUTTON				= PHS .. "button/"
-- 路径[地图]
PHS_MAP					= PHS .. "map/"
-- 路径[战斗]
PHS_FIGHT				= PHS .. "fight/"
-- 路径[战斗－效果]
PHS_FIGHT_EFFECT		= PHS_FIGHT .. "effect/"
-- 路径[战斗－结果]
PHS_FIGHT_RESULT		= PHS_FIGHT .. "result/"
-- 路径[战斗－门]
PHS_FIGHT_DOOR			= PHS_FIGHT .. "door/"


-- [模板]
-- 文件模板[卡片图标]
TPL_CARD_ICON 			= PHI_FIGHT_ICON 	.. "img_photoCard_{0}.jpg"
-- 文件模板[卡片图像]
TPL_CARD_IMAGE 			= PHI_FIGHT_IMAGE    .. "img_minCard_{0}.jpg" 
-- 文件模板[卡片图像(加大版)]
TPL_CARD_IMAGEEX		= PHI_FIGHT_IMAGEEX  .. "img_middleCard_{0}.jpg" 


-- [战斗模式]
MODE_BATTLE_LEVEL 				= 0
MODE_BATTLE_PK 					= 1
MODE_BATTLE_BOSS 				= 2
MODE_BATTLE_RECORD 				= 3
MODE_BATTLE_EXPFBFLIGHT         = 4    --特殊副本战斗 4103
MODE_BATTLE_LADDERLIST          = 5    --  幽冥魔塔战斗 4306
MODE_BATTLE_ARMY_BOSS 			= 6	   -- 军团副本战斗

-- [PK]
MODE_PK_LEARN 					= 1
MODE_PK_RANK_WAR 				= 2
MODE_PK_COMPETITIVE_RACE 		= 3
MODE_PK_FIRST_FIGHT             = 4
MODE_PK_TEAM_FIGHT		 		= 5


-- [录像]
MODE_RECODE_LEARN				= 1
MODE_RECODE_RANK_WAR			= 2
MODE_RECODE_COMPETITIVE_RACE	= 3


-- [命名常量]
NAM_CONSTANT 			= "Constant"
-- [命名常量]场景
NAM_SCENE 				= "Scene"
-- [命名常量]层
NAM_LAYER 				= "Layer"
-- [命名常量]精灵
NAM_SPRITE 				= "Sprite"
-- [命名常量]组件
NAM_COMPONENT 			= "Component"
-- [命名常量]工具
NAM_UTIL 				= "Util"
-- [命名常量]工厂
NAM_FACTORY 			= "Factory"
-- [命名常量]提供者
NAM_SUPPORT 			= "Support"


-- [默认]
-- 点
P_ZERO 					= ccp(0, 0)
-- 尺寸
CS_ZERO 				= CCSize(0, 0)
-- 布尔
NUMBER_FALSE 			= 0
NUMBER_TRUE 			= 1
-- 高级卡片起始星级
ADVANCEDCARD_STAR_OVER  = 4
-- 高级卡片起始星级
LIMIT_JJC_LEVEL  		= 10


-- [索引]
-- 场上卡牌增量[相较于场下卡牌的增加值，如：场下卡片为1，则其场上卡片对应11]
IDX_STAGEUP_INC 		= 10
IDX_CEMETERY 			= 10
IDX_HERO 				= 0
NUM_FIGHT_VIEW 			= 5
IDX_CHIP_INC 			= 5000
MLT_FP_FRIEND 			= .5
IDX_UNKNOWN 			= -1


-- [字体]
FNT_0 					= nil


-- [网络]
-- 战斗操作枚举
-- 1 进入战斗
N_FIGHT_OP_START			= 1
-- 2 开始攻击 
N_FIGHT_OP_ROUND_DO			= 2
-- 3 回合结束
N_FIGHT_OP_ROUND_UNDO		= 3
-- 4 自动战斗
N_FIGHT_OP_FIGHT_AUTO		= 4

-- 战斗结果枚举
RES_LOSE 					= 0
RES_WIN 					= 1