-- 卡片数据库操作
require("sqlite3")
local SkillEntity = require("model.card.SkillEntity")
local CardEntity = require("model.card.CardEntity")
BadWrodDB = {}

local TAG = "[BadWrodDB]"
local DB_PATH = util.fullPath( PATH_CARD_DB )


--[=[ ## local params --]=]

--[[ ## local fuction --]]
local _db
local _barwordCache = {}

-- 打开数据库
local function openDB( )
	_db = sqlite3.open(DB_PATH)
end

-- 关闭数据库
local function closeDB( )
	_db:close()
end

--[[ ## public fuction --]]

-- 获取所有卡牌
function BadWrodDB.getAllBadWrodContent( )
	if _barwordCache["AllID"] then
		-- 缓存有则直接返回
		return _barwordCache["AllID"]
	else
		-- 开
		openDB( )
		local result = {}
		for v in _db:nrows('SELECT * FROM badword') do 
			-- result = v
			-- print("脏字:"..v.Content)
			table.insert(result, v.Content)
			-- break
		end
		-- 关
		closeDB( )
		-- 加入缓存
		if #result > 0 then
			_barwordCache["AllID"] = result
		end
		return result
	end
end


-- 清空缓存
function BadWrodDB.cleanAllCard( )
	_barwordCache = nil
end

return BadWrodDB