-- 装备数据库操作
require("sqlite3")

FaqDB = {}

local TAG = "[FaqDB]"
local DB_PATH = util.fullPath( PATH_CARD_DB )


--[=[ ## local params --]=]

--[[ ## local fuction --]]
local _db
local _faqCache = {}

-- 打开数据库
local function openDB( )
	_db = sqlite3.open(DB_PATH)
end	

-- 关闭数据库
local function closeDB( )
	_db:close()
end

--[[ ## public fuction --]]
-- 通过id获取
function FaqDB.getFaqType( )
	if _faqCache[id] then
		-- 缓存有则直接返回
		return _faqCache[id]
	else
		-- 开
		openDB( )
		local result = {}
		for v in _db:nrows('SELECT * FROM helptb WHERE sec = 0') do 
			result[v.main] = v
			_faqCache[v.main] = v
		end
		-- 关
		closeDB( )
		return result
	end
end

function FaqDB.getFaqContent(mainId)
	if _faqCache[id] then
		-- 缓存有则直接返回
		return _faqCache[id]
	else
		-- 开
		openDB( )
		local result = {}
		for v in _db:nrows('SELECT * FROM helptb WHERE main = '..mainId..' and sec != 0') do 
			result[v.sec] = v
			_faqCache[v.sec] = v
		end
		-- 关
		closeDB( )
		return result
	end
end