-- 卡片数据库操作
require("sqlite3")
local entityTalents = require("ccb.m.talent.EntityTalent")
TalentDB = {}

local TAG = "[TalentDB]"
local DB_PATH = util.fullPath( PATH_CARD_DB )


--[=[ ## local params --]=]

--[[ ## local fuction --]]
local _db
local _talentCache = {}

-- 打开数据库
local function openDB( )
	_db = sqlite3.open(DB_PATH)
end

-- 关闭数据库
local function closeDB( )
	_db:close()
end

--[[ ## public fuction --]]

-- 获取所有卡牌
-- function TalentDB.getByID( )
-- 	if _talentCache["AllID"] then
-- 		-- 缓存有则直接返回
-- 		return _talentCache["AllID"]
-- 	else
-- 		-- 开
-- 		openDB( )
-- 		local result = {}
-- 		for v in _db:nrows('SELECT * FROM badword') do 
-- 			-- result = v
-- 			-- print("脏字:"..v.Content)
-- 			table.insert(result, v.Content)
-- 			-- break
-- 		end
-- 		-- 关
-- 		closeDB( )
-- 		-- 加入缓存
-- 		if #result > 0 then
-- 			_talentCache["AllID"] = result
-- 		end
-- 		return result
-- 	end
-- end


function TalentDB.getByLvTypCamp( params )
	if _talentCache[ params.lv .."|".. params.typ  .."|".. params.camp] then
		-- 缓存有则直接返回
		return _talentCache[params.lv .."|".. params.typ  .."|".. params.camp]
	else
		-- 开
		openDB( )
		local result
		for v in _db:nrows('SELECT * FROM talenttb WHERE lv = ' .. params.lv .. ' AND typ = ' .. params.typ .. ' AND camp = ' .. params.camp) do 
			result = v
			break
		end
		-- 关
		closeDB( )
		--加入缓存
		if result then
			_talentCache[params.lv .."|".. params.typ  .."|".. params.camp] = result
		end
		return result
	end
end


-- 清空缓存
function TalentDB.cleanAllCard( )
	_talentCache = nil
end

return TalentDB