local strings = {
ACCOUNT_EXCEPTION			 = [[Connection to server has failed. Please try again]],
ACCOUNT_ID			 = [[プレイヤーID]],
ACCOUNT_INVITE_ID			 = [[Inviter's ID (Option)]],
ACCOUNT_LESS_THAN_TWO_WORDS			 = [[Must more than 4 characters]],
ACCOUNT_NAME			 = [[ユーザー名]],
ACCOUNT_NAME_ERROR			 = [[IDまたはパスワードが一致しません。]],
ACCOUNT_NAME_LLLEGAL			 = [[Illegal nickname]],
ACCOUNT_NAME_OVER_LIMIT			 = [[The nickname is too long]],
ACCOUNT_NAME_RANDOM			 = [[Random]],
ACCOUNT_NAME_RULE			 = [[Nickname (Chinese characters, English and underlined letters are allowed)]],
ACCOUNT_PASSWORD			 = [[パスワード]],
ACCOUNT_PASSWORD_ERROR			 = [[半角8～16文字以内のパスワードをご入力ください。]],
ACCOUNT_SEX			 = [[Gender]],
ACTIVITY_BIG_WHEEL_DIAMOND			 = [[Draw
%d]],
ACTIVITY_BIG_WHEEL_GOLD			 = [[Draw
%d]],
ACTIVITY_BTN_TITLE_EXCHANGE			 = [[Exchange]],
ACTIVITY_BUY_DIAMOND			 = [[Recharge]],
ACTIVITY_CAPTION			 = [[Event Details]],
ACTIVITY_CHARGE_ADD_RECEIVE			 = [[%d replace]],
ACTIVITY_CHARGE_ALREADY_RECEIVE			 = [[Claimed]],
ACTIVITY_CHARGE_CANNOT_RECEIVE			 = [[Pending]],
ACTIVITY_CHARGE_DATE			 = [[Event duration：%s]],
ACTIVITY_CHARGE_RECEIVE			 = [[Claim]],
ACTIVITY_CONGRATULATION			 = [[Congrats]],
ACTIVITY_CONTENT_TITLE			 = [[Event details：%s]],
ACTIVITY_DAILY_DIAMOND			 = [[Takes %d mins to claim once.]],
ACTIVITY_DAILY_DIAMOND_CUR			 = [[At %d,System will annouce the time to claim diamonds, diamonds can be claimed accordingly.]],
ACTIVITY_DAILY_DIAMOND_JOIN			 = [[Join]],
ACTIVITY_DAILY_DIAMOND_JOINING			 = [[Participating]],
ACTIVITY_DAILY_DIAMOND_TIP			 = [[ To Join in:[hh]:[mm]:[ss] ]],
ACTIVITY_DAILY_DIAMOND_TITLE			 = [[Free today at:%s]],
ACTIVITY_DAILY_DIAMOND_WAIT			 = [[ Claim in:[hh]:[mm]:[ss] ]],
ACTIVITY_DAILY_EXPENSE			 = [[During event,keep spending %d a day.More days you keep, more rewards you'll get!]],
ACTIVITY_DAILY_EXPENSE_BTN			 = [[To spend]],
ACTIVITY_DAILY_EXPENSE_CUR			 = [[For %d days during event,you've consumed %d diamonds a day. And &d diamonds for today]],
ACTIVITY_DAILY_EXPENSE_TIP			 = [[For %d days,daily consumation reached %d diamonds.]],
ACTIVITY_DAY			 = [[Day %d]],
ACTIVITY_DIAMOND_NOT_ENOUGH			 = [[Don't have %d Diamonds]],
ACTIVITY_EIGHT_DAY_TITLE			 = [[Get diamonds in 8 days！]],
ACTIVITY_ENTER_RECHARGE			 = [[Recharge]],
ACTIVITY_EXCHANGE_CODE			 = [[Please enter the Exchange Code.]],
ACTIVITY_EXCHANGE_CODE_NONE			 = [[Please enter something]],
ACTIVITY_EXCHANGE_CODE_OVERFLOW			 = [[Input too long]],
ACTIVITY_FESTIVAL_SIGN_RULE			 = [[Some Rewards can be found and used in the backpack.]],
ACTIVITY_FESTIVAL_SIGN_TITLE			 = [[%d day]],
ACTIVITY_FIRST_MONTH_RECHARGE			 = [[Diamond recharged in first month]],
ACTIVITY_FIRST_RECHARGE			 = [[To celebrate the opening of the server, all users can get 100% more diamonds for their first recharge. Come and get it!]],
ACTIVITY_FW_BTN_FIRST			 = [[Free]],
ACTIVITY_FW_BTN_NEXT			 = [[Try again]],
ACTIVITY_FW_FMT_REWARD			 = [[%s was lucky to get %s.]],
ACTIVITY_FW_RARECARD			 = [[Rare Card-]],
ACTIVITY_FW_RESULT			 = [[Congratulations! You got:
%s]],
ACTIVITY_FW_REWARD1			 = [[Exp Card I]],
ACTIVITY_FW_REWARD2			 = [[Random Rare 5-Star Card]],
ACTIVITY_FW_REWARD3			 = [[80 Diamonds]],
ACTIVITY_FW_REWARD4			 = [[8000 Gold]],
ACTIVITY_FW_REWARD5			 = [[Exp Card III]],
ACTIVITY_FW_REWARD6			 = [[Voucher*5]],
ACTIVITY_FW_REWARD7			 = [[Friendship*200]],
ACTIVITY_FW_REWARD8			 = [[Voucher*1]],
ACTIVITY_FW_REWARD9			 = [[500 Diamonds]],
ACTIVITY_FW_TIME_TIP			 = [[Get Free Draw on %d,%d,%d everyday!]],
ACTIVITY_FW_TIP_BUYNEXT			 = [[You need %d Diamonds to try again and have a better chance to get top rewards. Do you want to continue?]],
ACTIVITY_FW_TITLE			 = [[Casino]],
ACTIVITY_GET_DIAMOND			 = [[Got Diamonds:]],
ACTIVITY_INVITE_FAILURE			 = [[Failed. ]],
ACTIVITY_INVITE_FRIENDS			 = [[Friends]],
ACTIVITY_INVITE_FRIENDS_GET_DIAMOND			 = [[Share invitation code to friends]],
ACTIVITY_INVITE_FRIENDS_INFO			 = [[Get 10% of the purchased diamonds from your invited friends in their 1st month.]],
ACTIVITY_INVITE_GET_DIAMOND			 = [[Total Diamonds got:]],
ACTIVITY_INVITE_RECEIVE_DIAMOND			 = [[Available:]],
ACTIVITY_INVITE_SHARE_OPEN			 = [[Coming Soon.]],
ACTIVITY_JUMP_TO			 = [[Check out]],
ACTIVITY_KILL_BUG			 = [[Defeat %s in dungeons exploration and get rewards!(Kill counts reset at midnight,so claim gifts in time!)]],
ACTIVITY_KILL_BUG_CUR			 = [[%s]],
ACTIVITY_KILL_BUG_CUR_FORMAT			 = [[%s killed for %s times]],
ACTIVITY_KILL_BUG_TIP			 = [[Claim when the counted times of killing %s reached %d]],
ACTIVITY_LATELY_INVITE_FRIENDS			 = [[Latest invited friends]],
ACTIVITY_LEVEL_RANK			 = [[Place %s on Level Rank]],
ACTIVITY_LEVEL_RANK_INFO			 = [[The event shall end at %s. All rewards will be awarded within 5 working days after the event ends.]],
ACTIVITY_LEVEL_RANK_REWARD			 = [[Levelup Contest reward]],
ACTIVITY_LEVEL_RANK_REWARD_1			 = [[5★ Wyrm Knight*1]],
ACTIVITY_LEVEL_RANK_REWARD_2			 = [[5★ Thunderbolt*1]],
ACTIVITY_LEVEL_RANK_REWARD_3			 = [[4★ Forest Queen*1]],
ACTIVITY_LEVEL_RANK_REWARD_4			 = [[4★ Dancer*1]],
ACTIVITY_LEVEL_RANK_REWARD_5			 = [[Exp Card III*1]],
ACTIVITY_LEVEL_RANK_REWARD_6			 = [[Exp Card II*1]],
ACTIVITY_LEVEL_RANK_REWARD_7			 = [[Exp Card I*1]],
ACTIVITY_LEVEL_RANK_TITLE			 = [[Who is the winner?]],
ACTIVITY_LEVEL_RANK_TOP_10			 = [[Top 10]],
ACTIVITY_LEVEL_RANK_UP			 = [[Place %s or below on Level Rank]],
ACTIVITY_LIMIT_TIME			 = [[Time-limited Event]],
ACTIVITY_LIMIT_TIME_CHARGE			 = [[During the event time, players can recharge appointed amount of diamonds to claim the corresponding rewards.]],
ACTIVITY_LIMIT_TIME_CHARGE_CUR			 = [[You've recharged %d diamonds during the event time.]],
ACTIVITY_LIMIT_TIME_CHARGE_TIP			 = [[Recharge %d diamonds to claim.]],
ACTIVITY_LIMIT_TIME_COST			 = [[During the event time, players can consume appointed amount of diamonds in total to claim the corresponding rewards.]],
ACTIVITY_LIMIT_TIME_COST_CUR			 = [[You've consumed %d diamonds in total.]],
ACTIVITY_LIMIT_TIME_COST_TIP			 = [[Consumed %d diamonds in total to claim.]],
ACTIVITY_LIMIT_TIME_LOGIN			 = [[During the event time, players can claim the rewards consecutively, one entry each day.]],
ACTIVITY_LIMIT_TIME_LOGIN_CUR			 = [[Consecutively claimed the rewards %d times in the event.]],
ACTIVITY_LIMIT_TIME_LOGIN_TIP			 = [[Consecutively claim the rewards %d times in the event.]],
ACTIVITY_MONTH_CARD			 = [[Monthly Card:]],
ACTIVITY_MONTH_CARD_BUY			 = [[Buy]],
ACTIVITY_MONTH_CARD_DATE			 = [[Available days: %d]],
ACTIVITY_MONTH_CARD_DETAIL			 = [[Spend %s to get Monthly Card, Claim 100 diamonds each day!]],
ACTIVITY_MONTH_CARD_REWARD_TIP			 = [[You will get the following rewards after purchasing Monthly Card]],
ACTIVITY_MY_RANK			 = [[My Rank:]],
ACTIVITY_NEW_YEAR_REWARD			 = [[Click to light the firecrakers]],
ACTIVITY_NEW_YEAR_TIME			 = [[ [d]D[hh]H[mm]M[ss]S ]],
ACTIVITY_NO_DIAMOND_RECEIVE			 = [[No available Diamond]],
ACTIVITY_ONE_DAY_CHARGE			 = [[During the event time, players can recharge appointed amount of diamonds daily to claim the corresponding rewards]],
ACTIVITY_ONE_DAY_CHARGE_CUR			 = [[You've recharged %d diamonds today.]],
ACTIVITY_ONE_DAY_CHARGE_TIP			 = [[Recharge %d diamonds daily to claim]],
ACTIVITY_ONE_DAY_COST			 = [[During the event time, players can consume appointed amount of diamonds daily to claim the corresponding rewards.]],
ACTIVITY_ONE_DAY_COST_CUR			 = [[You've consumed %d diamonds today.]],
ACTIVITY_ONE_DAY_COST_TIP			 = [[Consumed %d diamonds daily to claim.]],
ACTIVITY_OVER_TIME			 = [[Countdown]],
ACTIVITY_PLAYER			 = [[Player:]],
ACTIVITY_RECEIVE_COUNT			 = [[Chance Available:%d]],
ACTIVITY_RECEIVE_DAY			 = [[login.]],
ACTIVITY_RECEIVE_DIAMOND			 = [[Log in to get Diamonds. The 8th login will get 30% of the SUM of previous 7 days.]],
ACTIVITY_RECEIVE_DIAMOND_DAY			 = [[Day ]],
ACTIVITY_RECEIVE_DIAMOND_END			 = [[The event already ended.]],
ACTIVITY_RECEIVE_REWARD			 = [[Claim]],
ACTIVITY_RECHARGE_ACTIVITY			 = [[Sale Event]],
ACTIVITY_REGISTER_DAY_LEVEL			 = [[Consecutively login and reached level %d]],
ACTIVITY_REGISTER_DAY_RECEIVE			 = [[Consecutively login on Day %d to claim]],
ACTIVITY_REGISTER_RECEIVE			 = [[Login to claim]],
ACTIVITY_RESET			 = [[Reset]],
ACTIVITY_RESET_DAY			 = [[Consume %d Diamonds to reset?]],
ACTIVITY_RESET_SUCCESS			 = [[Successful]],
ACTIVITY_SACRIFICE			 = [[Sacrifice]],
ACTIVITY_SINGLE_CHARGE			 = [[During the event time, players can make the appointed order to claim the corresponding rewards; it can be claimed again when you made the same order.]],
ACTIVITY_SINGLE_CHARGE_CUR			 = [[You've made $%d order during the event time]],
ACTIVITY_SINGLE_CHARGE_TIP			 = [[Make a $%d order to claim]],
ACTIVITY_TALENT_RANK_INFO			 = [[The event will end at %s. All players will be ranked according to their overall 9 Talents' levels. When two players have the same total, their Talent Exp totals shall be counted. The top 100 players will get lots of rewards.]],
ACTIVITY_TALENT_RANK_NO_RANK			 = [[(Haven't unlocked Talent)]],
ACTIVITY_TALENT_RANK_REWARD			 = [[Talent Contest reward]],
ACTIVITY_TALENT_RANK_REWARD_1			 = [[5★ Frost Wyrm*1]],
ACTIVITY_TALENT_RANK_REWARD_2			 = [[5★ Minotaur*1]],
ACTIVITY_TALENT_RANK_REWARD_3			 = [[4★ Forest Queen*1]],
ACTIVITY_TALENT_RANK_REWARD_4			 = [[4★ Phantom Witch*1]],
ACTIVITY_TALENT_RANK_REWARD_5			 = [[Exp Card III*1]],
ACTIVITY_TALENT_RANK_REWARD_6			 = [[Exp Card II*1]],
ACTIVITY_TALENT_RANK_TALENT			 = [[Talent %2d]],
ACTIVITY_TALENT_RANK_TOP_10			 = [[Top 10]],
ACTIVITY_TO_SHOPPING			 = [[Recharge]],
ACTIVITY_WEB_OPEN			 = [[Know More]],
ACTIVITY_WORSHIP			 = [[Get points and random rewards by Sacrifice(Free once a day)during event. Claim gifts with certain sacrifice points.]],
ACTIVITY_WORSHIP_CUR			 = [[Your sacrifice points in the event now reached %d]],
ACTIVITY_WORSHIP_TIP			 = [[Claim when sacrifice points reached %d during event. ]],
ACTIVITY_YOUR_INVITATION_CODE			 = [[Code:]],
ANTI_PLUGALERT_BORED			 = [[Bored]],
ANTI_PLUGALERT_CONTENT			 = [[Guess why I am here？]],
ANTI_PLUGALERT_ERROR			 = [[Incorrect! Please try again.]],
ANTI_PLUGALERT_SAY_NO			 = [[Anti-robot]],
ARENA_BUY_FIGHT_CD			 = [[Spend 10 Diamonds to clear the CD?]],
ARENA_BUY_FIGHT_COUNT			 = [[Spend 20 Diamonds to take part in the challenge once again?]],
ARENA_CD_TIME			 = [[CD]],
ARENA_CHALLENGE_TIMES_END			 = [[left]],
ARENA_CHALLENGE_TIMES_TITLE			 = [[You have]],
ARENA_CHOOSE_FIGHT			 = [[Rival List]],
ARENA_COOLING			 = [[CD]],
ARENA_CUR_RANK			 = [[Rank:]],
ARENA_DARE			 = [[Roll]],
ARENA_DAY_HINT_COLD_TIME			 = [[Please wait until it's availbe, or spend 10 diamonds to reset.]],
ARENA_DAY_HINT_TIMES_OVER			 = [[Running out of chances today, spend 20 diamonds to get one more chance. ]],
ARENA_LAST_SEASON_RANK			 = [[Last Rank]],
ARENA_LEVEL_NOT_ENOUGH			 = [[You must first reach level %d.]],
ARENA_MY_RANK			 = [[My Rank:]],
ARENA_MY_SCROE			 = [[Credit:]],
ARENA_RANK			 = [[Rank]],
ARENA_RANKING			 = [[Chart]],
ARENA_RANK_GAME			 = [[Rank Contest]],
ARENA_RECEIVE_REWARD			 = [[Claim]],
ARENA_RECORD			 = [[Report]],
ARENA_RULE			 = [[Rule]],
ARENA_RULE_RANK_GAME			 = [[ [Challenge Rules]
You can challenge others ahead of the Rank Contest. Only Auto mode is allowed. Defeat a rival to replace his rank. If you fail to challenge, your rank will stay the same.

[Battle Interval/Challenge]
You can challenge 10 times each day. Ten minutes to cool downif failed. You can use Diamonds to clear the CD or take part in even more challenges.
Truce:0:00am to 0:30am everyday.

[Reward]
The system will give away reward according to players' ranks at the previous day. Complete 10 challenges every day to get extra rewards.

About Rewards
1st Place: 1500 Stars
2nd to 5th Places: 1200 Stars
6th to 20th Places: 1000 Stars
21st to 50th Places: 800 Stars
51st to 100th Places: 500 Stars
101st to 200th Places: 400 Stars
201st to 500th Places: 300 Stars
Below 500th Places: 200 Stars]],
ARENA_RULE_WEEK_GAME			 = [[
[Rules]
Each Weekly Arena will last for a week, from 10:00pm on Thursday to 8:00pm on the next Thursday. At the start, each player will possess 300 Arena Points. Players will be matched up against each other in auto combat at random. Earn a victory to receive Arena Points and Stars as rewards.

[Battle Interval]
Each challenge requires 5 minutes to cool down.

[Reward]
After the Weekly Arena ends at 8:00pm on each Thursday, the system will count your Arena Points and provide the equivalent Stars as a reward. The stars you received can be used to purchase tons of rare cards and items from the Star Shop.

]],
ARENA_SEASON			 = [[Season %d]],
ARENA_SEASON_END			 = [[End after]],
ARENA_SEASON_START			 = [[Start after]],
ARENA_TIME			 = [[ [d] D [hh] H [mm] Mins ]],
ARENA_TOP_GAME			 = [[Place Contest]],
ARENA_TOP_HEROES			 = [[Top 10]],
ARENA_TOP_SCORES			 = [[Top 5]],
ARENA_TRUCE			 = [[Truce]],
ARENA_TRUCE_IN			 = [[Truce]],
ARENA_TRUCE_IN_WAIT			 = [[The truce is now in force. Please try again later.]],
ARENA_UNOPEN			 = [[Arena is not available yet.]],
ARENA_WEEK_GAME			 = [[Week Contest]],
ARENA_WEEK_UNOPEN			 = [[The Weekly Arena will be coming soon. Just stay tuned.]],
ARENA_WIN_RATE			 = [[Won %d%%]],
ARMU_TALENT_LV_UP			 = [[Improve]],
ARMY_ACOUNT			 = [[Member:%d/%d]],
ARMY_ACTIVITY_NAME_1			 = [[Members]],
ARMY_ACTIVITY_NAME_2			 = [[Construction]],
ARMY_ACTIVITY_NAME_3			 = [[Talents]],
ARMY_ACTIVITY_NAME_4			 = [[Store]],
ARMY_ACTIVITY_NAME_5			 = [[News]],
ARMY_ACTIVITY_NAME_6			 = [[Conquer]],
ARMY_ACTIVITY_NAME_7			 = [[Instance]],
ARMY_ACTIVITY_NAME_8			 = [[Legions]],
ARMY_ACTIVITY_WILL_OPEN			 = [[Coming soon.]],
ARMY_ADD			 = [[Apply]],
ARMY_ADD_CANCEL			 = [[Cancel]],
ARMY_ADD_OVER24			 = [[Can't join other legion within %d hours.]],
ARMY_ADD_SUCCESS			 = [[Your request has been sent, please wait for reply]],
ARMY_ALERTINFO1			 = [[Experience Cards are not consumable in Legion talents.]],
ARMY_APPLY_PASS			 = [[Pass]],
ARMY_APPLY_TITLE			 = [[Apply]],
ARMY_BOSS_FIGHT			 = [[Issue war]],
ARMY_BOSS_FIGHT_TIMES			 = [[%d chances]],
ARMY_BOSS_KILL			 = [[Rewards:]],
ARMY_BOSS_KILL_REWARD			 = [[%s Kill Reward]],
ARMY_BOSS_LV_WARM			 = [[Need Legion Lv.%d]],
ARMY_BOSS_RANK			 = [[Rank]],
ARMY_BOSS_RANK_TITLE			 = [[%s Damage Rank]],
ARMY_BOSS_REWARD			 = [[Rewards]],
ARMY_BOSS_TITLE			 = [[Instance]],
ARMY_BOSS_WARM			 = [[1,There are 10 bosses in the legion instance which will reset at 0:00 on each Monday.
2,Only legion members have access to legion instance.
3,Each legion member has 10 chances to attack,rewards will be given according to the damage caused. Members can spend some diamonds to buy extra chances.
4,When a boss is killed, all members will be rewarded through the email in game.]],
ARMY_BOSS_WARM_TITLE			 = [[Description]],
ARMY_BUILD			 = [[Invest]],
ARMY_BUILDE_TITLE			 = [[Construction]],
ARMY_BUILD_GET			 = [[Get:]],
ARMY_BUILD_NO_TIMES			 = [[No limits for donating medals]],
ARMY_BUILD_POINT			 = [[Points]],
ARMY_BUILD_SUCCESS			 = [[Succeed!]],
ARMY_BUILD_TIMES			 = [[Construction chances today: %d]],
ARMY_BUUILD_NO_COUNT			 = [[Ran out of chances today]],
ARMY_CANCEL			 = [[Cancel]],
ARMY_COMMIT			 = [[Confirm]],
ARMY_CONTRIBUTE			 = [[Credits]],
ARMY_CREATE_CONFIRM			 = [[Input legion name]],
ARMY_CREATE_CONTENT			 = [[Requires %d diamonds,pls input your legion name.]],
ARMY_CREATE_SUCCESS			 = [[Succeed!]],
ARMY_CREATE_TITLE			 = [[Create]],
ARMY_EXP_NEED			 = [[Consume]],
ARMY_EXP_NOW			 = [[Own]],
ARMY_IDENTITY			 = [[Position:%s]],
ARMY_IDENTITY_1			 = [[Leader]],
ARMY_IDENTITY_2			 = [[Deputy]],
ARMY_IDENTITY_3			 = [[Member]],
ARMY_LEADER			 = [[Leader:%s  LV:%d]],
ARMY_LEADER_NAME			 = [[Legion leader:%s]],
ARMY_LV_NAME			 = [[LV%d  %s]],
ARMY_LV_UP			 = [[lvlup]],
ARMY_LV_UP_FAIL			 = [[Insufficient Legion points]],
ARMY_LV_UP_SUCCESS			 = [[Upgrade]],
ARMY_LV_UP_TITLE			 = [[Upgrade]],
ARMY_MENBER			 = [[Members]],
ARMY_MY_CONTRIBUTION			 = [[Personal credits:]],
ARMY_NEWS			 = [[News]],
ARMY_NOTICE			 = [[Slogan:%s]],
ARMY_NOTICE_EDIT			 = [[Edit]],
ARMY_NOTICE_LONG			 = [[Slogan should be less than 30 characters.]],
ARMY_NOTICE_NIL			 = [[Input slogan.]],
ARMY_NOTICE_NOMAL			 = [[Together we will build a better legion!]],
ARMY_NOTICE_SUCCESS			 = [[Succeed!]],
ARMY_NOTICE_TITLE			 = [[Edit]],
ARMY_NOTICE_WARM			 = [[Slogan should be less than 30 characters.]],
ARMY_OPERATE_1			 = [[Promote as deputy]],
ARMY_OPERATE_2			 = [[Degrade as member]],
ARMY_OPERATE_3			 = [[Transfer Legion]],
ARMY_OPERATE_4			 = [[Kickout]],
ARMY_OPERATE_5			 = [[Accuse Leader]],
ARMY_OTHER			 = [[Legions]],
ARMY_POINT			 = [[Construction Points:]],
ARMY_PROPOSER			 = [[Requests]],
ARMY_QUIT_CONFIRM_CONTENT			 = [[Confirm to quit legion and no longer be a part of it?]],
ARMY_QUIT_CONFIRM_TITLE			 = [[Quit]],
ARMY_QUIT_SUCCESS			 = [[Succeed!]],
ARMY_RANK			 = [[Contest Rank:%d]],
ARMY_RULE			 = [[Each legion has 1 leader, 2 deputies and some members.
Legion leader and deputies will be able to manage the team and to upgrade the legion level and store level. 
One who quits the team will lose 20% of one's personal credits, and will not be allowed to join other legions within 24 hours.
Get legions points via: Construction, Donating Medals, Legion instance and Conquer,etc.
Get personal credits by: Construction, Donating Medals,Legion Talents, Legion instance and Conquer,etc.
Benefits of leveling up a Legion:
1,expand the legion and get more members in. (25 members at most)  
2,improve the upper limits for both legion store and talents.
3,unlock bosses of higher levels.
4,conquer castles of higher levels. 
Construction:
Invest with diamonds or donate items to construct and get legion points and personal credits.Each player has one chance a day for diamond construction. Items for donation can be found by fighting dungeons. 
Legion store:
Improve legion level to exchange better items with person credits.
Legion talents:
Legion talents give all members buffs and can be leveled up by consuming cards (which only depends on the stars of cards and has nothing to do with card's level.)
Legion Instance:
There are 10 bosses in total here, for legions members only. Instance will reset at 0:00 on each Monday.
Conquer:
This is a cross-server match, legions from each server will join it.
]],
ARMY_SEARCH			 = [[Search]],
ARMY_SEARCH_TITLE			 = [[List]],
ARMY_SEARCH_WARM			 = [[Input legion name]],
ARMY_SHOP_BUY			 = [[Exchange]],
ARMY_SHOP_COUNT			 = [[%d available today]],
ARMY_SHOP_LV_UP			 = [[Upgrade]],
ARMY_SHOP_LV_UP_SUCCESS			 = [[Upgrade]],
ARMY_SHOP_NEED_LV			 = [[Need Store lv.%d]],
ARMY_SHOP_TITLE			 = [[Store]],
ARMY_STATUS_0			 = [[Hide]],
ARMY_STATUS_1			 = [[Quit]],
ARMY_STATUS_2			 = [[Manage]],
ARMY_STATUS_4			 = [[Kickout]],
ARMY_STATUS_5			 = [[Accuse]],
ARMY_TALENT_TITLE			 = [[Talents]],
ARMY_TALENT_WARM			 = [[Require a higher Legion level.]],
ARMY_TALENT_WARM_1			 = [[Talents in legion is not effective in team matches]],
BIND_PASSWORD			 = [[パスワード設定]],
BIND_PASSWORD_CONFIRM			 = [[パスワード確認]],
BIND_PASSWORD_TIP			 = [[※パスワードは半角英数字で8文字以上16文字以下で入力して下さい。]],
BIND_PASSWORD_TITLE			 = [[パスワード登録]],
BIND_SIGN			 = [[登録]],
BIND_TIP			 = [[機種変更した時はIDとパスワードでゲームデータを引き継ぐことが出来ます。]],
BOSS_ALL_ENCOURAGE			 = [[Server Buff]],
BOSS_BEGIN			 = [[ Countdown [hh]:[mm]:[ss] ]],
BOSS_BEGIN_FIGHT			 = [[Start]],
BOSS_CD			 = [[ CD:[mm]:[ss] ]],
BOSS_DAMOND_ENCOURAGE			 = [[Diam-Pep]],
BOSS_ENCOURAGE			 = [[Server Buff:%s]],
BOSS_ENCOURAGE_FAILURE			 = [[Failed.]],
BOSS_ENCOURAGE_FULL			 = [[Succeeded.Added  % buff.]],
BOSS_ENCOURAGE_REWARD			 = [[Reward]],
BOSS_ENCOURAGE_UP			 = [[Succeeded! Buffed up %d, Rewarded %d stars.]],
BOSS_END			 = [[The Boss War is over.]],
BOSS_END_TIME			 = [[ [d]D [hh]:[mm]:[ss] Left ]],
BOSS_FIGHT			 = [[Fight]],
BOSS_GETREWARD			 = [[Claim Reward]],
BOSS_GOLD_ENCOURAGE			 = [[Gold Boost]],
BOSS_KILLER			 = [[Final Hit:%s]],
BOSS_MY_ENCOURAGE			 = [[My Boost]],
BOSS_MY_POINT			 = [[Caused %d damage.]],
BOSS_MY_RANK			 = [[My Rank:%d]],
BOSS_OPEN_TIME			 = [[Event begins at 8:30 pm.]],
BOSS_RANK			 = [[Total Damage Rank]],
BOSS_REACTIVATING			 = [[The boss is reactivating.]],
BOSS_RULE			 = [[【How to beat the BOSS】
1, Use your cards to directly attack the BOSS hero 
2, Each regular attack will bring 135% of the regular damage to the BOSS.
【The benefits of Boosting your army】
1, Increase all of your cards’ ATK and HP for hitting the boss.
2, Increase the server buff.
3, Server buff increases all players’ card ATK and HP.
【BOSS War Rewards】
1, Gold rewards for each attack and damage on the boss. 
2, 10 Star rewards for each attack on the boss, regardless of damage.
3, Massive gold rewards when boss war is over, depending on the total caused damage.
【Final Hitter】Rewards:
Precious Diamond Chest×1，Delicate Key×1，Dazzling Magic Crystal×1；
【Top 10 Hitters】Rewards:
1st:Dazzling Magic Crystal×3，Magic Crystal×80，Halo Stone×6，Delicate Star Chest×2，Rare Soul Shard×1；
2nd:Dazzling Magic Crystal×2，Magic Crystal×70，Halo Stone×5，Delicate Star Chest×2，Common Soul Shard×3；
3rd:Dazzling Magic Crystal×2，Magic Crystal×65，Halo Stone×4，Delicate Star Chest×2，Common Soul Shard×2；
4th:Dazzling Magic Crystal×2，Magic Crystal×60，Halo Stone×3，Delicate Star Chest×1，Common Soul Shard×1；
5th:Dazzling Magic Crystal×1，Magic Crystal×50，Halo Stone×3，Common Star Chest×4；
6th:Dazzling Magic Crystal×1，Magic Crystal×45，Halo Stone×3，Common Star Chest×4；
7th:Dazzling Magic Crystal×1，Magic Crystal×40，Halo Stone×3，Common Star Chest×4；
8th:Magic Crystal×80，Halo Stone×1，Common Star Chest×3；
9th:Magic Crystal×75，Halo Stone×1，Common Star Chest×3；
10th:Magic Crystal×70，Halo Stone×1，Common Star Chest×3；
【BOSS Killed】Rewards（Only available when Boss killed successfully）:
Within 15 minutes——Star×600，turkey×3；
15-19 minutes——Star×450，turkey×2；
20-25 minutes——Star×400，turkey×2；
25-29 minutes——Star×350，turkey×1；
30-34 minutes——Star×300，turkey×1；
More than 35 minutes——Star× 250，turkey×1；
]],
BOSS_RULE_CLICK			 = [[Click on the boss for details.]],
BOSS_TITLE			 = [[BOSS]],
BUY_DIAMOND_CONFIRM			 = [[Insufficient diamonds. Do you wish to recharge now?]],
BUY_SP_CONFIRM			 = [[Confirm to spend %d diamonds for %d SP? This is the %d time today.]],
BUY_SP_FAIL			 = [[Failed.]],
BUY_SP_FULL			 = [[Your SP is now full. The purchase request was cancelled. Enjoy yourself and have fun!]],
BUY_SP_SUCCESS			 = [[Successful. Enjoy yourself and have fun!]],
BUY_SUCCESS			 = [[Successful.]],
BUY_SUCCESS_REFRESH			 = [[Your purchase has been successful. Please refresh later.]],
CARDGROUP_EXP			 = [[XP]],
CARDGROUP_HP			 = [[HP]],
CARDGROUP_OVERFLOW			 = [[You have too many cards. Please clear up to ensure a pleasant game experience]],
CARDGROUP_SP			 = [[SP]],
CARD_ALBUM			 = [[Album]],
CARD_ALREADY_COLLECT			 = [[Shards]],
CARD_ALREADY_MAX_LEVEL			 = [[Already enhanced to level cap.]],
CARD_ALREADY_RECEIVE			 = [[Claimed]],
CARD_ALREADY_SELECT			 = [[Have selected %d]],
CARD_ALSO_SELECT			 = [[Can still select %d]],
CARD_ATTACK			 = [[Attack:]],
CARD_CONFIG			 = [[Edit]],
CARD_CONFIG_MAIN			 = [[Main]],
CARD_CONFIG_VICE			 = [[Aux]],
CARD_CONFIRM			 = [[OK]],
CARD_CONFIRM_EVOLUTION			 = [[Confirm?]],
CARD_CONFIRM_FEED			 = [[Confirm to consume the material?]],
CARD_CONGRATULATION			 = [[Congrats]],
CARD_CONTAIN_HIGHT_LEVEL			 = [[You selected an advanced Card.]],
CARD_COST			 = [[Cost:]],
CARD_COST_ON_CARD			 = [[COST %d]],
CARD_COST_OVERFLOW			 = [[Cost exceeded the max]],
CARD_COST_VALUE			 = [[Cost: %d/%d]],
CARD_CUR_FIGHT			 = [[Participant]],
CARD_CUR_PROPERTY			 = [[Stats]],
CARD_CUR_SERVICE			 = [[Server]],
CARD_DO_SELL			 = [[Sell]],
CARD_ENHANCED			 = [[Enhance]],
CARD_ENHANCED_CARD			 = [[Enhanced Card]],
CARD_ENHANCED_FEED_CARD			 = [[Material Card]],
CARD_EVOLUTION			 = [[Evolve]],
CARD_EVOLUTION_CARD			 = [[Evolve]],
CARD_EVOLUTION_MATERIAL_CARD			 = [[Material]],
CARD_EVOLUTION_RULE			 = [[Evolvement Details：
1.Only 4-Star or above Non-Exp cards can be evolved. 
2.The card you want to evolve is required to reach the maximum level.
3.To evolve the card you need to consume a same-name card with maximum level and a set of materials of the same faction.
4.Evolvement effect: After being evolved, the card will become Lv. 1 but greatly increase its Growth Rate.
5.A card at any stage will increase one stage by consuming a 0-stage card. For example, a 2-stage Snow Maid consumes a 0-stage Snow Maid will leads to a 3-stage one.
6.Participating cards, team cards and protected cards cannot be evolved or consumed, remember to get rid of it before use.
7.Check out the following information for evolvement materials (1-2 means the Dungeon stage of this drop, which is marked before the stage name):
Alliance
Arbiter: 1-2, 2-4
Cross Amulet: 3-5, 4-7
Oracle: 5-2
Golden Ring: 6-8
Horde
Slaughterer: 1-3, 2-2
Tooth Amulet: 3-9, 4-5
War Manual: 5-9
Force Ring: 6-9
Undead
Soul Controller: 1-4, 2-6
Soul Amulet: 3-10, 4-6
Evil Code: 5-7
Wraith Ring: 6-7]],
CARD_EVOLUTION_SELECT_CARD			 = [[Target]],
CARD_EVO_OVERFLOW			 = [[Reached the Maximum Stage ]],
CARD_EVO_SELECT_CARD			 = [[Select an target evolve card]],
CARD_EVO_SELECT_MATERIAL_CARD			 = [[Select a card]],
CARD_FEED_CARD			 = [[Material Card]],
CARD_FRAGMENT			 = [[Shard]],
CARD_FRAGMENT_RULE			 = [[
Card Shard: Collect the appointed Card Shards to exchange for the target card. However, each Card Shard can only be exchanged for once!

How to receive: On a Card Shard, you can view the stage from which you may receive it. Remember! You can only receive Card Shards from the Heroic and Challenge modes.

For Example: After you clear stage 3-10 The Assassin in Heroic and Challenge modes, you have a chance to receive shards of the [Armed Bear] card

]],
CARD_GET_EXP			 = [[Exp]],
CARD_HP			 = [[HP:]],
CARD_LOCKED			 = [[Card is Under Protection]],
CARD_MAIN			 = [[Main]],
CARD_MATERIAL_CARD_NOT_ENOUGH			 = [[Insufficient material cards]],
CARD_MATERIAL_NOT_ENOUGH			 = [[Insufficient materials]],
CARD_MATERIAL_NOT_ENOUGH_CAED			 = [[Not enough Cards]],
CARD_MATERIAL_NOT_ENOUGH_WRAP			 = [[Not enough material]],
CARD_MONEY_NOT_ENOUGH			 = [[Not enough Gold]],
CARD_MY_MONEY			 = [[My Gold]],
CARD_NO_SELECT			 = [[Select a Card first]],
CARD_NO_SELECT_TWO			 = [[Please select 2 cards for battle]],
CARD_ON_WAR			 = [[Card is Set in Deck]],
CARD_PROTECTION			 = [[Protect]],
CARD_PROTECTION_SUCCESS			 = [[Successfully protected]],
CARD_RACE			 = [[Race:]],
CARD_RACE_ALLIANCE			 = [[Alliance]],
CARD_RACE_TRIBE			 = [[Horde]],
CARD_RACE_UNDEAD			 = [[Undead]],
CARD_RACE_VALUE			 = [[Race: %s]],
CARD_RECEIVE			 = [[Claim]],
CARD_SELECT_CARD			 = [[Select]],
CARD_SELECT_EVO_CARD			 = [[Select the Card you want to evolve]],
CARD_SELECT_FEED_CARD			 = [[Select a material Card]],
CARD_SELECT_MAIN_CARD			 = [[Select a Card you want to enhance]],
CARD_SELL			 = [[Sell]],
CARD_SELL_MONEY			 = [[Gold]],
CARD_SELL_SUCCESS			 = [[Successful]],
CARD_SKILL_UNLOCK_ONE			 = [[(Unlock at Lv 30)]],
CARD_SKILL_UNLOCK_TWO			 = [[(Unlock at Lv 60)]],
CARD_SMART_SELECT			 = [[Auto]],
CARD_SMART_SELECT_HELP			 = [[The system can automatically select 1-2 Star Cards according to the required Exp (except Exp Cards).]],
CARD_STAR_SMART_SELECT_HELP			 = [[Automatically select 1-2 Star Cards]],
CARD_STATUS_EVO_OVERFLOW			 = [[Already reached top level]],
CARD_STATUS_LOCKED			 = [[ [Under Protection] ]],
CARD_STATUS_ON_WAR			 = [[ [Set in Deck] ]],
CARD_STATUS_TEAM_CARD			 = [[ [Set in team battle] ]],
CARD_SWITCH			 = [[Replace]],
CARD_TEAM_CARD			 = [[Card is Set in team battle]],
CARD_TOTAL_ATTACK			 = [[Total ATK]],
CARD_TOTAL_HP			 = [[Total HP]],
CARD_TO_FEED			 = [[Confirm to select as material?]],
CARD_TO_SELL			 = [[Confirm to sell?]],
CARD_UNLOCK_LEVEL_FIVE			 = [[Lv 30]],
CARD_UNLOCK_LEVEL_FOUR			 = [[Lv 20]],
CARD_UNLOCK_LEVEL_ONE			 = [[Lv 3]],
CARD_UNLOCK_LEVEL_SEVEN			 = [[Lv 40]],
CARD_UNLOCK_LEVEL_SIX			 = [[Lv 35]],
CARD_UNLOCK_LEVEL_THREE			 = [[Lv 10]],
CARD_UNLOCK_LEVEL_TWO			 = [[Lv 5]],
CARD_UNLOCK_NOT_ENOUGH			 = [[You do not have enough Card Slots. Please level up.
If you need to replace a Card, please cancel the one you have selected.]],
CARD_UPGRADE			 = [[Enhance]],
CARD_USE_MONEY			 = [[Gold]],
CARD_VICE			 = [[Assist]],
CHANGE_CONFIRM			 = [[変更]],
CHANGE_NEW_PASSWORD			 = [[新しいパスワード]],
CHANGE_NOW_PASSWORD			 = [[現在のパスワード]],
CHANGE_OLD_ERROR			 = [[現在のパスワードが一致しません。]],
CHANGE_PASSWORD_ERROR			 = [[新しいパスワードと一致しません。]],
CHANGE_PASSWORD_TITLE			 = [[パスワード変更]],
CHAT_ALL			 = [[All]],
CHAT_INITIAL_WHEEL			 = [[ [Fortune Wheel] ]],
CHAT_PERSONAL			 = [[Private]],
CHAT_SEND_REST			 = [[Take your time, come back after a break.]],
CHAT_SEND_SUCCESS			 = [[Successful]],
CHAT_STOP_SPEECH			 = [[You are now muted. You can't talk within %d days %d hours and %d minutes.]],
CHAT_SYSTEM			 = [[System]],
CHAT_UNION			 = [[Race]],
CHAT_WORLD			 = [[World]],
COMMON_AGREE			 = [[Agree]],
COMMON_BACK			 = [[Back]],
COMMON_CANCEL			 = [[Cancel]],
COMMON_CLICKTO			 = [[Check out]],
COMMON_EDIT			 = [[Edit]],
COMMON_HAVEGET			 = [[Already claimed]],
COMMON_JUMP_TO			 = [[Check out]],
COMMON_LV_OPEN			 = [[Unlock at level %d]],
COMMON_NEWS_TIPS			 = [[Notice]],
COMMON_OK			 = [[Confirm]],
COMMON_RECHARGE			 = [[Recharge]],
COMMON_REFUSE			 = [[Reject]],
COMMON_RETRY			 = [[Retry]],
COMMON_SAVE			 = [[Save]],
COMMON_SELECTED			 = [[Select]],
COMMON_SEND			 = [[Send]],
COMMON_SKIP			 = [[Go later]],
COMMON_SPEED			 = [[Streak]],
COMMON_START			 = [[Start]],
COMMON_UNOPEN			 = [[Level %d]],
COMMON_VIEW			 = [[View]],
EQUIPMENT_ADD_HELP			 = [[Equipment supplement gives additional improvement.]],
EQUIPMENT_ADD_RULE			 = [[Description of equipment refinement:
1. Equipment refinement improves the Base Stats of Equipment. 
2. Equipment refinement requires Halo Stone/Dazzling Halo Stone, and gold.
3. The higher the refinement level, the more gold required. Only one Halo Stone/Dazzling Halo Stone required each time whatever the refinement level. 
4. It won't be 100% successful when using Halo Stone. If luckily succeeded, the refinement level +1, if not, -1.
5. Dazzling Halo Stone gives a 100% successful rate, but it cannot be used when refinement level ≥8.
6. The MAX refinement level is 12.
]],
EQUIPMENT_ATTRIBUTE			 = [[Stats]],
EQUIPMENT_ATTRIBUTE_ATK			 = [[ATK: %d]],
EQUIPMENT_ATTRIBUTE_HP			 = [[HP: %d]],
EQUIPMENT_ATTRIBUTE_TOTALHP			 = [[HP:]],
EQUIPMENT_BLACKSMITH			 = [[Smithy]],
EQUIPMENT_BLACKSMITHOPEN			 = [[Smithy will be coming soon. Please stay tuned.]],
EQUIPMENT_BODY			 = [[Armor]],
EQUIPMENT_CHOOSE			 = [[Choose]],
EQUIPMENT_DISMANTLE_CONFIRM			 = [[Tear up this refined equipment will irreversibly ,continue?]],
EQUIPMENT_DISMANTLE_CONFIRM_TITLE			 = [[Tear-up Confirmation]],
EQUIPMENT_DISMANTLE_EVO			 = [[Stage:%d]],
EQUIPMENT_DISMANTLE_HELP			 = [[Tear-up an equipment will receive some materials according to its worth.]],
EQUIPMENT_DISMANTLE_LV			 = [[Level:%d]],
EQUIPMENT_DISMANTLE_QUALITY_1			 = [[Quality:White]],
EQUIPMENT_DISMANTLE_QUALITY_2			 = [[Quality:Green]],
EQUIPMENT_DISMANTLE_QUALITY_3			 = [[Quality:Blue]],
EQUIPMENT_DISMANTLE_QUALITY_4			 = [[Quality: Purple]],
EQUIPMENT_DISMANTLE_QUALITY_5			 = [[Quality:Orange]],
EQUIPMENT_DISMANTLE_RULE			 = [[Equipment Tear-up Details:
1.Tear-up an equipment will get a part of ores that consumed by enhancement, refinement and evolvement.
2.Tear-up an original equipment will get some ores depends on its quality. 
3.Wearing equipment will not display in the equipment list. 
4.Equipment will disappear after Tear-up; it’s irreversible, handle with care!  ]],
EQUIPMENT_DISMANTLE_SETUP			 = [[Refine Level]],
EQUIPMENT_DISMANTLE_TITLE			 = [[Start Tear-up]],
EQUIPMENT_EVO_HELP			 = [[To evolve and get better growth rate in equipement enhancement.]],
EQUIPMENT_EVO_RULE			 = [[Description of Equipment Evolution:
1. Equipment evolution will increase the Growth Rate of the enhancement.
2. Equipment Evolution requires Blood Jade/Dazzling Blood Jade and a certain amount of gold.
3. The higher the supplement level, the more gold required. Only one Blood Jade/Dazzling Blood Jade required each time whatever the Evolution stage. 
4. It won't be 100% successful when using Blood Jade. Spend diamond will increase the successful rate by 20% during the evolution. The stage WON’T fall back even if evolution failed. 
5. Dazzling Blood Jade gives a 100% successful rate.
6. The MAX evolution stage  is determined by equipment quality:
White equipment: MAX stage 2
Green equipment: MAX stage 3
Blue equipment: MAX stage 4
]],
EQUIPMENT_GET			 = [[You Get]],
EQUIPMENT_HAND			 = [[Gloves]],
EQUIPMENT_HEAD			 = [[Head]],
EQUIPMENT_LIST			 = [[Equipment List]],
EQUIPMENT_LUUP_CRIT			 = [[Upgrade Bonus! The target equipment's level increased by]],
EQUIPMENT_LV			 = [[Required Level: %d]],
EQUIPMENT_LVUP			 = [[Upgrade]],
EQUIPMENT_LVUPTITLE			 = [[Enhance]],
EQUIPMENT_LVUP_SUCCESS			 = [[Upgrade successful. The target equipment's level is increased by 1.]],
EQUIPMENT_LV_HELP			 = [[Enhance and get higher equipment stats (Not including suit set stats)]],
EQUIPMENT_LV_RULE			 = [[Equipment Enhancement Description:
1. You can upgrade equipment to increase all of its basic stats, other than the bonus set stats.
2.  [Magic Crystals] or [Shining Magic Crystals] and gold are required to upgrade equipment.
3. The required amount of [Magic Crystal] and Gold is decided by equipment's level. Upgrading equipment to higher levels will consume more of these items.
4. Only one [Shining Magic Crystal] will be required to upgrade your equipment. It is not related to the level of your equipment.
5. Upgrade Bonus may occur to upgrading your equipment by several levels.
6. The level of your equipment cannot exceed the level of your character.
7. The success rate to upgrade equipment is 100%.]],
EQUIPMENT_MATERIALM			 = [[Materials]],
EQUIPMENT_MINE			 = [[Mine]],
EQUIPMENT_MINEOPEN			 = [[The Mine will be coming soon. Please stay tuned. ]],
EQUIPMENT_SELL			 = [[Sure to sell?]],
EQUIPMENT_SELL_SUCCESS			 = [[Succeeded!]],
EQUIPMENT_SETUP_FAILURE			 = [[Failed.]],
EQUIPMENT_SETUP_SUCCESS			 = [[Successfully. Stage +1.]],
EQUIPMENT_SHIELD			 = [[Shield]],
EQUIPMENT_SHOES			 = [[Shoes]],
EQUIPMENT_SKILL			 = [[Skill]],
EQUIPMENT_STEPUPTITLE			 = [[Evolve]],
EQUIPMENT_STEPUPTITLE_LV			 = [[Stage: %d]],
EQUIPMENT_STEPUP_OPEN			 = [[The function to Equipment Evolution will be coming soon. Please stay tuned.]],
EQUIPMENT_SUCCESSRATE			 = [[Chance:]],
EQUIPMENT_SUCCESSRATEUP			 = [[Success Rate +%d]],
EQUIPMENT_SUPPLEMENTTITLE			 = [[Refine]],
EQUIPMENT_SUPPLEMENT_FAILURE			 = [[Failed. Dropped 1 refine Level.  ]],
EQUIPMENT_SUPPLEMENT_FAILURE_02			 = [[Failed.]],
EQUIPMENT_SUPPLEMENT_LV			 = [[Refine Level: %d]],
EQUIPMENT_SUPPLEMENT_OPEN			 = [[The function to equipment refinement will be coming soon. Please stay tuned.]],
EQUIPMENT_SUPPLEMENT_STONE			 = [[Your refinement is already %, can't use Dazzling Halo Stone.]],
EQUIPMENT_SUPPLEMENT_SUCCESS			 = [[Successfully. Refinement level+1.]],
EQUIPMENT_TITLE			 = [[Equip]],
EQUIPMENT_USEDAMOND			 = [[Spend]],
EQUIPMENT_WEAPON			 = [[Weapon]],
EQUIP_AID			 = [[Aid]],
EQUIP_ALLRACE			 = [[All Factions]],
EQUIP_ATTACK			 = [[Attack]],
EQUIP_BAG_EUQIP			 = [[Bag Equipment]],
EQUIP_BODY			 = [[Armor]],
EQUIP_CUR_EUQIP			 = [[Current Equipment]],
EQUIP_DISMANTLE			 = [[Tear-up]],
EQUIP_EFFECT			 = [[Stats]],
EQUIP_HAND			 = [[Hands]],
EQUIP_HEAD			 = [[Helmet]],
EQUIP_HERO			 = [[Hero]],
EQUIP_HERO_HAVE			 = [[%s's]],
EQUIP_HP			 = [[HP]],
EQUIP_OVERFLOW			 = [[You have too much equipment. Please clear up to ensure a pleasant game experience.]],
EQUIP_SELECT_EQUIP			 = [[Please select a piece of equipment.]],
EQUIP_SET			 = [[%s (%d/%d)]],
EQUIP_SET_POS			 = [[(%d) Set: %s]],
EQUIP_SET_SKILL			 = [[Skill: %s %d]],
EQUIP_SET_SKILL_POS			 = [[(%d) Set: %s %d]],
EQUIP_SHIELD			 = [[Shield]],
EQUIP_SHOES			 = [[Shoes]],
EQUIP_UNLOAD			 = [[Unequip]],
EQUIP_USE			 = [[Equip]],
EQUIP_WEAPON			 = [[Weapon]],
FAQ_ANSWER			 = [[Answer %d: %s]],
FAQ_CONTENT			 = [[Question %d: %s
Answer %d: %s]],
FAQ_QUESTION			 = [[Question %d: %s]],
FAQ_TITLE			 = [[ [FAQ] Move up and down to check more information！]],
FIGHT_ARENA_RANK			 = [[Rank]],
FIGHT_AUTO			 = [[Auto]],
FIGHT_BOSS_HURT			 = [[Damage]],
FIGHT_BTN_BACKMAP			 = [[Back]],
FIGHT_BTN_BUY_CARD			 = [[Draw]],
FIGHT_BTN_INVITE_FRIEND			 = [[Invite]],
FIGHT_BTN_RETRY			 = [[Retry]],
FIGHT_BTN_STRONG_CARD			 = [[Enhance]],
FIGHT_BUY_JD_FMT			 = [[Spend %d Diamonds
 to skip to the next level.]],
FIGHT_BUY_JD_TIP			 = [[You can't skip a battle for free before successfully challenge it once. Wanna spend %d Diamonds to skip it?]],
FIGHT_CARD_COST			 = [[Cost:]],
FIGHT_CARD_LIMIT			 = [[Max Card:]],
FIGHT_CUR_EXP			 = [[Current XP:]],
FIGHT_DOWN			 = [[Drop]],
FIGHT_FAILED			 = [[Lose]],
FIGHT_FP			 = [[Friendship]],
FIGHT_FRIEND_LIMIT			 = [[Max Friends:]],
FIGHT_GET			 = [[Got]],
FIGHT_GET_REWARD			 = [[Got reward]],
FIGHT_GET_SCORE			 = [[Credits:]],
FIGHT_HP			 = [[HP:]],
FIGHT_PLACES			 = [[Place]],
FIGHT_RANK			 = [[Rank:]],
FIGHT_ROUND			 = [[Round]],
FIGHT_ROUND_END			 = [[End
Turn]],
FIGHT_SKIP			 = [[Skip]],
FIGHT_TIPS_1			 = [[level up to unlock new Card Slot and deck.]],
FIGHT_TIPS_10			 = [[Complete Rank Contest 10 times each day to get SP reward.]],
FIGHT_TIPS_11			 = [[You can unlock a card skill as soon as it has reached level 30 and level 60.]],
FIGHT_TIPS_12			 = [[Try Manual mode when you can't defeat the enemy.]],
FIGHT_TIPS_13			 = [[You may get 5-Star Cards once you win a battle.]],
FIGHT_TIPS_14			 = [[Increase your rank in the Arena to get more rewards.]],
FIGHT_TIPS_15			 = [[You can claim extra SP at 12:00noon and 8:00pm every day.]],
FIGHT_TIPS_16			 = [[A higher level Card possesses higher HP and stronger Attack.]],
FIGHT_TIPS_17			 = [[Control Cards are critical.]],
FIGHT_TIPS_18			 = [[Healing Cards can protect your Attacking Cards to cause more damage.]],
FIGHT_TIPS_19			 = [[Blessing Cards can bring into full play within a deck of single faction.]],
FIGHT_TIPS_2			 = [[Use Exp Card to get even more Exp for your card.]],
FIGHT_TIPS_20			 = [[Prayer can protect your hero from death.]],
FIGHT_TIPS_21			 = [[Make full use of lower star Cards when the cost is not enough.]],
FIGHT_TIPS_3			 = [[Collect Card Shard may get a top 5-Star Card.]],
FIGHT_TIPS_4			 = [[Invite friends to fight together and get Friendship.]],
FIGHT_TIPS_5			 = [[Pass through the Big Map to get Diamonds as a reward.]],
FIGHT_TIPS_6			 = [[Level up to get Diamonds as a reward.]],
FIGHT_TIPS_7			 = [[Powerful friends can help you pass a stage.]],
FIGHT_TIPS_8			 = [[Friends can invite your main Card to fight together.]],
FIGHT_TIPS_9			 = [[Sign in each day to get even more rewards.]],
FIGHT_UP			 = [[ ⬆ ]],
FIGHT_WIN			 = [[Win]],
FRIEND_ADD_FRIEND			 = [[Add]],
FRIEND_ADD_FRIENDS			 = [[Random]],
FRIEND_APPLICATION_FRIEND			 = [[Add as Friend]],
FRIEND_APPLICATION_FRIENDS			 = [[Appliants]],
FRIEND_APPLICATION_SUCCESS			 = [[Successful]],
FRIEND_ARENA_RANK			 = [[Arena Rank:]],
FRIEND_CAPS			 = [[Friends]],
FRIEND_DEL_FRIENDS			 = [[Delete]],
FRIEND_DEL_FRIEND_CONFIRM			 = [[Confirm to delete the target friend?]],
FRIEND_FRIENDS_APPLICATION			 = [[Apply]],
FRIEND_GET_SP			 = [[Receive all]],
FRIEND_GIFT_SP			 = [[Gift SP]],
FRIEND_GIVE_SP			 = [[Give all]],
FRIEND_LAST_LOGIN_TIME			 = [[Latest Login:]],
FRIEND_LEAVE_MESSAGE			 = [[Message]],
FRIEND_MAIN_CARD			 = [[Main]],
FRIEND_MY_FRIENDS			 = [[My Friend]],
FRIEND_MY_ID			 = [[My ID:]],
FRIEND_NOT_SEARCH			 = [[Can't find the target friend]],
FRIEND_RECEIVE_SP			 = [[Claim SP]],
FRIEND_SEARCH_FRIEND			 = [[Search]],
GAME_PAUSE_HINT			 = [[Welcome back. Time to continue your heroic quest.]],
GOODS_ALL			 = [[All]],
GOODS_CONSUMABLE			 = [[Consum]],
GOODS_DETAILS			 = [[Detail]],
GOODS_EVO_LEVEL			 = [[Stage: %d]],
GOODS_GOODS			 = [[Item]],
GOODS_INPUT_NAME			 = [[Please input a name]],
GOODS_LEVEL			 = [[Level:%d]],
GOODS_MATERIAL			 = [[Material]],
GOODS_MEMO			 = [[Description:]],
GOODS_MISSION			 = [[Quest]],
GOODS_NAME_NOT_USE			 = [[Invalid name, please change a new one]],
GOODS_NAME_OVERFLOW			 = [[Name is too long,shorter please.]],
GOODS_NAME_SUCCESS			 = [[Name has changed, Congrats!]],
GOODS_NEED_LEVEL			 = [[Required Level:]],
GOODS_NONE			 = [[None]],
GOODS_PRICE			 = [[Unit Price:%d]],
GOODS_SELL			 = [[Sell]],
GOODS_SELL_PRICE			 = [[Price]],
GOODS_SHOW_OFF			 = [[Show Off]],
GOODS_SYNTHESIS			 = [[Combine]],
GOODS_TITLE			 = [[Items]],
GOODS_TREASURE_CHEST			 = [[Treasure]],
GOODS_TYPE			 = [[Type:%s]],
GOODS_USE			 = [[Use]],
GOODS_USE_SUCCESS			 = [[Successful]],
HELPER_INFO_000010			 = [[Svril, evacuate through the secret door with %s first, and I'll join you guys after I've taken care of these killers!]],
HELPER_INFO_000020			 = [[But…Uncle, we can't leave you alone!]],
HELPER_INFO_000030			 = [[None of this but talk. You must protect the Divine Iron! Go quickly!]],
HELPER_INFO_000040			 = [[Hmpf! Such recklessness! Just show me what you're made of!]],
HELPER_INFO_000050			 = [[I swear upon my life we will destroy the devil army! Show them the honor and strength of our unbreakable kingdom!]],
HELPER_INFO_000060			 = [[Hmmm! You tiny little ants! Feel the fear of your death!]],
HELPER_INFO_000070			 = [[So this is Fiend's strength，hope Avirl and others are safe now after all this delay. Prince, you must restore the holy sword, and, your kingdom.]],
HELPER_INFO_000300			 = [[Devil revived itself from darkness and teared the Kingdom apart. The final hope laid upon the holy sword and its new master, who was about to begin a mysterious journey.]],
HELPER_INFO_000310			 = [[%s, you have finally woken up! You made me very worried!]],
HELPER_INFO_000320			 = [[Ah~~~! My head really hurts!  Did someone just hit me with a brick!? Right, where is Uncle Vickar?! I can hardly remember...]],
HELPER_INFO_000330			 = [[(Silent) Just now Your Highness was absolutely unwilling to go. Svril had no choice but to clobber you with a brick. I don't know whether Uncle is safe or not.]],
HELPER_INFO_000340			 = [[You two are hiding here, hand over the Divine Iron, unless you wanna end up like that old dummie!]],
HELPER_INFO_000350			 = [[Too bad,I lost all my cards while we were escaping. >.<!]],
HELPER_INFO_000360			 = [[Don't worry! I knew a black marketer, I guess it won't be hard to get cards from him.  ]],
HELPER_INFO_000380			 = [[We can get rare cards by using some diamonds, but it's emergency so I had to get some regular cards with friendship. ]],
HELPER_INFO_000420			 = [[When we got some new cards, we must deploy them into deck. Otherwise they won't be able to fight in battles.  ]],
HELPER_INFO_000440			 = [[Your highness! The left biggest place is for the main card, rests are for the secondary cards. Main card can be used by your friends and help them in their battles. ]],
HELPER_INFO_000450			 = [[Let's start by setting the main card, and then secondary cards. They are deployed seperately. ]],
HELPER_INFO_000480			 = [[Now pick a card as your main card. Click the view button for more info about your card. ]],
HELPER_INFO_000490			 = [[Simple, right? When you laid down your Cards, your character's summon COST (right side of your avatar) must be higher than the total of all participating Cards' Cost (top right corner of a Card).]],
HELPER_INFO_000491			 = [[If you don't have enough of the Summon ability, you have to raise it by leveling up first. Now select your Cards for battle.]],
HELPER_INFO_000510			 = [[The main card which has been configured will not appear in the selection of additional cards! Likewise, select one card and click OK!]],
HELPER_INFO_000530			 = [[Okay! The deck has been configured! Now it's time to show those scoundrels some action!]],
HELPER_INFO_000560			 = [[Your Highness! We've finally found you! I thought you and Uncle Vickar were…]],
HELPER_INFO_000570			 = [[It seems that Uncle has been…! Damn you demons! I'll never forgive you!]],
HELPER_INFO_000580			 = [[Hmmm! So you find a helper! Even better! I shall send both of you to hell. ]],
HELPER_INFO_000590			 = [[Brag as you like! I am here to help, your highness.  ]],
HELPER_INFO_000610			 = [[You can select a friend for help and let his/her main card to join your fight in Common and Heroic level. ]],
HELPER_INFO_000640			 = [[With Liam's help, it's much easier to fight these fish bellies! Your Highness, try Auto and we will be sitting pretty!]],
HELPER_INFO_000700			 = [[Whoo! We finally got rid of those killers! First find a place to hide for a night, then we'll leave the town at dawn tomorrow.]],
HELPER_INFO_000710			 = [[We can't wait. Let's find somewhere safe first.]],
HELPER_INFO_000720			 = [[Your Highness! This damn stone isn't like the Holy Sword no matter which way you turn it?! So many lives have been sacrificed for it…]],
HELPER_INFO_000730			 = [[I heard Uncle say that the city was destroyed on the day the sword was finished. My late father had to forge it into a stone of iron to protect it from being destroyed by Fiend.]],
HELPER_INFO_000740			 = [[Fiend must dread this Holy Sword a great deal. Otherwise, why would he have sent so many killers and set the town in an uproar? And he killed Uncle!]],
HELPER_INFO_000750			 = [[As for Uncle's revenge, Fiend must pay blood for blood!]],
HELPER_INFO_000760			 = [[Dusk has set in and the clamor is gone. The hero is waiting for the twilight. Warrior! Are you prepared for the journey? Dungeons&Evil, Glorious Return!]],
HELPER_INFO_000770			 = [[Prologue is now finished. Great, there is a reward up for grabs. Hurry up!]],
HELPER_INFO_000790			 = [[Pushing through maps is the best way to level up. A newbie gift pack will be given when you get 5 stars in the first map. Go for it!]],
HELPER_INFO_000800			 = [[It is almost daybreak, your highness. Let us get out of town now.]],
HELPER_INFO_000810			 = [[Finally found you little ants! Wanna get out? We will take your bodies out!]],
HELPER_INFO_000850			 = [[Careful your highness! Let us finish this soon and move on.]],
HELPER_INFO_000870			 = [[New slot available! You can now put another card on it.]],
HELPER_INFO_000890			 = [[It requires wisdom and strategy to better distribute your COST value. Cancel some selected cards if your COST is insufficient.]],
HELPER_INFO_010010			 = [[%s! You must have gotten many cards in the fight! It's time to use [Card Enhancement] to take the advantage of them! Go to the deck interface!]],
HELPER_INFO_010010_MSG			 = [[Enhance function unlocked.]],
HELPER_INFO_010020			 = [[Card Enhancement is devouring other cards to improve its level, thus enhancing its properties and unlocking skills! Let's hurry up and give it a whirl!]],
HELPER_INFO_010041			 = [[Please select a card you want to enhance.]],
HELPER_INFO_010070			 = [[Next you should select a Material Card, as the number of Material Cards which can be devoured each time is unlimited!]],
HELPER_INFO_010090			 = [[Don't select too many Material Cards during enhancement. Otherwise, the extra experience will be wasted when the card level is full! When there are too many cards, you can use [Auto] to finish the task!]],
HELPER_INFO_010100			 = [[Devour a card this time and see the effect!]],
HELPER_INFO_010140			 = [[Wow! The card's experience has improved! Enhancing your cards is the best way to enhance your strength. Keep it up, Your Highness!]],
HELPER_INFO_020010			 = [[Your Highness! You've been lazy as of late. How are you gonna stand up to Fiend if you don't get your strength up? It's time to learn [Card Evolvement]!]],
HELPER_INFO_020010_MSG			 = [[Evolve function unlocked.]],
HELPER_INFO_020030			 = [[ [Card Evolvement] involves fusing two identical cards which are full. The new high-level card's Growth Value will be improved drastically! ]],
HELPER_INFO_020040			 = [[But note that only the cards with 4 stars or above can evovle; in addition, the evovled high-level card will be reborn at level 1!]],
HELPER_INFO_020050			 = [[In other words, I can fuse two identical level 60 4-star cards or 5-star cards]],
HELPER_INFO_020060			 = [[Your Highness has impressive intuition! But you're only half right -- we need 4 kinds of materials to evolve, and different materials are used for different factions!]],
HELPER_INFO_020070			 = [[I knew it wouldn't be so simple. The world is so big, so where can I find the materials?]],
HELPER_INFO_020080			 = [[Heehee, did you notice the question mark at the bottom right? Click and view, and you'll get some information on advancement. Now it's your turn, Your Highness.]],
HELPER_INFO_030010			 = [[Your Highness! Do you remember what Svril told you? Availing yourself of a friend's main card can change the outcome of the battle! Let's see how we can make new friends!]],
HELPER_INFO_030010_MSG			 = [[Friend function unlocked.]],
HELPER_INFO_030040			 = [[What's left for us to do is to wait for their reply, no sweat! But note that the upper limit of your present friends is limited by your character's level!]],
HELPER_INFO_030050			 = [[Everyday you and your friends can fuel one another's SP and help each other to advance! Your Highness should check your friend requests all the time!]],
HELPER_INFO_040010_MSG			 = [[Star collecting unlocked.]],
HELPER_INFO_040020			 = [[Your Highness! It's star rain. Uncle said stars have magical power! Hurry up and collect them!]],
HELPER_INFO_040040			 = [[Excellent! The number of stars that we have has increased. We'll have to wait a bit before collecting the next star shower. Your Highness, don't forget!]],
HELPER_INFO_040050			 = [[Every time you pass a level of difficulty, you can get an extra star when you collect the stars! You can get up to 30 stars in a single map! Go for the challenge!]],
HELPER_INFO_050010_MSG			 = [[Talent unlocked.]],
HELPER_INFO_050020			 = [[Your Highness! There's a book that Uncle Vickar left behind. It appears to be pretty freaking awesome!]],
HELPER_INFO_050030			 = [[Really? Let me have a look. Comprehensive Talents?]],
HELPER_INFO_050040			 = [[Wow! It's a manual on how kingdoms march and fight; Uncle must have left it intentionally. Your Highness, be sure to study it carefully!]],
HELPER_INFO_050060			 = [[No, with so many classifications, how am I supposed to use it when I can't even make sense of it?]],
HELPER_INFO_050070			 = [[Fear not, Your Highness. You have Svril! First select the talents that you want to acquire, and then click the Upgrade key on the bottom right. ]],
HELPER_INFO_050090			 = [[Oh?! There are two ways. You can tell Diamonds are more convenient at the first glance -- simple and straightforward. Let's use diamonds!]],
HELPER_INFO_050100			 = [[Your Highness! Diamond upgrading is easy, but our purse is about empty. Take a look at upgrades by consuming cards!]],
HELPER_INFO_050120			 = [[Cheater! We obviously need 3 materials -- cards, gold and stars...more stuff.]],
HELPER_INFO_050130			 = [[Compared with Diamonds, this stuff isn't hard to get if you regularly give thought to gathering it! The effect of advanced talent in a fight is not to be despised!]],
HELPER_INFO_070010_MSG			 = [[Arena unlocked.]],
HELPER_INFO_070020			 = [[Svril, where are we? Why do I feel like I can't keep still?]],
HELPER_INFO_070030			 = [[Your Highness! This is the kingdom's arena where the warriors compete and the winner takes all! And the winner will be handsomely rewarded!]],
HELPER_INFO_070040			 = [[Wow! How could they compete without me? Let me see...so there's the Rank Contest and the Weekly Contest?]],
HELPER_INFO_070050			 = [[Right, we settle accounts for the Rank Contest every day with ranks and awards; the Weekly Contest cycles through once a week. You can click and check out the regulation details in the subpage!]],
HELPER_INFO_070080			 = [[What the hell! There are so many words! Nope, I'm about to pass out. Might as well fight for a round! Haha!]],
HELPER_INFO_080010_MSG			 = [[Card Shard unlocked.]],
HELPER_INFO_080020			 = [[Svril, what is Card Shard? Maybe I can get powerful Cards if I can collect enough Card Shards.]],
HELPER_INFO_080030			 = [[You are right! You might be able to get Card Shards once you pass some special stages. Collect enough shards and then you can get the corresponding Cards. That's all!]],
HELPER_INFO_080040			 = [[I got it! However, where can I get shards?]],
HELPER_INFO_080050			 = [[Well, have a look at [Card Shard] interface.]],
HELPER_INFO_080070			 = [[That's it! Stage, type and the amount I already had. So easy!]],
HELPER_INFO_080080			 = [[However, the chance to get a shard is not 100% definite. Shards of each Card can only be collected once. Hurry up!]],
HELPER_INFO_090010_MSG			 = [[Card Slot unlocked.]],
HELPER_INFO_100010_MSG			 = [[Deck unlocked.]],
HELPER_INFO_110010_MSG			 = [[Exploration unlocked.]],
HELPER_INFO_110030			 = [[There is a small abandoned castle ahead. Would you like to have a check? Maybe you can find some treasures left behind by the noblemen.]],
HELPER_INFO_110040			 = [[Ha ha. I'm great at searching for treasure. How could I miss out on a chance like this?]],
HELPER_INFO_110050			 = [[Oh? Why is the Explore button unavailable on certain stages?]],
HELPER_INFO_110060			 = [[You must explore the stages one by one in order. The locked rewards on the right require you to complete the corresponding stages in the Heroic and Challenge modes.]],
HELPER_INFO_110070			 = [[I see. We can't wait. Let me have a check now.]],
HELPER_INFO_120010_MSG			 = [[Equipment is avaiable, check out.]],
HELPER_INFO_120020			 = [[Your highness, it's show time for your blacksmith skills. The tailor makes the man, so does the smith! LoL.]],
HELPER_INFO_120030			 = [[Forging equipment is easy for me. Let me see. Oh, Svril! Is this a picture of me as a kid on the left? Where did you get it…]],
HELPER_INFO_120040			 = [[Your highness,your clothes are sooo old-fashioned,try this one I asked from Liam. ]],
HELPER_INFO_120060			 = [[My prince, see how fantastic it is now!]],
HELPER_INFO_120070			 = [[Come on! That's nature! The equipment looks nice but still needs some polish.]],
HELPER_INFO_120080			 = [[The blacksmith skills you learned is not gonna waste.Use the Smithy to improve your equipments.]],
HELPER_INFO_130010_MSG			 = [[Weekly Arena unlocked.]],
HELPER_INFO_130020			 = [[Sire, you are finally able to qualify for the Weekly Arena!]],
HELPER_INFO_130030			 = [[It's a piece of cake for me.]],
HELPER_INFO_130050			 = [[As its name implies, the Weekly Arena will last for a week. You can click [Rules] on the bottom of the interface to view more details and rewards.]],
HELPER_INFO_140010_MSG			 = [[Smithy is unlocked.]],
HELPER_INFO_140030			 = [[The feeling is back again. It must be smithy.]],
HELPER_INFO_140040			 = [[The Blacksmith Association has agreed that you can use the blacksmith shops around the world for free. However, you will need to gather the required Gold and materials by yourself.]],
HELPER_INFO_140050			 = [[The Blacksmith Association is as stingy as it always has been. By the way, where do I go to find the required materials…]],
HELPER_INFO_140060			 = [[You can receive the required materials from exploration and the iWish. If you work hard to level up and unlock the [Mine], it would be very easy to gather materials.]],
HELPER_INFO_140070			 = [[I see. I will cheer on!]],
HELPER_INFO_150010_MSG			 = [[The mine is unlocked.]],
HELPER_INFO_150020			 = [[Svril, where are you taking me? Don't you see that I'm busy gathering the materials to upgrade my equipment.]],
HELPER_INFO_150030			 = [[The Blacksmith Association has agreed to allow you to gather ore in the mines. Hurry up and dig up some ore.]],
HELPER_INFO_150050			 = [[Wow, awesome! Now I don't need to worry about materials any more.]],
HELPER_INFO_150060			 = [[If you want to discover better materials, you will need to increase your proficiency. You will have to work hard.]],
HELPER_INFO_160010_MSG			 = [[Equipment Evolution is avaiable, check out.]],
HELPER_INFO_160030			 = [[Prince,time to evolve your equipment!]],
HELPER_INFO_160040			 = [[Equipment Evolution? No idea what it is! Tell me about it.]],
HELPER_INFO_160050			 = [[Well, Equipment Evolution gives equipments better growth rate. The higher the advancement stage, the higher the growth rate. ]],
HELPER_INFO_160060			 = [[Er…How could I forget. I was just testing if you did.]],
HELPER_INFO_160070			 = [[Hmmm...Hope your highness is not merely talking.Don't forget to check the mine regularly and get the exclusive materials for Equipment Evolution.]],
HELPER_INFO_170010_MSG			 = [[equipment supplement is avaiable, check out.]],
HELPER_INFO_170030			 = [[I shall master the final art of smith soon and forge a holy sword like my father did. ]],
HELPER_INFO_170040			 = [[（The prince asks again）What is the equipment refinement?  ]],
HELPER_INFO_170050			 = [[I've no idea.]],
HELPER_INFO_170060			 = [[Refinement improves the Base Stats of Equipments. You don't wanna miss it.]],
HELPER_INFO_170070			 = [[Materials for equipment refine must also be exclusive. Guess it is time to mine.]],
HELPER_INFO_200010_MSG			 = [[Fortune bay unlocked. Check out.]],
HELPER_INFO_200030			 = [[So this is where pirate Blackbeared hided his treasure? Someone is gonna be really lucky!]],
HELPER_INFO_200040			 = [[The tower is being guarded, it won’t be easy to get the treasure without strong parners.]],
HELPER_INFO_200050			 = [[The tower can wait and I will become stronger enough.  ]],
HELPER_INFO_200060			 = [[Let's get in and take a look first, your highness!]],
HELPER_INFO_210010			 = [[What a tower! It almost reaches the sky. ]],
HELPER_INFO_210010_MSG			 = [[Ghost tower unlocked. Check out.]],
HELPER_INFO_210020			 = [[This is Fiend's forbidden place. Rumor has it that whoever claim to the top will be the next Fiend.]],
HELPER_INFO_210030			 = [[What is this place? The tower almost reaches the sky.]],
HELPER_INFO_210040			 = [[This is Fiend's forbidden place. Rumor has it that whoever claim to the top will be the next Fiend.]],
HELPER_INFO_210050			 = [[Ahh! You do not wanna be next Fiend,do you?]],
HELPER_INFO_210060			 = [[Aha! This is where I can test my true power! I am gonna climb to 100th floor!]],
HELPER_INFO_210070			 = [[Just act according to your power, your highness.]],
HELPER_INFO_900210			 = [[Whoo…it's finally solved! But I've got a bad premonition...]],
HELPER_INFO_900220			 = [[Your Highness! Bite your tongue. I'm afraid the good is ineffective and the bad effective.]],
HELPER_INFO_900230			 = [[Unfortunately, it would appear that I called it. There are many footsteps; many people are coming. It might be those killers who gave off the signals.]],
HELPER_INFO_900240			 = [[The intersection of the town is ahead. Let's give it a go and break through!]],
HELPER_INFO_900250			 = [[We found them! Stinky, where are you going to hide? Fight!]],
HELPER_INFO_900310			 = [[We finally got away. Talk about a close call!]],
HELPER_INFO_900320			 = [[Your Highness, are you hurt?! Bind up the wound. You've walked so far without making a squeak -- flaunting your toughness, eh!]],
HELPER_INFO_900330			 = [[You get all worked up over a small wound. Later on, you won't get the piss scared out of you at the sight of Fiend!]],
HELPER_INFO_900340			 = [[A small wound is still a wound. If you're not mindful, you'll end up with major problems. You can't afford to be careless.]],
HELPER_INFO_900350			 = [[We're safe now. It's probably game over for those killers. Your Highness, tend to the wound quickly. I'll stand guard.]],
HELPER_INFO_900410			 = [[Your Highness, next shall we go after Fiend and seek revenge?]],
HELPER_INFO_900420			 = [[Easier said than done. We're weak and powerless now -- he could devour us in a single bite...]],
HELPER_INFO_900430			 = [[Hmpf! I'm gonna knock the teeth right outta that bite!]],
HELPER_INFO_900440			 = [[Nonsense. Our urgent mission at hand is to unite anti-demon forces throughout the nation. Fighting solo will only spell out our own destruction!]],
HELPER_INFO_900450			 = [[Uncle Vickar said that the support of the gentry is essential if we hope to contend with Fiend. Let's go to the SG-Castle!]],
HELPER_INFO_900510			 = [[Grrr~~~! (A growling stomach)]],
HELPER_INFO_900520			 = [[Svril is to blame, as she forgot to stock up on food at the Black Marketer's. It's desolate around here. Where can we go have a bite?]],
HELPER_INFO_900530			 = [[Don't be afraid, little girl, just follow me. I'll make sure you eat and drink to your heart's delight! Hahaha! ]],
HELPER_INFO_900540			 = [[Holy shit, where did that damn pig come from? It's asking for a beating!]],
HELPER_INFO_900610			 = [[Where the hell did that damn pig come from? Its power is no joke. I hardly have the strength to walk.]],
HELPER_INFO_900620			 = [[I remember Uncle saying that there are many horrible Orc Warriors under Fiend. I think this guy may very well be one of them!]],
HELPER_INFO_900630			 = [[Ah?! They are Orcs! I thought they were just robbers with pig masks…]],
HELPER_INFO_900640			 = [[These days, robberies are committed out in the open. Which idiot would rob with a pig mask on? No wonder he'll be beaten.]],
HELPER_INFO_900710			 = [[Hey! You imps, did you see a guy who looks like me?]],
HELPER_INFO_900720			 = [[(Eh?! Could it be that they're with the pigs?) Ah! I saw them go there just now.]],
HELPER_INFO_900730			 = [[What?! I just came from there, Gramps. You're trying to screw with me? Go to hell.]],
HELPER_INFO_900740			 = [[Shit, bad luck. I was just joking.]],
HELPER_INFO_900810			 = [[These pig men are so powerful. It's not gonna be fun and games if we run into another group of them.]],
HELPER_INFO_900820			 = [[No, I'm totally worn out. I can't walk anymore. I'm starving(╯﹏╰)]],
HELPER_INFO_900830			 = [[Luckily, I prepared some solid food for emergencies. It tastes bad, but it'll fill your stomach. Keep going, Your Highness. ]],
HELPER_INFO_900840			 = [[A bad taste is better than hunger pangs! I don't wanna be a hungry ghost.]],
HELPER_INFO_900910			 = [[Whoo~~~Excellent! We've finally made it to Seagull Castle.]],
HELPER_INFO_900920			 = [[Who's that! So sneaky!]],
HELPER_INFO_900930			 = [[Now that's daring! This is your prince! We want to see Carlo Lord!]],
HELPER_INFO_900940			 = [[The prince is always protected by Vickar! You imps, don't be causing a raucous here!]],
HELPER_INFO_900950			 = [[Vickar has been killed. We've broken through and escaped from the demons' enclosure!]],
HELPER_INFO_900960			 = [[What a joke! Just depending on your children! Aren't you disguised demons who want to sneak into the castle? Come, bundle them!]],
HELPER_INFO_900970			 = [[Since you don't believe us, we'll fight until you do! It just so happens I've got some pent-up grievances to let out!]],
HELPER_INFO_9010010			 = [[Wait, wait please, don't run so fast]],
HELPER_INFO_9010020			 = [[where you going with that?]],
HELPER_INFO_9010030			 = [[Don't talk, hurry up!]],
HELPER_INFO_9010040			 = [[Then tell me where we go? you said you want to hunting here, but you keep running till now!]],
HELPER_INFO_901010			 = [[Finally, we will set foot on land again!]],
HELPER_INFO_90101010			 = [[Thanks and sorry for the misunderstanding.]],
HELPER_INFO_90101020			 = [[No problem at all, We're humen to clean up the demons.]],
HELPER_INFO_90101030			 = [[Any food? I'm hungry.]],
HELPER_INFO_90101040			 = [[Why they attacked you？]],
HELPER_INFO_90101050			 = [[They want the Life Essence to revive the Fiend.]],
HELPER_INFO_90101060			 = [[Are you serious? I thought he was torn apart by the holy sword.]],
HELPER_INFO_90101070			 = [[Inadequacy, he's too powerful, or the holy sword did not recover entirely. Part of his soul escaped to the hell.]],
HELPER_INFO_90101080			 = [[Demons have to revive the Fiend by the Life Essence which lost in the forest. The part in dwarves was robbed. The leader of men, you should stop them before that disaster.]],
HELPER_INFO_9010110			 = [[Finally free!]],
HELPER_INFO_90101110			 = [[I'm full. Now where to go？]],
HELPER_INFO_90101120			 = [[Hell, definitely!]],
HELPER_INFO_90101130			 = [[How?]],
HELPER_INFO_90101140			 = [[There's a transporting circle in the Missing Forest for help. Go find it.]],
HELPER_INFO_9010120			 = [[So you were meant to shake the guard?]],
HELPER_INFO_90101210			 = [[Hurry up, Svril]],
HELPER_INFO_90101220			 = [[I just finished my dinner...]],
HELPER_INFO_90101230			 = [[...Please.]],
HELPER_INFO_90101240			 = [[Where are we now?]],
HELPER_INFO_90101250			 = [[Training place of the elves. We have to pass here to enter the heart of the forest.]],
HELPER_INFO_9010130			 = [[Yup! You got it!]],
HELPER_INFO_90101310			 = [[Are you scared？]],
HELPER_INFO_90101320			 = [[Sure!]],
HELPER_INFO_90101330			 = [[...Well, to my surprise.]],
HELPER_INFO_90101340			 = [[What I fear is the Fiend's resurgence, it's gonna destroy everything.]],
HELPER_INFO_90101350			 = [[Oh...]],
HELPER_INFO_90101360			 = [[Got moved?]],
HELPER_INFO_90101370			 = [[Got demons!]],
HELPER_INFO_9010140			 = [[Surrounded by the official files everyday, I don't think I'm suitable for the position.]],
HELPER_INFO_90101410			 = [[Already huh. We should arrive the transporting circle fast.]],
HELPER_INFO_90101420			 = [[See, a flaring port.]],
HELPER_INFO_90101430			 = [[It is there. Be quick!]],
HELPER_INFO_9010150			 = [[But how about the kingdom?]],
HELPER_INFO_9010160			 = [[Don't worry, I left a letter to Carlo Lords, he will deal with it.]],
HELPER_INFO_901020			 = [[Yeah, Uncle Vickar has been living in seclusion with Your Highness ever since the capital was destroyed! I don't know what the capital is like now!]],
HELPER_INFO_9010210			 = [[What's the next step?]],
HELPER_INFO_9010220			 = [[I don't know, just relax for a few days, it's not very easy to come out]],
HELPER_INFO_9010230			 = [[But where we are?]],
HELPER_INFO_9010240			 = [[…Ah, just running here, so where we are?]],
HELPER_INFO_9010250			 = [[Oh what am I going to do with you? It's dangerous Missing Forest!]],
HELPER_INFO_901030			 = [[Rest assured, Svril! As long as the Holy Sword is recovered, we can defeat Fiend! All is well as long as Liam is with us.]],
HELPER_INFO_9010310			 = [[Sire!]],
HELPER_INFO_9010320			 = [[Sire!]],
HELPER_INFO_9010330			 = [[Sire~~!!(loudly)]],
HELPER_INFO_9010340			 = [[Here, what's up?]],
HELPER_INFO_9010350			 = [[You are mean to scared me!!]],
HELPER_INFO_9010360			 = [[Ha Ha you got it again.]],
HELPER_INFO_9010370			 = [[Are we lost？]],
HELPER_INFO_9010380			 = [[Probably]],
HELPER_INFO_9010390			 = [[Probably??? So we are lost!!!]],
HELPER_INFO_901040			 = [[The demons appeared and Uncle was killed. Carlo Lord is short-handed, and Liam's stay can relieve the extreme urgency.]],
HELPER_INFO_9010410			 = [[Don't worry, we will get out, what we need to do is move alone a fixed direction.]],
HELPER_INFO_9010420			 = [[I'm so hungry, I wanna go home]],
HELPER_INFO_9010430			 = [[I'm so scared. No person get out from the middle of this forest!]],
HELPER_INFO_9010440			 = [[Svril, don't talk.]],
HELPER_INFO_9010450			 = [[Watch your back!]],
HELPER_INFO_9010460			 = [[Aah! The demons!]],
HELPER_INFO_901050			 = [[Damn demons, wait and see! I outta find someone to train my hands with. I can't afford to be lazy anymore.]],
HELPER_INFO_9010510			 = [[Why the demons here?]],
HELPER_INFO_9010520			 = [[How could I know! I just want to go home, now!]],
HELPER_INFO_9010530			 = [[Svril, look, demons there again!]],
HELPER_INFO_9010610			 = [[Sire, it's so strange, the demons are not like before.]],
HELPER_INFO_9010620			 = [[Yeah, really strange. Look, demons there, why they keep moving to that place?]],
HELPER_INFO_9010630			 = [[Who knows...]],
HELPER_INFO_9010640			 = [[I smell conspiracy in it, just follow them.]],
HELPER_INFO_9010710			 = [[I fell that someone is looking at me, are we found?]],
HELPER_INFO_9010720			 = [[Ok let's move little far away from them, it's easy to be found here.]],
HELPER_INFO_9010730			 = [[Not demons, but they are looking at us now!]],
HELPER_INFO_9010740			 = [[Now? are we surrounded]],
HELPER_INFO_9010750			 = [[Invaders!]],
HELPER_INFO_9010760			 = [[Demons, the forest guards will punish you!]],
HELPER_INFO_9010770			 = [[It might be a misunderstanding, we are not demons.]],
HELPER_INFO_9010780			 = [[Don't try to justify your  evil-doing with excuses!]],
HELPER_INFO_9010810			 = [[Wow, who are they？]],
HELPER_INFO_9010820			 = [[I have no idea. Forest protector, dwarves or elves?]],
HELPER_INFO_9010830			 = [[Are the elves horrible? We seemed to be misunderstood.]],
HELPER_INFO_9010840			 = [[We can't let the elves take our place. We will track them and find the truth.]],
HELPER_INFO_9010910			 = [[Fight there.]],
HELPER_INFO_9010920			 = [[Elves and that mysterious species. Who we should help？]],
HELPER_INFO_9010930			 = [[Wipe out the demons for sure！]],
HELPER_INFO_9010940			 = [[Stay with me and let's do this.]],
HELPER_INFO_9011010			 = [[Is it hell?]],
HELPER_INFO_9011020			 = [[Who knows?]],
HELPER_INFO_9011030			 = [[See the red sky.]],
HELPER_INFO_9011040			 = [[So it must be the entrance to hell.]],
HELPER_INFO_901110			 = [[Boohoo~~~~(>_<)~~~~Your Highness!]],
HELPER_INFO_90111010			 = [[Lord Caro, gather the army,as it won't be quiet next jouney]],
HELPER_INFO_90111020			 = [[As you demand.]],
HELPER_INFO_90111030			 = [[I am going there as well]],
HELPER_INFO_90111040			 = [[As you request]],
HELPER_INFO_9011110			 = [[Speed up, the Fiend may revive anytime.]],
HELPER_INFO_90111110			 = [[My king, we scouted Fiend's army ahead]],
HELPER_INFO_90111120			 = [[Fiend must be worried, or he won't chase us in such urgent]],
HELPER_INFO_90111130			 = [[What are we waiting for! My warriors,come with me,for victory!]],
HELPER_INFO_90111140			 = [[For victory!]],
HELPER_INFO_9011120			 = [[I can see nothing but an endless road.]],
HELPER_INFO_90111210			 = [[Svirl, stay close, don't get lost.]],
HELPER_INFO_90111220			 = [[Svirl?]],
HELPER_INFO_90111230			 = [[Hahah, your highness, let it end up here]],
HELPER_INFO_90111240			 = [[No way！]],
HELPER_INFO_9011130			 = [[Fear not, just walk down here, we will be hell soon.]],
HELPER_INFO_90111310			 = [[My king, we found another herd of fiend army approaching us!]],
HELPER_INFO_90111320			 = [[Fiend is making his final desperate hit!]],
HELPER_INFO_90111330			 = [[Your highness, let's put an end to this!]],
HELPER_INFO_90111340			 = [[Yes! All my brothers, attack!]],
HELPER_INFO_90111410			 = [[Soilders, so far as we have come, what for?!]],
HELPER_INFO_90111420			 = [[For human race, and for the death of Fiend!]],
HELPER_INFO_901120			 = [[Svril! How could you get hurt! Who's the ham-handed guy who did this to you? I'll go beat the tar out of him!]],
HELPER_INFO_9011210			 = [[Watch out!]],
HELPER_INFO_9011220			 = [[Saw it. They may be here to await us.]],
HELPER_INFO_9011230			 = [[Now what?]],
HELPER_INFO_9011240			 = [[One way only, grind it!]],
HELPER_INFO_901130			 = [[No, several beasts came out of the storehouse of sundries. I don't know who took them on board, but they've hurt many people!]],
HELPER_INFO_9011310			 = [[Someone is calling me.]],
HELPER_INFO_9011320			 = [[Yes?]],
HELPER_INFO_9011330			 = [[Great to see you here, the leader of men.]],
HELPER_INFO_9011340			 = [[Oh it's you.]],
HELPER_INFO_9011350			 = [[I'm too weak to fight Fiend now. Could you do me a favor?]],
HELPER_INFO_901140			 = [[Ooh ca! We've got dogs on the loose! I'll go and check it out.]],
HELPER_INFO_9011410			 = [[Get out of here fast, the holy sword is doing her job now, we should help her.]],
HELPER_INFO_9011420			 = [[Yes. I wish I had some horses now.]],
HELPER_INFO_9011430			 = [[Go catch some demons to ride.]],
HELPER_INFO_9011440			 = [[Why not!]],
HELPER_INFO_9011510			 = [[Dead end！]],
HELPER_INFO_9011520			 = [[Damn! We have been trying so hard, what now?]],
HELPER_INFO_9011530			 = [[Is this it? End up here?]],
HELPER_INFO_9011540			 = [[Damn it!]],
HELPER_INFO_9011550			 = [[Your highness!]],
HELPER_INFO_9011560			 = [[What brings you here?]],
HELPER_INFO_9011570			 = [[We are looking for a king who left his kingdom and people]],
HELPER_INFO_9011580			 = [[Errh...Well, I am here to stop the Fiend]],
HELPER_INFO_9011590			 = [[Warriors,my brother, now act as I demand, ladder up to help our king!]],
HELPER_INFO_9011591			 = [[For victory!]],
HELPER_INFO_9011592			 = [[Your highness, step on our shoulders and go, for the hope of mankind!]],
HELPER_INFO_9011610			 = [[What's that?]],
HELPER_INFO_9011620			 = [[No idea, with blood all over it, must be some evil stuff!]],
HELPER_INFO_9011630			 = [[Let's tear it up then!]],
HELPER_INFO_9011640			 = [[Alright!]],
HELPER_INFO_9011710			 = [[Dear god, is this the gate to hell?]],
HELPER_INFO_9011720			 = [[It has fire all over this place,yet I can't feel any heat, is this hell fire?]],
HELPER_INFO_9011730			 = [[How do we get in?]],
HELPER_INFO_9011740			 = [[I don't know, must have a way, let's look around.]],
HELPER_INFO_9011810			 = [[Your highness, we found a path here.]],
HELPER_INFO_9011820			 = [[Weird place, full of cliffs,edges and winds,watch out for these!]],
HELPER_INFO_9011830			 = [[And Fiend army, too!]],
HELPER_INFO_9011910			 = [[Who is it?]],
HELPER_INFO_9011920			 = [[We are the Protectors,thousands of years ago,our ancesters sealed this place with their lives and we are here to stop fiends army from escaping]],
HELPER_INFO_9011930			 = [[But the fiend army has already escaped and destroyed many places]],
HELPER_INFO_9011940			 = [[Fiend spent thousands of years to cut a hole out, we now rely on you to watch out that hole, young man!]],
HELPER_INFO_901210			 = [[Be careful, Your Highness! They're not common beasts -- they're ferocious!]],
HELPER_INFO_901220			 = [[I defeated the army of Wild Boars single-handedly, so why fear these beasts? Do I not measure up to a beast? Out of the way, behold my power!]],
HELPER_INFO_901310			 = [[(I haven't seen the beasts before. Are they the beasts of demons?) Ah~~~! Damn! You pulled a sneak attack on my ass! Go to hell!]],
HELPER_INFO_901320			 = [[Er~~~Roar~~~!]],
HELPER_INFO_901410			 = [[Whoo~~~! I've finally taken care of it. Who's the asshole who played the trick? Aren't pets forbidden on the boat?!]],
HELPER_INFO_901420			 = [[Bad news! Your Highness! The storehouse in the basement was destroyed by those monsters, and water is flooding the hull!]],
HELPER_INFO_901430			 = [[Ha~~~Is it wrong? I don't know how to swim!]],
HELPER_INFO_901510			 = [[Roar~~~!]],
HELPER_INFO_901520			 = [[Are you the one who played the tricks! Who let you in?!]],
HELPER_INFO_901530			 = [[Roar~~~!]],
HELPER_INFO_901540			 = [[Er… Right, you can't talk. Well, then shut your trap!]],
HELPER_INFO_901610			 = [[Luckily, the supply deport is close. Otherwise, we'd end up like drowned rat!]],
HELPER_INFO_901620			 = [[But the base of the hull is badly damaged.I'm afraid we have to transfer to the little boat of the station.]],
HELPER_INFO_901630			 = [[Hmm…seems strange. We've been here for so long, but where are the garrison staff of the supply deport?]],
HELPER_INFO_901640			 = [[Eh, that was a bit odd just now. Who?! Hide the head but show the tail!]],
HELPER_INFO_901710			 = [[Your Highness, were those just…]],
HELPER_INFO_901720			 = [[It must be! It's the demons! I didn't realize they've infiltrated the waters leading to the continent.]],
HELPER_INFO_901730			 = [[But we beat the tar out of their rearends! Such recklessness! Hmpf!]],
HELPER_INFO_901740			 = [[Such recklessness? Heehee, little girl, you talking about yourself there! Hahaha~~~]],
HELPER_INFO_901750			 = [[Oh?! We're not through with them yet. Well then, let's find out who's the reckless one after all!]],
HELPER_INFO_901810			 = [[Svril, how about your wound just now? Let me take a look!]],
HELPER_INFO_901820			 = [[Ah, it's just a flesh wound, no big deal…thanks for your concern, Your Highness…]],
HELPER_INFO_901830			 = [[When you were hurt, you said I was flaunting my toughness, but now you're doing the same. Hurry up, clean and dress the wound.]],
HELPER_INFO_901840			 = [[Er, I know.]],
HELPER_INFO_901850			 = [[You killed my companions and murdered my clan, and now here you are making all this idle chatter! Go to hell with your chatter!]],
HELPER_INFO_901910			 = [[I didn't think the power of the demons could penetrate this place. How'd they cross the Great Deadly Wall!]],
HELPER_INFO_901920			 = [[Your Highness! Don't think too much. We have to get to Hawk Castle regardless. It looks like we're safe for the time being!]],
HELPER_INFO_901930			 = [[Mm! Let's go ahead and enter the city. We've got to check your wound ASAP. I hope it's no big deal. ]],
HELPER_INFO_901940			 = [[Your Highness treats me so well. (*^__^*) Heehee…… ]],
HELPER_INFO_901950			 = [[Your Highness! Hope you're doing well! I have respectfully waited for a long time. Your journey here must have been just riveting? Hahaha!]],
HELPER_INFO_901960			 = [[You are…Morcar!? Four Dreadlords!… it seems Uncle said you're the one at the bottom?! ]],
HELPER_INFO_901970			 = [[Damn! I'm gonna push you hard!]],
HELPER_INFO_901980			 = [[What~~~! A filthy mouth is not to utter decent language! I want to see how powerful you Four Dreadlords are!]],
HELPER_INFO_902010			 = [[Svril?! Why should we disguise ourselves? I hate this feeling!]],
HELPER_INFO_902020			 = [[Your Highness, your whereabouts have been exposed. We are in the light, but the demon army is in the dark, so we'd better proceed with caution!]],
HELPER_INFO_902030			 = [[Stop! You two, dressed in such fanciful attire. Where are you from? And why I haven't seen you before?]],
HELPER_INFO_902040			 = [[I called it! We're obviously overdressed. Here comes the trouble…]],
HELPER_INFO_902110			 = [[Why are these people so unreasonable? They won't hear a word from us. They just cry out fight and kill. They're scared silly of the demons!]],
HELPER_INFO_902120			 = [[Alas, when the demon force invaded, everybody was terrified. If it weren't for the Great Deadly Wall, I'm afraid the kingdom would have been destroyed! Everyone's blood runs cold at the mention of demons!]],
HELPER_INFO_902130			 = [[Get a move on it! The Giant Jungle is not far from here. My father always speaks highly of the Swan Lord. Surely he will help us!]],
HELPER_INFO_902210			 = [[Wow! The trees are so tall, wide and broad!]],
HELPER_INFO_902220			 = [[This is the renowned Giant Jungle of the kingdom, famous for its trees of amazing stature. Haven't you heard?]],
HELPER_INFO_902230			 = [[I'm a mere footman. I'm not well-informed like the nobles and ministers...]],
HELPER_INFO_902240			 = [[After I defeat Fiend and revive the kingdom, I'll rank you as a woman duchess. When the time comes, you can travel the whole world!]],
HELPER_INFO_902250			 = [[Ha?! How long shall I wait for! o(╯□╰)o]],
HELPER_INFO_902260			 = [[Svril! What's with all the discouragement…]],
HELPER_INFO_902270			 = [[Heehee, just messing with ya!]],
HELPER_INFO_902310			 = [[Who goes there?!]],
HELPER_INFO_902320			 = [[We've come to see the Swan Lord. This is Prince Kahn and this is Carlo Lord's letter. May I ask you to deliver it for us?]],
HELPER_INFO_902330			 = [[Oh…unfortunately, there have been strange changes in the woods surrounding the city, which The Lord went out to inspect.]],
HELPER_INFO_902340			 = [[What a coincidence?! The horses in the stable are in good order. It wouldn't appear that someone has gone out. When will Swan Lord come back?]],
HELPER_INFO_902350			 = [[Er... I'm not sure.]],
HELPER_INFO_902360			 = [[Does he refuse to see us? Alas, it looks like we'll have to come up with another idea.]],
HELPER_INFO_902410			 = [[What kind of vassal is he, staying at home like that and refusing to see Your Highness. The former King thought highly of him.]],
HELPER_INFO_902420			 = [[Now everyone's feeling threatened; they just want to lie low now. The kingdom is in a state of upheaval. It's better that we depend on ourselves rather than others! Father King started from almost nothing!]],
HELPER_INFO_902430			 = [[I will help you! This bad lords,being mortally afraid of death. Curse them!]],
HELPER_INFO_902510			 = [[Oh! Isn's this our respected prince? In the wilderness, how could you not take armed escort? Haha!]],
HELPER_INFO_902520			 = [[Hmpf! He's but a bastard of a spineless coward! With the nerve to show impudence to our prince!]],
HELPER_INFO_902530			 = [[Bah! Prince? If it weren't for your damn father and Vickar, I'm afraid you'd be dead by now!]],
HELPER_INFO_902540			 = [[What are scum like you doing in our kingdom! Your death shall be pitied by none!]],
HELPER_INFO_902610			 = [[Your Highness, you've hurt the men of Swan Lord. Will he be sending trouble our way?]],
HELPER_INFO_902620			 = [[With soldiers of that ilk, I'm not afraid regardless of their numbers. Bully the weak and fear the strong. They'll not withstand a single blow!]],
HELPER_INFO_902630			 = [[Well said! Your Highness is on your way to defeat Fiend. Those sardines don't even stand a chance!]],
HELPER_INFO_902640			 = [[It's urgent that we restore the Divine Iron into the Holy Sword! This is our only counter!]],
HELPER_INFO_902710			 = [[Your Highness! We're leaving the forest. Eh?! Who's this?]],
HELPER_INFO_902720			 = [[(Utter silence)]],
HELPER_INFO_902730			 = [[Who are you? Why are you blocking us? Ah! Have you been sent by the Swan Lord?!]],
HELPER_INFO_902740			 = [[(Utter silence continues)]],
HELPER_INFO_902750			 = [[Svril, retreat! Seeing how they haven't good intentions, let's show off our weaponry!]],
HELPER_INFO_902810			 = [[Your Highness, before it's the Demon Killers, now it's the kingdom assassins. Do the lords covet the Holy Sword as well?!]],
HELPER_INFO_902820			 = [[It's hard to say! The lords of different areas have closed their doors. It seems that each has his own axe to grind.]],
HELPER_INFO_902830			 = [[Be careful, Your Highness! They're back!]],
HELPER_INFO_902910			 = [[You're hardcore, Your Highness! Haha, you drove away that mob in no time!]],
HELPER_INFO_902920			 = [[Strange. I feel like these people aren't killers, but I can't put my finger on, er...what's not right.]],
HELPER_INFO_902930			 = [[Of course it's not right, Your Highness. After all, you're still breathing! Heehee! Why don't I send you to hell where you can sort it all out!]],
HELPER_INFO_902940			 = [[You're too confident for your own good! Wanna get your hands on the Divine Iron?! It's a vain hope!]],
HELPER_INFO_902950			 = [[Don't rejoice too soon...you've killed men of Swan Lord...but sooner or later...sonner or later you'll die without a burial place!]],
HELPER_INFO_902960			 = [[Your Highness, it seems we can't keep our tracks covered. Let's hurry up and leave, or we'll have ourselves a mess!]],
HELPER_INFO_902970			 = [[Er! We shouldn't linger around here. Quick, let's go!]],
HELPER_INFO_903010			 = [[Your Highness, where are we? Before there were trees everywhere, but now there's sand and stones.]],
HELPER_INFO_903020			 = [[To shake off those assassins, I was just focused on making haste. It seems we've made a wrong turn...]],
HELPER_INFO_903030			 = [[Ah~~~No~~~There's no shade here. I'm about to be fried here and now!]],
HELPER_INFO_903040			 = [[Svril, don't worry, let me think here. Er...that way will take us back to the main path. Heehee! Relax.]],
HELPER_INFO_903110			 = [[Your Highness, we've been walking for so long. Why aren't we back to the main path yet?]],
HELPER_INFO_903120			 = [[(Shoot! It's the same everywhere. I can't tell whether we're going the right way or not.) Ah~~~we're finished! We are lost!]],
HELPER_INFO_903130			 = [[No, Your Highness, our water and food supply are nearly depleted. I don't want to die in the wilderness!]],
HELPER_INFO_903140			 = [[Don't worry, Svril. How could the ones intent on killing Fiend die in a place like this? Keep going and there will be hope!]],
HELPER_INFO_903210			 = [[Ha~~~No, where are we now? Are we really going to die in the wilderness?]],
HELPER_INFO_903220			 = [[Stinky, why hiding in this damn Gobi!]],
HELPER_INFO_903230			 = [[Wow, I see people! Haha, this is great! We're just out of supplies. I'm not going to be exercising any courtesy!]],
HELPER_INFO_903240			 = [[Huh?~~~What did you say?! We've lost so many of our brothers looking for you. It's time for you to be buried with them!]],
HELPER_INFO_903310			 = [[Your Highness, it's great! Those assassins have maps with them! Look, there's an oasis! Wonderful~~~!]],
HELPER_INFO_903320			 = [[Haha, heaven always leaves an open door! Good! Off to the oasis!]],
HELPER_INFO_903410			 = [[Your Highness! Look, it's the oasis! Wow, it's wonderful!]],
HELPER_INFO_903420			 = [[Water! We can finally drink as much as we want! Haha!]],
HELPER_INFO_903430			 = [[So it is! Stinky has appeared. That said, others have been... Damn imp!]],
HELPER_INFO_903440			 = [[What?! They've been hunted this far. I didn't expect the lord's underlings to be so loyal!]],
HELPER_INFO_903450			 = [[Hmpf! You have killed so many of our men, and we still haven't got ahold of the Holy Sword. How could I let you go easily!]],
HELPER_INFO_903510			 = [[How come we didn't see such indomitable backbone from these lords when fighting the demons! The kingdom has raised a bunch of good-for-nothings!]],
HELPER_INFO_903520			 = [[The Swan Lord followed the former king the entire way. And now he's like this? He met his own prince with…]],
HELPER_INFO_903530			 = [[…(Huh, weird?! Those people are? Obviously the lord…)]],
HELPER_INFO_903540			 = [[Your Highness! There -- there's another Horde of them!]],
HELPER_INFO_903550			 = [[Ha! They're coming in droves! Well, since you're in such a hurry, I'll send you all for a ride!]],
HELPER_INFO_903610			 = [[They're got cavalry! Hmm~~~Your Highness, has the Swan Lord deployed an army?]],
HELPER_INFO_903620			 = [[Now I'm gonna kill everyone last one of his men! Besides, they'll end up dying at the hands of demons anyway. ]],
HELPER_INFO_903630			 = [[Who are you?! Were you the ones who just killed those demons at the oasis?]],
HELPER_INFO_903640			 = [[Hmpf! If you wanna fight, let's fight! Enough with the nonsense! Don't use demons as an excuse!]],
HELPER_INFO_903710			 = [[Your Highness, those men don't seem to be followers of the Swan Lord?]],
HELPER_INFO_903720			 = [[Each fights his own battle. Does it really matter which army belongs to whom? All are executioners.]],
HELPER_INFO_903730			 = [[I hope we can eradicate Fiend quickly and recover the old kingdom! Drive out all the scoundrels!]],
HELPER_INFO_903810			 = [[Do not proceed. The stronghold ahead has been captured by a demon general. There are demons all around. If you want to live, you'd better turn around!]],
HELPER_INFO_903820			 = [[Oh!? Yes, I think they are Swan's executioner troops! What if I insist on proceeding forward?]],
HELPER_INFO_903830			 = [[Who is the executioner? Senseless scoundrel, aren't you demons in disguise? Soldiers, surround them!]],
HELPER_INFO_903910			 = [[Ah~~~Prince, there are so many demons. And the Knights we just saw are here…]],
HELPER_INFO_903920			 = [[Did I mix them up? The Knights ahead and the assassins aren't on the same side…]],
HELPER_INFO_903930			 = [[Prince Kahn, you've finally come. I'm one of the Four Dreadlords, Juwa! Morcar's failure was truly an accident. This time you won't be so lucky! Hand over the Divine Iron and pay allegiance to Fiend.]],
HELPER_INFO_903940			 = [[(Interrupt) Enough with the nonsense! You want the Divine Iron? Over my dead body!]],
HELPER_INFO_903950			 = [[Your Highness! Take care, this guy is very severe!]],
HELPER_INFO_904010			 = [[See, this is the strength to defeat Fiend!]],
HELPER_INFO_904020			 = [[We enter this deadtrap because of recovering the Holy Sword. If we let the Knights follow us, we will only increase meaningless deaths and casualties.]],
HELPER_INFO_904030			 = [[Hum…Eventually we still fight in isolation>.<!]],
HELPER_INFO_904040			 = [[Well! I've already command the Knighthood to make a detour and wait at the plains ahead. Now recovering the Holy Sword is the priority!]],
HELPER_INFO_904050			 = [[So you have already had plans, I was oversensitive.]],
HELPER_INFO_904110			 = [[Your Highness, what kind of place is the deathtrap? It's inanimated here, how terrifying!]],
HELPER_INFO_904120			 = [[Originally this is the biggist hunting field in our kingdom. Father King brought me here when I was a child, but after the demons appeared…]],
HELPER_INFO_904130			 = [[Hum! No need to say, it must be done by those extremely evil demons.]],
HELPER_INFO_904140			 = [[I will repay the demons ten times the sufferings they have brought to our kingdom!]],
HELPER_INFO_904210			 = [[Yout highness, we've walked for so long, and there are all ghosts and evil spirits! How could we recover the Holy Sword?!]],
HELPER_INFO_904220			 = [[Uncle Vickar said, the Warlocks came here and forged the Holy Sword in some castle.]],
HELPER_INFO_904230			 = [[But here is more desolate than gobi! The castles are all abandoned.]],
HELPER_INFO_904240			 = [[The Holy Sword is the fetish given by god, if we want to recover, we must trace back to its birth place!]],
HELPER_INFO_904310			 = [[Your Highness, there is a deserted village! Gee? There is a guidepost— Watch out for Vicious Dog!]],
HELPER_INFO_904320			 = [[Scaring who? There is no people here, how could there be some cats or dogs. Idiots would believe it!]],
HELPER_INFO_904330			 = [[(Low roaring) Hoo~~~!]],
HELPER_INFO_904340			 = [[Ah! Your Highness, there is a Vicious Dog, very big!]],
HELPER_INFO_904410			 = [[Your Highness, after we go through this jungle, can we see the old castle you said?]],
HELPER_INFO_904420			 = [[Eh, it cannot be wrong! Though the guideboards along the way are badly broken, but the writings are intact.]],
HELPER_INFO_904430			 = [[But there is weird sound in the jungle all day, I'm so uncomfortable!]],
HELPER_INFO_904440			 = [[The more weird, the more unique! The birthplace of holy article is of course out of the ordinary!]],
HELPER_INFO_904450			 = [[Hoy could you explain like that…]],
HELPER_INFO_904510			 = [[Prince Kahn, you really come as the prophet said!]],
HELPER_INFO_904520			 = [[Eh?! Who are you, aren't those ghosts and zombies your masterpiece?]],
HELPER_INFO_904530			 = [[Your Highness, we are Warlocks that forged the Holy Sword. We have been waiting for you to bring the Holy Sword to light again!]],
HELPER_INFO_904540			 = [[Father King! We can finnaly recover the Holy Sword!]],
HELPER_INFO_904550			 = [[Your Highness, we don't have much time now, follow me!]],
HELPER_INFO_904610			 = [[Your Highness, when we are recovering the Holy Sword, please make sure that we are not disturbed!]],
HELPER_INFO_904620			 = [[Be at ease! This is the last step, I will protect the recovering of the Holy Sword for my life!]],
HELPER_INFO_904630			 = [[Your Highness, then we will start the recovering rite! Be careful, Your Highness!]],
HELPER_INFO_904710			 = [[Your Highness! The rite is completed! We've recovered the Divine Iron to the Holy Sword. ]],
HELPER_INFO_904720			 = [[But, Holy Sword! Why it's …with the description of rumors…]],
HELPER_INFO_904730			 = [[To protect the Holy Sword, the former king had to smelt it into an iron stome, but the superhuman strength of the Holy Sword could not be operated by humans, the superhuman strength turned to a hurricane!]],
HELPER_INFO_904740			 = [[Hurricane Plains?!]],
HELPER_INFO_904750			 = [[Yes! The Holy Light is recovered, our mission is completed! Your Highness, you must bring the Holy Sword to martial prowess!]],
HELPER_INFO_904810			 = [[Finally we recovered the Holy Sword to its orginal state, but the result is a semi-finished product>.<!]],
HELPER_INFO_904820			 = [[Svril! Be optimistic, at least we've stepped a giant step!]],
HELPER_INFO_904830			 = [[Hee hee! I was just kidding! If the lords know the news, perhaps they will look at you with new eyes!]],
HELPER_INFO_904840			 = [[Those old goats, hum!]],
HELPER_INFO_904910			 = [[Wow! Your Highness! That's Hurricane Plains in the front! Finally we see green, I'm so happy!]],
HELPER_INFO_904920			 = [[Eh! The Knighthood should be stationed nearby, let's join them first!]],
HELPER_INFO_904930			 = [[You wish! Your Highness! Our game is over now, today of the next year is your deathday!]],
HELPER_INFO_904940			 = [[I think it's your deathday!]],
HELPER_INFO_905010			 = [[It's the Holy Sword! Your Highness succeeded! We have hope to defeat the demons!]],
HELPER_INFO_905020			 = [[The Holy Sword is recovered, but is only has its shape, we need to infuse superhuman strength. Or it's just a common iron sword.]],
HELPER_INFO_905030			 = [[The brilliance of the Holy Light is given by deity. Where can we find superhuman strenghth?]],
HELPER_INFO_905040			 = [[Eye of Storm!]],
HELPER_INFO_905110			 = [[Your Highness, why is here called Storm Plains? Where is the wind?]],
HELPER_INFO_905120			 = [[Haha! You don't know, originally it's a common plain, it is said that when the Holy Sword was lost, there was a big tornado here and didn't dissipate for long, so it's called Storm Plains.]],
HELPER_INFO_905130			 = [[Gee?! There are wind that can be seen? Miracle! I must see!]],
HELPER_INFO_905140			 = [[That's not the wind when you enjoy the cool, you should not go near it for goodness' sake!]],
HELPER_INFO_905210			 = [[Weird? Your Highness, we've waked so far, why didn't we meet a demon? Are they preparing a sneak attack?]],
HELPER_INFO_905220			 = [[Haha, you worry too much! Since the tornado appeared, there are rarely demons. Just as the prince said, the hurricane took superhuman strength!]],
HELPER_INFO_905230			 = [[Eh, I've heard Uncle Vickar say this! The demons sent a few persons to inspect the hurricane, but suffered many casulties and retured without anything accomplished.]],
HELPER_INFO_905240			 = [[Haha! I didn't think the demons was beaten.]],
HELPER_INFO_905310			 = [[I didn't think you can live to today, but you it's impossible for you to step forward!]],
HELPER_INFO_905320			 = [[You again! Can't you see who your real enemy is?]],
HELPER_INFO_905330			 = [[Your Highness! Don't say anything more to these demons. Presumably they come to prevent us from going to Eye of Storm!]],
HELPER_INFO_905340			 = [[They aren't demons! They are killers sent by Swan Lord! Hum! They should be disguised as demons to impute to demons!]],
HELPER_INFO_905350			 = [[Swan Lord?! Lords only self-insure, contrary to the spirit of Knight, they  should want to kill the prince…]],
HELPER_INFO_905410			 = [[Your Highness, scouts inspect to here, and it seems that they've assembled many demon armies. The demons must have known the news of the Holy Sword!]],
HELPER_INFO_905420			 = [[The object of battallion troops is too obvious! We should take actions separately, I will go to the Eye of Storm alone!]],
HELPER_INFO_905430			 = [[That's too dangerous! The demons' intentions are obvious, there must be demons ambushing near the Eye of Storm! ]],
HELPER_INFO_905440			 = [[Eye of Storm takes superhuman strength. It's impossible that there are demons nearby. Just two or three cats, don't worry!]],
HELPER_INFO_905450			 = [[You still have me! Your Highness, don't abandon me! I want to enjoy the cool wind!]],
HELPER_INFO_905460			 = [[Your Highness, you must take care, we will disperse demons' attention as much as possible!]],
HELPER_INFO_905510			 = [[Eh?! You should only take one attendant, you want to deceive the public? It's a pity that's all your wishful thinking!]],
HELPER_INFO_905520			 = [[Nobody can prevent me from going to Eye of Storm. I will kill anybody who prevent me!]],
HELPER_INFO_905530			 = [[Your Highness! You should kill demons if they prevent you! If you kill the deity, how could you revive the superhuman strength of the Holy Sword?!]],
HELPER_INFO_905540			 = [[…I'm just taking an example, you don't have to be serious! You are destroying the atmosphere!]],
HELPER_INFO_905610			 = [[Wow! So the tornado is like this! So spectacular! Wow~~~What's that?]],
HELPER_INFO_905620			 = [[Insignificant humans! The so-called Holy Sword is just a vessel. If you want to recover the superhuman strength of Holy Light, you should go through the Eye of Storm!]],
HELPER_INFO_905630			 = [[Svril, take care! What did you do to Svril?]],
HELPER_INFO_905640			 = [[Come on! Human! You want to go through the nothingness place, or be buried in the endless land!]],
HELPER_INFO_905710			 = [[What? Feel laborious so fast?]],
HELPER_INFO_905720			 = [[Impossible! Compared to the sufferings the demons brought to the kingdom, this pain is nothing!]],
HELPER_INFO_905730			 = [[So! Let me see your determination to defeat the demons!]],
HELPER_INFO_905810			 = [[Any more tricks, play them as much as you can!]],
HELPER_INFO_905820			 = [[Eh~~~! The last trial! The balance of fate will lean on humans or demons!? Prince Kahn, it's time!]],
HELPER_INFO_905910			 = [[Your Highness! You finally succeeded! Purr~~~Purr~~~Purr, I'm so happy, where is the monster that seized me in?]],
HELPER_INFO_905920			 = [[Svril, don't speak carelessly, that's the deity's phantasm, not monster~.]],
HELPER_INFO_905930			 = [[Careless! I should be taken in by your scheme of luring the enemy away from his base. Eh?! Holy Sowrd!]],
HELPER_INFO_905940			 = [[Humhum! You are afraid? We have the Holy Sword with me, so we have the whole world! Your Highness, behead the big demon quickly!]],
HELPER_INFO_905950			 = [[You think that we who dignified the Four Dreadlords would be afraid? You suckling babe, I'm afraid your Holy Sword will find another master before you've made it your own, hahaha!]],
HELPER_INFO_906010			 = [[Wow! The Holy Sword is really sharp, beating that deadass with two and three blows!]],
HELPER_INFO_906020			 = [[How could there be! The Deadly Wall garrison fortress' rotation couldn't possibly allow such a large-scale army through?]],
HELPER_INFO_906030			 = [[Unless…the Deadly Wall has been taken up by demons…]],
HELPER_INFO_906040			 = [[No, how could the Deadly Wall fall? Quick, go to the fortress ahead!]],
HELPER_INFO_906110			 = [[Eh?! One can't avoid one's enemy. It's better to show a light pair of heels! I'm gonna split.]],
HELPER_INFO_906120			 = [[Hmpf! Want to go? You wouldn't budge even if I were to give you two extra legs!]],
HELPER_INFO_906130			 = [[Ha! It's them again. How come the Swan Lord never sent them to run a marathon? They sure know how to run!]],
HELPER_INFO_906210			 = [[Your Highness, were those assassins sent by the Swan Lord?]],
HELPER_INFO_906220			 = [[Eh! It can't be wrong. Alas…it cast a chill over me!]],
HELPER_INFO_906230			 = [[But they are demons in disguise. Can't you tell there's something fishy going on here?!]],
HELPER_INFO_906240			 = [[Bah bah bah! They are disguised demons to get out of their responsibilities. Talk about sinister intentions!]],
HELPER_INFO_906250			 = [[……]],
HELPER_INFO_906310			 = [[Your Highness! Is that grey wall in the distance the Deadly Wall? We can see it from so far away!]],
HELPER_INFO_906320			 = [[When the armies of the kingdom and the demon armies fought in the Great Canyon, the former king knew that there would be mishaps if it went on. To prevent the demons from invading to the West, they erected the Deadly Wall.]],
HELPER_INFO_906330			 = [[The Deadly Wall is so tall and long. How did they manage to build it?]],
HELPER_INFO_906340			 = [[I'm not sure. I just heard Uncle Vickar say that the Deadly Wall wasn't erected by common workers, but by Warlocks! Once we pass this segment, we'll be at the foot of the Deadly Wall.]],
HELPER_INFO_906410			 = [[Your Highness! A squad of soldiers is closing in!]],
HELPER_INFO_906420			 = [[Swan! Lord!]],
HELPER_INFO_906430			 = [[Your Highness! You're finally here! Please follow me to the fortress ahead and…]],
HELPER_INFO_906440			 = [[(Interrupt) Your Highness! Don't listen to him! He's had a few mishaps, and now he's restless as can be and wants to confront the enemy himself!]],
HELPER_INFO_906450			 = [[Eh?! Miss Svril, I think there were some misunderstandings between us. I would ask you to follow me, Your Highness..]],
HELPER_INFO_906460			 = [[(Interrupt) No need! I'm afraid I won't have a chance to speak when the time comes! All are ready for war!]],
HELPER_INFO_906510			 = [[Your Highness! Stop!]],
HELPER_INFO_906520			 = [[Carlo Lord! Why are you doing here?!]],
HELPER_INFO_906530			 = [[Here comes another wave. Everyone, confront the enemy! Go! Protect the prince!]],
HELPER_INFO_906540			 = [[What's going on! Stop the fighting! It's horrifying -- everything's mixed up! Ah~~~Who threw a stone at me?!]],
HELPER_INFO_906610			 = [[Carlo Lord, what's going on?]],
HELPER_INFO_906620			 = [[Alas~ Here's the situation. (Carlo Lord tells the prince of the lords' suspicions regarding him as well as the trial plan)]],
HELPER_INFO_906630			 = [[Hmpf! You didn't believe in the prince! And you came close to killing him!]],
HELPER_INFO_906640			 = [[Since the demise of the former king, the lords each hold to his own view. The kingdom eventually fell apart, not to mention the great anti-demon cause. The prince has the remains of the Holy Sword, but he has never experienced war. The lords are all a bit worried!]],
HELPER_INFO_906650			 = [[The two of you needn't go on speaking. I've got it figured out. Take me to see the lords!]],
HELPER_INFO_906710			 = [[Your Highness! We lords have been discussing this for a long time. The former king is dead, but the kingdom still stands! The anti-demon cause has yet to be fulfilled. We desire that you may take the crown and lead the anti-demon cause!]],
HELPER_INFO_906720			 = [[This is so sudden! This…this…this…]],
HELPER_INFO_906730			 = [[(Whisper) Your Highness, hurry up and respond. You're the only successor of the throne! Heehee!]],
HELPER_INFO_906740			 = [[Your Highness has recovered the Holy Sword alone. Our suspicions are no more. The royal family cannot be without a successor!]],
HELPER_INFO_906750			 = [[Such being the case, I will not shirk this responsibility. But now is a critical moment. Let's dismiss all of the other miscellaneous matters. ]],
HELPER_INFO_906760			 = [[Precisely! The lords and their owners are here! Let's seize this opportunity to wipe them all out, hahaha! And save ourselves the trouble!]],
HELPER_INFO_906770			 = [[Assassins! Quick! Protect Your Highness! Er…no, His Majesty!]],
HELPER_INFO_906810			 = [[Your Majesty, it seems that the other wave of assassins you spoke about are disguised demon!]],
HELPER_INFO_906820			 = [[Eh! No wonder I smelt something fishy in the matter! It's the Fiend!]],
HELPER_INFO_906830			 = [[Recent intelligence from the Deadly Wall garrison shows that many demons have penetrated the line of defense at the Deadly Wall.]],
HELPER_INFO_906840			 = [[It seems that the demons are going to mount a major attack. It's time to assemble the forces to suppress the demons!]],
HELPER_INFO_906910			 = [[Your Majesty! We've conveyed orders to all lords to assemble the forces. Under your guidance, as well as that of the Holy Sword, we will definitely drive out the demons!]],
HELPER_INFO_906920			 = [[His Majesty! Bad news -- a group of demons has broken through the Bulth Fort to the north. The situation is urgent! What's more, the enemy's status is unclear!]],
HELPER_INFO_906930			 = [[Bad luck! The lords have all gone back to assemble the army. We have no other reserves nearby!]],
HELPER_INFO_906940			 = [[Don't worry, Swan Lord. Go back and coordinate with the lords while the Felknights and I provide reinforcements. Now I get to practice handling the Holy Sword!]],
HELPER_INFO_907010			 = [[Your Majesty, why is it colder here than the Deadly Wall? I'm freezing.]],
HELPER_INFO_907020			 = [[I've asked you not to come, but you insisted on coming and now you're uncomfortable!]],
HELPER_INFO_907030			 = [[Hmpf! Your Majesty, you're trembling from the cold too!]],
HELPER_INFO_907040			 = [[Really, you show no respect for your elders. If it was someone other than you, he'd have lost his head by now!]],
HELPER_INFO_907110			 = [[Your Majesty! We come upon a group of demon troops!]],
HELPER_INFO_907120			 = [[It's likely the scouts! You guys, follow me!]],
HELPER_INFO_907130			 = [[Yes! Your Majesty!]],
HELPER_INFO_907140			 = [[Protect His Majesty and beware of an ambush!]],
HELPER_INFO_907210			 = [[It seems that you are getting tired of living. After all, you've made a special trip to prepare your deathbed!]],
HELPER_INFO_907220			 = [[Hmpf! You're depending on just the few of you? We've come especially to take you for a ride!]],
HELPER_INFO_907230			 = [[Your Majesty! Don't waste your precious time here. Mince them with the Holy Sword and send them hell!]],
HELPER_INFO_907240			 = [[Svril, you've quite an appetite. Eh?! Svril, why did you follow me here? It's a distraction for me to protect you.]],
HELPER_INFO_907310			 = [[Carlo Lord, there are no traces of demons around. All this raucous of ours didn't give us away? ]],
HELPER_INFO_907320			 = [[This is the No-Man's Land of the East. It's freezing cold all year round -- even the demons don't like it. There are rarely wars here.]],
HELPER_INFO_907330			 = [[I didn't think demons were afraid of the cold. No wonder the Deadly Wall was built with ice. Isn't that right, Your Majesty.]],
HELPER_INFO_907340			 = [[This -- I don't think that has anything to do with it…]],
HELPER_INFO_907410			 = [[His Majesty, the report from the scouts ahead has come in. There is a glacier, but its surface seems to have broken.]],
HELPER_INFO_907420			 = [[Isn't it icebound all year round? You'd think the glaciers were frozen through and through!]],
HELPER_INFO_907430			 = [[Eh.. Your Majesty, it must have been broken by the demons. They're trying to slow down our army's pace. ]],
HELPER_INFO_907440			 = [[It seems that for security's sake, we'd better make a detour! Convey the orders! The entire army is to circumnavigate the glacier!]],
HELPER_INFO_907450			 = [[Yes! Your Majesty!]],
HELPER_INFO_907510			 = [[Bad news, Your Majesty! The left rear of our troop has been attacked. It is unclear how many enemies approach!]],
HELPER_INFO_907520			 = [[Carlo Lord, please assume personal command of the front army. I will take the Knighthood to provide reinforcement!]],
HELPER_INFO_907530			 = [[Yes! Your Majesty!]],
HELPER_INFO_907610			 = [[Your Majesty! What is the status of the rear?]],
HELPER_INFO_907620			 = [[It's just a little group of demons causing some trouble. I suspect they have come out to assess our strength. ]],
HELPER_INFO_907630			 = [[Your Majesty! The right flank reports that they've suffered attack!]],
HELPER_INFO_907640			 = [[What?! Are they coming for real? Knighthood, follow me.]],
HELPER_INFO_907650			 = [[Your Majesty, beware of the demons' schemes. Don't be careless!]],
HELPER_INFO_907710			 = [[Your Majesty! How is the situation?]],
HELPER_INFO_907720			 = [[Dammit! Another little group of demons is stirring trouble. These demons aren't…]],
HELPER_INFO_907730			 = [[(Interrupt) Your Majesty!]],
HELPER_INFO_907740			 = [[No, has there been another attack?]],
HELPER_INFO_907750			 = [[Eh…no, the snowstorm is too intense, and there were just a few assaults. It seems we've mistakenly entered the manor of the Frost Wyrm.]],
HELPER_INFO_907760			 = [[So the broken glacier and the harassing demons were deliberate! Damn!]],
HELPER_INFO_907770			 = [[Your Majesty, it's the cry of the dragon. It appears we've stumbled into a terrifying place…]],
HELPER_INFO_907810			 = [[Damn demons! After I take care of the Devildom, I'll freeze you all into frozen push-pops!]],
HELPER_INFO_907820			 = [[Your Majesty! The storm is growing fiercer by the minute. I can't even see the road ahead. Eh?! Where are the others?]],
HELPER_INFO_907830			 = [[Ha~~~! No, tens of thousands of people -- how could they have gotten lost? No~~~~~~~! Guards! Carlo Lord!]],
HELPER_INFO_907840			 = [[(Whisper) We're gonna be frozen push-pops before getting to fight the Devildom!]],
HELPER_INFO_907910			 = [[Hahaha! You have entered my Blizzard Dreamland! You cannot find your foolish companions!]],
HELPER_INFO_907920			 = [[Who are you?! Is this blizzard your doing?]],
HELPER_INFO_907930			 = [[I'm the head of the Four Dreadlords! Kahn Howan, your trip has reached its end! Meet your death!]],
HELPER_INFO_907940			 = [[What the hell Four Dreadlords! I'm gonna make sure you can all reunite in hell! Come and taste the sacred prowess of the Holy Sword!]],
HELPER_INFO_908010			 = [[Carlo Lord, you're here.]],
HELPER_INFO_908020			 = [[Your Majesty! Where were you? The storm was out of control just now. The situation didn't seem right to us, so we stayed to await orders.]],
HELPER_INFO_908030			 = [[That storm was created by Grazia, the head of the Four Dreadlords. The Four Dreadlords are all dead now. The Fiend would be furious, haha!]],
HELPER_INFO_908040			 = [[Your Majesty, that's wonderful! Let's send the entire army on its way ASAP, as this is no place to set camp.]],
HELPER_INFO_908050			 = [[Eh! Convey the orders to the entire army, and set out at once!]],
HELPER_INFO_908110			 = [[Carlo Lord, is this the site where we and the demons engaged in fierce battle?]],
HELPER_INFO_908120			 = [[Yes, Your Majesty. The two armies met head-to-head and engaged in fierce combat, leaving countless casualties!]],
HELPER_INFO_908130			 = [[So Your Majesty's Father King fought with the demons here!]],
HELPER_INFO_908140			 = [[Svril, when Father King was at the capital and the city was taken, he was killed by the Fiend…]],
HELPER_INFO_908150			 = [[You needn't be sorrowful, Your Majesty. Though the former king has since passed, his spirit ever lives on. Now we have the Holy Sword with us. As long as we wipe out the demons, we can revive the kingdom!]],
HELPER_INFO_908210			 = [[Your Majesty! The scouts have discovered that there is a large host of demons advancing toward us ahead!]],
HELPER_INFO_908220			 = [[So the demons are reacting! But alas, it's too late!]],
HELPER_INFO_908230			 = [[Show the demons the military prowess of our kingdom! Convey the orders! The entire army is to prepare for war!]],
HELPER_INFO_908310			 = [[Svril, be careful. The demons aren't playing games right now. You'd better keep your head on straight!]],
HELPER_INFO_908320			 = [[Rest assured, Your Majesty. Svril is no pushover! They dare not despise me, hmpf!]],
HELPER_INFO_908330			 = [[Your Majesty! A group of army is attacking us at the left flank, which has apparently been thrown off kilter! This isn't looking good!]],
HELPER_INFO_908340			 = [[Swan Lord! You take army to hold the front, while Carlo Lord and I reinforce the left flank!]],
HELPER_INFO_908350			 = [[Yes! Your Majesty!]],
HELPER_INFO_908410			 = [[Your Majesty! Don't suppress an enemy with its back to the wall! We were just attacked by the demons. We need to regroup. ]],
HELPER_INFO_908420			 = [[Eh! You're right. As for marching and combat, I'm no veteran. Let's go ahead and withdraw!]],
HELPER_INFO_908430			 = [[Hahaha! You've walked right into our ambush. Don't think about making it out alive! Not so simple!]],
HELPER_INFO_908440			 = [[You're too confident for your own good! I may not be adept at marching and combat, but as for wiping you guys out, I've got all I need and more. ]],
HELPER_INFO_908510			 = [[Swan Lord, why are you still here? How's the situation at the front?]],
HELPER_INFO_908520			 = [[Your Majesty, as soon as you left to reinforce the left flank, the demons began to retreat. So I brought some reinforcements. ]],
HELPER_INFO_908530			 = [[So those demons were just making a feint attack. What they were really after was ambushing Your Majesty! Too bad they overestimated themselves, haha!]],
HELPER_INFO_908540			 = [[First let's straighten out the demons that remain and then devise some plans. ]],
HELPER_INFO_908610			 = [[Your Majesty, those demons don't match up with the rumors. They collapse at the first blow!]],
HELPER_INFO_908620			 = [[I think what they really fear is the Holy Sword in my hand, which is why they planned a few ambushes. ]],
HELPER_INFO_908630			 = [[It's a pity that a small squad of troops cannot contend with the sacred prowess of the Holy Sword.]],
HELPER_INFO_908640			 = [[While they're off guard, we can return like for like! You take the army to lure the demons' attention! I'll take the Knighthood and strike at the rear!]],
HELPER_INFO_908650			 = [[A feasible plan indeed! Your Majesty, don't be a warmonger. Be sure to pull out after disturbing the enemy!]],
HELPER_INFO_908710			 = [[Your Majesty! The surprise attack has succeeded, as the demons have been thrown into confusion.]],
HELPER_INFO_908720			 = [[Hmpf, hmpf! See if I don't beat them until they are completely routed! It's a full-out assault!]],
HELPER_INFO_908810			 = [[Haha! Your Majesty! Our army has secured a total victory. Our morale is boosted!]],
HELPER_INFO_908820			 = [[The soldiers have vented their rage! Now the demons must be frightened to death.]],
HELPER_INFO_908830			 = [[The demons must be in the dark. Let them keep on with their ambushes!]],
HELPER_INFO_908840			 = [[Good! Let's press on to the finish and destroy the Devildom!]],
HELPER_INFO_908910			 = [[Your Majesty! We have found large concentrations of demon troops at the front, much more numerous than the demons we've met in the past!]],
HELPER_INFO_908920			 = [[Our army's morale is shining like the sun! Is that already another army marching toward its death? ]],
HELPER_INFO_908930			 = [[According to reports from the front, this next wave is the demons' main battalion. The demons are great in number and different from before!]],
HELPER_INFO_908940			 = [[Hahaha! Ignorant humans, we are only The Spearhead under Fiend's command. The main battalion is fast approaching!]],
HELPER_INFO_908950			 = [[Huh?! What were those waves of demons just now?]],
HELPER_INFO_908960			 = [[You just wiped out some inspection forces. You haven't even come near the demon troops yet! Ignorance humans indeed!]],
HELPER_INFO_908970			 = [[Really?! No matter how many soldiers you have, you're still but a useless herd of scoundrels. You'll be dead in the end! Go to hell!]],
HELPER_INFO_909010			 = [[Your Majesty! What kind of place is the Devildom?]],
HELPER_INFO_909020			 = [[Actually, it was the former capital. But after Fiend captured it, they made it their own headquarters.]],
HELPER_INFO_909030			 = [[These demons are really detestable! They killed us humans and invaded our homeland. We must drive them out!]],
HELPER_INFO_909040			 = [[Right! Blood shall be paid with blood! We're going to settle this account clearly!]],
HELPER_INFO_909110			 = [[Your Majesty! It's the main battalion of demons! I reckon they outnumber us by a factor of ten!]],
HELPER_INFO_909120			 = [[No…there's so many of them. Even if killing one is like slicing a watermelon, my hand is sure to go limp! >.<~~]],
HELPER_INFO_909130			 = [[We have the Holy Light to protect us. Convey the orders! Let the entire army prepare for battle! Deal those demons a heavy blow!]],
HELPER_INFO_909210			 = [[Obviously we have the advantage. But why do the demons still seem to be so strong in number?]],
HELPER_INFO_909220			 = [[These demons seem to possess some magic. They can rise from the dead without end! We won't be able to hold on!]],
HELPER_INFO_909230			 = [[What?! It must be Fiend! No wonder the demons are coming forward so fearlessly. Quick, draw in the formation! Prepare to retreat!]],
HELPER_INFO_909310			 = [[Your Majesty! The demons are flooding in like crazy. Our soldiers are struggling a bit!]],
HELPER_INFO_909320			 = [[Fiend must want to wipe out our anti-demon armies to streamline a future invasion to the west.]],
HELPER_INFO_909330			 = [[Your Majesty! Let's break through! If we kill Fiend after we get to Devildom, we can end the war!]],
HELPER_INFO_909340			 = [[Svril is right! If we kill Fiend, we can break up the demons' offense! Felknights! Follow me to break through!]],
HELPER_INFO_909350			 = [[For the kingdom! Fight!]],
HELPER_INFO_909410			 = [[Wonderful, we finally broke through. Those demons are crazy. We just couldn't shake them!]],
HELPER_INFO_909420			 = [[Hahaha! We meet again! You seem to be the king of the morons, while I, on the other hand, have become stronger under Fiend's power!]],
HELPER_INFO_909430			 = [[Wow! Aren't you the bottom of the Four Dreadlords that was killed by His Majesty?! How…]],
HELPER_INFO_909440			 = [[(@#@#@#@! You mention this every time! This is unforgivable!) Don't think I will fear you because of the Holy Sword!]],
HELPER_INFO_909450			 = [[Trash is always trash! Even if you should revive from the dead a thousand times over, you're still the same! Go to hell!]],
HELPER_INFO_909510			 = [[Your Majesty! The bottom is still alive, so the other…]],
HELPER_INFO_909520			 = [[The little girl's a smart one. The Four Dreadlords are immortal! Morcar is always up to no good!]],
HELPER_INFO_909530			 = [[Hmpf! If it weren't for the strength of Fiend! But I think my guardian Knights can send you to hell!]],
HELPER_INFO_909540			 = [[A real blowhard! Let's see how long it takes to wipe that grin off your face!]],
HELPER_INFO_909610			 = [[According to this logic! Who's up next? Quick, quick! Our king is in a hurry!]],
HELPER_INFO_909620			 = [[Damn girl with a stiff neck! I will show you power!]],
HELPER_INFO_909630			 = [[Haha! No need to trouble yourself. Our king will show you power!( ^_^ )/~~ Bye]],
HELPER_INFO_909640			 = [[Svril, you really put on the pressure~~~~]],
HELPER_INFO_909710			 = [[There's only one left! This is it with the Four Dreadlords!]],
HELPER_INFO_909720			 = [[Prince Kahn! Oh! That's not right, I should call you Your Majesty. But soon you will be the most short-lived king in history, haha!]],
HELPER_INFO_909730			 = [[Hmpf, hmpf! Really? Just you all? You're not qualified! Go to hell, all of you!]],
HELPER_INFO_909810			 = [[Kahn Howan! The resurrected Four Dreadlords didn't block you!]],
HELPER_INFO_909820			 = [[Fiend?! I will return you all the misery you have brought to the kingdom!]],
HELPER_INFO_909830			 = [[So naïve! Tremble before fear!]],
HELPER_INFO_909840			 = [[Holy Light, debut!]],
HELPER_INFO_909910			 = [[Your Majesty! Look!]],
HELPER_INFO_909920			 = [[What?! How could it be? We've already…]],
HELPER_INFO_909930			 = [[Hahahaha! Insignificant humans, who did you think created me? You thought some Holy Sword could kill me! Delusion!]],
HELPER_INFO_909940			 = [[Damn! Holy Sword! How could it be! Has all that we've done come to naught?]],
HELPER_INFO_909950			 = [[The Holy Sword's existence is connected to a demon. The sword exists, the demon exists. The sword dies, the demon dies!]],
HELPER_INFO_909960			 = [[(Mutter) So it is! Fiend! Your death is coming!]],
HELPER_INFO_909970			 = [[Hmpf! Have you said your final prayers? The end has come!]],
HELPER_INFO_910910			 = [[Stop, you idiots! Back off!]],
HELPER_INFO_910920			 = [[Carlo Lord, how could your people be so reckless! The prince has been wounded! ]],
HELPER_INFO_910930			 = [[Your Highness, the situation is critical, and the soldiers haven't rested for days on end!]],
HELPER_INFO_910940			 = [[Carlo Lord, don't take it to heart! I've just got a short fuse. The talk of the town…surely you've heard it by now!]],
HELPER_INFO_910950			 = [[Vickar Lord's death is really a loss to our kingdom! Your Highness must have had a good idea as to how things stand.  ]],
HELPER_INFO_910960			 = [[Eh! The town suffered great loss from the attack. I hope you're able to cope with everything.]],
HELPER_INFO_9110910			 = [[Here is a magic entry, seems like we need it to enter hell.]],
HELPER_INFO_9110920			 = [[I wonder what it was like in hell, I got a little scared.]],
HELPER_INFO_9110930			 = [[I am scared too, but the thought of being with your highness make me at ease.]],
HELPER_INFO_9110940			 = [[Let's get in then!]],
HELPER_INFO_9111910			 = [[My warriors,we are about to enter an unknown world full of danger and fear, and an evil that once destroyed our land and planning to do it again, are you afraid? ]],
HELPER_INFO_9111920			 = [[No!]],
HELPER_INFO_9111930			 = [[For the future of our parents,brothers,wives and children, for the hope of mankind, let's GO! ]],
HELPER_INFO_9111940			 = [[GO!]],
HELPER_INFO_911910			 = [[Impossible! We dignified Four Dreadlords, how could…]],
HELPER_INFO_911920			 = [[Four Dreadlords? I think you're the Four Deadlords! Looks like you're on your death march.]],
HELPER_INFO_911930			 = [[Your Highness, Hawk Castle has been captured by the demon army! There must be many demons around here! Quick, let's get outta here!]],
HELPER_INFO_911940			 = [[Er! We shouldn't linger around here. Quick, let's go!]],
HELPER_INFO_912910			 = [[You're too confident for your own good! Wanna get your hands on the Divine Iron?! It's a vain hope!]],
HELPER_INFO_912920			 = [[Don't rejoice too soon...you've killed men of Swan Lord...but sooner or later...sonner or later you'll die without a burial place!]],
HELPER_INFO_912930			 = [[Your Highness, it seems we can't keep our tracks covered. Let's hurry up and leave, or we'll have ourselves a mess!]],
HELPER_INFO_913910			 = [[See, this is the strength to defeat Fiend!]],
HELPER_INFO_913920			 = [[Hahaha! Don't be happy too early, sooner or later, I will come back!]],
HELPER_INFO_913930			 = [[Your Highness! You really are still alive, and there is the Holy Sword!]],
HELPER_INFO_913940			 = [[I didn't think there are still people who fight against demons! We met you before and thought you were…]],
HELPER_INFO_913950			 = [[We build Felknights regarding this as the stronghold and fight against invasive demons! Your Highness! Let's follow you!]],
HELPER_INFO_913960			 = [[Wonderful! Your Highness! We've had a rough time, finally we get returns now!]],
HELPER_INFO_913970			 = [[Eh! To live up to our sacrifice, I must defeat Fiend with my own hands!]],
HELPER_INFO_914910			 = [[Don't you give up? You should call out more soldiers. It's a pity the Knighthood is not around, or I will send them hell!]],
HELPER_INFO_914920			 = [[But I feel something is wrong.]],
HELPER_INFO_914930			 = [[What is wrong? I only know that they want to kill you, hum! Their deaths will not be regreted!]],
HELPER_INFO_914940			 = [[Forget it. Let's go and join the Knighthood quickly!]],
HELPER_INFO_915910			 = [[Wow! The Holy Sword is really sharp, beating that deadass with two and three blows!]],
HELPER_INFO_915920			 = [[Your Highness! Our brothers didn't die for nothing. Our kingdom has hope!]],
HELPER_INFO_915930			 = [[But you suffered great casualties. The demons outnumbered us by far!]],
HELPER_INFO_915940			 = [[The Holy Sword is reborn! We will surely unite anti-demon armies. There are bound to be many anti-demon Knights at the Deadly Wall in the east.]],
HELPER_INFO_915950			 = [[Yes! Your Highness! There are bound to be Knights that have remained loyal to the royal family!]],
HELPER_INFO_916910			 = [[Your Highness…ah! No, I should call you Your Majesty! Heehee! I didn't think those demons would be out with a single blow!]],
HELPER_INFO_916920			 = [[It was inescapable. Next I'm gonna go on an expedition with the army. The road will be perilous. I reckon you're safer staying here.]],
HELPER_INFO_916930			 = [[Boohoo~~~~(>_<)~~~~Will you abandon me? I don't want to stay here by myself. I want to go with Your Majesty.]],
HELPER_INFO_916940			 = [[You foolish girl, I can't do anything with you!]],
HELPER_INFO_917910			 = [[Haha! Just four idiots! I beat you to piss before I had the Holy Sword. Now that I have the Holy Sword, I'm gonna beat you…eh? ]],
HELPER_INFO_917920			 = [[Okay, Svril, it seems that the storm has passed. Let's hurry up and find the battalion.]],
HELPER_INFO_918910			 = [[Your Majesty! If what the demon general said is true, then the numbers of demons is far greater than anticipated!]],
HELPER_INFO_918920			 = [[We have the Holy Sword. No matter how many soldiers they have, they're nothing to us!]],
HELPER_INFO_918930			 = [[Yes! Yes! The Holy Sword is not for decoration. Your Majesty, killing those demons will be as simple as chopping radishes and cabbage!]],
HELPER_INFO_919910			 = [[No~~~~~~~! Impossible! I'm immortal, how could it be…ah!!!]],
HELPER_INFO_919920			 = [[Your Highness! Fiend has disappeared! Fiend is really defeated! Hum~~~Hum~~~Hum~~~!]],
HELPER_INFO_919930			 = [[What a pity that the Holy Sword has gone with Fiend. But Fiend is dead, so the mission of the Holy Sword is finished!]],
HELPER_INFO_919940			 = [[The spirit of Your Highness' Father King can now rest in peace!]],
HELPER_INFO_919950			 = [[Ah~~~! Wonderful! We are finally liberated. I'm gonna head back and sleep for 3 straight days, and I'm gonna feast!]],
HELPER_INFO_919960			 = [[Don't forget, you're the king! Fiend is dead, but the kingdom is in a complete mess now. You have much to attend to!]],
HELPER_INFO_919970			 = [[Ah~~~! No, this is awful. I can play cards. But as for handling official documents? I'd just as soon die! Svril, save me!]],
HELPER_INFO_919980			 = [[(*^__^*) Heehee……Your Highness! It's late, let's hurry up and go! There is much awaiting your attention!]],
HELPER_INFO_KNIGHT			 = [[Knight]],
HELPER_INFO_ROLE_DEMON_GENERAL_B			 = [[ [Four Dreadlords] Picasso ]],
HELPER_INFO_ROLE_DEMON_GENERAL_M			 = [[ [Four Dreadlords] Morcar ]],
HELPER_INFO_ROLE_DEMON_GENERAL_S			 = [[ [Four Dreadlords] Grazia ]],
HELPER_INFO_ROLE_DEMON_GENERAL_Z			 = [[ [Four Dreadlords] Juwa ]],
HELPER_INFO_ROLE_DEMON_KING			 = [[The Fiend]],
HELPER_INFO_ROLE_DEMON_MONSTER			 = [[Evil Beast]],
HELPER_INFO_ROLE_ENEMIES			 = [[Blocker]],
HELPER_INFO_ROLE_FRIEND			 = [[Liam]],
HELPER_INFO_ROLE_GOD_SPIRIT			 = [[Sprite Shadow]],
HELPER_INFO_ROLE_HUMAN_SOLDIER			 = [[Kingdom Guardian]],
HELPER_INFO_ROLE_KILLER			 = [[Demon Killer]],
HELPER_INFO_ROLE_LORD_K			 = [[Lord Carlo]],
HELPER_INFO_ROLE_LORD_S			 = [[Lord Swan]],
HELPER_INFO_ROLE_MAID			 = [[Svril]],
HELPER_INFO_ROLE_MYSTICAL			 = [[Mystic]],
HELPER_INFO_ROLE_PLAYER_HONOUR_FEMALE			 = [[Princess]],
HELPER_INFO_ROLE_PLAYER_HONOUR_MALE			 = [[Prince]],
HELPER_INFO_ROLE_SECRET_ASSASSIN			 = [[Mysterious Assassin]],
HELPER_INFO_ROLE_UNCLE			 = [[Uncle Vickar]],
HELPER_INFO_ROLE_WARLOCK_SOUL			 = [[Warlock's Soul]],
HELPER_INFO_ROLE_WILD_BOAR			 = [[Raging Boar]],
HELPER_TEXT_REWARD_BUTTON			 = [[Claim]],
HELPER_TEXT_REWARD_TITLE			 = [[Newbie Reward]],
HELPER_TEXT_STAR_REWARD_TITLE			 = [[Beginner's Pack]],
IMAGE_FIGHT_BTN_STARTFIGHT			 = [[ATK]],
LOCAL_PUSH_CONTEXT12			 = [[Time to claim your SP! Don't miss out!~Your Highness!~]],
LOCAL_PUSH_CONTEXT20			 = [[OMG! The hard-to-defeat Boss showed up again! Help! And oh, don't forget to claim SP before war! ]],
LOGIN_ALL_SERVER			 = [[All servers]],
LOGIN_BY_PASSWORD			 = [[データ引き継ぎ]],
LOGIN_CHOOSE_SERVICE			 = [[Server]],
LOGIN_FAILED			 = [[Failed. Error ID:]],
LOGIN_FORCE_UPDATE_FOR_APPSTORE			 = [[New version is available. Please download and update.]],
LOGIN_GET_SERVICE_FAILED			 = [[Failed. Click to try again.]],
LOGIN_LOADING			 = [[Loading…]],
LOGIN_RECENTLY_ENTER			 = [[Latest Login]],
LOGIN_SERVER_CHOOSE			 = [[Tap to choose]],
LOGIN_SERVER_INDEX			 = [[#%d  ]],
LOGIN_SERVER_INDEX_1			 = [[server %d]],
LOGIN_SERVER_REFESH			 = [[Refresh]],
LOGIN_SERVICE_CROWD			 = [[HIGH]],
LOGIN_SERVICE_FLUENCY			 = [[LOW]],
LOGIN_SERVICE_FULL			 = [[FULL]],
LOGIN_SERVICE_MAINTAIN			 = [[OFF]],
LOGIN_SERVICE_MAINTAINING			 = [[Under maintenance…]],
LOGIN_SERVICE_NEW			 = [[NEW]],
LOGIN_SERVICE_RECOMMEND			 = [[HOT!]],
LOGIN_UPDATES			 = [[Updating data…]],
LOGIN_UPDATE_CONTENT			 = [[New version v%s found. Update:
%s]],
LOGIN_UPDATE_DOWNLOADING			 = [[Downloading…]],
LOGIN_UPDATE_FAILED			 = [[Failed. Try again?]],
LOGIN_UPDATE_NOT_WIFI			 = [[New version is now available (%0.2fM). Please update]],
LOGIN_UPDATE_OK_BUTTON			 = [[Update]],
LOGIN_UPDATE_SUCCESS			 = [[Already updated. Please restart the game!]],
LOGIN_UPDATE_TITLE			 = [[Update Hint]],
MAIL_ALREADY_RECEIVE			 = [[Claimed]],
MAIL_CONTENT			 = [[Contents:]],
MAIL_DELETE			 = [[Delete]],
MAIL_INBOX			 = [[Inbox]],
MAIL_RECEIVE			 = [[Claim]],
MAIL_SENDER_NAME			 = [[From: %s]],
MAIL_SEND_TIP			 = [[Input content here]],
MAIL_SYSTEM_INBOX			 = [[System]],
MAIN_ACTIVITY			 = [[Event]],
MAIN_ARENA			 = [[Arena]],
MAIN_ARMY			 = [[Legion]],
MAIN_BACKAGE			 = [[Backpack]],
MAIN_BIG_WHEEL			 = [[Casino]],
MAIN_BOSS			 = [[BOSS]],
MAIN_BULLETIN			 = [[Notice Board]],
MAIN_CARDGROUP			 = [[Deck]],
MAIN_DRAGON_BOAT			 = [[Worship Qvyuan]],
MAIN_DUNGEON			 = [[Dungeon]],
MAIN_EQUIP			 = [[Equip]],
MAIN_EQUIPLVUP			 = [[Upgrade]],
MAIN_FIRST_PAY			 = [[First Pay]],
MAIN_FRIENDS			 = [[Friend]],
MAIN_MINING			 = [[Mine]],
MAIN_OPTIONS			 = [[Option]],
MAIN_POINTSWALL			 = [[Adswall]],
MAIN_REWARD_MISSION			 = [[Quest Reward]],
MAIN_ROLE			 = [[Home]],
MAIN_SHOP			 = [[Shop]],
MAIN_SHOWDAY7			 = [[Login Gift]],
MAIN_SMITHY			 = [[Smithy]],
MAIN_STARSHOP			 = [[Star Shop]],
MAIN_STARSHOP_L			 = [[Star Shop]],
MAIN_SYSTEM_NOTICE			 = [[Notice]],
MAIN_TALENT			 = [[Talent]],
MAIN_TEAM			 = [[Team]],
MAIN_WISHING			 = [[iWish]],
MAP_CHOOSE_DIFFICULTY			 = [[Mode]],
MAP_CHOOSE_FRIEND			 = [[Select]],
MAP_COLLECT			 = [[Collect]],
MAP_COLLECT_TIME			 = [[You can claim your stars after [h] hours and [m] minutes.]],
MAP_CONFIRM_DIFFICULT			 = [[Confirm to take part in Challenge mode? You will fight alone and there is a good chance you will get more rewards.]],
MAP_COOLING			 = [[ [Cooling down] ]],
MAP_COST_SP			 = [[SP Cost:]],
MAP_DIFFICULTY_CHALLENGE			 = [[Challenge]],
MAP_DIFFICULTY_DIFFICULT			 = [[Hard]],
MAP_DIFFICULTY_HERO			 = [[Heroic]],
MAP_DIFFICULTY_ORDINARY			 = [[Normal]],
MAP_DIFFICULTY_SIMPLE			 = [[Simple]],
MAP_EXPLORE			 = [[Explore]],
MAP_EXPLORE_ADDFRIEND			 = [[Add Friend]],
MAP_EXPLORE_COST			 = [[Each time it consumes]],
MAP_EXPLORE_EXP			 = [[XP]],
MAP_EXPLORE_FAIL			 = [[Exploration failed. You received nothing.]],
MAP_EXPLORE_FINISH			 = [[Completed!]],
MAP_EXPLORE_FINISH_REWARD			 = [[Reward]],
MAP_EXPLORE_LEVEL			 = [[Explore]],
MAP_EXPLORE_LV_NAME			 = [[Level: %d %s]],
MAP_EXPLORE_MYSTERY_SHOP			 = [[Mystic]],
MAP_EXPLORE_PRAISE			 = [[Praise]],
MAP_EXPLORE_PROGRESS			 = [[Progress %d/%d]],
MAP_EXPLORE_PROGRESS_TITLE			 = [[Progress]],
MAP_EXPLORE_ROBBERY			 = [[Plunder]],
MAP_EXPLORE_ROBBERY_FAIL			 = [[Plunder failed. You lost Gold *%d.]],
MAP_EXPLORE_RULE			 = [[When you clear a stage of the dungeon, you can explore the target stage. (You must complete exploring the previous stage.) You may come across Chests Monsters other players Traveller and Mystic

Chest: After you clear a stage in Normal mode and find a chest during the exploration, you can open it and randomly receive the first 2 rewards. After you clear a stage in Hard mode and find a chest during the exploration, you can open it and randomly receive the first 3 rewards. After you clear a stage in Challenge mode and find a chest during the exploration, you can open it and receive all 4 rewards. The reward slot will be flipped after you receive the item inside. Otherwise, it will be displayed with a question mark.

Monster: You may come across monsters during the exploration. Defeat the monsters to receive Exp and Gold.

Other Players: When you come across another player during the exploration, you can Praise Plunder and Add as Friend. When you praise another player, both of you will receive Friendship points. When you successfully plunder another player, you will receive the target's Gold and other items. If you fail to plunder, the target will receive your corresponding resources.

Traveller: You may purchase his items at a favorable pirce by spending gold or diamonds.

Mystic: Congratulation! When you come across the Mystic, you can buy some rara cards and items directly in his shop.  ]],
MAP_EXPLORE_RULE_TITLE			 = [[Introduction to Exploration]],
MAP_EXPLORE_SP			 = [[SP]],
MAP_EXPLORE_TITLE			 = [[Explore]],
MAP_EXPLORE_TRAVEL_SHOP			 = [[Traveller]],
MAP_EXPLORE_UNGET			 = [[Haven't discovered the target item yet. Cheer on!]],
MAP_EXPLORE_UNLOCK			 = [[Locked]],
MAP_EXPLORE_UNLOCK_HARD			 = [[Get through %d-%d Challenge mode to unlock this stage.]],
MAP_EXPLORE_UNLOCK_LEVEL			 = [[Explore %d-%d to unlock this stage.]],
MAP_EXPLORE_UNLOCK_NORMAL			 = [[Get through %d-%d Heroic mode to unlock this stage.]],
MAP_EXPLORING			 = [[Exploring…]],
MAP_EXP_RATE			 = [[%dX Exp]],
MAP_FIGHT			 = [[Start]],
MAP_FRIEND_LESS_THAN_ONE			 = [[ [Cooling down]%d mins]],
MAP_FRIEND_TIME			 = [[%d mins]],
MAP_FRIEND_TIME_POPOP			 = [[ [CD] %d mins left ]],
MAP_GET_REWARD			 = [[Got reward]],
MAP_NO_FRIEND			 = [[You don't have any assistant!]],
MAP_SP			 = [[SP]],
MAP_SPECIAL_MAP			 = [[Fortune Bay]],
MAP_SP_NOT_ENOUGH			 = [[Insufficient SP for battle]],
MAP_TOWER			 = [[Ghost Tower]],
MESSAGE_DEFAULT_INFO			 = [[Welcome to Dungeons&Evil. Explore this unknown, mysterious world now! Official Facebook page: https://www.facebook.com/DungeonsEvil. If you have any questions or comments,please contact us via service@appfame.com.]],
MESSAGE_DEFAULT_INFO_91			 = [[Welcome to Dungeons&Evil. Explore this unknown, mysterious world now! Official Facebook page: https://www.facebook.com/DungeonsEvil. If you have any questions or comments,please contact us via service@appfame.com.]],
MESSAGE_RESEND			 = [[Send the message again?]],
MESSAGE_SENDING			 = [[Sending…]],
MESSAGE_TALK_WITH			 = [[Talking with %s]],
MESSAGE_TITLE			 = [[Message]],
MIGRATION_ACCOUNT			 = [[引き継ぎデータ確認]],
MINE_COST_DIAMOND			 = [[Spend %d diamonds to reset?]],
MINE_COST_DIAMOND_TITLE			 = [[Reset]],
MINE_DIAMOND_NOT_ENOUGH			 = [[Insufficient Diamonds]],
MINE_FREE			 = [[Free]],
MINE_MINING			 = [[Digging…]],
MINE_RULE			 = [[Introduction to the Mines
1. You can dig in three mines, each requires different Proficiency.
2. A countdown will start after each dig.You can dig when countdown is over.
3. You can spend diamonds to dig instantly if choose not to wait the countdown.
4. Better Mine matches better [Mining Pick-axe] ]],
MINE_SKILL			 = [[Proficiency: %d]],
MINE_TIME_FOR_FREE			 = [[ [mm]:[ss] to free ]],
MINE_UNLOCK			 = [[Unlock when Proficiency reaches %d.]],
NETWORK_CONNECT_FAILED			 = [[Connection has failed. Please double check your network.]],
NETWORK_CONNECT_FAILED2			 = [[Request has failed. Please double check your network.]],
NETWORK_FIGHT_CONNECT_FAILED			 = [[Request has failed. Do you want to continue the fight?]],
NETWORK_GET_SERVER_ERROR			 = [[Failed to connect with server. Please refresh.]],
NETWORK_NOT_GOOD			 = [[Bad network. Try again later.]],
NET_WCODE_10000			 = [[Successful]],
NET_WCODE_10001			 = [[General Error]],
NET_WCODE_10002			 = [[Server Abnormality]],
NET_WCODE_10003			 = [[Uncertified request]],
NET_WCODE_10004			 = [[The target has been booted.]],
NET_WCODE_10005			 = [[Repeated message ID]],
NET_WCODE_10006			 = [[The target character doesn't exist.]],
NET_WCODE_10007			 = [[The target account doesn't exist.]],
NET_WCODE_10008			 = [[Wrong password]],
NET_WCODE_10009			 = [[The target character already exists]],
NET_WCODE_10010			 = [[This version of the game needs to be first updated.]],
NET_WCODE_N10000			 = [[Operate failed]],
NET_WCODE_N10001			 = [[Server abnormality. Try again later.]],
NET_WCODE_N10002			 = [[The target record doesn't exist.]],
NET_WCODE_N10003			 = [[The target user doesn't exist.]],
NET_WCODE_N10004			 = [[Wrong account or password]],
NET_WCODE_N10005			 = [[Session has expired. Please log in again.]],
NET_WCODE_N10006			 = [[Modify user's information first.]],
NET_WCODE_N10007			 = [[Register failed. Try again later.]],
NET_WCODE_N10008			 = [[Illegal nickname]],
NET_WCODE_N10009			 = [[The target name already existed.]],
NET_WCODE_N10010			 = [[Parameter error]],
NET_WCODE_N10011			 = [[The target user name already existed.]],
NET_WCODE_N10012			 = [[Wrong email address format]],
NET_WCODE_N10013			 = [[Illegal nickname]],
NET_WCODE_N10014			 = [[Abnormality when the target user registered]],
NET_WCODE_N10015			 = [[Abnormality when the target user logged in]],
NET_WCODE_N10016			 = [[Abnormality when modified the target user's information]],
NET_WCODE_N10017			 = [[Already completed all stages]],
NET_WCODE_N10018			 = [[Not enough Diamonds]],
NET_WCODE_N10019			 = [[Not enough Friendship.]],
NET_WCODE_N10020			 = [[The target Card doesn't exist.]],
NET_WCODE_N10021			 = [[The target deck doesn't exist.]],
NET_WCODE_N10022			 = [[Already applied to add as friend]],
NET_WCODE_N10023			 = [[The target Card can't be used as material]],
NET_WCODE_N10024			 = [[Can't find the target player]],
NET_WCODE_N10025			 = [[The target quest doesn't exist]],
NET_WCODE_N10026			 = [[The target quest is still pending]],
NET_WCODE_N10027			 = [[Already claimed the reward]],
NET_WCODE_N10028			 = [[Already signed in]],
NET_WCODE_N10029			 = [[It is not the time to claim SP yet]],
NET_WCODE_N10030			 = [[Still cooling down]],
NET_WCODE_N10031			 = [[Ran out of challenge]],
NET_WCODE_N10032			 = [[No available reward]],
NET_WCODE_N10033			 = [[Not enough SP]],
NET_WCODE_N10034			 = [[Already distributed all SP]],
NET_WCODE_N10035			 = [[Can't find the target friend]],
NET_WCODE_N10036			 = [[Not enough money]],
NET_WCODE_N10037			 = [[Can't leave a message for yourself]],
NET_WCODE_N10038			 = [[Please enter the message]],
NET_WCODE_N10039			 = [[Already gifted today]],
NET_WCODE_N10040			 = [[Not enough Vouchers]],
NET_WCODE_N10041			 = [[The target account has been banned. Please contact a GM.]],
NET_WCODE_N10042			 = [[The target character has been banned. Please contact a GM.]],
NET_WCODE_N10044			 = [[Not enough Cost]],
NET_WCODE_N10045			 = [[Full Cost]],
NET_WCODE_N10046			 = [[Sensitive characters]],
NET_WCODE_N10047			 = [[Enter a keyword]],
NET_WCODE_N10048			 = [[Exceeded the upper limit of friends]],
NET_WCODE_N10049			 = [[The target's friends already reached the max.]],
NET_WCODE_N10050			 = [[Already claimed the Card]],
NET_WCODE_N10051			 = [[The target Invitation Code doesn't exist.]],
NET_WCODE_N10052			 = [[It is not the time to claim yet]],
NET_WCODE_N10053			 = [[Not enough Stars]],
NET_WCODE_N10054			 = [[Truce]],
NET_WCODE_N10055			 = [[Already cleared the target stage]],
NET_WCODE_N10056			 = [[Can't find the target Talent]],
NET_WCODE_N10057			 = [[Must upgrade first]],
NET_WCODE_N10058			 = [[No material]],
NET_WCODE_N10059			 = [[Can't find the target configuration]],
NET_WCODE_N10060			 = [[The target Talent already reached level cap]],
NET_WCODE_N10061			 = [[Evolve failed]],
NET_WCODE_N10062			 = [[Not enough materials]],
NET_WCODE_N10063			 = [[Failed.]],
NET_WCODE_N10064			 = [[Failed.]],
NET_WCODE_N10065			 = [[SP is full.]],
NET_WCODE_N10066			 = [[The effect of the Exp Potion can't be accumulated.]],
NET_WCODE_N10067			 = [[Star Collection is not cooling down.]],
NET_WCODE_N10068			 = [[Already reached the upper limit of purchase that day.]],
NET_WCODE_N10069			 = [[Failed.]],
NET_WCODE_N10070			 = [[Failed.]],
NET_WCODE_N10071			 = [[Failed.]],
NET_WCODE_N10072			 = [[Incorrect Exchange Code.]],
NET_WCODE_N10073			 = [[The target Exchange Code has been used.]],
NET_WCODE_N10074			 = [[The target Exchange Code already expired.]],
NET_WCODE_N10075			 = [[Already reached the max limit of the exchange for each user.]],
NET_WCODE_N10076			 = [[Already made a wish today.]],
NET_WCODE_N10077			 = [[Failed.]],
NET_WCODE_N10078			 = [[Insufficient amount]],
NET_WCODE_N10079			 = [[Require a Common Key]],
NET_WCODE_N10080			 = [[Require a Common Equip Chest.]],
NET_WCODE_N10081			 = [[Require an Delicate Key]],
NET_WCODE_N10082			 = [[Require an Delicate Equip Chest]],
OPTION_CUSTOMER_SERVICE			 = [[Service]],
OPTION_EXIT_ACCOUNT			 = [[Log out]],
OPTION_EXIT_ACCOUNT_CONFIRM			 = [[Confirm to log out?]],
OPTION_FEEDBACK			 = [[Feedback]],
OPTION_FORUM			 = [[Forum]],
OPTION_MUSIC			 = [[Music]],
OPTION_MUSIC_OFF			 = [[Music Off]],
OPTION_MUSIC_ON			 = [[Music On]],
OPTION_PERSONAL_CENTER			 = [[User Center]],
OPTION_RAIDERS			 = [[Strategy]],
OPTION_SAFTINFO_ACCOUNT			 = [[Anti-addiction Confirmation]],
OPTION_SOUND			 = [[Sound]],
OPTION_SOUND_OFF			 = [[Sound Off]],
OPTION_SOUND_ON			 = [[Sound On]],
OPTION_SWITCH_ACCOUNT			 = [[Switch account.]],
OPTION_USER_CENTER			 = [[User Center]],
QUIT_CANCEL			 = [[Continue the fight!]],
QUIT_CONFIRM			 = [[Confirm to quit?]],
RANK_ANNOUNCEMENT			 = [[%s]],
RANK_CANNOT_WORSHIP_SELF			 = [[Can't worship yourself]],
RANK_MY_RANK			 = [[My Rank]],
RANK_PLAYER_NAME			 = [[Name]],
RANK_RANKING_TITLE			 = [[Ranks]],
RANK_TITLE			 = [[Rank]],
RANK_TYPE_GOLD			 = [[Gold]],
RANK_TYPE_LV			 = [[Level]],
RANK_TYPE_TALENT			 = [[Talent]],
RANK_TYPE_TOTALATK			 = [[ATK]],
RANK_TYPE_TOTALHP			 = [[HP]],
RANK_TYPE_WORSHIPTIMES			 = [[Worship]],
RANK_UNIT_GOLD			 = [[Gold]],
RANK_UNIT_TOTALATK			 = [[Total ATK]],
RANK_UNIT_TOTALHP			 = [[Total HP]],
REGISTER_CAN_NOT_INPUT			 = [[Optional]],
REGISTER_ENTER_GAME			 = [[Play]],
REGISTER_EYE			 = [[Eyes]],
REGISTER_HAIR			 = [[Hair]],
REGISTER_INPUT_INVCODE			 = [[Input invitation code]],
REGISTER_INPUT_NAME			 = [[Input name]],
REGISTER_INVITE_ERROR_1			 = [[4 characters only]],
REGISTER_INVITE_ERROR_2			 = [[Invalid invitation code]],
REGISTER_INVITE_ERROR_3			 = [[English or numbers only!]],
REGISTER_INVITE_TITLE			 = [[Invite Code:]],
REGISTER_INVITE_WARMING			 = [[Input Invitation Code from your friend and Get Gifts!(Check your Backpack)]],
REGISTER_NAME_RANDOM			 = [[Random]],
REGISTER_NAME_TITLE			 = [[Name:]],
REGISTER_NEXT			 = [[Next]],
REGISTER_REGISTER			 = [[Register]],
REGISTER_TITLE			 = [[Character]],
REGISTER_USER_SELECT			 = [[Character]],
REWARD_ACHIEVEMENT			 = [[Achievement]],
REWARD_ALREADY_RECEIVE			 = [[Claimed]],
REWARD_AREADY_SIGNED			 = [[Already signed in]],
REWARD_CARD			 = [[Card: %s]],
REWARD_CHIP			 = [[Shard: %s]],
REWARD_COUNT			 = [[X%d]],
REWARD_DAY			 = [[Achievement]],
REWARD_DAY_DUTY			 = [[Quest]],
REWARD_DIAMOND			 = [[Diamond: %d]],
REWARD_END			 = [[Ended]],
REWARD_EXP			 = [[XP: %d]],
REWARD_FINISHED			 = [[Done]],
REWARD_FP			 = [[Friendship: %d]],
REWARD_FREEBUY			 = [[Lottery Voucher: %d]],
REWARD_GET			 = [[Got:]],
REWARD_GET_CARD			 = [[%s
Card: %s]],
REWARD_GET_CHIP			 = [[%s
Shard: %s]],
REWARD_GET_DIAMOND			 = [[%s
Diamond: %d]],
REWARD_GET_EXP			 = [[%s
Exp: %d]],
REWARD_GET_FP			 = [[%s
Friendship: %d]],
REWARD_GET_FREEBUY			 = [[%s
Lottery Voucher: %d]],
REWARD_GET_GOLD			 = [[%s
Gold: %d]],
REWARD_GET_GOODS			 = [[%s
Item: %s, Amount: %d]],
REWARD_GET_REWARD			 = [[Got reward]],
REWARD_GET_SP			 = [[%s
SP: %d]],
REWARD_GET_STAR			 = [[%s
Star: %d]],
REWARD_GOLD			 = [[Gold: %d]],
REWARD_GRAND_REWARD			 = [[Mysterious reward]],
REWARD_JOIN			 = [[Join]],
REWARD_LAST_RANK			 = [[Yesterday's Rank:]],
REWARD_NOTOPEN			 = [[Locked]],
REWARD_NOT_RECEIVE			 = [[Claim]],
REWARD_RECEIVE			 = [[Claim]],
REWARD_REWARD			 = [[Reward]],
REWARD_SIGN			 = [[Sign in]],
REWARD_SIGNED			 = [[Signed]],
REWARD_SIGN_Friday			 = [[Fri]],
REWARD_SIGN_GET			 = [[Claim]],
REWARD_SIGN_GETED			 = [[Claimed]],
REWARD_SIGN_MONDAY			 = [[Mon]],
REWARD_SIGN_NOGET			 = [[Pending]],
REWARD_SIGN_Saturday			 = [[Sat]],
REWARD_SIGN_SUNDAY			 = [[Sun]],
REWARD_SIGN_Thursday			 = [[Thur]],
REWARD_SIGN_TIME			 = [[ [mm]:[ss] ]],
REWARD_SIGN_TIMES			 = [[%d]],
REWARD_SIGN_TOTALSIGNED			 = [[Signed in this month: %d]],
REWARD_SIGN_TUESDAY			 = [[Tues]],
REWARD_SIGN_UNTED			 = [[Available]],
REWARD_SIGN_Wednesday			 = [[Wed]],
REWARD_SP			 = [[SP: %d]],
REWARD_TITLE			 = [[Reward]],
REWARD_TITLE_NEWYEAR			 = [[New Year Gifts.]],
REWARD_TRUCE			 = [[Truce]],
REWARD_UNFINISHED			 = [[Pending]],
ROLE_COST			 = [[Cost]],
ROLE_EXP			 = [[XP]],
ROLE_FP			 = [[Friendship:]],
ROLE_FREEBUY			 = [[Voucher:]],
ROLE_FRIENDS			 = [[Friend:]],
ROLE_LOCKER_ROOM			 = [[Dressing Room]],
ROLE_LOCKER_WILL_OPEN			 = [[Dressing Room will be available soon.Stay tuned.]],
ROLE_NAME			 = [[Name]],
ROLE_SERVICE_NAME			 = [[Server:]],
ROLE_SP			 = [[SP:]],
ROLE_SP_FULL			 = [[Full SP]],
ROLE_SP_TIME			 = [[Remains]],
SHOP_ALREADY_BUY			 = [[Purchased]],
SHOP_BUY			 = [[Buy]],
SHOP_BUY_CONFIRM			 = [[Buy：%s
Amount：%d
Cost：%d 
Confirm？]],
SHOP_BUY_DIAMOND			 = [[Recharge]],
SHOP_BUY_SP			 = [[Buy SP]],
SHOP_CARD_GIFTS			 = [[Cards Pack]],
SHOP_CONRIFM_CONTINUE_LOTTERY			 = [[Confirm %s?]],
SHOP_CONTINUE_LOTTERY			 = [[Continue to try once more?]],
SHOP_DIAMOND_NOT_ENOUGH			 = [[Not enough money.]],
SHOP_DRAW_CARD_AGAIN			 = [[Retry]],
SHOP_FAIL			 = [[Purchase failed]],
SHOP_FISTBUY_FIVESTART			 = [[1st draw get 5★]],
SHOP_FP_NOT_ENOUGH			 = [[Not enough Friendship.]],
SHOP_FREEBUY_NOT_ENOUGH			 = [[Not enough Vouchers.]],
SHOP_GOODS			 = [[Items]],
SHOP_GOODSSHOP			 = [[Items Shop]],
SHOP_INSIDE_BUY			 = [[Please confirm.]],
SHOP_LOOK_BAG			 = [[View]],
SHOP_LOOK_NEWCARD			 = [[View]],
SHOP_NO_SELECT_GOODS			 = [[Select a target first]],
SHOP_RECEIVE_CARD			 = [[Claim Card]],
SHOP_STAR_BUY_CONFIRM			 = [[Buy: %s,
Amount: %d, 
Cost: %d Stars]],
SHOP_STAR_BUY_CONFIRM_DIAMOND			 = [[Purchase:%s
 Amount:%d
 Spend:%d diamonds.]],
SHOP_STAR_NOT_ENOUGH			 = [[Not enough Stars]],
SHOP_SUCCESS			 = [[Successful]],
SHOP_SUCCESS_HINT			 = [[Purchase successful. Please refresh and double check later.]],
SPECIALMAP_BACK_MAP			 = [[Back]],
SPECIALMAP_CLEAN			 = [[CLEAN!]],
SPECIALMAP_END			 = [[%d diamonds]],
SPECIALMAP_FIGHTED			 = [[Current level has been through]],
SPECIALMAP_HIGN			 = [[%s(Top Record)]],
SPECIALMAP_MAP_CARD			 = [[Mercenary Tower]],
SPECIALMAP_MAP_GOLD			 = [[Fortune Tower]],
SPECIALMAP_MAP_MATERIAL			 = [[Evolution Tower]],
SPECIALMAP_MAP_STAR			 = [[Star Tower]],
SPECIALMAP_MAP_STONE			 = [[Ore Tower]],
SPECIALMAP_OPEN_TIME			 = [[Avaible in [d]D[hh]:[mm]:[ss] ]],
SPECIALMAP_QUICK_SWEEPING			 = [[Quick Wipe-out]],
SPECIALMAP_RESET			 = [[Reset]],
SPECIALMAP_RESET_CONFIRM			 = [[Reset Instance]],
SPECIALMAP_RESET_CONFIRM_1			 = [[Reset will cost %d diamonds, continue?]],
SPECIALMAP_RESET_COUNT_1			 = [[Reset for free]],
SPECIALMAP_RESET_COUNT_2			 = [[Reset Chance left:%d
%d diamonds for reset]],
SPECIALMAP_RESET_NOT			 = [[No Reset Chance Left today]],
SPECIALMAP_RESET_WARMING			 = [[Instance has not been challenged yet]],
SPECIALMAP_REWARD_PREVIEW			 = [[Wipe-out Finished]],
SPECIALMAP_REWARD_PREVIEW_CONFIRM			 = [[Confirm]],
SPECIALMAP_REWARD_PREVIEW_TITLE			 = [[Drop Rate]],
SPECIALMAP_REWARD_REWVIEW			 = [[Reward]],
SPECIALMAP_SWEEPING			 = [[Wipe-out]],
SPECIALMAP_SWEEPING_NORMAL			 = [[Wipe-out finish in [hh]:[mm]:[ss]
Your are free during this period]],
SPECIALMAP_SWEEPING_QUICK			 = [[Wipe-out in [hh]:[mm]:[ss]
Please be patient]],
SPECIALMAP_SWEEPING_TITLE			 = [[Wipe-out in progress]],
SPECIALMAP_SWEEPING_TITLE_END			 = [[Wipe-out Finished,you may claim rewards]],
SPECIALMAP_SWEEPING_TITLE_QUICK			 = [[Quick Wipe-out in progress]],
SPECIALMAP_SWEEPING_WARMING			 = [[No tower avaible to wipe-out]],
TALENT_ALERTINFO1			 = [[You can only use 3-Star or above Non-Exp Cards]],
TALENT_ALERTINFO2			 = [[You can only use Non-Exp Cards of Alliance]],
TALENT_ALERTINFO3			 = [[You can only use Non-Exp Cards of Horde]],
TALENT_ALERTINFO4			 = [[You can only use Non-Exp Cards of Undead]],
TALENT_CUR_LV			 = [[Level Now:]],
TALENT_HEROLVSMALLALERT			 = [[The character level is not qualified.]],
TALENT_HP			 = [[HP:]],
TALENT_NEEDLV			 = [[Required level]],
TALENT_NEXT_LV			 = [[Next Level:]],
TALENT_SELCARD			 = [[Talent System]],
TALENT_SELECT_CARD			 = [[Select Cards]],
TALENT_TITLE			 = [[Talent System]],
TALENT_TOAST_NOT_ENOUGH_GOLD			 = [[Not enough Gold]],
TALENT_TOAST_NOT_ENOUGH_STAR			 = [[Not enough Stars]],
TALENT_TOST_PLSELCARD			 = [[Please select a Card to upgrade!]],
TALENT_UPGRADE_CARD			 = [[Consume Cards]],
TALENT_UPGRADE_DIAMOND			 = [[Consume Diamonds]],
TALENT_UPGRADE_TALENT			 = [[Upgrade]],
TALENT_UPTLNEEDINFO			 = [[Before you upgrade level %s Talent, you need to reach level %s first.]],
TEAM_ADD_MEMBER			 = [[Add]],
TEAM_ALREADY_SIGN_UP			 = [[Signed up.]],
TEAM_APPLICATION_MESSAGE			 = [[Appliants]],
TEAM_CANNOT_EDIT			 = [[Not allowed during war day.]],
TEAM_CARD_LIMIT			 = [[%d cards only, cancel other selected cards if needed.]],
TEAM_CARD_NEED_FOUR			 = [[Require %d cards for team battle.]],
TEAM_CARD_SELECT			 = [[Arrange team cards]],
TEAM_CHAMPION			 = [[Champion:%s]],
TEAM_CONFIG_CARD			 = [[Please set up %d cards for team battle.]],
TEAM_CONFIG_CARD_FIRST			 = [[Arrange team cards]],
TEAM_CREATE_LEVEL_NOT_ENOUGH			 = [[Your hero level is too low to create a team.]],
TEAM_CREATE_LIMIT			 = [[Creating a team requires level %d and %d diamonds.]],
TEAM_CREATE_TEAM			 = [[Create]],
TEAM_DIAMOND_NOT_ENOUGH			 = [[Not enough Diamonds]],
TEAM_DISMISSAL_TEAM			 = [[Disband]],
TEAM_DISMISSAL_TEAM_INFO			 = [[Awful result to disband the team!]],
TEAM_EDIT_HIDE			 = [[Click here to input]],
TEAM_ELIMINATION_WAR			 = [[Konckout Match(Show Only the last 10 battles)]],
TEAM_EXIT_TEAM			 = [[Quit Team]],
TEAM_EXIT_TEAM_INFO			 = [[The registration of the team will be cancelled after your quiting. Still continue?]],
TEAM_FINALS			 = [[Final]],
TEAM_FINALS_WAR			 = [[Final]],
TEAM_GET_REWARD			 = [[Claim Rewards]],
TEAM_INTER_SERVER_REWARD_INFO			 = [[C-S Match Rewards Description]],
TEAM_INTER_SERVER_REWARD_RULE			 = [[*Knockout Match Rewards*
1. All participants will be awarded 20K gold and 300 stars.
2. All participants will be awarded [Knockout Match Winning Times] x 10K gold;
3. All participants will be awarded [Knockout Match Winning Times] x 40 stars;
4. All participants will be awarded [Knockout Match Winning Times] x 2 Magic Crystal;
5. All participants will be awarded [Knockout Match Winning Times] x 1 turkey;   

[For Team Leader]
Champion: Star x 25K, turkey x 6, Common Soul Shard x 20, Rare Soul Shard x 5;
Runner-up: Star x 20K, turkey x 5, Common Soul Shard x 16, Rare Soul Shard x 4;
Final Four (Two Teams): Star x 16K, turkey x 3, Common Soul Shard x 12, Rare Soul Shard x 3;
Final Eight (Four Teams): Star x 12K, turkey x 3, Common Soul Shard x8, Rare Soul Shard x 2;

[For Team Members]
Champion: Star x 12.5K, turkey x 5, Common Soul Shard x 10, Rare Soul Shard x 4;
Runner-up: Star x 10K, turkey x 4, Common Soul Shard x 8, Rare Soul Shard x 3;
Final Four (Two Teams): Star x 8K, turkey x 3, Common Soul Shard x 6, Rare Soul Shard x 2;
Final Eight (Four Teams): Star x 6K, turkey x 3, Common Soul Shard x4, Rare Soul Shard x 1;
]],
TEAM_INTER_SERVER_RULE			 = [[Participant servers: %s
*War Rules*
1.10 cards will be picked randomly from 20 for the war. The battle mode is the same as an ordinary pvp.
2. For each battle, cards will be repicked randomly.
*Team Competition Rules*
1. Cross server match on Sunday.
2. The final eight of each server that week will automatic route into cross server match.
3. The participant team will be disqualified from the cross server once they changed the team member.
4. Knockout Match will come first to sort out the Final Eight teams, and these teams shall fight for championship.]],
TEAM_INTER_SERVER_RULE_TITLE			 = [[C-S Match Description]],
TEAM_INTER_SERVER_WAR			 = [[Cross-server]],
TEAM_JOIN			 = [[Join]],
TEAM_JOIN_TEAM			 = [[Apply]],
TEAM_JOIN_TEAM_INFO			 = [[Please wait for reply. You can apply many teams at once.]],
TEAM_JOIN_TEAM_TITLE			 = [[Join]],
TEAM_KNOCKOUT			 = [[Knockout Match]],
TEAM_LASR_DATE			 = [[Last log in: %s]],
TEAM_LAST_INTER_SERVER_CHAMPIONS			 = [[Last Champion]],
TEAM_LAST_SAME_SERVER_CHAMPIONS			 = [[Last Champion]],
TEAM_LAST_SEASON_CHAMPIONS			 = [[Last winner]],
TEAM_LAST_SEASON_VIEW			 = [[Result Record]],
TEAM_LEVEL_NOT_ENOUGH			 = [[Level %d is required ]],
TEAM_MANIFESTO			 = [[Slogan]],
TEAM_MEMBER_COUNT			 = [[Number of teammates]],
TEAM_MEMBER_FULL			 = [[The team is full.]],
TEAM_MEMBER_NOT_ENOUGH			 = [[Must have %d members. ]],
TEAM_MY_TEAM			 = [[My Team]],
TEAM_MY_WAR			 = [[My Record]],
TEAM_NAME			 = [[Team]],
TEAM_NAME_OVERFLOW			 = [[The name is too long.]],
TEAM_NOT_BATTLE			 = [[War Preperation Period]],
TEAM_NOT_MEMBER			 = [[Vacant]],
TEAM_NOT_SIGN_UP			 = [[Pls Sign-up]],
TEAM_NO_APP			 = [[No application now.]],
TEAM_NO_LAST_PAGE			 = [[First page.]],
TEAM_NO_NAME			 = [[Input Team's Name]],
TEAM_NO_NEXT_PAGE			 = [[Last page already.]],
TEAM_ONE_FOURTH_WAR			 = [[Final Eight Games]],
TEAM_QUARTER_FINALS			 = [[Final Eight]],
TEAM_RANK_TITLE			 = [[Last rank of your team]],
TEAM_REAM_NO_RECORD			 = [[No Records Yet]],
TEAM_REMOVE_MEMBER			 = [[Kick Member]],
TEAM_REMOVE_MEMBER_INFO			 = [[Will lose some credits if you kick team members.(Won't if the member you kick hasn't logged in for 7 consecutive days.),continue to kick member? ]],
TEAM_REWARDS_DETAIL			 = [[Rewards]],
TEAM_REWARD_INFO			 = [[Reward Details]],
TEAM_REWARD_RULE			 = [[Reward System Of Team
*Knockout Match Rewards*
1. All participants will be awarded 20K gold and 300 stars.
2. All participants will be awarded [Knockout Match Winning Times] x 10K gold;
3. All participants will be awarded [Knockout Match Winning Times] x 40 stars;
4. All participants will be awarded [Knockout Match Winning Times] x 2 Magic Crystal;
5. All participants will be awarded [Knockout Match Winning Times] x 1 turkey;  
 
* Final Eight Rewards（Final Eight WON’T receive the knockout Match Rewards）*
 [For Team Leader]
Champion: Star x 15K, Magic Crystal x 150, Dazzling Magic Crystal x 6, Halo Stone x 75, Blood Jade x 2, Common Soul Shard x 5, Rare Soul Shard x 3;
 Runner-up: Star x 12K, Magic Crystal x 120, Dazzling Magic Crystal x 3, Halo Stone x 45, Blood Jade x 1, Common Soul Shard x 3, Rare Soul Shard x 2;
 Final Four (Two Teams): Star x 9K, Magic Crystal x 90, Halo Stone x 30, Common Soul Shard x 2, Rare Soul Shard x 1;
Final Eight (Four Teams): Star x 6K, Magic Crystal x 75, Halo Stone x 15, Common Soul Shard x 1;

[For Team Members]
Champion: Star x 10K, Magic Crystal x 100, Dazzling Magic Crystal x 4, Halo Stone x 50, Blood Jade x 1, Common Soul Shard x 3, Rare Soul Shard x 1;
 Runner-up: Star x 8K, Magic Crystal x 80, Dazzling Magic Crystal x 2, Halo Stone x 30, Common Soul Shard x 2;
 Final Four (Two Teams): Star x 6K, Magic Crystal x 60, Halo Stone x 20, Common Soul Shard x 1;
Final Eight (Four Teams): Star x 4K, Magic Crystal x 50, Halo Stone x 10;
]],
TEAM_RULE			 = [[*To create a team*
1. Team leader must reach level 10 or higher.
2. Team leader must spend 80 diamonds.(In return, Team leader will receive better rewards)
*To join a team*
1. Team member must reach level 10 or above.
2. Team member must arrange 4 cards for team battle when apply to join the team.
*Team Organization*
1, Each team has 1 team leader and 4 members.
2, Everyone in the team must arrange 4 participant cards for team battle. (20 Cards in total)
*War Rules*
1.10 cards will be picked randomly from 20 for the war. The battle mode is the same as an ordinary pvp one.
2.For each battle, cards will be repicked randomly.
*Team Competetion Rules*
The Server Match is on each Wednesday and Saturday (Sign up to join).
Cross server match is held on Sunday (The final eight of each server that week will automaticly join in cross server match).
1.Wednesday, Saturday and Sunday are the war days, the rests are preparation period.
2.During Preparation Period, team members and team cards can be rearranged  and the team can be disbanded.
3.During War Day, everyone can’t change teammates or team cards, neither disband the team. A random match will be made automatically.
4.Knockout Match will come first to sort out the Final Eight teams, and these teams shall fight for championship.
*Sign-up Requirements*
1.Team Leader can sign up for the war.
2.Cross-server match will begin automatically, no need to sign up.
3.Team must be full (5 in total). 
4.Team must not have any member that hasn't logged in for 7 consecutive. (A hint will be given at registing time)
*Team Score* （Suits for Server Match & Cross-server Match）
1.Team has 0 score when being created, gets 1 score from every Knockout win, 3 from every quarter win. (More special score benefits will be available in the future)
2.10% (one point at least) will be deducted from total points when team leader kicks out members.(no deduction for kicking the member that hasn’t  logged in for 7 days)]],
TEAM_RULE_DETAIL			 = [[Rules]],
TEAM_RULE_TITLE			 = [[Description]],
TEAM_SAME_SERVER_REWARD_INFO			 = [[Server Match Reward Description]],
TEAM_SAME_SERVER_REWARD_RULE			 = [[*Knockout Match Rewards*
1. All participants will be awarded 20K gold and 300 stars.
2. All participants will be awarded [Knockout Match Winning Times] x 10K gold;
3. All participants will be awarded [Knockout Match Winning Times] x 40 stars;
4. All participants will be awarded [Knockout Match Winning Times] x 2 Magic Crystal;
5. All participants will be awarded [Knockout Match Winning Times] x 1 turkey;   

[For Team Leader]
Champion: Star x 8K, Magic Crystal x 80, Dazzling Magic Crystal x 4, Halo Stone x 40, Blood Jade x 1, Common Soul Shard x 5, Rare Soul Shard x 2;
Runner-up: Star x 6.5K, Magic Crystal x 65, Dazzling Magic Crystal x 2, Halo Stone x 25, Blood Jade x 1, Common Soul Shard x 3, Rare Soul Shard x 1;
Final Four (Two Teams): Star x 5K, Magic Crystal x 50, Halo Stone x 20, Common Soul Shard x 2, Rare Soul Shard x 1;
Final Eight (Four Teams): Star x 3.5K, Magic Crystal x 40, Halo Stone x 10, Common Soul Shard x 1;

[For Team Members]
Champion: Star x 5.5K, Magic Crystal x 55, Dazzling Magic Crystal x 3, Halo Stone x 30, Blood Jade x 1, Common Soul Shard x 3, Rare Soul Shard x 1;
Runner-up: Star x 4.5K, Magic Crystal x 45, Dazzling Magic Crystal x 2, Halo Stone x 20, Common Soul Shard x 2;
Final Four (Two Teams): Star x 3.5K, Magic Crystal x 35, Halo Stone x 15, Common Soul Shard x 1;
Final Eight (Four Teams): Star x 2.5K, Magic Crystal x 25, Halo Stone x 8;
]],
TEAM_SAME_SERVER_RULE			 = [[*War Rules*
1.10 cards will be picked randomly from 20 for the war. The battle mode is the same as an ordinary pvp one.
2. For each battle, cards will be repicked randomly.
*Team Competition Rules*
1, Server matches on Wed. and Sat.
2. Every eligible team can sign-up to take part in.
3. Knockout Match will come first to sort out the Final Eight teams, and these teams shall fight for championship. .
*Sign-up Requirements*
1. Team Leader can sign up for the war.
2. Team must be full (5 in total). 
3. Team must not have any member that hasn't logged in for 7 consecutive. (A hint will be given at registing time) 
]],
TEAM_SAME_SERVER_RULE_TITLE			 = [[Server Match Description]],
TEAM_SAME_SERVER_WAR			 = [[Server Match]],
TEAM_SCORE			 = [[Score]],
TEAM_SEARCH			 = [[Search]],
TEAM_SEMIFINAL			 = [[Semifinal]],
TEAM_SEMIFINAL_WAR			 = [[Semi-Final]],
TEAM_SEND_TEAM_AD			 = [[%s team %s is looking for teammates. Team ID:%s, welcome!]],
TEAM_SERVICR			 = [[Server:%s]],
TEAM_SERVICR_REMOVE			 = [[You team has joined cross-server match, changing team member will disqualify this match chance.]],
TEAM_TEAM_LIST			 = [[Teams List]],
TEAM_TEAM_MEMO			 = [[【%s】ID:%s Member:%d/%d Points:%d]],
TEAM_THIS_INTER_SERVER_CHAMPIONS			 = [[Cross-Server Champion]],
TEAM_THIS_SAME_SERVER_CHAMPIONS			 = [[Server Champion]],
TEAM_THIS_SEASON_CHAMPIONS			 = [[Current Champion]],
TEAM_THIS_SEASON_VIEW			 = [[Result Record]],
TEAM_VIEW_APPLICATION			 = [[Requests]],
TEAM_VIEW_SITUATION			 = [[Live Scores ]],
TEAM_WAIT_BATTLE			 = [[Preparation Period]],
TEAM_WAR2			 = [[Final]],
TEAM_WAR4_A			 = [[Group A of Final Four]],
TEAM_WAR4_B			 = [[Semifinal of Group B]],
TEAM_WAR8_A			 = [[Group A of Final Eight]],
TEAM_WAR8_B			 = [[Group B of Final Eight]],
TEAM_WAR8_C			 = [[Group C of Final Eight]],
TEAM_WAR8_D			 = [[Group D of Final Eight]],
TEAM_WAR_END			 = [[Ends in %s%s]],
TEAM_WAR_FINISH			 = [[Next Preparation Period in]],
TEAM_WAR_SEASON			 = [[Final Eight]],
TEAM_WAR_SIGN_UP			 = [[Sign up]],
TEAM_WAR_SIGN_UP_INFO			 = [[The team will auto-fight this march after signing up, confirm to sign up?]],
TEAM_WAR_START			 = [[Next War Day in]],
TEAM_WAR_TIME_FORMAT			 = [[ [d]D[hh]:[mm]:[ss] ]],
TEAM_WAR_UN_SIGN_UP			 = [[Cancel Sign-up]],
TEAM_WAR_UN_SIGN_UP_INFO			 = [[Unable to join the team war if you cancel sign-up, continue?]],
TEAM_WAR_WAIT			 = [[War begins in %s]],
TEAM_WORLD_RECRUITSCLICK			 = [[Recruit]],
TOWER_BUFF			 = [[Check buff]],
TOWER_BUFF_CHOOSE			 = [[Choose]],
TOWER_BUFF_CONFIRM			 = [[Confirm]],
TOWER_BUFF_HERO_HP			 = [[Hero HP +%d]],
TOWER_BUFF_RECHOOSE_TITLE			 = [[Refresh]],
TOWER_BUFF_TITLE			 = [[Buff]],
TOWER_CHALLENGE			 = [[Chance]],
TOWER_CLEAN			 = [[%s Clear]],
TOWER_FIGHT_ERROR			 = [[Run out of chances today]],
TOWER_MY_RANK			 = [[Rank today]],
TOWER_MY_RECORD_TITLE			 = [[Score today]],
TOWER_NO_RANK			 = [[Not listed]],
TOWER_RANK			 = [[No.%d~%d]],
TOWER_RANK_FIRST_RANK			 = [[No.1  %s]],
TOWER_RANK_FIRST_RESULTS			 = [[Score:%d]],
TOWER_RANK_MINRESULTS			 = [[Lowest Score:%d]],
TOWER_RANK_MY_RANK			 = [[Rank today:%d]],
TOWER_RANK_MY_RECORD			 = [[Score today:%d]],
TOWER_RANK_TITLE			 = [[Rank reward]],
TOWER_RECORD			 = [[My Record]],
TOWER_RESULT_TITLE			 = [[Score]],
TOWER_RULE			 = [[--------------Rules of Ghost Tower--------------
1, Reward
A, Challenge each level, and get rewards for victory. 
B, Get better rewards for challenging the level with level number multiplied by 3, such as level 3, 6, 9 and so on.  

2, Rank & Score
A, Score of each level depends on 2 facts: the challenged level number (the higher the better), and how many rounds the combat took (the less the better). 
B, Total score is the sum score of all challenged levels.
C, When your total score is ranked and you will be eligible to receive rewards according to your rank in the next day. 

3, Rules
  A, Players can challenge the tower at any time. 
  B, Players must have at least 1 action point (the red heart) to challenge.
  C, Each failure will lose 1 action point (the red heart), victories won’t. 
  D, Players must choose a buff reward randomly given in levels multiplied by 3.
  E, The opponents won’t be random when challenging the same level in the same day.
  F, The opponents will be random when a new level is being challenged. 
  G, Players can take part in other D&E activities as it won’t affect the tower progress.
  H, The buff and challenged level will be reset each day.]],
TOWER_RULE_TITLE			 = [[Rules]],
TOWER_USE_DIAMOND			 = [[%d diamonds to reset]],
USE_DIAMOND			 = [[Confirmation]],
USE_DIAMOND_01			 = [[Confirm to spend %d diamonds?]],
USE_DIAMOND_03			 = [[Spend %d diamonds to create your team?]],
USE_DIAMOND_04			 = [[Spend %d diamonds to reset CD?]],
USE_DIAMOND_05			 = [[Confirm to spend %d diamonds to attack BOSS?]],
USE_DIAMOND_10			 = [[Spend %d diamonds to boost chance?]],
USE_DIAMOND_10_TITLE			 = [[Equip evolution chance]],
USE_DIAMOND_11			 = [[Spend %d diamonds to upgrade talent?]],
USE_DIAMOND_11_TITLE			 = [[Upgrade talents]],
USE_DIAMOND_12_TITLE			 = [[Arena CD]],
USE_DIAMOND_13_TITLE			 = [[Arena chance purchase]],
USE_DIAMOND_14_TITLE			 = [[Week Contest CD]],
USE_DIAMOND_15_TITLE			 = [[Shop purchase]],
USE_DIAMOND_16_TITLE			 = [[Reset diamonds for 8 days]],
USE_DIAMOND_17			 = [[Spend %d diamonds to finish Wipe-out?]],
USE_DIAMOND_17_TITLE			 = [[Wipe-out Treasure Bay]],
USE_DIAMOND_18			 = [[Spend %d diamonds to boost?]],
USE_DIAMOND_18_TITLE			 = [[BOSS fight Diam-Pep]],
USE_DIAMOND_19			 = [[Spend %d diamonds for another chance?]],
USE_DIAMOND_19_TITLE			 = [[Buy Ghost Tower chance]],
USE_DIAMOND_1_TITLE			 = [[Casino]],
USE_DIAMOND_20			 = [[Spend %d diamonds to renew buff?]],
USE_DIAMOND_20_TITLE			 = [[Ghost Tower BUFF refresh]],
USE_DIAMOND_21			 = [[Confirm to spend %d diamonds to create legion %s?]],
USE_DIAMOND_21_TITLE			 = [[Create]],
USE_DIAMOND_22			 = [[Confirm to spend %d diamonds on sacrifice?]],
USE_DIAMOND_22_TITLE			 = [[Sacrifice]],
USE_DIAMOND_23			 = [[Confirm to spend %d diamonds for construction?]],
USE_DIAMOND_23_TITLE			 = [[Diamond Construct]],
USE_DIAMOND_24			 = [[Confirm to spend %d diamonds for the attack?]],
USE_DIAMOND_24_TITLE			 = [[Legion BOSS chances]],
USE_DIAMOND_2_TITLE			 = [[Mining CD]],
USE_DIAMOND_3_TITLE			 = [[Team Creation]],
USE_DIAMOND_4_TITLE			 = [[CD of BOSS fight]],
USE_DIAMOND_5_TITLE			 = [[Legion BOSS chances]],
USE_DIAMOND_6_TITLE			 = [[SP purchase]],
USE_DIAMOND_7_TITLE			 = [[Skip battles]],
USE_DIAMOND_8_TITLE			 = [[Diamond draw*1]],
USE_DIAMOND_9_TITLE			 = [[Diamond draw*10]],
USE_DIAMOND_ALL			 = [[Select all]],
USE_DIAMOND_CHECKBOX			 = [[No more remind]],
USE_DIAMOND_TITLE			 = [[Consumation Notice]],
WISHING_RULE			 = [[Make wishes and receive rewards from the Goddess!

1. Consecutively make a wish for 5 days and you will receive a big reward on the fifth day.

2. You can only make one wish a day.

3. The system will automatically reset after a round ends. 

4. You must continually make a wish. Otherwise, the cumulative days will be cleared and the count will start from the very beginning.

5. The reward will be in your bag. Please check in time.
 
 
 
 
 
]],
}
 return strings