﻿--Create Class CardGroupEntity
local CardGroupEntity = class( "CardGroupEntity", BaseEntity )

function CardGroupEntity:ctor( properties )
	self:setProperties( properties )
end

CardGroupEntity.schema = {
	-- 当前出战卡组
	curgroup 	= {"number", },
	-- 解锁卡牌数量
	ccount		= {"number", },
	-- 解锁卡组数量
	gcount		= {"number", },
	-- 上场卡牌信息数组
	onwarcards  = {"table", {}, "model.card.CardEntity"},
	-- 自己卡牌信息数组
	cards 		= {"table", {}, "model.card.CardEntity"},
}

CardGroupEntity.fields = {
	"curgroup", 			--主卡牌
	"ccount", 	 			--解锁卡牌数量
	"gcount", 	 			--解锁卡组数量	
	"onwarcards", 	 		--上场卡牌信息数组	
	"cards", 				--拥有卡牌
}










-- [Gettor/Settor方法]
-- 当前出战卡组
function CardGroupEntity:getCurgroup()
	return self.curgroup_
end
function CardGroupEntity:setCurgroup(newKey)
	self.curgroup_ = newKey
end

-- 解锁卡牌数量
function CardGroupEntity:getCcount()
	return self.ccount_
end
function CardGroupEntity:setCcount(newKey)
	self.ccount_ = newKey
end

-- 解锁卡组数量
function CardGroupEntity:getGcount()
	return self.gcount_
end
function CardGroupEntity:setGcount(newKey)
	self.gcount_ = newKey
end

-- 上场卡牌信息数组
function CardGroupEntity:getOnwarcards()
	return self.onwarcards_
end
function CardGroupEntity:setOnwarcards(newKey)
	self.onwarcards_ = newKey
end

-- 自己卡牌信息数组
function CardGroupEntity:getCards()
	return self.cards_
end
function CardGroupEntity:setCards(newKey)
	self.cards_ = newKey
end


return CardGroupEntity