﻿--Create Class BackpackEntity
local BackpackEntity = class( "BackpackEntity", BaseEntity )

function BackpackEntity:ctor( properties )
	self:setProperties( properties )
end

BackpackEntity.schema = {
	-- 背包元素
	Package  		= {"table", {}, "model.goods.BackpackElementEntity"},
    useEvent        = {"string", },
    result          = {"model.main.RewardEntity", },
}

BackpackEntity.fields = {
    "Package",      --背包元素
    "useEvent",     --使用事件
	"result", 	 	--使用返回结果
}










-- [Gettor/Settor方法]

-- 背包元素
function BackpackEntity:getPackage()
	return self.Package_
end
function BackpackEntity:setPackage(newKey)
	self.Package_ = newKey
end
--使用事件
function BackpackEntity:getUseEvent()
    return self.useEvent_
end
function BackpackEntity:setUseEvent(newKey)
    self.useEvent_ = newKey
end
--使用返回结果
function BackpackEntity:getResult()
    return self.result_
end
function BackpackEntity:setResult(newKey)
    self.result_ = newKey
end

return BackpackEntity