
--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

贴士实体类，定义贴士实体Entity相关操作方法及逻辑实现。

-   存储贴士实体相关信息。

]]

local M = class("TipPo")



-- [包含文件]
-- ...










-- [构造方法]
-- 构造方法，定义实体初始化赋值操作。
function M:ctor()
	self.id 			= params.id
	self.content 		= params.content
end










-- [实例方法]
-- 获得ID
function M:getId()
	return self.id
end
-- 设置ID
function M:setId(newId)
	self.id = newId
end

-- 获得ID
function M:getContent()
	return self.content
end
-- 设置内容
function M:setContent(newContent)
	self.content = newContent
end





return M