local Sdkpfbase = require("sdk.SdkPlatformBase")

local SdkPlatformDuoku = class("SdkPlatformDuoku", Sdkpfbase)

function SdkPlatformDuoku:ctor()
    SdkPlatformDuoku.super.ctor(self)
    self.key_ = "Tdudlw3Up789asdfgh"
end

--商店视图
function SdkPlatformDuoku:storeFirstView(  )
	CCBCenter.loadCCB("MSG_SHOPBUYDIAMONDLAYER_MODEL", "ccb.c.shop.ShopBuyDiamondLayer", {})
end

--商店
function SdkPlatformDuoku:store( successCallBack, errorCallBack, argParams )
	--向服务端获取appordercode,
	local function getAppOrderCodeCallback( entityFriendArr, param )
		argParams.apporderCode = entityFriendArr:getAppordercode() 
	 	--发送appordercode给第三方sdk购买钻石
		if ISGSVALUES() then
	        GSVALUES.ordercode = entityFriendArr:getAppordercode() --保存单号到userinfo
	        GS.save(GSVALUES)
		end

		if isandroid() then
        	local function androidCallback( result )
				if result and (result ~= "" and string.find(result, "errorCode") == nil) then
					if result then 
						result = json.decode(result)
					end
					successCallBack(result)
				else
					if result then 
						if result ~= "" then
							result = json.decode(result)
							errorCallBack(result)
						end
					else 
						errorCallBack(result)
					end
				end
			end

        	local argParams_order = {
        		androidCallback,
				entityFriendArr:getAppordercode(), 	-- orderId
				ME:getUserid(),
				argParams.price
			}
			NetHelper.hideLoading(true)
			util.delayCall(function ( ... )
				local sig  = "(ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;"
				self.luaM.callStaticMethod( self.platformC, self.STORE, argParams_order, sig)
			end, 0.05)
		else 
			self:callStaticMethod(self.STORE, successCallBack, errorCallBack, argParams)
		end

	end
	--请求单号
	self.shopModel.getSDKIapApporderCode{
		callback = getAppOrderCodeCallback,
 		methodId = ACTID.MSG_BUY_IAP,		 		
 		args = {
 			iid = argParams.iapId , 
 			deviceno = argParams.deviceno , 
 			platform = _GAME.CONFIG.SDK_PLATFORM[1]
 		}
	}
end

function SdkPlatformDuoku:checkSession( successCallBack, errorCallBack, params )
	params = params or {}
	dump(params)
	local uid, session = params.uid, params.session
	if uid and session then 
		local function checkCallback( event )
			if event and "completed" == event.name then 
				local request = event.request
				local response = request:getResponseString()
				local result = json.decode(response)
				if result.Ok == RREST.Success then 
					if successCallBack then 
						successCallBack()
					end
				elseif errorCallBack then 
					local res = {
							errorCode = tostring(result.Ok),
							errorStr = result.Desc,
						}
					errorCallBack(res)
				end
			elseif errorCallBack then 
				local res = {
						errorCode = RREST.NET_WCODE_N10001,
						errorStr = _s("NETWORK_NOT_GOOD"),
					}
				errorCallBack(res)
			end
		end
		local p = string.format("uid=%s&sessionid=%s", tostring(uid), session)
		p = crypto.encodeBase64(crypto.encryptXXTEA(p, self.key_))
		p = string.gsub(p, string.char(10), "")
		local url = BASESER_URL .. "/duoku/VerifyUser.ashx?p=" .. p
		local request = network.createHTTPRequest(checkCallback, url)
		request:start()
	else
		local res = {
						errorCode = RREST.NET_WCODE_N10001,
						errorStr = _s("NETWORK_NOT_GOOD"),
					}
		errorCallBack(res)
	end
end

function SdkPlatformDuoku:setUserInfo( successCallBack, errorCallBack, argParams )
end

return SdkPlatformDuoku