local Sdkpfbase = require("sdk.SdkPlatformBase")

local SdkPlatformJPPlay = class("SdkPlatformJPPlay", Sdkpfbase)

function SdkPlatformJPPlay:ctor()
    SdkPlatformJPPlay.super.ctor(self)
    -- self.key_ = "Tdudlw3Up789asdfgh"
end

--商店视图
function SdkPlatformJPPlay:storeFirstView(  )
	CCBCenter.loadCCB("MSG_SHOPBUYDIAMONDLAYER_MODEL", "ccb.c.shop.ShopBuyDiamondLayer", {})
end

local function checkOrderCode( info, index )
	local infoJson = json.encode(info)
	if index < 0 then 
		Log.w("SdkPlatformJPPlay", "OrderCode check fail:" .. infoJson)
		return 
	end

	local function failCallback( event )
		util.delayCall(function ( ... )
			checkOrderCode( info, index - 1 )
		end, 3.0)
	end

	local function successCallback(event, response)
		-- TODO:还要判断服务器返回的结果
		local result = json.decode(response)
		if result.result == 10000 then 
			game.addGameState("ordercode", nil, true)
		else
			failCallback()
		end
	end
	local p = crypto.encodeBase64(crypto.encryptXXTEA(infoJson, "Tdudlw3Up789asdfgh"))
	p = string.gsub(p, string.char(10), "")
	local url = BASESER_URL .. "/PlayPayHandle.ashx?p=" .. p
	net.get(url, successCallback, failCallback)
end

--商店
function SdkPlatformJPPlay:store( successCallBack, errorCallBack, argParams )
	-- argParams.productId = "android.test.purchased" -- 虚拟购买
	-- argParams.productId = "android.test.canceled" -- 取消购买
	-- argParams.productId = "android.test.refunded" -- 退款
	-- argParams.productId = "android.test.item_unavailable" -- 清单不存
	--向服务端获取appordercode,
	local function getAppOrderCodeCallback( entityFriendArr, param )
		NetHelper.hideLoading(true)
		-- NetHelper.showLoading(true)
		argParams.apporderCode = entityFriendArr:getAppordercode() 
	 	--发送appordercode给第三方sdk购买钻石
		-- if ISGSVALUES() then
	 --        GSVALUES.ordercode = entityFriendArr:getAppordercode() --保存单号到userinfo
	 --        GS.save(GSVALUES)
		-- end
		game.addGameState("ordercode", entityFriendArr:getAppordercode(), true)
		local function callback_store( result )
			try(function ( ... )
				game.addGameState("ordercode", entityFriendArr:getAppordercode(), true)
				result.cporderid = entityFriendArr:getAppordercode()
				checkOrderCode(result, 5)
			end, function ( ... )
				print("@@@@@@@@@@@@@@@@@@@ PLAY IAB", "STORE CALLBACK ERROR")
				-- NetHelper.QuickToast("STORE CALLBACK ERROR.\n" .. json.encode(result), false, 10)
			end)
			if successCallBack then 
				successCallBack(result)
			end
			util.delayCall(function ( ... )
				NetHelper.hideLoading(true)
			end, 1.0)
		end

		local function errorCallBack_( result )
			if errorCallBack then 
				errorCallBack(result)
			end
			util.delayCall(function ( ... )
				NetHelper.hideLoading(true)
			end, 1.0)
		end
		NetHelper.hideLoading(true)
		util.delayCall(function ( ... )
			self:callStaticMethod(self.STORE, callback_store, errorCallBack_, {
				-- final String productName, 
				-- final String orderId
				sig = "(ILjava/lang/String;Ljava/lang/String;)V",
				params = {
							argParams.productId, -- 商品号
							argParams.apporderCode, -- 订单号
						}, 
				})
		end, 0.05)
	end
	--请求单号
	self.shopModel.getSDKIapApporderCode{
		callback = getAppOrderCodeCallback,
 		methodId = ACTID.MSG_BUY_IAP,		 		
 		args = {
 			iid = argParams.iapId , 
 			deviceno = argParams.deviceno , 
 			platform = _GAME.CONFIG.SDK_PLATFORM[1]
 		}
	}
end


function SdkPlatformJPPlay:setUserInfo( successCallBack, errorCallBack, argParams )
end

return SdkPlatformJPPlay