local M = {}

-- 宫殿场景
M.SCENES_PALACE = 0
-- 主要场景(快速获得)
M.LAYER_CATEGORY_MAIN = 0
-- 部件:普通精灵
M.PATS_CATEGORY_SPRITE = 0
-- 部件:帧动画
M.PATS_CATEGORY_SPRITEFRAMES = 1

M.infos = {
	--[[
		
	--]]
	[M.SCENES_PALACE] = {
		{ -- 背景层
            files = {"map/explore/bg_explore_1_1.jpg", "map/explore/bg_explore_1_2.jpg"}, 
            zorder = 0, 
            x = 0, 
            y = 0, 
            anchorPoint = ccp(0, 0), 
            rate = 1,
            parts = {
                {
                    category = M.PATS_CATEGORY_SPRITEFRAMES, 
                    positions = {
                        ccp(185, 582),
                        ccp(406, 582),
                        ccp(614, 582),
                        ccp(923, 582),
                        ccp(1437, 582),
                        ccp(1819, 582),
                    }, 
                    params = {
                        filename = "map/explore/img_lightFlash",
                        pattern = "img_lightFlash_%d.png",
                        nums = 2,
                        playTime = 0.1,
                        defaultDisplayIndex = 1,
                        forever = true,
                    }, 
                }
            },
        },
		{ -- 头顶吊灯
            zorder = 2, 
            contentSize = CCSize(1164, 191), 
            x = 0, 
            y = 640, 
            anchorPoint = ccp(0, 1), 
            rate = 1.8,
            parts = {
                {
                    category = M.PATS_CATEGORY_SPRITE, 
                    positions = {
                            ccp(480, 0),
                        }, 
                    params = {
                        ignoreAnchor = true,
                        file = "map/explore/img_explore_chandelier.png",
                    },
                }
            },
        },
        { -- 人物宝箱, 操作层
        	category = M.LAYER_CATEGORY_MAIN,
        	contentSize = CCSize(960, 640), 
        	zorder = 1, 
        	x = 0, 
        	y = 0, 
        	anchorPoint = ccp(0, 0),
        },
		{ -- 近景层
            contentSize = CCSize(1920, 278), 
            zorder = 3, 
            x = 0, 
            y = 20, 
            anchorPoint = ccp(0, 0),
            rate = 2,
            parts = {
                {
                    category = M.PATS_CATEGORY_SPRITE,
                    positions = {
                        ccp(800, 0)
                    },
                    params = {
                        ignoreAnchor = true,
                        file = "map/explore/bg_explore_3_1.png",
                    },
                },
                {
                    category = M.PATS_CATEGORY_SPRITE,
                    positions = {
                        ccp(1730, 20)
                    },
                    params = {
                        ignoreAnchor = true,
                        file = "map/explore/bg_explore_3_2.png",
                    },
                },
            },
        },
    }
}

return M