-- 文件名[背景音乐]
audio._fileNameMusic          = nil                 
-- 是否开启音乐
audio._isMusicOn              = true                
-- 是否开启音效
audio._isEffectsOn            = true

local playMusic_ = audio.playMusic
function audio.playMusic( filename, isLoop )
    if not audio._isMusicOn then return end
    audio._fileNameMusic = filename
    playMusic_(filename, isLoop)
end  

local playSound_ = audio.playSound
function audio.playSound(filename, isLoop)
    if not audio._isEffectsOn then return end
    return playSound_(filename, isLoop)
end  

-- [实例方法][外部调用]
-- 开启音乐
function audio.setMusicOn()
    audio._isMusicOn = true
    audio.resumeMusic()
end
-- 关闭音乐
function audio.setMusicOff()
    audio._isMusicOn = false
    audio.pauseMusic()
end

-- 开启音效
function audio.setEffectsOn()
    audio._isEffectsOn = true
end
-- 关闭音效
function audio.setEffectsOff()
    audio._isEffectsOn = false
end

-- 是否开启音乐
function audio.isMusicOn()
    return audio._isMusicOn
end
-- 是否开启音效
function audio.isEffectsOn()
    return audio._isEffectsOn
end   

-- [实例方法][属性Getter/Setter]
-- 获得文件名[背景音乐]
function audio.getFileNameMusic()
    return audio._fileNameMusic
end
-- 设置文件名[背景音乐]
function audio.setFileNameMusic(fileName)
    audio._fileNameMusic = fileName
end 

audio.resumeMusic_ =  audio.resumeMusic_ or audio.resumeMusic 
function audio.resumeMusic()
    if audio._isMusicOn then 
        audio.resumeMusic_()
    end
end

