--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

结点扩展类，扩展结点相关操作方法及逻辑实现。

-   公共结点扩展定义。

]]

local M = {}



-- [公共参数]
-- 常量

-- 操作变量





-- [工具方法]
-- 扩展
function M.extendRenderDestuctor(target)
    local function handler(event)
        if event == "enter" then
            -- echoInfo("Node \"%s:entityRender()\"", target.name or (target.className or "unknown"))
            target:entityRender()
        elseif event == "exit" then
            -- echoInfo("Scene \"%s:entityDestructor()\"", target.name or (target.className or "unknown"))
            target:entityDestructor()
        end
    end

    target:registerScriptHandler(handler)
end




return M