
require ("framework.init")
require ("framework.client.init")
require ("tandyfw.ui.views.init")
require ("tandyfw.extend.TDInclude")
require ("tandyfw.audio_plus")

local language_ = CCApplication:sharedApplication():getCurrentLanguage()
if language_ == kLanguageChinese then
    language_ = "cn"
elseif language_ == kLanguageFrench then
    language_ = "fr"
elseif language_ == kLanguageItalian then
    language_ = "it"
elseif language_ == kLanguageGerman then
    language_ = "de"
elseif language_ == kLanguageSpanish then
    language_ = "es"
elseif language_ == kLanguageRussian then
    language_ = "ru"
elseif language_ == kLanguageKorean then
    language_ = "ko"
elseif language_ == kLanguageJapanese then
    language_ = "ja"
elseif language_ == kLanguageHungarian then
    language_ = "hu"
elseif language_ == kLanguagePortuguese then
    language_ = "pt"
elseif language_ == kLanguageArabic then
    language_ = "ar"
elseif language_ == kLanguageEnglish then 
    language_ = "en"
else
    language_ = "default"
end

device.language = language_

scheduler 			  = require("framework.client.scheduler")
util                  = require("tandyfw.util")
anim 				  = require("tandyfw.anim")
net                   = require("tandyfw.net")
widget                = require("tandyfw.ui.widget")
quickui               = require("tandyfw.ui.views.quickui")
display.newColorLayer = widget.newColorLayer
ViewFactory           = require("tandyfw.ui.ViewFactory")
ModelBase             = require("framework.shared.ModelBase")
CCBCenter             = require("tandyfw.CCBCenter")
ModelHelper           = require("tandyfw.model.ModelHelper")
BaseEntity 			  = require("tandyfw.model.BaseEntity")
GameHelper 			  = require("tandyfw.GameHelper")
EventProtocol 		  = require("framework.client.api.EventProtocol")
UTF8 				  = require("tandyfw.utf8")
json				  = require("framework.shared.json")


-- if CONFIG_SCREEN_WIDTH and CONFIG_SCREEN_HEIGHT then
-- 	-- if not CONFIG_SCREEN_RESOLUTIONPOLICY then CONFIG_SCREEN_RESOLUTIONPOLICY = kResolutionShowAll end
-- 	CCDirector:sharedDirector():getOpenGLView():setDesignResolutionSize(
-- 	        CONFIG_SCREEN_WIDTH,
-- 	        CONFIG_SCREEN_HEIGHT,
-- 	        kResolutionShowAll )
-- 	print("++++++++++hahahaha+++++++++++++")
-- end