--[[ 

## CheckBox

**Parameters:**

-   params: 数组包含
            [必填项]
            CCSize      contentSize         尺寸
            String      normalImage         常态图片
            String      selectImage         选中图片
            [选填项]
            int         x                   x坐标
            int         y                   y坐标
            bool        ignoreAnchor        是否忽略锚点(默认false)
--]]

local Botton = require( "tandyfw.ui.views.Botton" )
local CheckBox = class( "CheckBox", Botton )

CheckBox.TAG = "widget.CheckBox"

function CheckBox:ctor( params )
	util.checkParams(CheckBox.TAG, "newCheckBox()", {
            { istable(params), "is not a table" },
            { params.normalImage, "normalImage"},
            { params.selectImage, "selectImage" },
        })
	params.checkMode = true
	CheckBox.super.ctor(self, params)
	self._type_ = WIDGET_TYPE.CheckBox 
end

return CheckBox