--[[

Copyright (c) 2012-2013 gao7.com

http://www.gao7.com/LizardMan/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

--[[--

坐标点工具类，定义坐标点相关操作方法及逻辑实现。

-   指定坐标点相关方法。

]]

local M = {}



-- [公共参数]
-- 常量





-- [私有方法]
-- [声明]

-- [定义]





-- [断言方法]
-- 根据精灵的尺寸获得其所属百分比尺寸的点
function M.offset(sprite, percentage)
    return ccp(sprite:getContentSize().width * percentage.x, sprite:getContentSize().height * percentage.y)
end
-- 获得屏幕的百分比距离
function M.percentage(px, py)
    return ccp(display.width * px, display.height * py)
end
function M.point(x, y)
	-- [Version1]
	--[[
	local w = x * (display.width / CONFIG_SCREEN_WIDTH)
	local h = y * (display.height / CONFIG_SCREEN_HEIGHT)
	return ccp(w, h)
	--]]

	-- [Version2]
	return ccp(x, y)
end

return M;
